
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array4 = new double[] { 100.0d };
    double[] d_array6 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log10(d_array4, 100, d_array6, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 100L);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(100.0d, derivativeStructure1, 10.0d, derivativeStructure3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure0 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure0, derivativeStructure1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array4 = new double[] { 10.0d };
    double[] d_array9 = new double[] { 0.0d, 100.0d, 10.0d };
    double[] d_array11 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array4, 1, d_array9, 0, d_array11, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array5 = new double[] { 0.0d, 0.0d };
    double[] d_array9 = new double[] { 100.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.expm1(d_array5, 0, d_array9, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array3 = new double[] {  };
    double[] d_array6 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array3, 0, d_array6, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array6 = new double[] { 10.0d, 10.0d, 10.0d };
    double[] d_array9 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array6, (-1), d_array9, (-1), d_array11, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array5 = new double[] { 100.0d, 1.0d };
    double[] d_array10 = new double[] { 1.0d, 10.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.expm1(d_array5, 10, d_array10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 10, 1, 100.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array6 = new double[] { 10.0d, 10.0d };
    double[] d_array9 = new double[] { 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array6, 100, d_array9, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(100.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.00499987500625d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array5 = new double[] { (-1.0d) };
    double[] d_array9 = new double[] { 0.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array5, 1, d_array9, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array7 = new double[] { 1.0d, 1.0d, 0.0d };
    double[] d_array11 = new double[] { 100.0d, 0.0d };
    double[] d_array16 = new double[] { 0.0d, 0.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.add(d_array7, 0, d_array11, 0, d_array16, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.61512051684126d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5020478432555281d));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 90.0d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(0L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(4.61512051684126d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.615120516841259d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array6 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 10.0d };
    double[] d_array15 = new double[] { 10.0d };
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(90.0d, d_array6, 1, 0.0d, d_array11, 1, 100.00499987500625d, d_array15, (-1), d_array19, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(10.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.5020478432555281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.502047843255528d));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(90.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-10.0d));

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(4.615120516841259d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.881784197001252E-16d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array4 = new double[] {  };
    double[] d_array8 = new double[] { 10.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array4, 10, d_array8, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array6 = new double[] { 0.0d, 10.0d };
    double[] d_array9 = new double[] {  };
    double[] d_array15 = new double[] { (-1.0d), 1.0d, 1.0d };
    double[] d_array21 = new double[] { 1.0d, (-1.0d), 10.0d };
    double[] d_array23 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(0.0d, d_array6, 100, 4.615120516841259d, d_array9, (-1), 100.0d, d_array15, 100, 100.00499987500625d, d_array21, 100, d_array23, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.7763568394002505E-15d, derivativeStructure1, 1.0d, derivativeStructure3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array5 = new double[] {  };
    double[] d_array7 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array5, 10, d_array7, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure0 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure0, derivativeStructure1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1023));

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array6 = new double[] { (-1.0d) };
    double[] d_array11 = new double[] { 100.0d, 0.0d, 1.0d };
    double[] d_array15 = new double[] { 0.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array6, 1, d_array11, 0, d_array15, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(100, (-1), 4.615120516841259d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array6 = new double[] { (-1.0d), 1.0d };
    double[] d_array11 = new double[] { 10.0d, (-1.0d), 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sin(d_array6, 10, d_array11, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(100.0d, 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 141.42489172702236d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array5 = new double[] { 0.0d, (-1.0d) };
    double[] d_array8 = new double[] { 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log(d_array5, 100, d_array8, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    double d0 = org.apache.commons.math3.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array5 = new double[] {  };
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array14 = new double[] { 100.0d, 100.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.remainder(d_array5, 100, d_array9, (-1023), d_array14, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.1920929E-7f, (-10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920928E-7f);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array6 = new double[] { 10.0d, 0.0d, 1.0d };
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double[] d_array15 = new double[] { 1.0d, 1.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.multiply(d_array6, 0, d_array10, (-1), d_array15, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.499809670330265d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array7 = new double[] { 0.0d };
    double[] d_array9 = new double[] {  };
    double[] d_array11 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.compose(d_array7, 0, d_array9, d_array11, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array5 = null;
    double[] d_array7 = new double[] {  };
    double[] d_array11 = new double[] { 0.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array5, 0, d_array7, (-1023), d_array11, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    double[] d_array12 = new double[] { 1.0d, 1.0d, 1.0d };
    double[] d_array18 = new double[] { 100.0d, (-1.0d), 0.0d };
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(4.61512051684126d, d_array6, 1, 141.42489172702236d, d_array12, 0, 4.615120516841259d, d_array18, 0, d_array22, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-1.0d), (-0.502047843255528d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int[] i_array6 = new int[] { 1, 1 };
    // The following exception was thrown during execution in test generation
    try {
      int i7 = dSCompiler2.getPartialDerivativeIndex(i_array6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { 0.0d, 100.0d, 100.0d };
    double[] d_array14 = new double[] { 10.0d, 0.0d, 0.0d };
    double[] d_array19 = new double[] { 10.0d, 0.0d };
    double[] d_array23 = new double[] { 1.0d };
    double[] d_array28 = new double[] { 0.0d, 100.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(3.141592653589793d, d_array8, (-1), 0.0d, d_array14, (-1023), 100.00499987500625d, d_array19, (-1), 0.0d, d_array23, 1, d_array28, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6931471805599453d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.192093E-7f);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1023), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(10.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10240.0d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double[] d_array3 = new double[] { 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1), (-1023), d_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5430806348152437d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.5020478432555281d), 4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.527730016919659d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(10240.0d, 90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4873058201553492d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(4.615120516841259d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array8, (-1023), d_array10, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.7763568394002505E-15d, derivativeStructure1, 0.0d, derivativeStructure3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array11 = new double[] { 100.0d };
    double[] d_array14 = new double[] { 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log(d_array11, 100, d_array14, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { 10.0d, 1.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asinh(d_array8, 0, d_array10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(4.9E-324d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1, 10, (-1), 1.7763568394002505E-15d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array11 = null;
    double[] d_array13 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.log1p(d_array11, (-1023), d_array13, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.154434690031884d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(10240.0d, 4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5703568922850637d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler3 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i4 = dSCompiler3.getOrder();
    int i5 = dSCompiler3.getOrder();
    java.lang.Object[] obj_array6 = new java.lang.Object[] { dSCompiler3 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str8 = mathIllegalArgumentException7.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(10240.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.010299956639812d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array11 = new double[] {  };
    double[] d_array14 = new double[] {  };
    double[] d_array19 = new double[] { 1.0d, 100.0d };
    double[] d_array24 = new double[] { 100.0d, 100.0d };
    double[] d_array26 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.linearCombination(4.010299956639812d, d_array11, 100, 4.615120516841259d, d_array14, (-1), 10240.0d, d_array19, 100, 90.0d, d_array24, 10, d_array26, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test091() {}
// Defects4J: flaky method
//   @Test
//   public void test091() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }
// 
// 
//     double d0 = org.apache.commons.math3.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.20657095758432376d);
// 
//   }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(4.61512051684126d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.61512051684126d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.5703568922850637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { 100.0d, 0.0d };
    double[] d_array11 = new double[] { 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array8, 100, d_array11, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(2.154434690031884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2915496650148839d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array11 = null;
    double[] d_array14 = new double[] { 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.asinh(d_array11, 0, d_array14, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array5 = new double[] {  };
    double[] d_array8 = new double[] { 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array5, 1, d_array8, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(8.881784197001252E-16d, (-0.502047843255528d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-8.881784197001252E-16d));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2626272556789118d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array11 = new double[] {  };
    double[] d_array13 = new double[] {  };
    double[] d_array18 = new double[] { 1.0d, 10.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.divide(d_array11, (-1023), d_array13, (-1), d_array18, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array4 = new double[] {  };
    double[] d_array9 = new double[] { 10.0d, 0.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.exp(d_array4, (-1), d_array9, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i5 = dSCompiler4.getOrder();
    int i6 = dSCompiler4.getOrder();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { dSCompiler4 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array7);
    java.lang.Throwable[] throwable_array10 = mathIllegalArgumentException9.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array10 = new double[] {  };
    double[] d_array14 = new double[] { 1.0d, (-1.0d) };
    double[] d_array19 = new double[] { 0.0d, 0.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.subtract(d_array10, (-1), d_array14, 0, d_array19, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array13 = new double[] { (-1.0d), (-1.0d) };
    double[] d_array15 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.tan(d_array13, 1, d_array15, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7182818284590453d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(10.0d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array11 = new double[] { 1.0d };
    double[] d_array16 = new double[] { 0.0d, 100.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log10(d_array11, 0, d_array16, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(4.010299956639812d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.097207631308085d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array5 = new double[] { 10.0d };
    double[] d_array8 = new double[] { 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array5, 100, d_array8, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array10 = new double[] {  };
    double[] d_array14 = new double[] { 10.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tanh(d_array10, 0, d_array14, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.0d, 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6698434389303876d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 0.20657095758432376d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(100, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(4.010299956639812d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.010299956639812d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double[] d_array14 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array12, 10, d_array14, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array14 = new double[] { 100.0d, (-1.0d) };
    double[] d_array20 = new double[] { 100.0d, 10.0d, 1.0d };
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    double[] d_array35 = new double[] { 1.0d, 0.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.linearCombination(4.527730016919659d, d_array14, 1, 4.499809670330265d, d_array20, 0, 10.0d, d_array24, 0, 4.61512051684126d, d_array30, 3, d_array35, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.0f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.6698434389303876d, (-10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.6698434389303876d));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array14 = new double[] { 0.0d, (-1.0d), 10.0d };
    double[] d_array18 = new double[] { 10.0d, 10.0d };
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.subtract(d_array14, 100, d_array18, 1, d_array22, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array4 = null;
    double[] d_array6 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.acos(d_array4, 0, d_array6, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(4.9E-324d, 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.0f, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 80.0f);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7724538509055159d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array5 = new double[] {  };
    double[] d_array10 = new double[] { (-1.0d), 10.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array5, 100, d_array10, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    double[] d_array14 = new double[] { 100.0d, 100.0d, 0.0d };
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array14, 0, d_array17, 100, d_array22, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array5 = new double[] { 0.0d };
    double[] d_array7 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tan(d_array5, (-1), d_array7, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.6931471805599453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8306408778607839d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.4711276743037347d));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.7724538509055159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2485749363470669d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array5 = new double[] { (-1.0d) };
    double[] d_array9 = new double[] { (-1.0d), (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.acos(d_array5, 3, d_array9, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(2.097207631308085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.1920928E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-24));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    double d0 = org.apache.commons.math3.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.20657095758432376d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array10 = null;
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.acosh(d_array10, 3, d_array14, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948968d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.5020478432555281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4652845412696676d));

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-1L), (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.00001f);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array7 = new double[] { 1.0d, 1.0d, 1.0d };
    double[] d_array10 = new double[] { 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array7, 100, d_array10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.20657095758432376d, 4.615120516841259d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.20657095758432376d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.141592653589793d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-0.502047843255528d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array14 = new double[] { 1.0d, 1.0d, 10.0d };
    double[] d_array17 = new double[] { 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.log10(d_array14, 0, d_array17, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.4652845412696676d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4652845412696676d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.7724538509055159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3369844095223624d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.4652845412696676d), 90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.4652845412696676d));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array7 = new double[] { (-1.0d) };
    double[] d_array12 = new double[] { (-1.0d), 0.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.exp(d_array7, 0, d_array12, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array6 = new double[] {  };
    double[] d_array8 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cos(d_array6, 3, d_array8, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array12 = new double[] { 100.0d, 100.0d };
    double[] d_array14 = new double[] {  };
    double[] d_array17 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.divide(d_array12, 0, d_array14, 100, d_array17, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-1.0f), 0.4652845412696676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-10.0d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array11 = new double[] {  };
    double[] d_array14 = null;
    double[] d_array18 = new double[] { (-1.0d) };
    double[] d_array20 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.linearCombination((-10.0d), d_array11, (-1023), 10.0d, d_array14, 0, 0.0d, d_array18, 10, d_array20, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(10.0f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-0.99999994f), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array4 = new double[] {  };
    double[] d_array8 = new double[] { 10.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cos(d_array4, 0, d_array8, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array4 = new double[] { (-1.0d) };
    double[] d_array9 = new double[] { 100.0d, 1.0d, 1.0d };
    double[] d_array13 = new double[] { 0.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array4, 3, d_array9, (-24), d_array13, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    double[] d_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1), 3, d_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    double[] d_array14 = new double[] { (-1.0d), 10.0d, 0.0d };
    double[] d_array16 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tanh(d_array14, (-1023), d_array16, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array15 = new double[] {  };
    double[] d_array17 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.compose(d_array13, 0, d_array15, d_array17, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array12 = new double[] { 100.0d, 10.0d };
    double[] d_array18 = new double[] { 0.0d, 0.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array12, 0, 0.6931471805599453d, d_array18, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.3369844095223624d, 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.838954838512659d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException2 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = mathIllegalArgumentException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.5707963267948968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.570796326794897d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-1.4711276743037347d), 0.6931471805599453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array12 = new double[] { 100.0d };
    double[] d_array16 = new double[] { (-1.0d) };
    double[] d_array20 = new double[] { 0.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.linearCombination(0.0d, d_array12, 100, 10.0d, d_array16, 3, d_array20, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { (-1.0d), 1.0d };
    double[] d_array10 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.exp(d_array8, (-1023), d_array10, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.5707963267948966d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.412786325278231d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array4 = new double[] {  };
    double[] d_array6 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array4, (-24), d_array6, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array14 = new double[] { 100.0d, 1.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    double[] d_array18 = new double[] { 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.compose(d_array14, 3, d_array16, d_array18, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(100.0f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array5 = new double[] { 10.0d };
    double[] d_array10 = new double[] { 0.0d, 10.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asinh(d_array5, 1, d_array10, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    double[] d_array4 = new double[] { 10.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, d_array4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array15 = new double[] { (-1.0d), 100.0d, 0.0d };
    double[] d_array18 = new double[] { 0.0d };
    double[] d_array21 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.remainder(d_array15, (-24), d_array18, 100, d_array21, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(141.42489172702236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5637255535918546d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.5637255535918546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array7 = new double[] {  };
    double[] d_array10 = new double[] {  };
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array19 = new double[] { (-1.0d), 100.0d };
    double[] d_array21 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(0.4873058201553492d, d_array7, (-1), 4.010299956639812d, d_array10, 0, 2.718281828459045d, d_array14, 0, 0.8306408778607839d, d_array19, (-1), d_array21, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array14 = new double[] { 100.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    double[] d_array20 = new double[] { (-1.0d), 1.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.compose(d_array14, (-1023), d_array16, d_array20, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array4 = new double[] {  };
    double[] d_array8 = new double[] { 10.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array4, (-1023), d_array8, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.4652845412696676d), Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array6 = new double[] {  };
    double[] d_array9 = new double[] { 1.0d };
    double[] d_array11 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.compose(d_array6, 100, d_array9, d_array11, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3.141592653589793d, derivativeStructure1, 2.097207631308085d, derivativeStructure3, 0.0d, derivativeStructure5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.7763568394002505E-15d, 141.42489172702236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.776356839400251E-15d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array6 = new double[] {  };
    double[] d_array10 = new double[] { 0.0d, 100.0d };
    double[] d_array14 = new double[] { 10.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.add(d_array6, 6, d_array10, 0, d_array14, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    double[] d_array12 = new double[] { (-1.0d) };
    double[] d_array16 = new double[] { (-1.0d), 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array12, 6, d_array16, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.3369844095223624d, derivativeStructure1, 0.0d, derivativeStructure3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array10 = new double[] {  };
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array15 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.multiply(d_array10, (-24), d_array13, (-1), d_array15, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.5703568922850637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(9.536743E-7f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array12 = new double[] { 1.0d, (-1.0d) };
    double[] d_array17 = new double[] { 100.0d, 1.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.sin(d_array12, 3, d_array17, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.4652845412696676d), 4.527730016919659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.527730016919659d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.2915496650148839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1364636663857248d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array11 = new double[] {  };
    double[] d_array16 = new double[] { 10.0d, 0.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      double d17 = dSCompiler5.taylor(d_array11, 100, d_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 19.085536923187668d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    double[] d_array8 = new double[] { (-1.0d) };
    double[] d_array11 = null;
    double[] d_array16 = new double[] { (-1.0d), 1.0d };
    double[] d_array21 = new double[] { 100.0d, 100.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(3.141592653589793d, d_array8, 0, 0.6931471805599453d, d_array11, (-24), 0.2485749363470669d, d_array16, 10, d_array21, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-1.0f), 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array6 = new double[] { 0.0d };
    double[] d_array10 = new double[] { 0.0d, 100.0d };
    double[] d_array12 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.divide(d_array6, (-24), d_array10, 0, d_array12, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.1920928E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array14 = new double[] { 10.0d };
    double[] d_array18 = new double[] { 1.0d };
    double[] d_array22 = new double[] { 1.0d };
    double[] d_array25 = new double[] { 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(0.2485749363470669d, d_array14, (-1023), 0.6931471805599453d, d_array18, 10, 1.2915496650148839d, d_array22, 10, d_array25, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    double[] d_array6 = new double[] {  };
    double[] d_array11 = new double[] { 100.0d, 1.0d, 0.0d };
    double[] d_array16 = new double[] { (-1.0d), 0.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.multiply(d_array6, 6, d_array11, (-1), d_array16, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { 100.0d, 100.0d };
    double[] d_array12 = new double[] { 10.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array8, 6, d_array12, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(99.99999f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.99999994f);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-24), 6, (-1), 2.097207631308085d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException2 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = mathIllegalArgumentException2.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = mathIllegalArgumentException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array4 = new double[] { 100.0d };
    double[] d_array8 = new double[] { (-1.0d), (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asinh(d_array4, (-1023), d_array8, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array7 = null;
    double[] d_array10 = new double[] {  };
    double[] d_array15 = new double[] { (-1.0d), 10.0d };
    double[] d_array18 = new double[] { 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(1.3369844095223624d, d_array7, (-1), (-1.4711276743037347d), d_array10, 1, 100.0d, d_array15, 6, d_array18, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.5020478432555281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.525965039867135d));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.5430806348152437d, 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8850253832360281d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array15 = new double[] { 0.0d, 100.0d, 1.0d };
    double[] d_array21 = new double[] { 10.0d, 1.0d, 0.0d };
    double[] d_array25 = new double[] { 10.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.linearCombination(3.141592653589793d, d_array15, (-24), 1.5707963267948966d, d_array21, 6, d_array25, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array15 = new double[] { (-1.0d), 0.0d, 100.0d };
    double[] d_array18 = new double[] {  };
    double[] d_array21 = new double[] {  };
    double[] d_array27 = new double[] { 100.0d, 100.0d, 100.0d };
    double[] d_array30 = new double[] { 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.linearCombination(4.010299956639812d, d_array15, (-1), 0.0d, d_array18, 3, 0.4652845412696676d, d_array21, 100, 0.0d, d_array27, 10, d_array30, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.2485749363470669d, 4.527730016919659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2485749363470669d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array13 = null;
    double[] d_array15 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.atanh(d_array13, 6, d_array15, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array11 = new double[] { 0.0d };
    double[] d_array17 = new double[] { (-1.0d), 100.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array11, (-1), 0.0d, d_array17, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(3.412786325278231d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 30.349690667478566d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array14 = new double[] { (-1.0d), 0.0d, 10.0d };
    double[] d_array16 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.acosh(d_array14, 0, d_array16, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.1920929E-7f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array14 = new double[] { 10.0d, 10.0d };
    double[] d_array19 = new double[] { 0.0d, 10.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array14, 6, d_array19, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.6698434389303876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-38.37920198524031d));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 141.42489172702236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array13 = new double[] { 0.0d, 100.0d, 1.0d };
    double[] d_array17 = new double[] { 1.0d, 100.0d };
    double[] d_array19 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.multiply(d_array13, 3, d_array17, (-1023), d_array19, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(8.881784197001252E-16d, 1.570796326794897d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.570796326794897d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array6 = new double[] { 0.0d };
    double[] d_array11 = new double[] { 1.0d, 0.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.exp(d_array6, (-127), d_array11, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.5707963267948968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.5637255535918546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i5 = dSCompiler4.getOrder();
    int i6 = dSCompiler4.getOrder();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { dSCompiler4 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = mathIllegalArgumentException9.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-0.4652845412696676d), derivativeStructure1, 1.5707963267948968d, derivativeStructure3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-0.6698434389303876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array11 = dSCompiler5.getPartialDerivativeOrders(6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-1.4711276743037347d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    double[] d_array5 = new double[] { (-1.0d), (-1.0d), 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, (-1), d_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array6 = new double[] { 0.0d };
    double[] d_array8 = new double[] {  };
    double[] d_array10 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.multiply(d_array6, 3, d_array8, (-1), d_array10, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array16 = new double[] { (-1.0d), 100.0d, 100.0d };
    double[] d_array21 = new double[] { 1.0d, 10.0d };
    double[] d_array25 = new double[] { (-1.0d) };
    double[] d_array27 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination((-0.5020478432555281d), d_array16, 1, (-1.0d), d_array21, 0, 1.5707963267948966d, d_array25, 1, d_array27, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    int i3 = dimensionMismatchException2.getDimension();
    int i4 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(8.881784197001252E-16d, (-1.4711276743037347d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.6931471805599453d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6931471805599454d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 99.99999f);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array11 = new double[] { 1.0d };
    double[] d_array15 = new double[] { 100.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.atan(d_array11, (-24), d_array15, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.2485749363470669d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2436369776730935d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(10, 100);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, (-8.881784197001252E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    double[] d_array6 = new double[] {  };
    double[] d_array10 = new double[] { (-1.0d), 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log(d_array6, 1, d_array10, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { 100.0d, 0.0d };
    double[] d_array11 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array8, (-1023), d_array11, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.5707963267948966d, derivativeStructure1, 4.010299956639812d, derivativeStructure3, 1.1102230246251565E-16d, derivativeStructure5, (-0.525965039867135d), derivativeStructure7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.4652845412696676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array13 = new double[] { 1.0d };
    double[] d_array15 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log(d_array13, 0, d_array15, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array13 = new double[] {  };
    double[] d_array16 = new double[] { 0.0d };
    double[] d_array19 = new double[] { 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.remainder(d_array13, (-24), d_array16, 10, d_array19, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.2915496650148839d, 1.3369844095223624d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.858931910669651d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1.0d), (java.lang.Number)1, false);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = numberIsTooLargeException4.getContext();
    boolean b7 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-1.0d)+ "'", number5.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.4E-45f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.4873058201553492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7869259484028011d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.192093E-7f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.192093E-7f);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    double[] d_array14 = new double[] { 100.0d, (-1.0d), 10.0d };
    double[] d_array17 = new double[] { (-1.0d) };
    double[] d_array19 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.divide(d_array14, 100, d_array17, 6, d_array19, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.1920928E-7f, 4.61512051684126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920929E-7f);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.rootN(d_array7, 1, 100, d_array11, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int[] i_array7 = dSCompiler2.getPartialDerivativeOrders(0);
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    double[] d_array15 = new double[] { 100.0d, 10.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asinh(d_array10, 1, d_array15, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    double[] d_array4 = new double[] { 10.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(100, 0, d_array4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array5 = new double[] { 100.0d, 10.0d };
    double[] d_array9 = new double[] { 0.0d, 1.0d };
    double[] d_array14 = new double[] { 100.0d, 0.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.divide(d_array5, 100, d_array9, 6, d_array14, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    double[] d_array11 = null;
    double[] d_array13 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log10(d_array11, 0, d_array13, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.6931471805599453d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 709.782712893384d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { 1.0d, 10.0d, 0.0d };
    double[] d_array12 = new double[] { 1.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tanh(d_array8, 6, d_array12, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.1364636663857248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05555555555555559d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(80.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 80.0f);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.5707963267948968d, (-0.6698434389303876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948968d));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array13 = new double[] {  };
    double[] d_array17 = new double[] { (-1.0d), 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      double d18 = dSCompiler5.taylor(d_array13, 1, d_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.7763568394002505E-15d, 3.412786325278231d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.412786325278231d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    double[] d_array8 = new double[] { (-1.0d), 0.0d };
    double[] d_array13 = new double[] { 100.0d, 1.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array8, 3, d_array13, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(4.615120516841259d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5293379817722994d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-20));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { 0.0d, 10.0d };
    double[] d_array13 = new double[] { 0.0d, (-1.0d), 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      double d14 = dSCompiler2.taylor(d_array8, 6, d_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array5 = null;
    double[] d_array9 = new double[] { 100.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array5, (-20), d_array9, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(10.0f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-8.881784197001252E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-8.881784197001252E-16d), (-8.881784197001252E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(30.349690667478566d, derivativeStructure1, 1.1102230246251565E-16d, derivativeStructure3, 141.42489172702236d, derivativeStructure5, 1.1364636663857248d, derivativeStructure7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array13 = new double[] {  };
    double[] d_array18 = new double[] { 10.0d, 10.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.asin(d_array13, 0, d_array18, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array10 = new double[] {  };
    double[] d_array12 = null;
    double[] d_array15 = new double[] { 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.atan2(d_array10, 1, d_array12, 10, d_array15, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.838954838512659d, 0.6931471805599453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.838954838512659d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array13 = new double[] { 1.0d, 1.0d };
    double[] d_array17 = new double[] { (-1.0d), 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.cos(d_array13, (-127), d_array17, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int[] i_array7 = dSCompiler2.getPartialDerivativeOrders(0);
    double[] d_array10 = new double[] { 100.0d, 10.0d };
    double[] d_array14 = new double[] { 1.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log1p(d_array10, 100, d_array14, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.7724538509055159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03093515553795393d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array9 = new double[] { 1.0d, 1.0d, (-1.0d) };
    double[] d_array14 = new double[] { 1.0d, 0.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array9, 10, d_array14, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210855E-14f);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array15 = new double[] { 100.0d, 10.0d };
    double[] d_array18 = new double[] { 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.cosh(d_array15, 3, d_array18, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-127), (-24));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.7763568394002505E-15d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.62949953421312E14d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.08083247877065d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array12 = new double[] { 1.0d, (-1.0d), 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array6, 100, (-1.0d), d_array12, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array5 = new double[] { 0.0d };
    double[] d_array11 = new double[] { 100.0d, 1.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array5, 0, 1.7763568394002505E-15d, d_array11, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.6931471805599454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.15917453895486153d));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array11 = new double[] { 10.0d };
    double[] d_array13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = dSCompiler5.taylor(d_array11, 3, d_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array15 = new double[] { 10.0d, 10.0d, 10.0d };
    double[] d_array17 = new double[] {  };
    double[] d_array19 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.divide(d_array15, 0, d_array17, 6, d_array19, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array13 = new double[] {  };
    double[] d_array19 = new double[] { 100.0d, 10.0d, 10.0d };
    double[] d_array22 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(1.5703568922850637d, d_array13, 100, 0.0d, d_array19, 0, d_array22, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(99.99999f, 0.03093515553795393d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.999985f);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.7763568394002505E-15d, 10240.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7763568394002505E-15d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array14 = new double[] { 100.0d, 10.0d, 10.0d };
    double[] d_array18 = new double[] { 1.0d, 100.0d };
    double[] d_array23 = new double[] { 10.0d, 10.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.pow(d_array14, (-24), d_array18, (-24), d_array23, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array6 = null;
    double[] d_array10 = new double[] { 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array6, (-127), 19.085536923187668d, d_array10, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array7 = new double[] { 10.0d, 100.0d, 100.0d };
    double[] d_array9 = null;
    double[] d_array10 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.compose(d_array7, 3, d_array9, d_array10, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(2.097207631308085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0366031782642774d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.1364636663857248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7591519698191315d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    double[] d_array3 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1023), (-1), d_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array11 = new double[] { 0.0d };
    double[] d_array14 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array11, (-127), d_array14, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.4E-45f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array13 = new double[] { 10.0d, 10.0d, 10.0d };
    double[] d_array17 = new double[] { 1.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array13, (-20), d_array17, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7182818284590455d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(4.9E-324d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(141.42489172702236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.6449034565936405d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-0.99999994f), 0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(2L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i5 = dSCompiler4.getOrder();
    int i6 = dSCompiler4.getOrder();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { dSCompiler4 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array7);
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    java.lang.Object[] obj_array16 = new java.lang.Object[] { dSCompiler13 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable10, obj_array16);
    mathIllegalArgumentException9.addSuppressed((java.lang.Throwable)mathIllegalArgumentException17);
    java.lang.Throwable throwable19 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathIllegalArgumentException9.addSuppressed(throwable19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1), (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1023));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    double[] d_array2 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(100, (-1023), d_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int[] i_array7 = dSCompiler2.getPartialDerivativeOrders(0);
    double[] d_array9 = new double[] { 1.0d };
    double[] d_array14 = new double[] { (-1.0d), 0.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array9, 6, d_array14, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.05555555555555559d, (-0.502047843255528d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5051123208461794d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array14 = new double[] { 1.0d, (-1.0d) };
    double[] d_array19 = new double[] { 10.0d, 10.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tanh(d_array14, 1, d_array19, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-1L), 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array11 = new double[] {  };
    double[] d_array17 = new double[] { 10.0d, (-1.0d), (-1.0d) };
    double[] d_array19 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(2.154434690031884d, d_array11, 0, 1.1102230246251565E-16d, d_array17, 1, d_array19, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-1.5707963267948968d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    double[] d_array15 = new double[] {  };
    double[] d_array17 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array15, 0, d_array17, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.731094208094568d));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(1, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array13 = new double[] { 100.0d, 0.0d, 100.0d };
    double[] d_array15 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.expm1(d_array13, (-1023), d_array15, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array16 = new double[] { 0.0d, (-1.0d), 0.0d };
    double[] d_array18 = new double[] {  };
    double[] d_array23 = new double[] { 10.0d, 10.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.subtract(d_array16, 100, d_array18, 6, d_array23, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    double[] d_array15 = new double[] { (-1.0d), 0.0d, 10.0d };
    double[] d_array19 = new double[] { (-1.0d) };
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(1.858931910669651d, d_array15, (-1023), (-0.502047843255528d), d_array19, (-24), 1.1364636663857248d, d_array23, (-20), d_array25, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-1.5707963267948968d), (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.74756892189523E-308d));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.4210855E-14f, 709.782712893384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210856E-14f);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    double[] d_array5 = new double[] { 100.0d, 100.0d };
    double[] d_array10 = new double[] { (-1.0d), 1.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array5, (-24), d_array10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array11 = new double[] {  };
    double[] d_array14 = new double[] {  };
    double[] d_array17 = new double[] {  };
    double[] d_array20 = new double[] {  };
    double[] d_array22 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(0.05555555555555559d, d_array11, (-20), 1.1102230246251565E-16d, d_array14, (-1), 0.0d, d_array17, (-20), Double.NaN, d_array20, 100, d_array22, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.8306408778607839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6744026976311414d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1023), 0, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(30.349690667478566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.5090553334921735d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.1920928E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.1054274E-15f);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    double[] d_array18 = new double[] { (-1.0d), 0.0d, 0.0d };
    double[] d_array22 = new double[] { 100.0d, 1.0d };
    double[] d_array24 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler9.subtract(d_array18, 100, d_array22, (-24), d_array24, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array13 = null;
    double[] d_array15 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.log1p(d_array13, 0, d_array15, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1L), (java.lang.Number)1.570796326794897d, true);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.2436369776730935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.27588107309214316d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.881784197001252E-16d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    double[] d_array10 = new double[] { 10.0d, 0.0d, (-1.0d) };
    double[] d_array14 = new double[] { 0.0d, 100.0d };
    double[] d_array18 = new double[] { 100.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array10, 0, d_array14, 10, d_array18, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    int i15 = dSCompiler2.getFreeParameters();
    double[] d_array16 = new double[] {  };
    double[] d_array18 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log(d_array16, (-20), d_array18, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.838954838512659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2645710638625583d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { (-1.0d) };
    double[] d_array10 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d11 = dSCompiler2.taylor(d_array8, 10, d_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.7182818284590453d, derivativeStructure4, 1.2915496650148839d, derivativeStructure13, 0.0d, derivativeStructure20, 100.0d, derivativeStructure24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    double[] d_array12 = new double[] { (-1.0d) };
    double[] d_array14 = new double[] {  };
    double[] d_array17 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array12, 0, d_array14, 0, d_array17, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-6.731094208094568d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 419.03248691646587d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.7182818284590455d, 10240.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    double[] d_array9 = new double[] { 1.0d, 100.0d, 0.0d };
    double[] d_array14 = new double[] { 10.0d, 10.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array9, 100, d_array14, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-127), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-127));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-8.881784197001252E-16d), (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-8.881784197001252E-16d));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-6.731094208094568d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-6.731094208094568d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.0f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.192093E-7f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.192093E-7f);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1.0d), (java.lang.Number)1, false);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    java.lang.Throwable[] throwable_array6 = numberIsTooLargeException4.getSuppressed();
    boolean b7 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number8 = numberIsTooLargeException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-1.0d)+ "'", number5.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-1.0d)+ "'", number8.equals((-1.0d)));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array15 = new double[] { 0.0d, 100.0d };
    double[] d_array18 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.pow(d_array15, 0, 1, d_array18, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.6744026976311414d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 38.6404282665018d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.5707963267948968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    double[] d_array7 = null;
    double[] d_array11 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.rootN(d_array7, 6, (-24), d_array11, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array15 = new double[] { 100.0d, 1.0d, 0.0d };
    double[] d_array17 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.acosh(d_array15, (-127), d_array17, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array4 = new double[] {  };
    double[] d_array6 = new double[] {  };
    double[] d_array8 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array4, 10, d_array6, 0, d_array8, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.negate();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(5.62949953421312E14d, derivativeStructure1, (-0.5020478432555281d), derivativeStructure7, 1.7182818284590453d, derivativeStructure11, 2.154434690031884d, derivativeStructure17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array13 = new double[] {  };
    double[] d_array19 = new double[] { (-1.0d), 10.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.rootN(d_array13, (-127), (-127), d_array19, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array13 = new double[] {  };
    double[] d_array18 = new double[] { 0.0d, (-1.0d), 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.expm1(d_array13, (-127), d_array18, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    int i19 = derivativeStructure17.getExponent();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.5707963267948968d, derivativeStructure3, 1.3369844095223624d, derivativeStructure12, 0.8850253832360281d, derivativeStructure17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.043734674009951d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i17 = dSCompiler16.getOrder();
    int i18 = dSCompiler16.getOrder();
    int i19 = dSCompiler16.getOrder();
    dSCompiler13.checkCompatibility(dSCompiler16);
    int i21 = dSCompiler16.getSize();
    int[] i_array23 = dSCompiler16.getPartialDerivativeOrders(0);
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    dSCompiler16.tanh(d_array25, 0, d_array29, 0);
    double[] d_array33 = new double[] {  };
    double[] d_array35 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.atan2(d_array25, (-127), d_array33, 3, d_array35, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(419.03248691646587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i17 = dSCompiler16.getOrder();
    int i18 = dSCompiler16.getOrder();
    int i19 = dSCompiler16.getOrder();
    dSCompiler13.checkCompatibility(dSCompiler16);
    int i21 = dSCompiler16.getSize();
    int[] i_array23 = dSCompiler16.getPartialDerivativeOrders(0);
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    dSCompiler16.tanh(d_array25, 0, d_array29, 0);
    double[] d_array33 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.acos(d_array25, (-1023), d_array33, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    double[] d_array8 = new double[] { 1.0d, 100.0d };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    dSCompiler15.tanh(d_array24, 0, d_array28, 0);
    double[] d_array32 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.subtract(d_array8, 0, d_array28, (-127), d_array32, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.4210855E-14f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210855E-14f);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    dSCompiler5.tanh(d_array14, 0, d_array18, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getOrder();
    dSCompiler23.checkCompatibility(dSCompiler26);
    int i31 = dSCompiler26.getSize();
    int[] i_array33 = dSCompiler26.getPartialDerivativeOrders(0);
    double[] d_array35 = new double[] { 1.0d };
    double[] d_array39 = new double[] { 10.0d, 1.0d };
    dSCompiler26.tanh(d_array35, 0, d_array39, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getOrder();
    dSCompiler45.checkCompatibility(dSCompiler48);
    int i53 = dSCompiler48.getSize();
    int[] i_array55 = dSCompiler48.getPartialDerivativeOrders(0);
    double[] d_array57 = new double[] { 1.0d };
    double[] d_array61 = new double[] { 10.0d, 1.0d };
    dSCompiler48.tanh(d_array57, 0, d_array61, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler66 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler69 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i70 = dSCompiler69.getOrder();
    int i71 = dSCompiler69.getOrder();
    int i72 = dSCompiler69.getOrder();
    dSCompiler66.checkCompatibility(dSCompiler69);
    int i74 = dSCompiler69.getSize();
    int[] i_array76 = dSCompiler69.getPartialDerivativeOrders(0);
    double[] d_array78 = new double[] { 1.0d };
    double[] d_array82 = new double[] { 10.0d, 1.0d };
    dSCompiler69.tanh(d_array78, 0, d_array82, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.compose(d_array39, 1, d_array61, d_array78, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-1.5707963267948968d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(141.42489172702236d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7927734888497224E32d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { 1.0d, 100.0d, (-1.0d) };
    double[] d_array10 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log10(d_array8, 0, d_array10, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.05555555555555559d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(2.154434690031884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4677992676220695d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(30.349690667478566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.106204808922585d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array16 = new double[] { 10.0d, 1.0d, 0.0d };
    double[] d_array20 = new double[] { 100.0d, 0.0d };
    double[] d_array22 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.atan2(d_array16, (-127), d_array20, (-20), d_array22, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.05555555555555559d, 1.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.055555555555555594d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.pow((-1));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.0d, derivativeStructure1, 1.838954838512659d, derivativeStructure10, 0.2485749363470669d, derivativeStructure15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long5 = derivativeStructure4.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure11, derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure26.abs();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1.5707963267948968d), derivativeStructure6, 1.5293379817722994d, derivativeStructure18, 100.00499987500625d, derivativeStructure21, (-10.0d), derivativeStructure29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i12 = dSCompiler11.getOrder();
    int i13 = dSCompiler11.getOrder();
    int i14 = dSCompiler11.getOrder();
    dSCompiler8.checkCompatibility(dSCompiler11);
    int i16 = dSCompiler11.getSize();
    int[] i_array18 = dSCompiler11.getPartialDerivativeOrders(0);
    double[] d_array20 = new double[] { 1.0d };
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    dSCompiler11.tanh(d_array20, 0, d_array24, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getOrder();
    dSCompiler30.checkCompatibility(dSCompiler33);
    int i38 = dSCompiler33.getSize();
    int[] i_array40 = dSCompiler33.getPartialDerivativeOrders(0);
    double[] d_array42 = new double[] { 1.0d };
    double[] d_array46 = new double[] { 10.0d, 1.0d };
    dSCompiler33.tanh(d_array42, 0, d_array46, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log1p(d_array20, 3, d_array42, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    double[] d_array15 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler22 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i23 = dSCompiler22.getOrder();
    int i24 = dSCompiler22.getOrder();
    int i25 = dSCompiler22.getOrder();
    dSCompiler19.checkCompatibility(dSCompiler22);
    int i27 = dSCompiler22.getSize();
    int[] i_array29 = dSCompiler22.getPartialDerivativeOrders(0);
    double[] d_array31 = new double[] { 1.0d };
    double[] d_array35 = new double[] { 10.0d, 1.0d };
    dSCompiler22.tanh(d_array31, 0, d_array35, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tan(d_array15, (-127), d_array35, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.00499987500626d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    int i18 = dSCompiler13.getSize();
    int[] i_array20 = dSCompiler13.getPartialDerivativeOrders(0);
    double[] d_array22 = new double[] { 1.0d };
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    dSCompiler13.tanh(d_array22, 0, d_array26, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure7.compose(d_array22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(3.412786325278231d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8473728170778716d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array7 = new double[] { 100.0d, (-1.0d), 1.0d };
    double[] d_array11 = new double[] { (-1.0d), 1.0d };
    double[] d_array16 = new double[] { 100.0d, 10.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.divide(d_array7, (-24), d_array11, (-127), d_array16, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    dSCompiler14.checkCompatibility(dSCompiler17);
    int i22 = dSCompiler17.getSize();
    int[] i_array24 = dSCompiler17.getPartialDerivativeOrders(0);
    double[] d_array26 = new double[] { 1.0d };
    double[] d_array30 = new double[] { 10.0d, 1.0d };
    dSCompiler17.tanh(d_array26, 0, d_array30, 0);
    double[] d_array34 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.divide(d_array10, 1, d_array26, 0, d_array34, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    int i24 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getOrder();
    dSCompiler27.checkCompatibility(dSCompiler30);
    int i35 = dSCompiler30.getSize();
    int[] i_array37 = dSCompiler30.getPartialDerivativeOrders(0);
    double[] d_array39 = new double[] { 1.0d };
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    dSCompiler30.tanh(d_array39, 0, d_array43, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler49 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i53 = dSCompiler52.getOrder();
    int i54 = dSCompiler52.getOrder();
    int i55 = dSCompiler52.getOrder();
    dSCompiler49.checkCompatibility(dSCompiler52);
    int i57 = dSCompiler52.getSize();
    int[] i_array59 = dSCompiler52.getPartialDerivativeOrders(0);
    double[] d_array61 = new double[] { 1.0d };
    double[] d_array65 = new double[] { 10.0d, 1.0d };
    dSCompiler52.tanh(d_array61, 0, d_array65, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.acos(d_array43, 6, d_array61, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    int i15 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler22 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i23 = dSCompiler22.getOrder();
    int i24 = dSCompiler22.getOrder();
    int i25 = dSCompiler22.getOrder();
    dSCompiler19.checkCompatibility(dSCompiler22);
    int i27 = dSCompiler22.getSize();
    int[] i_array29 = dSCompiler22.getPartialDerivativeOrders(0);
    double[] d_array31 = new double[] { 1.0d };
    double[] d_array35 = new double[] { 10.0d, 1.0d };
    dSCompiler22.tanh(d_array31, 0, d_array35, 0);
    double[] d_array40 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getOrder();
    dSCompiler45.checkCompatibility(dSCompiler48);
    int i53 = dSCompiler48.getSize();
    int[] i_array55 = dSCompiler48.getPartialDerivativeOrders(0);
    double[] d_array57 = new double[] { 1.0d };
    double[] d_array61 = new double[] { 10.0d, 1.0d };
    dSCompiler48.tanh(d_array57, 0, d_array61, 0);
    double[] d_array65 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination((-0.502047843255528d), d_array31, 100, 100.00499987500626d, d_array40, (-127), 0.2485749363470669d, d_array61, 0, d_array65, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.7869259484028011d, (-1.74756892189523E-308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7869259484028011d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210855E-14f);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(38.6404282665018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.347613670123174d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(4.010299956639812d, 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-8.881784197001252E-16d));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.954589770191003d));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    double[] d_array8 = new double[] { 0.0d };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    dSCompiler15.tanh(d_array24, 0, d_array28, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asinh(d_array8, (-1), d_array24, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getSize();
    int i13 = dSCompiler9.getSize();
    double[] d_array15 = new double[] { 10.0d };
    double[] d_array17 = null;
    double d18 = dSCompiler9.taylor(d_array15, 0, d_array17);
    double[] d_array21 = new double[] {  };
    double[] d_array24 = new double[] {  };
    double[] d_array26 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(0.05555555555555559d, d_array15, 10, (-1.0d), d_array21, 3, 1.2915496650148839d, d_array24, 0, d_array26, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 20);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    int i17 = dSCompiler12.getSize();
    int[] i_array19 = dSCompiler12.getPartialDerivativeOrders(0);
    double[] d_array21 = new double[] { 1.0d };
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    dSCompiler12.tanh(d_array21, 0, d_array25, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i35 = dSCompiler34.getOrder();
    int i36 = dSCompiler34.getOrder();
    int i37 = dSCompiler34.getOrder();
    dSCompiler31.checkCompatibility(dSCompiler34);
    int i39 = dSCompiler34.getSize();
    int[] i_array41 = dSCompiler34.getPartialDerivativeOrders(0);
    double[] d_array43 = new double[] { 1.0d };
    double[] d_array47 = new double[] { 10.0d, 1.0d };
    dSCompiler34.tanh(d_array43, 0, d_array47, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array21, 6, d_array43, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i17 = dSCompiler16.getOrder();
    int i18 = dSCompiler16.getOrder();
    int i19 = dSCompiler16.getOrder();
    dSCompiler13.checkCompatibility(dSCompiler16);
    int i21 = dSCompiler16.getSize();
    int[] i_array23 = dSCompiler16.getPartialDerivativeOrders(0);
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    dSCompiler16.tanh(d_array25, 0, d_array29, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getOrder();
    dSCompiler35.checkCompatibility(dSCompiler38);
    int i43 = dSCompiler38.getSize();
    int[] i_array45 = dSCompiler38.getPartialDerivativeOrders(0);
    double[] d_array47 = new double[] { 1.0d };
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    dSCompiler38.tanh(d_array47, 0, d_array51, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler56 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler59 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i60 = dSCompiler59.getOrder();
    int i61 = dSCompiler59.getOrder();
    int i62 = dSCompiler59.getOrder();
    dSCompiler56.checkCompatibility(dSCompiler59);
    int i64 = dSCompiler59.getSize();
    int[] i_array66 = dSCompiler59.getPartialDerivativeOrders(0);
    double[] d_array68 = new double[] { 1.0d };
    double[] d_array72 = new double[] { 10.0d, 1.0d };
    dSCompiler59.tanh(d_array68, 0, d_array72, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.compose(d_array25, 1, d_array47, d_array68, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-24), (-127), (-0.6698434389303876d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(5.62949953421312E14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.26572325005933806d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-20), (-1), 1.5707963267948968d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    dSCompiler5.tanh(d_array14, 0, d_array18, 0);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i26 = dSCompiler25.getOrder();
    int i27 = dSCompiler25.getOrder();
    int i28 = dSCompiler25.getSize();
    int i29 = dSCompiler25.getSize();
    double[] d_array31 = new double[] { 10.0d };
    double[] d_array33 = null;
    double d34 = dSCompiler25.taylor(d_array31, 0, d_array33);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.expm1(d_array21, 100, d_array31, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 10.0d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(709.782712893384d, (-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.741019531049614E-69d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1023), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1023));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    int i14 = dSCompiler9.getSize();
    int[] i_array16 = dSCompiler9.getPartialDerivativeOrders(0);
    double[] d_array18 = new double[] { 1.0d };
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    dSCompiler9.tanh(d_array18, 0, d_array22, 0);
    double[] d_array26 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getOrder();
    dSCompiler30.checkCompatibility(dSCompiler33);
    int i38 = dSCompiler33.getSize();
    int[] i_array40 = dSCompiler33.getPartialDerivativeOrders(0);
    double[] d_array42 = new double[] { 1.0d };
    double[] d_array46 = new double[] { 10.0d, 1.0d };
    dSCompiler33.tanh(d_array42, 0, d_array46, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array18, 6, d_array26, (-20), d_array42, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(7.1054274E-15f, 0.4652845412696676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.105428E-15f);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException2 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array1);
    java.lang.Throwable[] throwable_array3 = mathIllegalArgumentException2.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = mathIllegalArgumentException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array12 = dSCompiler2.getPartialDerivativeOrders((-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getSize();
    int i14 = dSCompiler10.getSize();
    double[] d_array16 = new double[] { 10.0d };
    double[] d_array18 = null;
    double d19 = dSCompiler10.taylor(d_array16, 0, d_array18);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    int i26 = dSCompiler24.getOrder();
    int i27 = dSCompiler24.getSize();
    int i28 = dSCompiler24.getSize();
    double[] d_array30 = new double[] { 10.0d };
    double[] d_array32 = null;
    double d33 = dSCompiler24.taylor(d_array30, 0, d_array32);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getSize();
    int i42 = dSCompiler38.getSize();
    double[] d_array44 = new double[] { 10.0d };
    double[] d_array46 = null;
    double d47 = dSCompiler38.taylor(d_array44, 0, d_array46);
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler56 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler59 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i60 = dSCompiler59.getOrder();
    int i61 = dSCompiler59.getOrder();
    int i62 = dSCompiler59.getOrder();
    dSCompiler56.checkCompatibility(dSCompiler59);
    int i64 = dSCompiler59.getSize();
    int[] i_array66 = dSCompiler59.getPartialDerivativeOrders(0);
    double[] d_array68 = new double[] { 1.0d };
    double[] d_array72 = new double[] { 10.0d, 1.0d };
    dSCompiler59.tanh(d_array68, 0, d_array72, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(2.718281828459045d, d_array16, 100, 100.00499987500625d, d_array32, 0, 2.097207631308085d, d_array46, 0, 3.741019531049614E-69d, d_array52, (-127), d_array72, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    dSCompiler5.checkCompatibility(dSCompiler8);
    int i13 = dSCompiler8.getSize();
    int[] i_array15 = dSCompiler8.getPartialDerivativeOrders(0);
    double[] d_array17 = new double[] { 1.0d };
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    dSCompiler8.tanh(d_array17, 0, d_array21, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getSize();
    int i31 = dSCompiler27.getSize();
    double[] d_array33 = new double[] { 10.0d };
    double[] d_array35 = null;
    double d36 = dSCompiler27.taylor(d_array33, 0, d_array35);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sin(d_array21, (-1023), d_array35, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 10.0d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-1L), 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.8850253832360281d, (-0.15917453895486153d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8850253832360281d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(99.99999f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    dSCompiler5.checkCompatibility(dSCompiler8);
    int i13 = dSCompiler8.getSize();
    int[] i_array15 = dSCompiler8.getPartialDerivativeOrders(0);
    double[] d_array17 = new double[] { 1.0d };
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    dSCompiler8.tanh(d_array17, 0, d_array21, 0);
    double[] d_array28 = new double[] { 100.0d, 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array21, (-20), 1.5430806348152437d, d_array28, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    dSCompiler5.tanh(d_array14, 0, d_array18, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getSize();
    int i27 = dSCompiler23.getSize();
    double[] d_array29 = new double[] { 10.0d };
    double[] d_array31 = null;
    double d32 = dSCompiler23.taylor(d_array29, 0, d_array31);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getOrder();
    dSCompiler36.checkCompatibility(dSCompiler39);
    int i44 = dSCompiler39.getSize();
    int[] i_array46 = dSCompiler39.getPartialDerivativeOrders(0);
    double[] d_array48 = new double[] { 1.0d };
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    dSCompiler39.tanh(d_array48, 0, d_array52, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.tan(d_array29, (-24), d_array48, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.6698434389303876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getSize();
    int i17 = dSCompiler13.getSize();
    double[] d_array19 = new double[] { 10.0d };
    double[] d_array21 = null;
    double d22 = dSCompiler13.taylor(d_array19, 0, d_array21);
    double[] d_array24 = null;
    double[] d_array26 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.add(d_array21, (-24), d_array24, 10, d_array26, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(7.105428E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.4703295E-22f);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.043734674009951d, derivativeStructure6, 1.7763568394002505E-15d, derivativeStructure13, (-15.954589770191003d), derivativeStructure15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 0, 20, (-0.6698434389303876d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(38.6404282665018d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.2485749363470669d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6045426631236213d));

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1023), 1, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, 3.741019531049614E-69d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.741019531049614E-69d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(419.03248691646587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.622247694426012d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(419.03248691646587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 419.0324869164659d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.7927734888497224E32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    double[] d_array7 = new double[] { 0.0d };
    double[] d_array9 = null;
    double[] d_array12 = new double[] { 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array7, (-1), d_array9, 10, d_array12, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.8850253832360281d, 0.05555555555555559d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8850253832360281d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    int i14 = dSCompiler9.getSize();
    int[] i_array16 = dSCompiler9.getPartialDerivativeOrders(0);
    double[] d_array18 = new double[] { 1.0d };
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    dSCompiler9.tanh(d_array18, 0, d_array22, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getSize();
    int i32 = dSCompiler28.getSize();
    double[] d_array34 = new double[] { 10.0d };
    double[] d_array36 = null;
    double d37 = dSCompiler28.taylor(d_array34, 0, d_array36);
    double[] d_array42 = new double[] { (-1.0d), 0.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.multiply(d_array18, 0, d_array34, (-20), d_array42, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-127), (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-127));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    dSCompiler15.tanh(d_array24, 0, d_array28, 0);
    double[] d_array32 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array24, (-24), d_array32, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(4.010299956639812d, (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.638987560158184E-13d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.043734674009951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04280531349184275d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(2.154434690031884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 123.44001497540268d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i30 = dSCompiler29.getOrder();
    int i31 = dSCompiler29.getOrder();
    int i32 = dSCompiler29.getOrder();
    dSCompiler26.checkCompatibility(dSCompiler29);
    int i34 = dSCompiler29.getSize();
    int[] i_array36 = dSCompiler29.getPartialDerivativeOrders(0);
    double[] d_array38 = new double[] { 1.0d };
    double[] d_array42 = new double[] { 10.0d, 1.0d };
    dSCompiler29.tanh(d_array38, 0, d_array42, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler51 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i52 = dSCompiler51.getOrder();
    int i53 = dSCompiler51.getOrder();
    int i54 = dSCompiler51.getOrder();
    dSCompiler48.checkCompatibility(dSCompiler51);
    int i56 = dSCompiler51.getSize();
    int[] i_array58 = dSCompiler51.getPartialDerivativeOrders(0);
    double[] d_array60 = new double[] { 1.0d };
    double[] d_array64 = new double[] { 10.0d, 1.0d };
    dSCompiler51.tanh(d_array60, 0, d_array64, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler69 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i70 = dSCompiler69.getOrder();
    int i71 = dSCompiler69.getOrder();
    int i72 = dSCompiler69.getSize();
    int i73 = dSCompiler69.getSize();
    double[] d_array75 = new double[] { 10.0d };
    double[] d_array77 = null;
    double d78 = dSCompiler69.taylor(d_array75, 0, d_array77);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.compose(d_array38, (-127), d_array60, d_array75, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 10.0d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.2915496650148839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.0d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    double[] d_array7 = null;
    double[] d_array9 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i17 = dSCompiler16.getOrder();
    int i18 = dSCompiler16.getOrder();
    int i19 = dSCompiler16.getOrder();
    dSCompiler13.checkCompatibility(dSCompiler16);
    int i21 = dSCompiler16.getSize();
    int[] i_array23 = dSCompiler16.getPartialDerivativeOrders(0);
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    dSCompiler16.tanh(d_array25, 0, d_array29, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.divide(d_array7, 20, d_array9, 0, d_array29, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    int i17 = dSCompiler12.getSize();
    int[] i_array19 = dSCompiler12.getPartialDerivativeOrders(0);
    double[] d_array21 = new double[] { 1.0d };
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    dSCompiler12.tanh(d_array21, 0, d_array25, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i35 = dSCompiler34.getOrder();
    int i36 = dSCompiler34.getOrder();
    int i37 = dSCompiler34.getOrder();
    dSCompiler31.checkCompatibility(dSCompiler34);
    int i39 = dSCompiler34.getSize();
    int[] i_array41 = dSCompiler34.getPartialDerivativeOrders(0);
    double[] d_array43 = new double[] { 1.0d };
    double[] d_array47 = new double[] { 10.0d, 1.0d };
    dSCompiler34.tanh(d_array43, 0, d_array47, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tanh(d_array25, (-1023), d_array43, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.03093515553795393d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03093022358753579d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4480736161291701d));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.15917453895486153d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.16053261455350384d));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i12 = dSCompiler11.getOrder();
    int i13 = dSCompiler11.getOrder();
    int i14 = dSCompiler11.getOrder();
    dSCompiler8.checkCompatibility(dSCompiler11);
    int i16 = dSCompiler11.getSize();
    int[] i_array18 = dSCompiler11.getPartialDerivativeOrders(0);
    double[] d_array20 = new double[] { 1.0d };
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    dSCompiler11.tanh(d_array20, 0, d_array24, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getOrder();
    dSCompiler30.checkCompatibility(dSCompiler33);
    int i38 = dSCompiler33.getSize();
    int[] i_array40 = dSCompiler33.getPartialDerivativeOrders(0);
    double[] d_array42 = new double[] { 1.0d };
    double[] d_array46 = new double[] { 10.0d, 1.0d };
    dSCompiler33.tanh(d_array42, 0, d_array46, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asinh(d_array24, 0, d_array42, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure8.subtract(derivativeStructure12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    int i17 = dSCompiler12.getSize();
    int[] i_array19 = dSCompiler12.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler22 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i26 = dSCompiler25.getOrder();
    int i27 = dSCompiler25.getOrder();
    int i28 = dSCompiler25.getOrder();
    dSCompiler22.checkCompatibility(dSCompiler25);
    int i30 = dSCompiler25.getSize();
    int[] i_array32 = dSCompiler25.getPartialDerivativeOrders(0);
    double[] d_array34 = new double[] { 1.0d };
    double[] d_array38 = new double[] { 10.0d, 1.0d };
    dSCompiler25.tanh(d_array34, 0, d_array38, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler44 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler47 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i48 = dSCompiler47.getOrder();
    int i49 = dSCompiler47.getOrder();
    int i50 = dSCompiler47.getOrder();
    dSCompiler44.checkCompatibility(dSCompiler47);
    int i52 = dSCompiler47.getSize();
    int[] i_array54 = dSCompiler47.getPartialDerivativeOrders(0);
    double[] d_array56 = new double[] { 1.0d };
    double[] d_array60 = new double[] { 10.0d, 1.0d };
    dSCompiler47.tanh(d_array56, 0, d_array60, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler65 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler68 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i69 = dSCompiler68.getOrder();
    int i70 = dSCompiler68.getOrder();
    int i71 = dSCompiler68.getOrder();
    dSCompiler65.checkCompatibility(dSCompiler68);
    int i73 = dSCompiler68.getSize();
    int[] i_array75 = dSCompiler68.getPartialDerivativeOrders(0);
    double[] d_array77 = new double[] { 1.0d };
    double[] d_array81 = new double[] { 10.0d, 1.0d };
    dSCompiler68.tanh(d_array77, 0, d_array81, 0);
    dSCompiler12.compose(d_array34, (-1), d_array60, d_array77, 0);
    double[] d_array88 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array77, 6, 90.0d, d_array88, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7853981633974483d));

  }

}
