
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest1 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test002"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.5020478432555281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test003"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(9.536743E-7f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test004"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i7 = dSCompiler6.getOrder();
    int i8 = dSCompiler6.getOrder();
    int i9 = dSCompiler6.getSize();
    int i10 = dSCompiler6.getSize();
    double[] d_array12 = new double[] { 10.0d };
    double[] d_array14 = null;
    double d15 = dSCompiler6.taylor(d_array12, 0, d_array14);
    double[] d_array17 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array14, (-127), d_array17, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test005"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array12 = new double[] {  };
    double[] d_array14 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.exp(d_array12, 6, d_array14, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test006"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-38.37920198524031d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.340832561168609d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test007"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.2485749363470669d, 0.8306408778607839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8306408778607839d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test008"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(20, (-127), 4.347613670123174d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test009"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.4677992676220695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test010"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure7, derivativeStructure14);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.add(Double.NaN);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure3.subtract(derivativeStructure15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test011"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(10L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test012"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(7.105428E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.105428E-15f);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test013"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.4210856E-14f, (-38.37920198524031d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210855E-14f);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test014"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    double[] d_array7 = new double[] { 10.0d };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i15 = dSCompiler14.getOrder();
    int i16 = dSCompiler14.getOrder();
    int i17 = dSCompiler14.getOrder();
    dSCompiler11.checkCompatibility(dSCompiler14);
    int i19 = dSCompiler14.getSize();
    int[] i_array21 = dSCompiler14.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getOrder();
    dSCompiler24.checkCompatibility(dSCompiler27);
    int i32 = dSCompiler27.getSize();
    int[] i_array34 = dSCompiler27.getPartialDerivativeOrders(0);
    double[] d_array36 = new double[] { 1.0d };
    double[] d_array40 = new double[] { 10.0d, 1.0d };
    dSCompiler27.tanh(d_array36, 0, d_array40, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler49 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i50 = dSCompiler49.getOrder();
    int i51 = dSCompiler49.getOrder();
    int i52 = dSCompiler49.getOrder();
    dSCompiler46.checkCompatibility(dSCompiler49);
    int i54 = dSCompiler49.getSize();
    int[] i_array56 = dSCompiler49.getPartialDerivativeOrders(0);
    double[] d_array58 = new double[] { 1.0d };
    double[] d_array62 = new double[] { 10.0d, 1.0d };
    dSCompiler49.tanh(d_array58, 0, d_array62, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler67 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler70 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i71 = dSCompiler70.getOrder();
    int i72 = dSCompiler70.getOrder();
    int i73 = dSCompiler70.getOrder();
    dSCompiler67.checkCompatibility(dSCompiler70);
    int i75 = dSCompiler70.getSize();
    int[] i_array77 = dSCompiler70.getPartialDerivativeOrders(0);
    double[] d_array79 = new double[] { 1.0d };
    double[] d_array83 = new double[] { 10.0d, 1.0d };
    dSCompiler70.tanh(d_array79, 0, d_array83, 0);
    dSCompiler14.compose(d_array36, (-1), d_array62, d_array79, 0);
    double[] d_array89 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array7, 20, d_array79, (-20), d_array89, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test015"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test016"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    dSCompiler5.checkCompatibility(dSCompiler8);
    int i13 = dSCompiler8.getSize();
    int[] i_array15 = dSCompiler8.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    dSCompiler18.checkCompatibility(dSCompiler21);
    int i26 = dSCompiler21.getSize();
    int[] i_array28 = dSCompiler21.getPartialDerivativeOrders(0);
    double[] d_array30 = new double[] { 1.0d };
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    dSCompiler21.tanh(d_array30, 0, d_array34, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i44 = dSCompiler43.getOrder();
    int i45 = dSCompiler43.getOrder();
    int i46 = dSCompiler43.getOrder();
    dSCompiler40.checkCompatibility(dSCompiler43);
    int i48 = dSCompiler43.getSize();
    int[] i_array50 = dSCompiler43.getPartialDerivativeOrders(0);
    double[] d_array52 = new double[] { 1.0d };
    double[] d_array56 = new double[] { 10.0d, 1.0d };
    dSCompiler43.tanh(d_array52, 0, d_array56, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler64 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i65 = dSCompiler64.getOrder();
    int i66 = dSCompiler64.getOrder();
    int i67 = dSCompiler64.getOrder();
    dSCompiler61.checkCompatibility(dSCompiler64);
    int i69 = dSCompiler64.getSize();
    int[] i_array71 = dSCompiler64.getPartialDerivativeOrders(0);
    double[] d_array73 = new double[] { 1.0d };
    double[] d_array77 = new double[] { 10.0d, 1.0d };
    dSCompiler64.tanh(d_array73, 0, d_array77, 0);
    dSCompiler8.compose(d_array30, (-1), d_array56, d_array73, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler86 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i87 = dSCompiler86.getOrder();
    int i88 = dSCompiler86.getOrder();
    int i89 = dSCompiler86.getSize();
    int i90 = dSCompiler86.getSize();
    double[] d_array92 = new double[] { 10.0d };
    double[] d_array94 = null;
    double d95 = dSCompiler86.taylor(d_array92, 0, d_array94);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.rootN(d_array73, (-1), (-127), d_array92, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 10.0d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test017"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    double[] d_array6 = null;
    double[] d_array10 = new double[] { (-1.0d), 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.acosh(d_array6, 1, d_array10, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test018"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-38.37920198524031d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 38.37920198524031d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test019"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array7 = new double[] { 10.0d, 10.0d };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i12 = dSCompiler11.getOrder();
    int i13 = dSCompiler11.getOrder();
    int i14 = dSCompiler11.getSize();
    int i15 = dSCompiler11.getSize();
    double[] d_array17 = new double[] { 10.0d };
    double[] d_array19 = null;
    double d20 = dSCompiler11.taylor(d_array17, 0, d_array19);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array7, (-127), d_array19, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test020"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.7591519698191315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3022634284251158d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test021"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(8.4703295E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.47033E-22f);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test022"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test023"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test024"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(8.638987560158184E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.638987560158184E-13d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test025"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test026"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    int i17 = dSCompiler12.getSize();
    int[] i_array19 = dSCompiler12.getPartialDerivativeOrders(0);
    double[] d_array21 = new double[] { 1.0d };
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    dSCompiler12.tanh(d_array21, 0, d_array25, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getSize();
    int i35 = dSCompiler31.getSize();
    double[] d_array37 = new double[] { 10.0d };
    double[] d_array39 = null;
    double d40 = dSCompiler31.taylor(d_array37, 0, d_array39);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array21, 10, d_array39, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test027"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.5707963267948966d, 1.4677992676220695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test028"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(4.527730016919659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7097772460758185d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test029"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-20), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-20));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-0.502047843255528d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test031"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    double[] d_array15 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler22 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i23 = dSCompiler22.getOrder();
    int i24 = dSCompiler22.getOrder();
    int i25 = dSCompiler22.getOrder();
    dSCompiler19.checkCompatibility(dSCompiler22);
    int i27 = dSCompiler22.getSize();
    int[] i_array29 = dSCompiler22.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i36 = dSCompiler35.getOrder();
    int i37 = dSCompiler35.getOrder();
    int i38 = dSCompiler35.getOrder();
    dSCompiler32.checkCompatibility(dSCompiler35);
    int i40 = dSCompiler35.getSize();
    int[] i_array42 = dSCompiler35.getPartialDerivativeOrders(0);
    double[] d_array44 = new double[] { 1.0d };
    double[] d_array48 = new double[] { 10.0d, 1.0d };
    dSCompiler35.tanh(d_array44, 0, d_array48, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler54 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler57 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i58 = dSCompiler57.getOrder();
    int i59 = dSCompiler57.getOrder();
    int i60 = dSCompiler57.getOrder();
    dSCompiler54.checkCompatibility(dSCompiler57);
    int i62 = dSCompiler57.getSize();
    int[] i_array64 = dSCompiler57.getPartialDerivativeOrders(0);
    double[] d_array66 = new double[] { 1.0d };
    double[] d_array70 = new double[] { 10.0d, 1.0d };
    dSCompiler57.tanh(d_array66, 0, d_array70, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler75 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler78 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i79 = dSCompiler78.getOrder();
    int i80 = dSCompiler78.getOrder();
    int i81 = dSCompiler78.getOrder();
    dSCompiler75.checkCompatibility(dSCompiler78);
    int i83 = dSCompiler78.getSize();
    int[] i_array85 = dSCompiler78.getPartialDerivativeOrders(0);
    double[] d_array87 = new double[] { 1.0d };
    double[] d_array91 = new double[] { 10.0d, 1.0d };
    dSCompiler78.tanh(d_array87, 0, d_array91, 0);
    dSCompiler22.compose(d_array44, (-1), d_array70, d_array87, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler9.acos(d_array15, 0, d_array87, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test032"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.0d), 38.6404282665018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test033"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(4.615120516841259d, 4.347613670123174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.267506846718085d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test034"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure34.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure34.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure29.divide(derivativeStructure39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure45.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.sinh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.0d, derivativeStructure4, 0.6931471805599454d, derivativeStructure21, 1.570796326794897d, derivativeStructure40, 100.0d, derivativeStructure47);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test035"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(10, (-1), (-1023), 1.7182818284590453d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test036"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.multiply(10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure11.multiply(derivativeStructure20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test037"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(709.782712893384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test038"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    double[] d_array8 = new double[] { 10.0d };
    double[] d_array10 = null;
    double d11 = dSCompiler2.taylor(d_array8, 0, d_array10);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    dSCompiler14.checkCompatibility(dSCompiler17);
    int i22 = dSCompiler17.getSize();
    int[] i_array24 = dSCompiler17.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getOrder();
    dSCompiler27.checkCompatibility(dSCompiler30);
    int i35 = dSCompiler30.getSize();
    int[] i_array37 = dSCompiler30.getPartialDerivativeOrders(0);
    double[] d_array39 = new double[] { 1.0d };
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    dSCompiler30.tanh(d_array39, 0, d_array43, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler49 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i53 = dSCompiler52.getOrder();
    int i54 = dSCompiler52.getOrder();
    int i55 = dSCompiler52.getOrder();
    dSCompiler49.checkCompatibility(dSCompiler52);
    int i57 = dSCompiler52.getSize();
    int[] i_array59 = dSCompiler52.getPartialDerivativeOrders(0);
    double[] d_array61 = new double[] { 1.0d };
    double[] d_array65 = new double[] { 10.0d, 1.0d };
    dSCompiler52.tanh(d_array61, 0, d_array65, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler70 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler73 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i74 = dSCompiler73.getOrder();
    int i75 = dSCompiler73.getOrder();
    int i76 = dSCompiler73.getOrder();
    dSCompiler70.checkCompatibility(dSCompiler73);
    int i78 = dSCompiler73.getSize();
    int[] i_array80 = dSCompiler73.getPartialDerivativeOrders(0);
    double[] d_array82 = new double[] { 1.0d };
    double[] d_array86 = new double[] { 10.0d, 1.0d };
    dSCompiler73.tanh(d_array82, 0, d_array86, 0);
    dSCompiler17.compose(d_array39, (-1), d_array65, d_array82, 0);
    double[] d_array95 = new double[] { 0.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array82, 20, 8.881784197001252E-16d, d_array95, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array95);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test039"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i17 = dSCompiler16.getOrder();
    int i18 = dSCompiler16.getOrder();
    int i19 = dSCompiler16.getOrder();
    dSCompiler13.checkCompatibility(dSCompiler16);
    int i21 = dSCompiler16.getSize();
    int[] i_array23 = dSCompiler16.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i30 = dSCompiler29.getOrder();
    int i31 = dSCompiler29.getOrder();
    int i32 = dSCompiler29.getOrder();
    dSCompiler26.checkCompatibility(dSCompiler29);
    int i34 = dSCompiler29.getSize();
    int[] i_array36 = dSCompiler29.getPartialDerivativeOrders(0);
    double[] d_array38 = new double[] { 1.0d };
    double[] d_array42 = new double[] { 10.0d, 1.0d };
    dSCompiler29.tanh(d_array38, 0, d_array42, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler51 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i52 = dSCompiler51.getOrder();
    int i53 = dSCompiler51.getOrder();
    int i54 = dSCompiler51.getOrder();
    dSCompiler48.checkCompatibility(dSCompiler51);
    int i56 = dSCompiler51.getSize();
    int[] i_array58 = dSCompiler51.getPartialDerivativeOrders(0);
    double[] d_array60 = new double[] { 1.0d };
    double[] d_array64 = new double[] { 10.0d, 1.0d };
    dSCompiler51.tanh(d_array60, 0, d_array64, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler69 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler72 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i73 = dSCompiler72.getOrder();
    int i74 = dSCompiler72.getOrder();
    int i75 = dSCompiler72.getOrder();
    dSCompiler69.checkCompatibility(dSCompiler72);
    int i77 = dSCompiler72.getSize();
    int[] i_array79 = dSCompiler72.getPartialDerivativeOrders(0);
    double[] d_array81 = new double[] { 1.0d };
    double[] d_array85 = new double[] { 10.0d, 1.0d };
    dSCompiler72.tanh(d_array81, 0, d_array85, 0);
    dSCompiler16.compose(d_array38, (-1), d_array64, d_array81, 0);
    double[] d_array93 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array64, (-20), 20, d_array93, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test040"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.15917453895486153d), (-0.16053261455350384d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.22606913585643787d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.4677992676220695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10281505017332132d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test042"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.03093022358753579d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test043"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(5.6449034565936405d, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test044"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test045"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-127), 0, Double.NaN);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test046"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.5293379817722994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.999140725900862d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test047"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i15 = dSCompiler14.getOrder();
    int i16 = dSCompiler14.getOrder();
    int i17 = dSCompiler14.getOrder();
    dSCompiler11.checkCompatibility(dSCompiler14);
    int i19 = dSCompiler14.getSize();
    int[] i_array21 = dSCompiler14.getPartialDerivativeOrders(0);
    double[] d_array23 = new double[] { 1.0d };
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    dSCompiler14.tanh(d_array23, 0, d_array27, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure3.compose(d_array23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test048"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    int i17 = dSCompiler12.getSize();
    int[] i_array19 = dSCompiler12.getPartialDerivativeOrders(0);
    double[] d_array21 = new double[] { 1.0d };
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    dSCompiler12.tanh(d_array21, 0, d_array25, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getSize();
    int i35 = dSCompiler31.getSize();
    double[] d_array37 = new double[] { 10.0d };
    double[] d_array39 = null;
    double d40 = dSCompiler31.taylor(d_array37, 0, d_array39);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asinh(d_array21, (-24), d_array37, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test049"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    int i10 = dSCompiler7.getOrder();
    dSCompiler4.checkCompatibility(dSCompiler7);
    int i12 = dSCompiler7.getSize();
    int[] i_array14 = dSCompiler7.getPartialDerivativeOrders(0);
    double[] d_array16 = new double[] { 1.0d };
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    dSCompiler7.tanh(d_array16, 0, d_array20, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-20), 0, d_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test050"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test051"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    int i9 = derivativeStructure5.getExponent();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test052"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    double[] d_array8 = new double[] { 10.0d };
    double[] d_array10 = null;
    double d11 = dSCompiler2.taylor(d_array8, 0, d_array10);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    dSCompiler14.checkCompatibility(dSCompiler17);
    int i22 = dSCompiler17.getSize();
    int[] i_array24 = dSCompiler17.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getOrder();
    dSCompiler27.checkCompatibility(dSCompiler30);
    int i35 = dSCompiler30.getSize();
    int[] i_array37 = dSCompiler30.getPartialDerivativeOrders(0);
    double[] d_array39 = new double[] { 1.0d };
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    dSCompiler30.tanh(d_array39, 0, d_array43, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler49 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i53 = dSCompiler52.getOrder();
    int i54 = dSCompiler52.getOrder();
    int i55 = dSCompiler52.getOrder();
    dSCompiler49.checkCompatibility(dSCompiler52);
    int i57 = dSCompiler52.getSize();
    int[] i_array59 = dSCompiler52.getPartialDerivativeOrders(0);
    double[] d_array61 = new double[] { 1.0d };
    double[] d_array65 = new double[] { 10.0d, 1.0d };
    dSCompiler52.tanh(d_array61, 0, d_array65, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler70 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler73 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i74 = dSCompiler73.getOrder();
    int i75 = dSCompiler73.getOrder();
    int i76 = dSCompiler73.getOrder();
    dSCompiler70.checkCompatibility(dSCompiler73);
    int i78 = dSCompiler73.getSize();
    int[] i_array80 = dSCompiler73.getPartialDerivativeOrders(0);
    double[] d_array82 = new double[] { 1.0d };
    double[] d_array86 = new double[] { 10.0d, 1.0d };
    dSCompiler73.tanh(d_array82, 0, d_array86, 0);
    dSCompiler17.compose(d_array39, (-1), d_array65, d_array82, 0);
    double[] d_array94 = new double[] { (-1.0d), 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.expm1(d_array82, 100, d_array94, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test053"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.7591519698191315d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.073215758553052d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test054"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    int i10 = dSCompiler7.getOrder();
    dSCompiler4.checkCompatibility(dSCompiler7);
    int i12 = dSCompiler7.getSize();
    int[] i_array14 = dSCompiler7.getPartialDerivativeOrders(0);
    double[] d_array16 = new double[] { 1.0d };
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    dSCompiler7.tanh(d_array16, 0, d_array20, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(10, 3, d_array20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test055"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getOrder();
    dSCompiler37.checkCompatibility(dSCompiler40);
    int i45 = dSCompiler40.getSize();
    int[] i_array47 = dSCompiler40.getPartialDerivativeOrders(0);
    double[] d_array49 = new double[] { 1.0d };
    double[] d_array53 = new double[] { 10.0d, 1.0d };
    dSCompiler40.tanh(d_array49, 0, d_array53, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan(d_array33, 0, d_array49, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test056"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(4.527730016919659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 5L);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test057"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test058"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.4210856E-14f, 100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210856E-14f);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test059"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test060"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.4E-45f, 8.47033E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test061"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(8.638987560158184E-13d, 123.44001497540268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.638987560158184E-13d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test062"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.5703568922850637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9440447578591878d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test063"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(10, 0);
    double[] d_array3 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getOrder();
    dSCompiler7.checkCompatibility(dSCompiler10);
    int i15 = dSCompiler10.getSize();
    int[] i_array17 = dSCompiler10.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getOrder();
    dSCompiler20.checkCompatibility(dSCompiler23);
    int i28 = dSCompiler23.getSize();
    int[] i_array30 = dSCompiler23.getPartialDerivativeOrders(0);
    double[] d_array32 = new double[] { 1.0d };
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    dSCompiler23.tanh(d_array32, 0, d_array36, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler42 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i46 = dSCompiler45.getOrder();
    int i47 = dSCompiler45.getOrder();
    int i48 = dSCompiler45.getOrder();
    dSCompiler42.checkCompatibility(dSCompiler45);
    int i50 = dSCompiler45.getSize();
    int[] i_array52 = dSCompiler45.getPartialDerivativeOrders(0);
    double[] d_array54 = new double[] { 1.0d };
    double[] d_array58 = new double[] { 10.0d, 1.0d };
    dSCompiler45.tanh(d_array54, 0, d_array58, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler63 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler66 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i67 = dSCompiler66.getOrder();
    int i68 = dSCompiler66.getOrder();
    int i69 = dSCompiler66.getOrder();
    dSCompiler63.checkCompatibility(dSCompiler66);
    int i71 = dSCompiler66.getSize();
    int[] i_array73 = dSCompiler66.getPartialDerivativeOrders(0);
    double[] d_array75 = new double[] { 1.0d };
    double[] d_array79 = new double[] { 10.0d, 1.0d };
    dSCompiler66.tanh(d_array75, 0, d_array79, 0);
    dSCompiler10.compose(d_array32, (-1), d_array58, d_array75, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.exp(d_array3, (-127), d_array58, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test064"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler3 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i4 = dSCompiler3.getOrder();
    int i5 = dSCompiler3.getOrder();
    java.lang.Object[] obj_array6 = new java.lang.Object[] { dSCompiler3 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array6);
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException12 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable8, (java.lang.Number)(-1.0d), (java.lang.Number)1, false);
    mathIllegalArgumentException7.addSuppressed((java.lang.Throwable)numberIsTooLargeException12);
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException17 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable14, (-1023), (-1023));
    numberIsTooLargeException12.addSuppressed((java.lang.Throwable)dimensionMismatchException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test065"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 72.34321284858714d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test066"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.6931471805599454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test067"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.5707963267948966d, 1.7927734888497224E32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7927734888497224E32d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test068"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-1.0d), 19.085536923187668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test069"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test070"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 0, 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test071"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test072"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(8.4703295E-22f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.4703295E-22f);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test073"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(100.00499987500626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test074"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    dSCompiler5.tanh(d_array14, 0, d_array18, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    int i26 = dSCompiler24.getOrder();
    int i27 = dSCompiler24.getSize();
    int i28 = dSCompiler24.getSize();
    double[] d_array30 = new double[] { 10.0d };
    double[] d_array32 = null;
    double d33 = dSCompiler24.taylor(d_array30, 0, d_array32);
    double[] d_array38 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i47 = dSCompiler46.getOrder();
    int i48 = dSCompiler46.getOrder();
    int i49 = dSCompiler46.getOrder();
    dSCompiler43.checkCompatibility(dSCompiler46);
    int i51 = dSCompiler46.getSize();
    int[] i_array53 = dSCompiler46.getPartialDerivativeOrders(0);
    double[] d_array55 = new double[] { 1.0d };
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    dSCompiler46.tanh(d_array55, 0, d_array59, 0);
    double[] d_array65 = new double[] { 0.0d };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler69 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i70 = dSCompiler69.getOrder();
    int i71 = dSCompiler69.getOrder();
    int i72 = dSCompiler69.getSize();
    int i73 = dSCompiler69.getSize();
    double[] d_array75 = new double[] { 10.0d };
    double[] d_array77 = null;
    double d78 = dSCompiler69.taylor(d_array75, 0, d_array77);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.linearCombination(0.27588107309214316d, d_array30, 0, 1.5707963267948966d, d_array38, (-20), (-0.4652845412696676d), d_array59, 6, 1.7927734888497224E32d, d_array65, 0, d_array75, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 10.0d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test075"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.4873058201553492d, 0.2436369776730935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9643175412944536d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test076"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test077"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.7927734888497224E32d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7927734888497224E32d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test078"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.26572325005933806d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9649028225886944d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test079"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.6698434389303876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5901986839880569d));

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test080"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getOrder();
    dSCompiler25.checkCompatibility(dSCompiler28);
    int i33 = dSCompiler28.getSize();
    int[] i_array35 = dSCompiler28.getPartialDerivativeOrders(0);
    double[] d_array37 = new double[] { 1.0d };
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    dSCompiler28.tanh(d_array37, 0, d_array41, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler47 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler50 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i51 = dSCompiler50.getOrder();
    int i52 = dSCompiler50.getOrder();
    int i53 = dSCompiler50.getOrder();
    dSCompiler47.checkCompatibility(dSCompiler50);
    int i55 = dSCompiler50.getSize();
    int[] i_array57 = dSCompiler50.getPartialDerivativeOrders(0);
    double[] d_array59 = new double[] { 1.0d };
    double[] d_array63 = new double[] { 10.0d, 1.0d };
    dSCompiler50.tanh(d_array59, 0, d_array63, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler68 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler71 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i72 = dSCompiler71.getOrder();
    int i73 = dSCompiler71.getOrder();
    int i74 = dSCompiler71.getOrder();
    dSCompiler68.checkCompatibility(dSCompiler71);
    int i76 = dSCompiler71.getSize();
    int[] i_array78 = dSCompiler71.getPartialDerivativeOrders(0);
    double[] d_array80 = new double[] { 1.0d };
    double[] d_array84 = new double[] { 10.0d, 1.0d };
    dSCompiler71.tanh(d_array80, 0, d_array84, 0);
    dSCompiler15.compose(d_array37, (-1), d_array63, d_array80, 0);
    double[] d_array91 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.pow(d_array37, 0, (-38.37920198524031d), d_array91, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test081"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(1, 0);
    double[] d_array4 = new double[] {  };
    double[] d_array9 = new double[] { 100.0d, (-1.0d) };
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.floor();
    double[] d_array19 = derivativeStructure18.getAllDerivatives();
    double[] d_array22 = null;
    double[] d_array24 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(2.154434690031884d, d_array4, 0, 0.04280531349184275d, d_array9, (-1), 5.5090553334921735d, d_array19, (-127), 1.0d, d_array22, (-127), d_array24, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test082"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array12 = dSCompiler2.getPartialDerivativeOrders(1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test083"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(10, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test084"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.5707963267948968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 90.00000000000001d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test085"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.05555555555555559d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23570226039551592d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test086"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.2436369776730935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test087"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    int i24 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getSize();
    int i31 = dSCompiler27.getSize();
    double[] d_array33 = new double[] { 10.0d };
    double[] d_array35 = null;
    double d36 = dSCompiler27.taylor(d_array33, 0, d_array35);
    double[] d_array39 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sin(d_array35, 20, d_array39, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test088"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.7853981633974483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test089"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getSize();
    int i13 = dSCompiler9.getSize();
    double[] d_array15 = new double[] { 10.0d };
    double[] d_array17 = null;
    double d18 = dSCompiler9.taylor(d_array15, 0, d_array17);
    double[] d_array20 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sin(d_array17, 3, d_array20, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test090"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-0.15917453895486153d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test091"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    int i36 = dSCompiler17.getPartialDerivativeIndex(i_array35);
    int[] i_array39 = new int[] { 10, 1 };
    // The following exception was thrown during execution in test generation
    try {
      int i40 = dSCompiler17.getPartialDerivativeIndex(i_array39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test092"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i12 = dSCompiler11.getOrder();
    int i13 = dSCompiler11.getOrder();
    int i14 = dSCompiler11.getOrder();
    dSCompiler8.checkCompatibility(dSCompiler11);
    int i16 = dSCompiler11.getSize();
    int[] i_array18 = dSCompiler11.getPartialDerivativeOrders(0);
    double[] d_array20 = new double[] { 1.0d };
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    dSCompiler11.tanh(d_array20, 0, d_array24, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.floor();
    double[] d_array35 = derivativeStructure34.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log10(d_array24, (-24), d_array35, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test093"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.776356839400251E-15d, 4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.9476266098825343E-16d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test094"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.floor();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(419.0324869164659d, derivativeStructure8, 1.4677992676220695d, derivativeStructure16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test095"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    int i7 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    int i18 = dSCompiler13.getSize();
    int[] i_array20 = dSCompiler13.getPartialDerivativeOrders(0);
    double[] d_array22 = new double[] { 1.0d };
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    dSCompiler13.tanh(d_array22, 0, d_array26, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.floor();
    double[] d_array37 = derivativeStructure36.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array22, (-1), d_array37, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test096"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1), (-24), 6, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test097"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(7.1054274E-15f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test098"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(2.622247694426012d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 150.24372572852124d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test099"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.04280531349184275d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04280531349184275d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test100"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6268604078470186d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test101"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(4.615120516841259d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.615120516841259d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test102"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    dSCompiler17.checkCompatibility(dSCompiler30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.floor();
    double[] d_array44 = derivativeStructure43.getAllDerivatives();
    double[] d_array46 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.acosh(d_array44, (-1023), d_array46, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test103"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.9440447578591878d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5865168324851123d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test104"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(419.03248691646587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.6843418860808015E-14d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test105"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10L);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test106"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.7591519698191315d, (-1.74756892189523E-308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-8.4178039853587E-309d));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test107"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(10, (-20), 10, 709.782712893384d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test108"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.999140725900862d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test109"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(3.9476266098825343E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9868635106324072E-8d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test110"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 20);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.15917453895486153d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test112"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure2.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    int i12 = dSCompiler8.getOrder();
    int i13 = dSCompiler8.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i17 = dSCompiler16.getOrder();
    int i18 = dSCompiler16.getOrder();
    int i19 = dSCompiler16.getOrder();
    int i20 = dSCompiler16.getOrder();
    int i21 = dSCompiler16.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getOrder();
    dSCompiler24.checkCompatibility(dSCompiler27);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i38 = dSCompiler37.getOrder();
    int i39 = dSCompiler37.getOrder();
    int i40 = dSCompiler37.getOrder();
    dSCompiler34.checkCompatibility(dSCompiler37);
    int i42 = dSCompiler37.getSize();
    int[] i_array44 = dSCompiler37.getPartialDerivativeOrders(0);
    int i45 = dSCompiler24.getPartialDerivativeIndex(i_array44);
    int i46 = dSCompiler16.getPartialDerivativeIndex(i_array44);
    int i47 = dSCompiler8.getPartialDerivativeIndex(i_array44);
    // The following exception was thrown during execution in test generation
    try {
      double d48 = derivativeStructure2.getPartialDerivative(i_array44);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test113"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(7.1054274E-15f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test114"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getOrder();
    dSCompiler25.checkCompatibility(dSCompiler28);
    int i33 = dSCompiler28.getSize();
    int[] i_array35 = dSCompiler28.getPartialDerivativeOrders(0);
    double[] d_array37 = new double[] { 1.0d };
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    dSCompiler28.tanh(d_array37, 0, d_array41, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler47 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler50 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i51 = dSCompiler50.getOrder();
    int i52 = dSCompiler50.getOrder();
    int i53 = dSCompiler50.getOrder();
    dSCompiler47.checkCompatibility(dSCompiler50);
    int i55 = dSCompiler50.getSize();
    int[] i_array57 = dSCompiler50.getPartialDerivativeOrders(0);
    double[] d_array59 = new double[] { 1.0d };
    double[] d_array63 = new double[] { 10.0d, 1.0d };
    dSCompiler50.tanh(d_array59, 0, d_array63, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler68 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler71 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i72 = dSCompiler71.getOrder();
    int i73 = dSCompiler71.getOrder();
    int i74 = dSCompiler71.getOrder();
    dSCompiler68.checkCompatibility(dSCompiler71);
    int i76 = dSCompiler71.getSize();
    int[] i_array78 = dSCompiler71.getPartialDerivativeOrders(0);
    double[] d_array80 = new double[] { 1.0d };
    double[] d_array84 = new double[] { 10.0d, 1.0d };
    dSCompiler71.tanh(d_array80, 0, d_array84, 0);
    dSCompiler15.compose(d_array37, (-1), d_array63, d_array80, 0);
    double[] d_array90 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tan(d_array63, 6, d_array90, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test115"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(5.5090553334921735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test116"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.03093515553795393d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.17588392632061045d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test117"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test118"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(100.00499987500626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8648398482276849d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test119"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(709.782712893384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test120"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.log();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test121"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test122"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test123"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test124"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5574077246549023d));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test125"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.4677992676220695d, (java.lang.Number)(-0.15917453895486153d), false);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test126"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test127"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.055555555555555594d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.938893903907228E-18d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test128"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int i34 = dSCompiler30.getSize();
    double[] d_array36 = new double[] { 10.0d };
    double[] d_array38 = null;
    double d39 = dSCompiler30.taylor(d_array36, 0, d_array38);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i47 = dSCompiler46.getOrder();
    int i48 = dSCompiler46.getOrder();
    int i49 = dSCompiler46.getOrder();
    dSCompiler43.checkCompatibility(dSCompiler46);
    int i51 = dSCompiler46.getSize();
    int[] i_array53 = dSCompiler46.getPartialDerivativeOrders(0);
    double[] d_array55 = new double[] { 1.0d };
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    dSCompiler46.tanh(d_array55, 0, d_array59, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.asinh(d_array38, (-24), d_array55, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test129"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getSize();
    int i13 = dSCompiler9.getSize();
    double[] d_array15 = new double[] { 10.0d };
    double[] d_array17 = null;
    double d18 = dSCompiler9.taylor(d_array15, 0, d_array17);
    double[] d_array20 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tan(d_array15, (-127), d_array20, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test130"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test131"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getOrder();
    dSCompiler30.checkCompatibility(dSCompiler33);
    int i38 = dSCompiler33.getSize();
    int[] i_array40 = dSCompiler33.getPartialDerivativeOrders(0);
    double[] d_array42 = new double[] { 1.0d };
    double[] d_array46 = new double[] { 10.0d, 1.0d };
    dSCompiler33.tanh(d_array42, 0, d_array46, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler55 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i56 = dSCompiler55.getOrder();
    int i57 = dSCompiler55.getOrder();
    int i58 = dSCompiler55.getOrder();
    dSCompiler52.checkCompatibility(dSCompiler55);
    int i60 = dSCompiler55.getSize();
    int[] i_array62 = dSCompiler55.getPartialDerivativeOrders(0);
    double[] d_array64 = new double[] { 1.0d };
    double[] d_array68 = new double[] { 10.0d, 1.0d };
    dSCompiler55.tanh(d_array64, 0, d_array68, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.tan(d_array42, 3, d_array68, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test132"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.267506846718085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.004668875246858371d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test133"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4161468365471424d));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test134"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.05555555555555559d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test135"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.0f, 100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test136"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.2645710638625583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9652047544458712d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test137"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test138"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(80.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 80);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test139"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.7724538509055159d, 0.8850253832360281d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1076911829175151d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test140"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(3.741019531049614E-69d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test141"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test142"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.1102230246251565E-16d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test143"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(80.0f, 0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 80.0f);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test144"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.5293379817722994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.991699960029815d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test145"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1), 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test146"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test147"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-0.6698434389303876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6698434389303876d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test148"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.00499987500625d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test149"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.7182818284590453d, (-0.16053261455350384d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.718281828459045d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test150"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(4.527730016919659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test151"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.expm1();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure5.subtract(derivativeStructure9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test152"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test153"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.004668875246858371d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.004668858284692784d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test154"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(2.622247694426012d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6186615712299957d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test155"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(90.00000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 90.00000000000003d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test156"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.4210856E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-46));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test157"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-20), 0);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test158"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(6.073215758553052d, 100.00499987500626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.06065462911070001d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test159"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long10 = derivativeStructure9.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.cosh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure5.divide(derivativeStructure13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test160"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(10, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i12 = dSCompiler11.getOrder();
    int i13 = dSCompiler11.getOrder();
    int i14 = dSCompiler11.getSize();
    int i15 = dSCompiler11.getSize();
    double[] d_array17 = new double[] { 10.0d };
    double[] d_array19 = null;
    double d20 = dSCompiler11.taylor(d_array17, 0, d_array19);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure8.compose(d_array17);
    double[] d_array24 = new double[] { 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sin(d_array17, 80, d_array24, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test161"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(2.097207631308085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9702889150812204d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test162"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    double[] d_array7 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i15 = dSCompiler14.getOrder();
    int i16 = dSCompiler14.getOrder();
    int i17 = dSCompiler14.getOrder();
    dSCompiler11.checkCompatibility(dSCompiler14);
    int i19 = dSCompiler14.getSize();
    int[] i_array21 = dSCompiler14.getPartialDerivativeOrders(0);
    double[] d_array23 = new double[] { 1.0d };
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    dSCompiler14.tanh(d_array23, 0, d_array27, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.acosh(d_array7, 0, d_array23, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test163"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(6.938893903907228E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.975693351829396E-16d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test164"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    int i17 = dSCompiler12.getSize();
    int[] i_array19 = dSCompiler12.getPartialDerivativeOrders(0);
    double[] d_array21 = new double[] { 1.0d };
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    dSCompiler12.tanh(d_array21, 0, d_array25, 0);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i38 = dSCompiler37.getOrder();
    int i39 = dSCompiler37.getOrder();
    int i40 = dSCompiler37.getOrder();
    dSCompiler34.checkCompatibility(dSCompiler37);
    int i42 = dSCompiler37.getSize();
    int[] i_array44 = dSCompiler37.getPartialDerivativeOrders(0);
    double[] d_array46 = new double[] { 1.0d };
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    dSCompiler37.tanh(d_array46, 0, d_array50, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array25, 0, d_array30, 3, d_array50, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test165"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getSize();
    int i13 = dSCompiler9.getSize();
    double[] d_array15 = new double[] { 10.0d };
    double[] d_array17 = null;
    double d18 = dSCompiler9.taylor(d_array15, 0, d_array17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure6.compose(d_array15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure25.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure25.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure25.rootN((-24));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3.141592653589793d, derivativeStructure19, 10240.0d, derivativeStructure32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test166"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    int i18 = dSCompiler13.getSize();
    int[] i_array20 = dSCompiler13.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getOrder();
    dSCompiler23.checkCompatibility(dSCompiler26);
    int i31 = dSCompiler26.getSize();
    int[] i_array33 = dSCompiler26.getPartialDerivativeOrders(0);
    double[] d_array35 = new double[] { 1.0d };
    double[] d_array39 = new double[] { 10.0d, 1.0d };
    dSCompiler26.tanh(d_array35, 0, d_array39, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getOrder();
    dSCompiler45.checkCompatibility(dSCompiler48);
    int i53 = dSCompiler48.getSize();
    int[] i_array55 = dSCompiler48.getPartialDerivativeOrders(0);
    double[] d_array57 = new double[] { 1.0d };
    double[] d_array61 = new double[] { 10.0d, 1.0d };
    dSCompiler48.tanh(d_array57, 0, d_array61, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler66 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler69 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i70 = dSCompiler69.getOrder();
    int i71 = dSCompiler69.getOrder();
    int i72 = dSCompiler69.getOrder();
    dSCompiler66.checkCompatibility(dSCompiler69);
    int i74 = dSCompiler69.getSize();
    int[] i_array76 = dSCompiler69.getPartialDerivativeOrders(0);
    double[] d_array78 = new double[] { 1.0d };
    double[] d_array82 = new double[] { 10.0d, 1.0d };
    dSCompiler69.tanh(d_array78, 0, d_array82, 0);
    dSCompiler13.compose(d_array35, (-1), d_array61, d_array78, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure87 = derivativeStructure5.compose(d_array35);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test167"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-38.37920198524031d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test168"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-4.340832561168609d), 0.004668858284692784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test169"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.7182818284590455d, (java.lang.Number)0.267506846718085d, false);
    java.lang.Number number4 = numberIsTooLargeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.7182818284590455d+ "'", number4.equals(1.7182818284590455d));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test170"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, 419.0324869164659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test171"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-2L), 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2L));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test172"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(2.154434690031884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1544346900318843d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test173"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(8.4703295E-22f, 0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test174"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test175"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getSize();
    int i17 = dSCompiler13.getSize();
    double[] d_array19 = new double[] { 10.0d };
    double[] d_array21 = null;
    double d22 = dSCompiler13.taylor(d_array19, 0, d_array21);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int i30 = dSCompiler26.getSize();
    double[] d_array32 = new double[] { 10.0d };
    double[] d_array34 = null;
    double d35 = dSCompiler26.taylor(d_array32, 0, d_array34);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array21, 0, d_array34, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 10.0d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(4.61512051684126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6641830464487656d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test177"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 1.1076911829175151d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test178"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getOrder();
    dSCompiler7.checkCompatibility(dSCompiler10);
    int i15 = dSCompiler10.getSize();
    int[] i_array17 = dSCompiler10.getPartialDerivativeOrders(0);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array23 = new double[] { 10.0d, 1.0d };
    dSCompiler10.tanh(d_array19, 0, d_array23, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure3.compose(d_array19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test179"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.944304526105059E-31d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test180"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.9649028225886944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4433683181179398d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test181"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.8850253832360281d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.015446606901193318d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test182"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(419.03248691646587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5772171907329233d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test183"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i12 = dSCompiler11.getOrder();
    int i13 = dSCompiler11.getOrder();
    int i14 = dSCompiler11.getOrder();
    dSCompiler8.checkCompatibility(dSCompiler11);
    int i16 = dSCompiler11.getSize();
    int[] i_array18 = dSCompiler11.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    int i26 = dSCompiler24.getOrder();
    int i27 = dSCompiler24.getOrder();
    dSCompiler21.checkCompatibility(dSCompiler24);
    int i29 = dSCompiler24.getSize();
    int[] i_array31 = dSCompiler24.getPartialDerivativeOrders(0);
    double[] d_array33 = new double[] { 1.0d };
    double[] d_array37 = new double[] { 10.0d, 1.0d };
    dSCompiler24.tanh(d_array33, 0, d_array37, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i47 = dSCompiler46.getOrder();
    int i48 = dSCompiler46.getOrder();
    int i49 = dSCompiler46.getOrder();
    dSCompiler43.checkCompatibility(dSCompiler46);
    int i51 = dSCompiler46.getSize();
    int[] i_array53 = dSCompiler46.getPartialDerivativeOrders(0);
    double[] d_array55 = new double[] { 1.0d };
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    dSCompiler46.tanh(d_array55, 0, d_array59, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler64 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler67 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i68 = dSCompiler67.getOrder();
    int i69 = dSCompiler67.getOrder();
    int i70 = dSCompiler67.getOrder();
    dSCompiler64.checkCompatibility(dSCompiler67);
    int i72 = dSCompiler67.getSize();
    int[] i_array74 = dSCompiler67.getPartialDerivativeOrders(0);
    double[] d_array76 = new double[] { 1.0d };
    double[] d_array80 = new double[] { 10.0d, 1.0d };
    dSCompiler67.tanh(d_array76, 0, d_array80, 0);
    dSCompiler11.compose(d_array33, (-1), d_array59, d_array76, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler88 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i89 = dSCompiler88.getOrder();
    int i90 = dSCompiler88.getOrder();
    int i91 = dSCompiler88.getSize();
    int i92 = dSCompiler88.getSize();
    double[] d_array94 = new double[] { 10.0d };
    double[] d_array96 = null;
    double d97 = dSCompiler88.taylor(d_array94, 0, d_array96);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array76, (-20), d_array94, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i91 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i92 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 10.0d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test184"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-8.881784197001252E-16d), 3.412786325278231d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.881784197001252E-16d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test185"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1.0d), (java.lang.Number)1, false);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    java.lang.Throwable[] throwable_array6 = numberIsTooLargeException4.getSuppressed();
    boolean b7 = numberIsTooLargeException4.getBoundIsAllowed();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str8 = numberIsTooLargeException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-1.0d)+ "'", number5.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test186"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure4.scalb(0);
    int i10 = derivativeStructure4.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure4.remainder(2.097207631308085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test187"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    int i17 = dSCompiler12.getSize();
    int[] i_array19 = dSCompiler12.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler22 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i26 = dSCompiler25.getOrder();
    int i27 = dSCompiler25.getOrder();
    int i28 = dSCompiler25.getOrder();
    dSCompiler22.checkCompatibility(dSCompiler25);
    int i30 = dSCompiler25.getSize();
    int[] i_array32 = dSCompiler25.getPartialDerivativeOrders(0);
    double[] d_array34 = new double[] { 1.0d };
    double[] d_array38 = new double[] { 10.0d, 1.0d };
    dSCompiler25.tanh(d_array34, 0, d_array38, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler44 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler47 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i48 = dSCompiler47.getOrder();
    int i49 = dSCompiler47.getOrder();
    int i50 = dSCompiler47.getOrder();
    dSCompiler44.checkCompatibility(dSCompiler47);
    int i52 = dSCompiler47.getSize();
    int[] i_array54 = dSCompiler47.getPartialDerivativeOrders(0);
    double[] d_array56 = new double[] { 1.0d };
    double[] d_array60 = new double[] { 10.0d, 1.0d };
    dSCompiler47.tanh(d_array56, 0, d_array60, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler65 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler68 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i69 = dSCompiler68.getOrder();
    int i70 = dSCompiler68.getOrder();
    int i71 = dSCompiler68.getOrder();
    dSCompiler65.checkCompatibility(dSCompiler68);
    int i73 = dSCompiler68.getSize();
    int[] i_array75 = dSCompiler68.getPartialDerivativeOrders(0);
    double[] d_array77 = new double[] { 1.0d };
    double[] d_array81 = new double[] { 10.0d, 1.0d };
    dSCompiler68.tanh(d_array77, 0, d_array81, 0);
    dSCompiler12.compose(d_array34, (-1), d_array60, d_array77, 0);
    double[] d_array87 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.acosh(d_array34, (-46), d_array87, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test188"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(2.097207631308085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.133098806250011d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test189"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException3 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array2);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = mathIllegalArgumentException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test190"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.5901986839880569d), 0.10281505017332132d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5901986839880567d));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test191"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure12.acosh();
    double[] d_array18 = derivativeStructure17.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getSize();
    int i32 = dSCompiler28.getSize();
    double[] d_array34 = new double[] { 10.0d };
    double[] d_array36 = null;
    double d37 = dSCompiler28.taylor(d_array34, 0, d_array36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure25.compose(d_array34);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array18, (-1023), d_array34, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test192"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-0.99999994f), 80.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 80.0f);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test193"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)19.085536923187668d, (java.lang.Number)0.999140725900862d, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.999140725900862d+ "'", number5.equals(0.999140725900862d));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test194"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.004668858284692784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.673617379884035E-19d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test195"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, 0.6698434389303876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6698434389303876d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test196"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.5051123208461794d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6571716449292492d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test197"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(8.47033E-22f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.47033E-22f);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test198"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.2645710638625583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6419690851391311d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test199"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.004668875246858371d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.000010899217834d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test200"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.17588392632061045d, (-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.243207067369466E34d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test201"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-1.4711276743037347d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8997923511366261d));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test202"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-1.5574077246549023d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test203"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.2915496650148839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2558427881104495d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test204"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.log1p();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getOrder();
    dSCompiler20.checkCompatibility(dSCompiler23);
    int i28 = dSCompiler23.getSize();
    int[] i_array30 = dSCompiler23.getPartialDerivativeOrders(0);
    int i31 = dSCompiler10.getPartialDerivativeIndex(i_array30);
    // The following exception was thrown during execution in test generation
    try {
      double d32 = derivativeStructure7.getPartialDerivative(i_array30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test205"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    boolean b10 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Number number11 = numberIsTooLargeException9.getMax();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException9);
    java.lang.Number number13 = numberIsTooLargeException9.getArgument();
    boolean b14 = numberIsTooLargeException9.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 10+ "'", number11.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (byte)1+ "'", number13.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test206"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.floor();
    double[] d_array11 = derivativeStructure10.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getOrder();
    dSCompiler15.checkCompatibility(dSCompiler18);
    int i23 = dSCompiler18.getSize();
    int[] i_array25 = dSCompiler18.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    int i36 = dSCompiler31.getSize();
    int[] i_array38 = dSCompiler31.getPartialDerivativeOrders(0);
    double[] d_array40 = new double[] { 1.0d };
    double[] d_array44 = new double[] { 10.0d, 1.0d };
    dSCompiler31.tanh(d_array40, 0, d_array44, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler50 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler53 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i54 = dSCompiler53.getOrder();
    int i55 = dSCompiler53.getOrder();
    int i56 = dSCompiler53.getOrder();
    dSCompiler50.checkCompatibility(dSCompiler53);
    int i58 = dSCompiler53.getSize();
    int[] i_array60 = dSCompiler53.getPartialDerivativeOrders(0);
    double[] d_array62 = new double[] { 1.0d };
    double[] d_array66 = new double[] { 10.0d, 1.0d };
    dSCompiler53.tanh(d_array62, 0, d_array66, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler71 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler74 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i75 = dSCompiler74.getOrder();
    int i76 = dSCompiler74.getOrder();
    int i77 = dSCompiler74.getOrder();
    dSCompiler71.checkCompatibility(dSCompiler74);
    int i79 = dSCompiler74.getSize();
    int[] i_array81 = dSCompiler74.getPartialDerivativeOrders(0);
    double[] d_array83 = new double[] { 1.0d };
    double[] d_array87 = new double[] { 10.0d, 1.0d };
    dSCompiler74.tanh(d_array83, 0, d_array87, 0);
    dSCompiler18.compose(d_array40, (-1), d_array66, d_array83, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array11, 3, d_array40, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test207"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.4652845412696676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5020478432555281d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test208"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(100.0f, (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-5f);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test209"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.log1p();
    long long8 = derivativeStructure6.round();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 1L);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test210"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(7.1054274E-15f, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.4505806E-9f);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test211"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, 0.03093022358753579d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test212"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(2L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test213"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    int i3 = dimensionMismatchException2.getDimension();
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException2.getSuppressed();
    java.lang.String str5 = dimensionMismatchException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math3.exception.DimensionMismatchException: -1 != -1"+ "'", str5.equals("org.apache.commons.math3.exception.DimensionMismatchException: -1 != -1"));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test214"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.9604645E-8f);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test215"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.7853981633974483d), 0.4873058201553492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test216"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    int i13 = dSCompiler9.getOrder();
    int i14 = dSCompiler9.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    int i21 = dSCompiler17.getOrder();
    int i22 = dSCompiler17.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getOrder();
    dSCompiler25.checkCompatibility(dSCompiler28);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getOrder();
    dSCompiler35.checkCompatibility(dSCompiler38);
    int i43 = dSCompiler38.getSize();
    int[] i_array45 = dSCompiler38.getPartialDerivativeOrders(0);
    int i46 = dSCompiler25.getPartialDerivativeIndex(i_array45);
    int i47 = dSCompiler17.getPartialDerivativeIndex(i_array45);
    int i48 = dSCompiler9.getPartialDerivativeIndex(i_array45);
    int i49 = dSCompiler2.getPartialDerivativeIndex(i_array45);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i53 = dSCompiler52.getOrder();
    int i54 = dSCompiler52.getOrder();
    int i55 = dSCompiler52.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure61.floor();
    double[] d_array63 = derivativeStructure62.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure70.floor();
    double[] d_array72 = derivativeStructure71.getAllDerivatives();
    double d73 = dSCompiler52.taylor(d_array63, 20, d_array72);
    double[] d_array75 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan(d_array72, 1, d_array75, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test217"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.015446606901193318d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.015447835585206494d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test218"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(5.9604645E-8f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.9604645E-8f);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test219"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test220"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test221"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(3, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test222"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.7869259484028011d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6649851499464902d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test223"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure0 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.asinh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure0, derivativeStructure12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test224"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.991699960029815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8754923774149989d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test225"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    int i15 = dSCompiler2.getFreeParameters();
    double[] d_array17 = new double[] { 10.0d };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.floor();
    double[] d_array32 = derivativeStructure31.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.floor();
    double[] d_array41 = derivativeStructure40.getAllDerivatives();
    double d42 = dSCompiler21.taylor(d_array32, 20, d_array41);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler49 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i50 = dSCompiler49.getOrder();
    int i51 = dSCompiler49.getOrder();
    int i52 = dSCompiler49.getOrder();
    dSCompiler46.checkCompatibility(dSCompiler49);
    int i54 = dSCompiler49.getSize();
    int[] i_array56 = dSCompiler49.getPartialDerivativeOrders(0);
    double[] d_array58 = new double[] { 1.0d };
    double[] d_array62 = new double[] { 10.0d, 1.0d };
    dSCompiler49.tanh(d_array58, 0, d_array62, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.multiply(d_array17, (-127), d_array41, 80, d_array58, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test226"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure12.acosh();
    double[] d_array18 = derivativeStructure17.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler22 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i23 = dSCompiler22.getOrder();
    int i24 = dSCompiler22.getOrder();
    int i25 = dSCompiler22.getSize();
    int i26 = dSCompiler22.getSize();
    double[] d_array28 = new double[] { 10.0d };
    double[] d_array30 = null;
    double d31 = dSCompiler22.taylor(d_array28, 0, d_array30);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getOrder();
    dSCompiler35.checkCompatibility(dSCompiler38);
    int i43 = dSCompiler38.getSize();
    int[] i_array45 = dSCompiler38.getPartialDerivativeOrders(0);
    double[] d_array47 = new double[] { 1.0d };
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    dSCompiler38.tanh(d_array47, 0, d_array51, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array18, 100, d_array28, (-24), d_array47, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test227"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.floor();
    double[] d_array18 = derivativeStructure17.getAllDerivatives();
    double[] d_array20 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.asinh(d_array18, 100, d_array20, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test228"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.03093515553795393d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03093515553795393d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test229"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-1.0d), 0.8754923774149989d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test230"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler26.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getOrder();
    dSCompiler36.checkCompatibility(dSCompiler39);
    int i44 = dSCompiler39.getSize();
    int[] i_array46 = dSCompiler39.getPartialDerivativeOrders(0);
    double[] d_array48 = new double[] { 1.0d };
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    dSCompiler39.tanh(d_array48, 0, d_array52, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure61.floor();
    double[] d_array63 = derivativeStructure62.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler67 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i68 = dSCompiler67.getOrder();
    int i69 = dSCompiler67.getOrder();
    int i70 = dSCompiler67.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure74.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure76.floor();
    double[] d_array78 = derivativeStructure77.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure83.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure85.floor();
    double[] d_array87 = derivativeStructure86.getAllDerivatives();
    double d88 = dSCompiler67.taylor(d_array78, 20, d_array87);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler26.add(d_array52, (-127), d_array63, (-127), d_array78, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test231"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-1.74756892189523E-308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.74756892189523E-308d));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test232"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    int i8 = derivativeStructure7.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.remainder((-0.502047843255528d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    int i17 = dSCompiler13.getOrder();
    int i18 = dSCompiler13.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    int i25 = dSCompiler21.getOrder();
    int i26 = dSCompiler21.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i33 = dSCompiler32.getOrder();
    int i34 = dSCompiler32.getOrder();
    int i35 = dSCompiler32.getOrder();
    dSCompiler29.checkCompatibility(dSCompiler32);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler42 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i43 = dSCompiler42.getOrder();
    int i44 = dSCompiler42.getOrder();
    int i45 = dSCompiler42.getOrder();
    dSCompiler39.checkCompatibility(dSCompiler42);
    int i47 = dSCompiler42.getSize();
    int[] i_array49 = dSCompiler42.getPartialDerivativeOrders(0);
    int i50 = dSCompiler29.getPartialDerivativeIndex(i_array49);
    int i51 = dSCompiler21.getPartialDerivativeIndex(i_array49);
    int i52 = dSCompiler13.getPartialDerivativeIndex(i_array49);
    // The following exception was thrown during execution in test generation
    try {
      double d53 = derivativeStructure10.getPartialDerivative(i_array49);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test233"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(5.5090553334921735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9777138024322894d));

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test234"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-15.954589770191003d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.954589770191001d));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test235"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test236"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-6.731094208094568d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-7L));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test237"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.20657095758432376d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test238"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(20, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test239"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.7591519698191315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test240"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-127), 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-127));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test241"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.sqrt();
    long long5 = derivativeStructure4.round();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test242"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.5703568922850637d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7851784461425318d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test243"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long13 = derivativeStructure12.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure8.pow(derivativeStructure12);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i20 = dSCompiler19.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getOrder();
    dSCompiler23.checkCompatibility(dSCompiler26);
    dSCompiler19.checkCompatibility(dSCompiler26);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i35 = dSCompiler34.getOrder();
    int i36 = dSCompiler34.getOrder();
    int i37 = dSCompiler34.getSize();
    int i38 = dSCompiler34.getSize();
    double[] d_array40 = new double[] { 10.0d };
    double[] d_array42 = null;
    double d43 = dSCompiler34.taylor(d_array40, 0, d_array42);
    dSCompiler26.checkCompatibility(dSCompiler34);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler47 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i48 = dSCompiler47.getOrder();
    int i49 = dSCompiler47.getOrder();
    int i50 = dSCompiler47.getSize();
    int[] i_array52 = dSCompiler47.getPartialDerivativeOrders(0);
    int i53 = dSCompiler34.getPartialDerivativeIndex(i_array52);
    // The following exception was thrown during execution in test generation
    try {
      double d54 = derivativeStructure8.getPartialDerivative(i_array52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(419.03248691646587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.313496569512391d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test245"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test246"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.floor();
    double[] d_array14 = derivativeStructure13.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    int i26 = dSCompiler24.getOrder();
    int i27 = dSCompiler24.getSize();
    int i28 = dSCompiler24.getSize();
    double[] d_array30 = new double[] { 10.0d };
    double[] d_array32 = null;
    double d33 = dSCompiler24.taylor(d_array30, 0, d_array32);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure21.compose(d_array30);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array14, (-1023), d_array30, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test247"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(90.00000000000003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.102016471589377E38d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test248"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.03093022358753579d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3139021954154575d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test249"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.6641830464487656d, 0.20657095758432376d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9189456319283761d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test250"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.2485749363470669d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 254.5407348193965d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test251"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test252"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.7763568394002505E-15d, (-0.4652845412696676d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.7763568394002505E-15d));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test253"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-1.0d), (-6.731094208094568d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.9941071519256446d));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test254"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(99.99999f, 4.133098806250011d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.999985f);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test255"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.pow(derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.multiply(2.097207631308085d);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getSize();
    int i27 = dSCompiler23.getSize();
    double[] d_array29 = new double[] { 10.0d };
    double[] d_array31 = null;
    double d32 = dSCompiler23.taylor(d_array29, 0, d_array31);
    // The following exception was thrown during execution in test generation
    try {
      double d33 = derivativeStructure17.taylor(d_array29);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 10.0d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test256"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.16053261455350384d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test257"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.multiply(80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test258"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.6744026976311414d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7994454289118335d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test259"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1.0d), (java.lang.Number)1, false);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    java.lang.Number number6 = numberIsTooLargeException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-1.0d)+ "'", number5.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1.0d)+ "'", number6.equals((-1.0d)));

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test260"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(99.999985f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.999985f);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test261"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    dSCompiler5.checkCompatibility(dSCompiler12);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getSize();
    int i24 = dSCompiler20.getSize();
    double[] d_array26 = new double[] { 10.0d };
    double[] d_array28 = null;
    double d29 = dSCompiler20.taylor(d_array26, 0, d_array28);
    dSCompiler12.checkCompatibility(dSCompiler20);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getSize();
    int[] i_array38 = dSCompiler33.getPartialDerivativeOrders(0);
    dSCompiler20.checkCompatibility(dSCompiler33);
    dSCompiler2.checkCompatibility(dSCompiler20);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i47 = dSCompiler46.getOrder();
    int i48 = dSCompiler46.getOrder();
    int i49 = dSCompiler46.getOrder();
    dSCompiler43.checkCompatibility(dSCompiler46);
    int i51 = dSCompiler46.getSize();
    int[] i_array53 = dSCompiler46.getPartialDerivativeOrders(0);
    double[] d_array55 = new double[] { 1.0d };
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    dSCompiler46.tanh(d_array55, 0, d_array59, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler65 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i66 = dSCompiler65.getOrder();
    int i67 = dSCompiler65.getOrder();
    int i68 = dSCompiler65.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure72.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure74.floor();
    double[] d_array76 = derivativeStructure75.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure81.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure83.floor();
    double[] d_array85 = derivativeStructure84.getAllDerivatives();
    double d86 = dSCompiler65.taylor(d_array76, 20, d_array85);
    // The following exception was thrown during execution in test generation
    try {
      double d87 = dSCompiler20.taylor(d_array59, 6, d_array76);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test262"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(9.536743E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test263"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i37 = dSCompiler36.getOrder();
    int i38 = dSCompiler36.getOrder();
    int i39 = dSCompiler36.getSize();
    int i40 = dSCompiler36.getSize();
    double[] d_array42 = new double[] { 10.0d };
    double[] d_array44 = null;
    double d45 = dSCompiler36.taylor(d_array42, 0, d_array44);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure33.compose(d_array42);
    double[] d_array49 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler9.pow(d_array42, (-20), 0, d_array49, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test264"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.sinh();
    int i7 = derivativeStructure3.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getOrder();
    int i14 = dSCompiler10.getOrder();
    int i15 = dSCompiler10.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getOrder();
    int i22 = dSCompiler18.getOrder();
    int i23 = dSCompiler18.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i30 = dSCompiler29.getOrder();
    int i31 = dSCompiler29.getOrder();
    int i32 = dSCompiler29.getOrder();
    dSCompiler26.checkCompatibility(dSCompiler29);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getOrder();
    dSCompiler36.checkCompatibility(dSCompiler39);
    int i44 = dSCompiler39.getSize();
    int[] i_array46 = dSCompiler39.getPartialDerivativeOrders(0);
    int i47 = dSCompiler26.getPartialDerivativeIndex(i_array46);
    int i48 = dSCompiler18.getPartialDerivativeIndex(i_array46);
    int i49 = dSCompiler10.getPartialDerivativeIndex(i_array46);
    // The following exception was thrown during execution in test generation
    try {
      double d50 = derivativeStructure3.getPartialDerivative(i_array46);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test265"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test266"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(7.1054274E-15f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.1054274E-15f));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test267"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-4.340832561168609d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.631264348439414d));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test268"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(10240.0d);
    org.apache.commons.math3.Field field12 = derivativeStructure11.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure20.copySign(0.27588107309214316d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure33.subtract(1.8473728170778716d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.0d, derivativeStructure13, (-2.9941071519256446d), derivativeStructure20, 0.015446606901193318d, derivativeStructure36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test269"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.7853981633974483d), (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-8.73784460947615E-309d));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test270"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    int i12 = dSCompiler8.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler8);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure19.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure19.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure19.acosh();
    double[] d_array25 = derivativeStructure24.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i36 = dSCompiler35.getOrder();
    int i37 = dSCompiler35.getOrder();
    int i38 = dSCompiler35.getSize();
    int i39 = dSCompiler35.getSize();
    double[] d_array41 = new double[] { 10.0d };
    double[] d_array43 = null;
    double d44 = dSCompiler35.taylor(d_array41, 0, d_array43);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure32.compose(d_array41);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler8.tan(d_array25, 0, d_array41, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test271"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.9652047544458712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.26457106386255846d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test272"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.9652047544458712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8565543835445739d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test273"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1023));
    double d11 = derivativeStructure8.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-0.47544202894407056d));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test274"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.4873058201553492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5299324224383604d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test275"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    int i15 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    dSCompiler18.checkCompatibility(dSCompiler21);
    int i26 = dSCompiler21.getSize();
    int[] i_array28 = dSCompiler21.getPartialDerivativeOrders(0);
    double[] d_array30 = new double[] { 1.0d };
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    dSCompiler21.tanh(d_array30, 0, d_array34, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure41.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.floor();
    double[] d_array45 = derivativeStructure44.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.acosh(d_array30, (-24), d_array45, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test276"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.8565543835445739d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test277"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)5.62949953421312E14d, (java.lang.Number)1.4677992676220695d, true);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test278"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler22 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i23 = dSCompiler22.getOrder();
    int i24 = dSCompiler22.getOrder();
    int i25 = dSCompiler22.getOrder();
    dSCompiler19.checkCompatibility(dSCompiler22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i33 = dSCompiler32.getOrder();
    int i34 = dSCompiler32.getOrder();
    int i35 = dSCompiler32.getOrder();
    dSCompiler29.checkCompatibility(dSCompiler32);
    int i37 = dSCompiler32.getSize();
    int[] i_array39 = dSCompiler32.getPartialDerivativeOrders(0);
    int i40 = dSCompiler19.getPartialDerivativeIndex(i_array39);
    // The following exception was thrown during execution in test generation
    try {
      double d41 = derivativeStructure16.getPartialDerivative(i_array39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test279"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler26.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getOrder();
    dSCompiler36.checkCompatibility(dSCompiler39);
    int i44 = dSCompiler39.getSize();
    int[] i_array46 = dSCompiler39.getPartialDerivativeOrders(0);
    double[] d_array48 = new double[] { 1.0d };
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    dSCompiler39.tanh(d_array48, 0, d_array52, 0);
    double[] d_array57 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler26.pow(d_array52, (-20), 80, d_array57, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test280"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-1.7763568394002505E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.776356839400252E-15d));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test281"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.26457106386255846d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.25856600932692314d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test282"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    dSCompiler5.checkCompatibility(dSCompiler12);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getSize();
    int i24 = dSCompiler20.getSize();
    double[] d_array26 = new double[] { 10.0d };
    double[] d_array28 = null;
    double d29 = dSCompiler20.taylor(d_array26, 0, d_array28);
    dSCompiler12.checkCompatibility(dSCompiler20);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getSize();
    int[] i_array38 = dSCompiler33.getPartialDerivativeOrders(0);
    dSCompiler20.checkCompatibility(dSCompiler33);
    dSCompiler2.checkCompatibility(dSCompiler20);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i44 = dSCompiler43.getOrder();
    int i45 = dSCompiler43.getOrder();
    int i46 = dSCompiler43.getSize();
    int i47 = dSCompiler43.getSize();
    double[] d_array49 = new double[] { 10.0d };
    double[] d_array51 = null;
    double d52 = dSCompiler43.taylor(d_array49, 0, d_array51);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler57 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i58 = dSCompiler57.getOrder();
    int i59 = dSCompiler57.getOrder();
    int i60 = dSCompiler57.getSize();
    int i61 = dSCompiler57.getSize();
    double[] d_array63 = new double[] { 10.0d };
    double[] d_array65 = null;
    double d66 = dSCompiler57.taylor(d_array63, 0, d_array65);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array51, (-1023), (-6.731094208094568d), d_array65, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 10.0d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test283"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.1920928E-7f, 7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920928E-7f);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test284"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test285"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.9702889150812204d, 1.1076911829175151d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9702889150812204d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test286"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.16053261455350384d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.15984399561057216d));

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test287"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    int i13 = dSCompiler9.getOrder();
    int i14 = dSCompiler9.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    int i21 = dSCompiler17.getOrder();
    int i22 = dSCompiler17.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getOrder();
    dSCompiler25.checkCompatibility(dSCompiler28);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getOrder();
    dSCompiler35.checkCompatibility(dSCompiler38);
    int i43 = dSCompiler38.getSize();
    int[] i_array45 = dSCompiler38.getPartialDerivativeOrders(0);
    int i46 = dSCompiler25.getPartialDerivativeIndex(i_array45);
    int i47 = dSCompiler17.getPartialDerivativeIndex(i_array45);
    int i48 = dSCompiler9.getPartialDerivativeIndex(i_array45);
    int i49 = dSCompiler2.getPartialDerivativeIndex(i_array45);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure55.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure55.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure55.acosh();
    double[] d_array61 = derivativeStructure60.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler71 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i72 = dSCompiler71.getOrder();
    int i73 = dSCompiler71.getOrder();
    int i74 = dSCompiler71.getSize();
    int i75 = dSCompiler71.getSize();
    double[] d_array77 = new double[] { 10.0d };
    double[] d_array79 = null;
    double d80 = dSCompiler71.taylor(d_array77, 0, d_array79);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure68.compose(d_array77);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure87 = derivativeStructure86.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure86.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure90 = derivativeStructure88.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure91 = derivativeStructure88.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure92 = derivativeStructure88.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure93 = derivativeStructure88.acosh();
    double[] d_array94 = derivativeStructure93.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.subtract(d_array61, (-24), d_array77, 20, d_array94, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test288"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cos();
    double[] d_array11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = derivativeStructure9.taylor(d_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test289"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.015446606901193318d, (java.lang.Number)1.5707963267948968d, true);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test290"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooLargeException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test291"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.floor();
    double[] d_array19 = derivativeStructure18.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.floor();
    double[] d_array28 = derivativeStructure27.getAllDerivatives();
    double d29 = dSCompiler8.taylor(d_array19, 20, d_array28);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getSize();
    int i43 = dSCompiler39.getSize();
    double[] d_array45 = new double[] { 10.0d };
    double[] d_array47 = null;
    double d48 = dSCompiler39.taylor(d_array45, 0, d_array47);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure36.compose(d_array45);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler53 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler56 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i57 = dSCompiler56.getOrder();
    int i58 = dSCompiler56.getOrder();
    int i59 = dSCompiler56.getOrder();
    dSCompiler53.checkCompatibility(dSCompiler56);
    int i61 = dSCompiler56.getSize();
    int[] i_array63 = dSCompiler56.getPartialDerivativeOrders(0);
    double[] d_array65 = new double[] { 1.0d };
    double[] d_array69 = new double[] { 10.0d, 1.0d };
    dSCompiler56.tanh(d_array65, 0, d_array69, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array28, 0, d_array45, 0, d_array69, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test292"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.838954838512659d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test293"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-46), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-46));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test294"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getSize();
    int i12 = dSCompiler8.getSize();
    double[] d_array14 = new double[] { 10.0d };
    double[] d_array16 = null;
    double d17 = dSCompiler8.taylor(d_array14, 0, d_array16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure5.compose(d_array14);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.scalb((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure24.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure32.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure24.divide(derivativeStructure32);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure24.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.cosh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure20, derivativeStructure39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test295"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-0.4652845412696676d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7748890809109701d));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test296"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.015446606901193318d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01544660690119332d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test297"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(90.00000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.192925985263684d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test298"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)6, (java.lang.Number)(-1.4711276743037347d), false);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test299"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.pow(0);
    double d13 = derivativeStructure12.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test300"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test301"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test302"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure13.pow((-1.5707963267948968d));
    double[] d_array20 = new double[] { 10.0d };
    double d21 = derivativeStructure13.taylor(d_array20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure28.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure28.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure28.acosh();
    double[] d_array34 = derivativeStructure33.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler41 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i42 = dSCompiler41.getOrder();
    int i43 = dSCompiler41.getOrder();
    int i44 = dSCompiler41.getOrder();
    dSCompiler38.checkCompatibility(dSCompiler41);
    int i46 = dSCompiler41.getSize();
    int[] i_array48 = dSCompiler41.getPartialDerivativeOrders(0);
    double[] d_array50 = new double[] { 1.0d };
    double[] d_array54 = new double[] { 10.0d, 1.0d };
    dSCompiler41.tanh(d_array50, 0, d_array54, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.atan2(d_array20, (-24), d_array34, 1, d_array54, 80);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test303"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(99.999985f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test304"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(3.9476266098825343E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-35.46824694783695d));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test305"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    int i15 = dSCompiler2.getFreeParameters();
    double[] d_array18 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getSize();
    int i32 = dSCompiler28.getSize();
    double[] d_array34 = new double[] { 10.0d };
    double[] d_array36 = null;
    double d37 = dSCompiler28.taylor(d_array34, 0, d_array36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure25.compose(d_array34);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sin(d_array18, 100, d_array34, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test306"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.4873058201553492d, (java.lang.Number)1.8473728170778716d, true);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test307"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    int i10 = dSCompiler7.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.floor();
    double[] d_array18 = derivativeStructure17.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.floor();
    double[] d_array27 = derivativeStructure26.getAllDerivatives();
    double d28 = dSCompiler7.taylor(d_array18, 20, d_array27);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.floor();
    double[] d_array38 = derivativeStructure37.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.rootN(d_array18, 80, 6, d_array38, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test308"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1), (-1023), 0.5051123208461794d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test309"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler26.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure36.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure36.pow((-1.5707963267948968d));
    double[] d_array43 = new double[] { 10.0d };
    double d44 = derivativeStructure36.taylor(d_array43);
    double[] d_array46 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler26.exp(d_array43, 0, d_array46, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test310"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test311"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.7097772460758185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.854318051294694d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test312"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.floor();
    double[] d_array19 = derivativeStructure18.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.floor();
    double[] d_array28 = derivativeStructure27.getAllDerivatives();
    double d29 = dSCompiler8.taylor(d_array19, 20, d_array28);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure33.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure33.pow((-1.5707963267948968d));
    double[] d_array40 = new double[] { 10.0d };
    double d41 = derivativeStructure33.taylor(d_array40);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array19, (-1), d_array40, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test313"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure15.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test314"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(9.536743E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536744E-5f);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test315"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    double[] d_array11 = null;
    double[] d_array13 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.atan(d_array11, 0, d_array13, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test316"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure3.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.subtract(5.6843418860808015E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test317"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-2.9941071519256446d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-171.5497032152746d));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test318"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)5.6843418860808015E-14d, number2, false);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    java.lang.Throwable[] throwable_array8 = dimensionMismatchException7.getSuppressed();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)dimensionMismatchException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test319"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.999140725900862d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01743829535773623d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test320"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.26572325005933806d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test321"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.7748890809109701d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.4911620245203239d));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test322"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test323"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.7869259484028011d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0030602477923982d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test324"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure5.divide(4.499809670330265d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.cosh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure19.divide(derivativeStructure23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test325"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getOrder();
    dSCompiler20.checkCompatibility(dSCompiler23);
    int i28 = dSCompiler23.getSize();
    int[] i_array30 = dSCompiler23.getPartialDerivativeOrders(0);
    int i31 = dSCompiler10.getPartialDerivativeIndex(i_array30);
    int i32 = dSCompiler2.getPartialDerivativeIndex(i_array30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure38.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure38.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure38.acosh();
    double[] d_array44 = derivativeStructure43.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler54 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i55 = dSCompiler54.getOrder();
    int i56 = dSCompiler54.getOrder();
    int i57 = dSCompiler54.getSize();
    int i58 = dSCompiler54.getSize();
    double[] d_array60 = new double[] { 10.0d };
    double[] d_array62 = null;
    double d63 = dSCompiler54.taylor(d_array60, 0, d_array62);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure51.compose(d_array60);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array44, 3, d_array60, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test326"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    dSCompiler5.tanh(d_array14, 0, d_array18, 0);
    int i21 = dSCompiler5.getSize();
    double[] d_array22 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getSize();
    int i31 = dSCompiler27.getSize();
    double[] d_array33 = new double[] { 10.0d };
    double[] d_array35 = null;
    double d36 = dSCompiler27.taylor(d_array33, 0, d_array35);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.pow(d_array22, 80, 3.412786325278231d, d_array35, 80);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 10.0d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test327"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.subtract(derivativeStructure8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test328"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    int i12 = dSCompiler8.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler8);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i17 = dSCompiler16.getOrder();
    int i18 = dSCompiler16.getOrder();
    int i19 = dSCompiler16.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.floor();
    double[] d_array27 = derivativeStructure26.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.floor();
    double[] d_array36 = derivativeStructure35.getAllDerivatives();
    double d37 = dSCompiler16.taylor(d_array27, 20, d_array36);
    double[] d_array39 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler8.cos(d_array27, 100, d_array39, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test329"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure3.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test330"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.3139021954154575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9511359238503061d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test331"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(3.944304526105059E-31d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test332"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test333"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    double[] d_array6 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i17 = dSCompiler16.getOrder();
    int i18 = dSCompiler16.getOrder();
    int i19 = dSCompiler16.getSize();
    int i20 = dSCompiler16.getSize();
    double[] d_array22 = new double[] { 10.0d };
    double[] d_array24 = null;
    double d25 = dSCompiler16.taylor(d_array22, 0, d_array24);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure13.compose(d_array22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure33.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure33.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure33.acosh();
    double[] d_array39 = derivativeStructure38.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array6, 6, d_array22, 3, d_array39, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test334"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array34 = dSCompiler26.getPartialDerivativeOrders((-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test335"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.718281828459045d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.178180991207368E30d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test336"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, 3.741019531049614E-69d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test337"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure36.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure36.pow((-1.5707963267948968d));
    double[] d_array43 = new double[] { 10.0d };
    double d44 = derivativeStructure36.taylor(d_array43);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure48.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure48.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure48.pow((-1.5707963267948968d));
    double[] d_array55 = new double[] { 10.0d };
    double d56 = derivativeStructure48.taylor(d_array55);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array43, 3, d_array55, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test338"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-24), 10);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test339"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test340"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.ceil();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure3.remainder(derivativeStructure11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test341"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array10 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i15 = dSCompiler14.getOrder();
    int i16 = dSCompiler14.getOrder();
    int i17 = dSCompiler14.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.floor();
    double[] d_array25 = derivativeStructure24.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.floor();
    double[] d_array34 = derivativeStructure33.getAllDerivatives();
    double d35 = dSCompiler14.taylor(d_array25, 20, d_array34);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.sin(d_array10, 80, d_array25, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test342"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.03093022358753579d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.030920365816330564d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test343"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    int i36 = dSCompiler17.getPartialDerivativeIndex(i_array35);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler42 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i43 = dSCompiler42.getOrder();
    int i44 = dSCompiler42.getOrder();
    int i45 = dSCompiler42.getOrder();
    dSCompiler39.checkCompatibility(dSCompiler42);
    int i47 = dSCompiler42.getSize();
    int[] i_array49 = dSCompiler42.getPartialDerivativeOrders(0);
    double[] d_array51 = new double[] { 1.0d };
    double[] d_array55 = new double[] { 10.0d, 1.0d };
    dSCompiler42.tanh(d_array51, 0, d_array55, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i62 = dSCompiler61.getOrder();
    int i63 = dSCompiler61.getOrder();
    int i64 = dSCompiler61.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure70.floor();
    double[] d_array72 = derivativeStructure71.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure77.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure79.floor();
    double[] d_array81 = derivativeStructure80.getAllDerivatives();
    double d82 = dSCompiler61.taylor(d_array72, 20, d_array81);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.atanh(d_array51, 1, d_array72, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test344"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.01743829535773623d, 0.06065462911070001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7822383054153456d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test345"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(99.999985f, 1.7097772460758185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99998f);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test346"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.570796326794897d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2334031175112175d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test347"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 257.8201027220785d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test348"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test349"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test350"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getSize();
    int i22 = dSCompiler18.getSize();
    double[] d_array24 = new double[] { 10.0d };
    double[] d_array26 = null;
    double d27 = dSCompiler18.taylor(d_array24, 0, d_array26);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure15.compose(d_array24);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i36 = dSCompiler35.getOrder();
    int i37 = dSCompiler35.getOrder();
    int i38 = dSCompiler35.getOrder();
    dSCompiler32.checkCompatibility(dSCompiler35);
    int i40 = dSCompiler35.getSize();
    int[] i_array42 = dSCompiler35.getPartialDerivativeOrders(0);
    double[] d_array44 = new double[] { 1.0d };
    double[] d_array48 = new double[] { 10.0d, 1.0d };
    dSCompiler35.tanh(d_array44, 0, d_array48, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler54 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler57 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i58 = dSCompiler57.getOrder();
    int i59 = dSCompiler57.getOrder();
    int i60 = dSCompiler57.getOrder();
    dSCompiler54.checkCompatibility(dSCompiler57);
    int i62 = dSCompiler57.getSize();
    int[] i_array64 = dSCompiler57.getPartialDerivativeOrders(0);
    double[] d_array66 = new double[] { 1.0d };
    double[] d_array70 = new double[] { 10.0d, 1.0d };
    dSCompiler57.tanh(d_array66, 0, d_array70, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.pow(d_array24, (-1), d_array48, 100, d_array70, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test351"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.9189456319283761d, 0.004668858284692784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.004668858284692784d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test352"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler((-24), 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test353"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.1544346900318843d, 0.26457106386255846d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2251530756397981d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test354"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.multiply(80);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getOrder();
    dSCompiler23.checkCompatibility(dSCompiler26);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i37 = dSCompiler36.getOrder();
    int i38 = dSCompiler36.getOrder();
    int i39 = dSCompiler36.getOrder();
    dSCompiler33.checkCompatibility(dSCompiler36);
    int i41 = dSCompiler36.getSize();
    int[] i_array43 = dSCompiler36.getPartialDerivativeOrders(0);
    int i44 = dSCompiler23.getPartialDerivativeIndex(i_array43);
    // The following exception was thrown during execution in test generation
    try {
      double d45 = derivativeStructure18.getPartialDerivative(i_array43);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test355"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.6045426631236213d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test356"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-20), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-20));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test357"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 1);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test358"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.858931910669651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test359"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(5.6449034565936405d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5958164402125868d));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test360"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array13 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    // The following exception was thrown during execution in test generation
    try {
      double d27 = dSCompiler5.taylor(d_array13, 100, d_array23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test361"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test362"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.05555555555555559d, 0.9189456319283761d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.055555555555555594d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test363"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    int i12 = dSCompiler8.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler8);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i20 = dSCompiler19.getOrder();
    int i21 = dSCompiler19.getOrder();
    int i22 = dSCompiler19.getOrder();
    dSCompiler16.checkCompatibility(dSCompiler19);
    int i24 = dSCompiler19.getSize();
    int[] i_array26 = dSCompiler19.getPartialDerivativeOrders(0);
    double[] d_array28 = new double[] { 1.0d };
    double[] d_array32 = new double[] { 10.0d, 1.0d };
    dSCompiler19.tanh(d_array28, 0, d_array32, 0);
    double[] d_array36 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sin(d_array32, 1, d_array36, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test364"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getOrder();
    dSCompiler30.checkCompatibility(dSCompiler33);
    int i38 = dSCompiler33.getSize();
    int[] i_array40 = dSCompiler33.getPartialDerivativeOrders(0);
    double[] d_array42 = new double[] { 1.0d };
    double[] d_array46 = new double[] { 10.0d, 1.0d };
    dSCompiler33.tanh(d_array42, 0, d_array46, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i59 = dSCompiler58.getOrder();
    int i60 = dSCompiler58.getOrder();
    int i61 = dSCompiler58.getSize();
    int i62 = dSCompiler58.getSize();
    double[] d_array64 = new double[] { 10.0d };
    double[] d_array66 = null;
    double d67 = dSCompiler58.taylor(d_array64, 0, d_array66);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure55.compose(d_array64);
    double[] d_array70 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.remainder(d_array46, 100, d_array64, 0, d_array70, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test365"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int[] i_array7 = dSCompiler2.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.floor();
    double[] d_array21 = derivativeStructure20.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.floor();
    double[] d_array30 = derivativeStructure29.getAllDerivatives();
    double d31 = dSCompiler10.taylor(d_array21, 20, d_array30);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getOrder();
    dSCompiler36.checkCompatibility(dSCompiler39);
    int i44 = dSCompiler39.getSize();
    int[] i_array46 = dSCompiler39.getPartialDerivativeOrders(0);
    double[] d_array48 = new double[] { 1.0d };
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    dSCompiler39.tanh(d_array48, 0, d_array52, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array21, (-20), 1.5430806348152437d, d_array52, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test366"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i7 = dSCompiler6.getOrder();
    int i8 = dSCompiler6.getOrder();
    int i9 = dSCompiler6.getSize();
    int i10 = dSCompiler6.getSize();
    double[] d_array12 = new double[] { 10.0d };
    double[] d_array14 = null;
    double d15 = dSCompiler6.taylor(d_array12, 0, d_array14);
    double[] d_array18 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler22 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i23 = dSCompiler22.getOrder();
    int i24 = dSCompiler22.getOrder();
    int i25 = dSCompiler22.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.floor();
    double[] d_array33 = derivativeStructure32.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure40.floor();
    double[] d_array42 = derivativeStructure41.getAllDerivatives();
    double d43 = dSCompiler22.taylor(d_array33, 20, d_array42);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.linearCombination(1.5707963267948966d, d_array12, 10, 0.0d, d_array18, (-1023), d_array33, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test367"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure30.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure30.pow((-1.5707963267948968d));
    double[] d_array37 = new double[] { 10.0d };
    double d38 = derivativeStructure30.taylor(d_array37);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log1p(d_array25, 10, d_array37, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test368"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    double[] d_array10 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    dSCompiler14.checkCompatibility(dSCompiler17);
    int i22 = dSCompiler17.getSize();
    int[] i_array24 = dSCompiler17.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getOrder();
    dSCompiler27.checkCompatibility(dSCompiler30);
    int i35 = dSCompiler30.getSize();
    int[] i_array37 = dSCompiler30.getPartialDerivativeOrders(0);
    double[] d_array39 = new double[] { 1.0d };
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    dSCompiler30.tanh(d_array39, 0, d_array43, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler49 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i53 = dSCompiler52.getOrder();
    int i54 = dSCompiler52.getOrder();
    int i55 = dSCompiler52.getOrder();
    dSCompiler49.checkCompatibility(dSCompiler52);
    int i57 = dSCompiler52.getSize();
    int[] i_array59 = dSCompiler52.getPartialDerivativeOrders(0);
    double[] d_array61 = new double[] { 1.0d };
    double[] d_array65 = new double[] { 10.0d, 1.0d };
    dSCompiler52.tanh(d_array61, 0, d_array65, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler70 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler73 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i74 = dSCompiler73.getOrder();
    int i75 = dSCompiler73.getOrder();
    int i76 = dSCompiler73.getOrder();
    dSCompiler70.checkCompatibility(dSCompiler73);
    int i78 = dSCompiler73.getSize();
    int[] i_array80 = dSCompiler73.getPartialDerivativeOrders(0);
    double[] d_array82 = new double[] { 1.0d };
    double[] d_array86 = new double[] { 10.0d, 1.0d };
    dSCompiler73.tanh(d_array82, 0, d_array86, 0);
    dSCompiler17.compose(d_array39, (-1), d_array65, d_array82, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.exp(d_array10, 0, d_array65, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test369"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure2.scalb((-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test370"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-57.29577951308232d));

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test371"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(3.975693351829396E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test372"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure18.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure26.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure18.divide(derivativeStructure26);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure18.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.toDegrees();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-2.0d), derivativeStructure13, (-1.776356839400252E-15d), derivativeStructure34, 0.0d, derivativeStructure41);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test373"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.718281828459045d, 1.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.4300174657860216d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test374"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.502047843255528d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test375"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.499809670330266d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test376"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(5L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test377"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    double[] d_array8 = new double[] { 10.0d };
    double[] d_array10 = null;
    double d11 = dSCompiler2.taylor(d_array8, 0, d_array10);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    dSCompiler14.checkCompatibility(dSCompiler17);
    int i22 = dSCompiler17.getSize();
    int[] i_array24 = dSCompiler17.getPartialDerivativeOrders(0);
    double[] d_array26 = new double[] { 1.0d };
    double[] d_array30 = new double[] { 10.0d, 1.0d };
    dSCompiler17.tanh(d_array26, 0, d_array30, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i37 = dSCompiler36.getOrder();
    int i38 = dSCompiler36.getOrder();
    int i39 = dSCompiler36.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.floor();
    double[] d_array47 = derivativeStructure46.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure52.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.floor();
    double[] d_array56 = derivativeStructure55.getAllDerivatives();
    double d57 = dSCompiler36.taylor(d_array47, 20, d_array56);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.expm1(d_array26, 80, d_array47, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test378"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { dSCompiler7 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array10);
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException19 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable16, 0, 100);
    mathIllegalArgumentException15.addSuppressed((java.lang.Throwable)dimensionMismatchException19);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str21 = dimensionMismatchException19.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test379"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.23570226039551592d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.504744742356596d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test380"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.9643175412944536d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test381"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(4.61512051684126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5293379817722996d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test382"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(99.999985f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test383"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure2.subtract(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test384"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test385"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler26.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getOrder();
    dSCompiler36.checkCompatibility(dSCompiler39);
    int i44 = dSCompiler39.getSize();
    int[] i_array46 = dSCompiler39.getPartialDerivativeOrders(0);
    double[] d_array48 = new double[] { 1.0d };
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    dSCompiler39.tanh(d_array48, 0, d_array52, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler64 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i65 = dSCompiler64.getOrder();
    int i66 = dSCompiler64.getOrder();
    int i67 = dSCompiler64.getSize();
    int i68 = dSCompiler64.getSize();
    double[] d_array70 = new double[] { 10.0d };
    double[] d_array72 = null;
    double d73 = dSCompiler64.taylor(d_array70, 0, d_array72);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure61.compose(d_array70);
    double[] d_array76 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler26.subtract(d_array48, (-46), d_array70, 0, d_array76, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test386"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3169578969248166d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test387"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(4.106204808922585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.106204808922586d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test388"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test389"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-2L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test390"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536744E-7f);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test391"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(100.00499987500626d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.00499987500626d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test392"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.20657095758432376d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20804321276727766d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test393"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test394"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.5051123208461794d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.657171644929249d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test395"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    boolean b10 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Number number11 = numberIsTooLargeException9.getMax();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException9);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext13 = numberIsTooLargeException9.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 10+ "'", number11.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test396"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.1544346900318843d, 0.267506846718085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.267506846718085d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test397"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(Double.POSITIVE_INFINITY, (-1.5707963267948968d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test398"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure18.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure13.divide(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure36.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure36.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure31.divide(derivativeStructure41);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure25.subtract(derivativeStructure43);
    double[] d_array45 = derivativeStructure25.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure50.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure50.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure52.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure52.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure52.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure52.acosh();
    double[] d_array58 = derivativeStructure57.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure63.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure63.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure69.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure70.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure70.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure70.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure65.divide(derivativeStructure75);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure75.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure81.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure81.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure87 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure87.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure89 = derivativeStructure88.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure91 = derivativeStructure88.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure93 = derivativeStructure88.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure94 = derivativeStructure83.divide(derivativeStructure93);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure95 = derivativeStructure94.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure96 = derivativeStructure77.subtract(derivativeStructure95);
    double[] d_array97 = derivativeStructure77.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array45, (-46), d_array58, (-24), d_array97, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array97);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test399"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test400"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.01544660690119332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.015445992713079918d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test401"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5091784786580567d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test402"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure12.pow((-1.5707963267948968d));
    double[] d_array19 = new double[] { 10.0d };
    double d20 = derivativeStructure12.taylor(d_array19);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure36.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure36.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure31.divide(derivativeStructure41);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure41.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure54.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure54.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure49.divide(derivativeStructure59);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure60.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure43.subtract(derivativeStructure61);
    double[] d_array63 = derivativeStructure43.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure68.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure70.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure70.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure70.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure70.acosh();
    double[] d_array76 = derivativeStructure75.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure81.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure81.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure83.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure83.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure87 = derivativeStructure83.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure83.acosh();
    double[] d_array89 = derivativeStructure88.getAllDerivatives();
    dSCompiler25.remainder(d_array63, 0, d_array76, 20, d_array89, 6);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.rootN(d_array19, (-127), (-20), d_array89, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test403"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getOrder();
    int i14 = dSCompiler10.getOrder();
    int i15 = dSCompiler10.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    dSCompiler18.checkCompatibility(dSCompiler21);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    int i36 = dSCompiler31.getSize();
    int[] i_array38 = dSCompiler31.getPartialDerivativeOrders(0);
    int i39 = dSCompiler18.getPartialDerivativeIndex(i_array38);
    int i40 = dSCompiler10.getPartialDerivativeIndex(i_array38);
    int i41 = dSCompiler2.getPartialDerivativeIndex(i_array38);
    double[] d_array42 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i47 = dSCompiler46.getOrder();
    int i48 = dSCompiler46.getOrder();
    int i49 = dSCompiler46.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure55.floor();
    double[] d_array57 = derivativeStructure56.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure62.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure64.floor();
    double[] d_array66 = derivativeStructure65.getAllDerivatives();
    double d67 = dSCompiler46.taylor(d_array57, 20, d_array66);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asinh(d_array42, (-20), d_array57, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test404"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.0030602477923982d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5377246701688203d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test405"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add(0.6698434389303876d);
    int i7 = derivativeStructure6.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.multiply(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure17.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure17.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long39 = derivativeStructure38.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure38.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure41.multiply(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.6571716449292492d, derivativeStructure6, 0.26572325005933806d, derivativeStructure17, 72.34321284858714d, derivativeStructure33, 1.9868635106324072E-8d, derivativeStructure44);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test406"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-127), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test407"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(4.347613670123174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6321133427278685d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test408"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.0366031782642774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test409"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.1920929E-7f, 0.7822383054153456d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.192093E-7f);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test410"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i37 = dSCompiler36.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i44 = dSCompiler43.getOrder();
    int i45 = dSCompiler43.getOrder();
    int i46 = dSCompiler43.getOrder();
    dSCompiler40.checkCompatibility(dSCompiler43);
    int i48 = dSCompiler43.getSize();
    int[] i_array50 = dSCompiler43.getPartialDerivativeOrders(0);
    double[] d_array52 = new double[] { 1.0d };
    double[] d_array56 = new double[] { 10.0d, 1.0d };
    dSCompiler43.tanh(d_array52, 0, d_array56, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler62 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler65 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i66 = dSCompiler65.getOrder();
    int i67 = dSCompiler65.getOrder();
    int i68 = dSCompiler65.getOrder();
    dSCompiler62.checkCompatibility(dSCompiler65);
    int i70 = dSCompiler65.getSize();
    int[] i_array72 = dSCompiler65.getPartialDerivativeOrders(0);
    double[] d_array74 = new double[] { 1.0d };
    double[] d_array78 = new double[] { 10.0d, 1.0d };
    dSCompiler65.tanh(d_array74, 0, d_array78, 0);
    dSCompiler36.exp(d_array56, 0, d_array78, 0);
    double[] d_array86 = new double[] { 100.0d, 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.expm1(d_array78, 0, d_array86, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test411"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.1076911829175151d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8032447458161511d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test412"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure3.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.atanh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i26 = dSCompiler25.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i33 = dSCompiler32.getOrder();
    int i34 = dSCompiler32.getOrder();
    int i35 = dSCompiler32.getOrder();
    dSCompiler29.checkCompatibility(dSCompiler32);
    dSCompiler25.checkCompatibility(dSCompiler32);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i44 = dSCompiler43.getOrder();
    int i45 = dSCompiler43.getOrder();
    int i46 = dSCompiler43.getOrder();
    dSCompiler40.checkCompatibility(dSCompiler43);
    int i48 = dSCompiler43.getSize();
    int[] i_array50 = dSCompiler43.getPartialDerivativeOrders(0);
    int i51 = dSCompiler25.getPartialDerivativeIndex(i_array50);
    // The following exception was thrown during execution in test generation
    try {
      double d52 = derivativeStructure22.getPartialDerivative(i_array50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test413"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    double[] d_array11 = null;
    double[] d_array13 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan(d_array11, 3, d_array13, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test414"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.5293379817722996d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test415"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.9643175412944536d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6751448777668151d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test416"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(2.5091784786580567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.509178478658057d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test417"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i37 = dSCompiler36.getOrder();
    int i38 = dSCompiler36.getOrder();
    int i39 = dSCompiler36.getSize();
    int i40 = dSCompiler36.getSize();
    double[] d_array42 = new double[] { 10.0d };
    double[] d_array44 = null;
    double d45 = dSCompiler36.taylor(d_array42, 0, d_array44);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure33.compose(d_array42);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler50 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i51 = dSCompiler50.getOrder();
    int i52 = dSCompiler50.getOrder();
    int i53 = dSCompiler50.getSize();
    int i54 = dSCompiler50.getSize();
    double[] d_array56 = new double[] { 10.0d };
    double[] d_array58 = null;
    double d59 = dSCompiler50.taylor(d_array56, 0, d_array58);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler9.log1p(d_array42, 20, d_array58, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 10.0d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test418"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.4210855E-14f, 0.267506846718085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210856E-14f);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test419"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure20.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure20.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure15.divide(derivativeStructure25);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure37.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure38.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure38.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure33.divide(derivativeStructure43);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure27.subtract(derivativeStructure45);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure3.pow(derivativeStructure46);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test420"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, (-24), 6, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test421"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.6321133427278685d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 93.5132062252957d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test422"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    int i8 = derivativeStructure7.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test423"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.25856600932692314d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test424"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure13.add(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure35.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure35.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure30.divide(derivativeStructure40);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.negate();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(5.5090553334921735d, derivativeStructure6, 0.0d, derivativeStructure22, 123.44001497540268d, derivativeStructure44);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test425"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test426"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.subtract(0.0d);
    int i18 = derivativeStructure17.getOrder();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure5.pow(derivativeStructure17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 3);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test428"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 20);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test429"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.8997923511366261d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test430"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.subtract((-1.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure6.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.tan();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure2, derivativeStructure12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test431"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.5293379817722996d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1521291323414964d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test432"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.267506846718085d, 4.499809670330266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.1406215378871585d));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test433"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    double[] d_array4 = null;
    double[] d_array6 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.exp(d_array4, 10, d_array6, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test434"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure37.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure37.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure37.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure32.divide(derivativeStructure42);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure42.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure48.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure48.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure55.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure55.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure55.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure50.divide(derivativeStructure60);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure61.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure44.subtract(derivativeStructure62);
    double[] d_array64 = derivativeStructure44.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure69.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure69.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure71.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure71.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure71.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure71.acosh();
    double[] d_array77 = derivativeStructure76.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure82.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure82.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure84.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure87 = derivativeStructure84.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure84.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure89 = derivativeStructure84.acosh();
    double[] d_array90 = derivativeStructure89.getAllDerivatives();
    dSCompiler26.remainder(d_array64, 0, d_array77, 20, d_array90, 6);
    double[] d_array94 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array77, (-127), d_array94, 80);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test435"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(9.536744E-7f, 99.99998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536744E-7f);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test436"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(38.37920198524031d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.3731214635358637d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test437"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.4873058201553492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test438"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(80.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 80.00001f);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test439"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test440"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(10, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i12 = dSCompiler11.getOrder();
    int i13 = dSCompiler11.getOrder();
    int i14 = dSCompiler11.getSize();
    int i15 = dSCompiler11.getSize();
    double[] d_array17 = new double[] { 10.0d };
    double[] d_array19 = null;
    double d20 = dSCompiler11.taylor(d_array17, 0, d_array19);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure8.compose(d_array17);
    double[] d_array23 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log10(d_array17, 1, d_array23, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test441"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(5.243207067369466E34d, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.3556525231164585E36d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test442"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 10);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test443"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test444"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.9643175412944536d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.38344285461891475d));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test445"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(7.4505806E-9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test446"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    dSCompiler17.checkCompatibility(dSCompiler30);
    double[] d_array37 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure41.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure41.pow((-1.5707963267948968d));
    double[] d_array48 = new double[] { 10.0d };
    double d49 = derivativeStructure41.taylor(d_array48);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler30.acosh(d_array37, 6, d_array48, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test447"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-2L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2L));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test448"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(3.3556525231164585E36d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 84.10370959203021d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test449"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999958776927d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test450"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.7097772460758185d, 254.5407348193965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 254.54647713262412d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test451"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    double[] d_array11 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long17 = derivativeStructure16.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure16.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure16.acosh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure34.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure34.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure29.divide(derivativeStructure39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure45.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure51.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure52.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure52.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure52.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure47.divide(derivativeStructure57);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure58.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure41.subtract(derivativeStructure59);
    double[] d_array61 = derivativeStructure41.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure66.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure68.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure68.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure68.acosh();
    double[] d_array74 = derivativeStructure73.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure79.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure79.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure81.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure81.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure81.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure81.acosh();
    double[] d_array87 = derivativeStructure86.getAllDerivatives();
    dSCompiler23.remainder(d_array61, 0, d_array74, 20, d_array87, 6);
    double d90 = derivativeStructure16.taylor(d_array61);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan(d_array11, (-46), d_array61, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 1.7182818284590453d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test452"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.multiply(90.00000000000001d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure12.multiply((-1.7763568394002505E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test453"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test454"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getOrder();
    dSCompiler36.checkCompatibility(dSCompiler39);
    int i44 = dSCompiler39.getSize();
    int[] i_array46 = dSCompiler39.getPartialDerivativeOrders(0);
    double[] d_array48 = new double[] { 1.0d };
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    dSCompiler39.tanh(d_array48, 0, d_array52, 0);
    double[] d_array56 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.expm1(d_array52, (-127), d_array56, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test455"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test456"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(2.5091784786580567d, (-0.4161468365471424d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.5091784786580567d));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test457"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test458"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.2251530756397981d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20306579589583426d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test459"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test460"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(254.5407348193965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 15.954332791420534d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test461"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    int i13 = dSCompiler9.getOrder();
    int i14 = dSCompiler9.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    int i21 = dSCompiler17.getOrder();
    int i22 = dSCompiler17.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getOrder();
    dSCompiler25.checkCompatibility(dSCompiler28);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getOrder();
    dSCompiler35.checkCompatibility(dSCompiler38);
    int i43 = dSCompiler38.getSize();
    int[] i_array45 = dSCompiler38.getPartialDerivativeOrders(0);
    int i46 = dSCompiler25.getPartialDerivativeIndex(i_array45);
    int i47 = dSCompiler17.getPartialDerivativeIndex(i_array45);
    int i48 = dSCompiler9.getPartialDerivativeIndex(i_array45);
    int i49 = dSCompiler2.getPartialDerivativeIndex(i_array45);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array51 = dSCompiler2.getPartialDerivativeOrders(100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test462"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.3139021954154575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.005478626839238383d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test463"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.5707963267948966d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test464"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(20, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test465"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-127), 20, 20, 4.9E-324d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test466"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    int i7 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    int i18 = dSCompiler13.getSize();
    int[] i_array20 = dSCompiler13.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getOrder();
    dSCompiler23.checkCompatibility(dSCompiler26);
    int i31 = dSCompiler26.getSize();
    int[] i_array33 = dSCompiler26.getPartialDerivativeOrders(0);
    double[] d_array35 = new double[] { 1.0d };
    double[] d_array39 = new double[] { 10.0d, 1.0d };
    dSCompiler26.tanh(d_array35, 0, d_array39, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getOrder();
    dSCompiler45.checkCompatibility(dSCompiler48);
    int i53 = dSCompiler48.getSize();
    int[] i_array55 = dSCompiler48.getPartialDerivativeOrders(0);
    double[] d_array57 = new double[] { 1.0d };
    double[] d_array61 = new double[] { 10.0d, 1.0d };
    dSCompiler48.tanh(d_array57, 0, d_array61, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler66 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler69 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i70 = dSCompiler69.getOrder();
    int i71 = dSCompiler69.getOrder();
    int i72 = dSCompiler69.getOrder();
    dSCompiler66.checkCompatibility(dSCompiler69);
    int i74 = dSCompiler69.getSize();
    int[] i_array76 = dSCompiler69.getPartialDerivativeOrders(0);
    double[] d_array78 = new double[] { 1.0d };
    double[] d_array82 = new double[] { 10.0d, 1.0d };
    dSCompiler69.tanh(d_array78, 0, d_array82, 0);
    dSCompiler13.compose(d_array35, (-1), d_array61, d_array78, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure90 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure91 = derivativeStructure90.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure93 = derivativeStructure91.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure95 = derivativeStructure91.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure96 = derivativeStructure91.tanh();
    double[] d_array97 = derivativeStructure96.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.exp(d_array78, (-127), d_array97, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array97);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test467"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(10, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.floor();
    double[] d_array10 = derivativeStructure9.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    dSCompiler14.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getOrder();
    dSCompiler24.checkCompatibility(dSCompiler27);
    int i32 = dSCompiler27.getSize();
    int[] i_array34 = dSCompiler27.getPartialDerivativeOrders(0);
    int i35 = dSCompiler14.getPartialDerivativeIndex(i_array34);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getSize();
    int[] i_array43 = dSCompiler38.getPartialDerivativeOrders(0);
    dSCompiler14.checkCompatibility(dSCompiler38);
    int i45 = dSCompiler14.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure51.floor();
    double[] d_array53 = derivativeStructure52.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler57 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i58 = dSCompiler57.getOrder();
    int i59 = dSCompiler57.getOrder();
    int i60 = dSCompiler57.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure66.floor();
    double[] d_array68 = derivativeStructure67.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure73.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure75.floor();
    double[] d_array77 = derivativeStructure76.getAllDerivatives();
    double d78 = dSCompiler57.taylor(d_array68, 20, d_array77);
    double d79 = dSCompiler14.taylor(d_array53, 80, d_array68);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure83.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure83.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure83.pow((-1.5707963267948968d));
    double[] d_array90 = new double[] { 10.0d };
    double d91 = derivativeStructure83.taylor(d_array90);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array10, 80, d_array53, (-1), d_array90, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test468"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.add(8.881784197001252E-16d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.add(derivativeStructure22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test469"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1, (-1), (-20), 6.102016471589377E38d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test470"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getOrder();
    dSCompiler17.checkCompatibility(dSCompiler20);
    int i25 = dSCompiler20.getSize();
    int[] i_array27 = dSCompiler20.getPartialDerivativeOrders(0);
    double[] d_array29 = new double[] { 1.0d };
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    dSCompiler20.tanh(d_array29, 0, d_array33, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.floor();
    double[] d_array51 = derivativeStructure50.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure56.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure58.floor();
    double[] d_array60 = derivativeStructure59.getAllDerivatives();
    double d61 = dSCompiler40.taylor(d_array51, 20, d_array60);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler9.pow(d_array29, 100, 3.3731214635358637d, d_array60, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test471"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(100L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test472"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.9702889150812204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8250490024687384d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test473"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure8.divide((-2.0d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure3.subtract(derivativeStructure12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test474"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.105428E-15f);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test475"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000001f);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test476"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getOrder();
    dSCompiler20.checkCompatibility(dSCompiler23);
    int i28 = dSCompiler23.getSize();
    int[] i_array30 = dSCompiler23.getPartialDerivativeOrders(0);
    int i31 = dSCompiler10.getPartialDerivativeIndex(i_array30);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i35 = dSCompiler34.getOrder();
    int i36 = dSCompiler34.getOrder();
    int i37 = dSCompiler34.getSize();
    int[] i_array39 = dSCompiler34.getPartialDerivativeOrders(0);
    dSCompiler10.checkCompatibility(dSCompiler34);
    int i41 = dSCompiler10.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure45.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.floor();
    double[] d_array49 = derivativeStructure48.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler53 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i54 = dSCompiler53.getOrder();
    int i55 = dSCompiler53.getOrder();
    int i56 = dSCompiler53.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure60.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure62.floor();
    double[] d_array64 = derivativeStructure63.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure69.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure71.floor();
    double[] d_array73 = derivativeStructure72.getAllDerivatives();
    double d74 = dSCompiler53.taylor(d_array64, 20, d_array73);
    double d75 = dSCompiler10.taylor(d_array49, 80, d_array64);
    double[] d_array77 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array64, 100, d_array77, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test477"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(5.192925985263684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 89.99444427296612d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test478"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test479"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-1.74756892189523E-308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.74756892189523E-308d));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test480"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.5377246701688203d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8131799349119925d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test481"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getSize();
    int[] i_array15 = dSCompiler10.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler10);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i20 = dSCompiler19.getOrder();
    int i21 = dSCompiler19.getOrder();
    int i22 = dSCompiler19.getSize();
    int i23 = dSCompiler19.getSize();
    double[] d_array25 = new double[] { 10.0d };
    double[] d_array27 = null;
    double d28 = dSCompiler19.taylor(d_array25, 0, d_array27);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i36 = dSCompiler35.getOrder();
    int i37 = dSCompiler35.getOrder();
    int i38 = dSCompiler35.getOrder();
    dSCompiler32.checkCompatibility(dSCompiler35);
    int i40 = dSCompiler35.getSize();
    int[] i_array42 = dSCompiler35.getPartialDerivativeOrders(0);
    double[] d_array44 = new double[] { 1.0d };
    double[] d_array48 = new double[] { 10.0d, 1.0d };
    dSCompiler35.tanh(d_array44, 0, d_array48, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure55.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure57.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure57.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure57.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure57.acosh();
    double[] d_array63 = derivativeStructure62.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler10.atan2(d_array27, 20, d_array48, (-24), d_array63, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test482"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure10.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.tanh();
    double[] d_array16 = derivativeStructure15.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int i30 = dSCompiler26.getSize();
    double[] d_array32 = new double[] { 10.0d };
    double[] d_array34 = null;
    double d35 = dSCompiler26.taylor(d_array32, 0, d_array34);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure23.compose(d_array32);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log(d_array16, 1, d_array32, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test483"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.pow(derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    int i25 = dSCompiler21.getOrder();
    int i26 = dSCompiler21.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i33 = dSCompiler32.getOrder();
    int i34 = dSCompiler32.getOrder();
    int i35 = dSCompiler32.getOrder();
    dSCompiler29.checkCompatibility(dSCompiler32);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler42 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i43 = dSCompiler42.getOrder();
    int i44 = dSCompiler42.getOrder();
    int i45 = dSCompiler42.getOrder();
    dSCompiler39.checkCompatibility(dSCompiler42);
    int i47 = dSCompiler42.getSize();
    int[] i_array49 = dSCompiler42.getPartialDerivativeOrders(0);
    int i50 = dSCompiler29.getPartialDerivativeIndex(i_array49);
    int i51 = dSCompiler21.getPartialDerivativeIndex(i_array49);
    // The following exception was thrown during execution in test generation
    try {
      double d52 = derivativeStructure17.getPartialDerivative(i_array49);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test484"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.4873058201553492d, (java.lang.Number)4.010299956639812d, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooLargeException4.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable6, (java.lang.Number)0L, (java.lang.Number)9.536743E-7f, true);
    boolean b11 = numberIsTooLargeException10.getBoundIsAllowed();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException10);
    java.lang.Number number13 = numberIsTooLargeException10.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 9.536743E-7f+ "'", number13.equals(9.536743E-7f));

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test485"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(4.615120516841259d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test486"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(5.6449034565936405d, 1.5703568922850637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 15.148477798551026d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test487"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test488"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test489"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(7.105428E-15f, 419.03248691646587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.105429E-15f);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test490"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test491"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(10, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure5.pow((-1.5707963267948968d));
    double[] d_array12 = new double[] { 10.0d };
    double d13 = derivativeStructure5.taylor(d_array12);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array12, 0, d_array23, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test492"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-4.340832561168609d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.0d));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test493"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.pow(derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getSize();
    int i31 = dSCompiler27.getSize();
    double[] d_array33 = new double[] { 10.0d };
    double[] d_array35 = null;
    double d36 = dSCompiler27.taylor(d_array33, 0, d_array35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure24.compose(d_array33);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure9.compose(d_array33);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(3.412786325278231d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 195.53825281840398d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test495"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.floor();
    double[] d_array13 = derivativeStructure12.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.floor();
    double[] d_array22 = derivativeStructure21.getAllDerivatives();
    double d23 = dSCompiler2.taylor(d_array13, 20, d_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i30 = dSCompiler29.getOrder();
    int i31 = dSCompiler29.getOrder();
    int i32 = dSCompiler29.getOrder();
    dSCompiler26.checkCompatibility(dSCompiler29);
    int i34 = dSCompiler29.getSize();
    int[] i_array36 = dSCompiler29.getPartialDerivativeOrders(0);
    double[] d_array38 = new double[] { 1.0d };
    double[] d_array42 = new double[] { 10.0d, 1.0d };
    dSCompiler29.tanh(d_array38, 0, d_array42, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler51 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i52 = dSCompiler51.getOrder();
    int i53 = dSCompiler51.getOrder();
    int i54 = dSCompiler51.getOrder();
    dSCompiler48.checkCompatibility(dSCompiler51);
    int i56 = dSCompiler51.getSize();
    int[] i_array58 = dSCompiler51.getPartialDerivativeOrders(0);
    double[] d_array60 = new double[] { 1.0d };
    double[] d_array64 = new double[] { 10.0d, 1.0d };
    dSCompiler51.tanh(d_array60, 0, d_array64, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cos(d_array42, (-1), d_array64, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test496"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test497"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.5299324224383604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test498"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.267506846718085d, 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7763568394002505E-15d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test499"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(20, 0, (-127), 0.5865168324851123d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test500"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
