
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest2 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.6571716449292492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5764780756904523d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test002"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(30.349690667478566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5297020291092965d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test003"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.858931910669651d, 5.6843418860808015E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.6843418860808015E-14d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test004"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    int i12 = dSCompiler8.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler8);
    double[] d_array14 = null;
    double[] d_array19 = new double[] { 10.0d, 0.0d, 1.0d };
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure26.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure26.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure26.acosh();
    double[] d_array32 = derivativeStructure31.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan2(d_array14, 80, d_array19, 6, d_array32, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test005"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-15.954589770191001d), (-2.5091784786580567d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-15.954589770191d));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test006"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.5958164402125868d), 1.858931910669651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3101704659714841d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test007"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(80.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 80);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test008"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-1.4711276743037347d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test009"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-1.7763568394002505E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.7763568394002505E-15d));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test010"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure4.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure14.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure10.pow(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.multiply(2.097207631308085d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getSize();
    int i35 = dSCompiler31.getSize();
    double[] d_array37 = new double[] { 10.0d };
    double[] d_array39 = null;
    double d40 = dSCompiler31.taylor(d_array37, 0, d_array39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure28.compose(d_array37);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure48.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure51.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure51.subtract(1.8473728170778716d);
    int i55 = derivativeStructure51.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure60.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure61.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure63.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure63.tan();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.2251530756397981d, derivativeStructure18, 0.0d, derivativeStructure28, (-15.954589770191001d), derivativeStructure51, 141.42489172702236d, derivativeStructure63);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test011"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.Field field5 = derivativeStructure3.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field5);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test012"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.9511359238503061d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test013"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.0f);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test014"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.ceil();
    double d10 = derivativeStructure9.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.multiply((-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test015"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    boolean b10 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Number number11 = numberIsTooLargeException9.getMax();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException9);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str13 = numberIsTooLargeException9.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 10+ "'", number11.equals(10));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test016"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.262627255678912d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test017"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-0.15917453895486153d), (java.lang.Number)1.8473728170778716d, true);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test018"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure0 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long5 = derivativeStructure4.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure9, derivativeStructure16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure4.add(derivativeStructure19);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure0, derivativeStructure19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test019"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(7.313496569512391d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.0d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test020"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(2L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test021"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test022"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    dSCompiler5.tanh(d_array14, 0, d_array18, 0);
    int i21 = dSCompiler5.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure24.pow((-1.5707963267948968d));
    double[] d_array31 = new double[] { 10.0d };
    double d32 = derivativeStructure24.taylor(d_array31);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getOrder();
    dSCompiler37.checkCompatibility(dSCompiler40);
    int i45 = dSCompiler40.getSize();
    int[] i_array47 = dSCompiler40.getPartialDerivativeOrders(0);
    double[] d_array49 = new double[] { 1.0d };
    double[] d_array53 = new double[] { 10.0d, 1.0d };
    dSCompiler40.tanh(d_array49, 0, d_array53, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.pow(d_array31, 20, 0.0d, d_array49, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test023"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler((-1), (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test024"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.03093022358753579d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.030935157426384915d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test025"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.9868635106324072E-8d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test026"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.3022634284251158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test027"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    int i10 = dSCompiler7.getOrder();
    dSCompiler4.checkCompatibility(dSCompiler7);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    dSCompiler14.checkCompatibility(dSCompiler17);
    int i22 = dSCompiler17.getSize();
    int[] i_array24 = dSCompiler17.getPartialDerivativeOrders(0);
    int i25 = dSCompiler4.getPartialDerivativeIndex(i_array24);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getSize();
    int[] i_array33 = dSCompiler28.getPartialDerivativeOrders(0);
    dSCompiler4.checkCompatibility(dSCompiler28);
    int i35 = dSCompiler4.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.floor();
    double[] d_array43 = derivativeStructure42.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler47 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i48 = dSCompiler47.getOrder();
    int i49 = dSCompiler47.getOrder();
    int i50 = dSCompiler47.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure54.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure56.floor();
    double[] d_array58 = derivativeStructure57.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure63.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure65.floor();
    double[] d_array67 = derivativeStructure66.getAllDerivatives();
    double d68 = dSCompiler47.taylor(d_array58, 20, d_array67);
    double d69 = dSCompiler4.taylor(d_array43, 80, d_array58);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1, 10, d_array58);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test028"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(4.527730016919659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.18361130566449393d));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test029"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure14.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.remainder(709.782712893384d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure18.remainder(derivativeStructure25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure8.multiply(derivativeStructure18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test030"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.toRadians();
    int i10 = derivativeStructure3.getExponent();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1023));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test031"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)19.085536923187668d, (java.lang.Number)0.999140725900862d, true);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = numberIsTooLargeException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test032"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.pow(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.sqrt();
    int i14 = derivativeStructure13.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 6);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test033"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(150.24372572852124d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.778365499802215E65d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test034"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test035"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)5.6843418860808015E-14d, number2, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test036"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(2L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test037"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.multiply(80);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure18, derivativeStructure21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test038"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(80.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 80.00001f);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test039"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(4.106204808922586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5697356607661157d));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test040"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.00001f);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test041"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(6.073215758553052d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9563152221203468d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.5020478432555281d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test044"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.4873058201553492d, (java.lang.Number)4.010299956639812d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    java.lang.Number number7 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 4.010299956639812d+ "'", number5.equals(4.010299956639812d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 4.010299956639812d+ "'", number6.equals(4.010299956639812d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 4.010299956639812d+ "'", number7.equals(4.010299956639812d));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test045"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.1364636663857248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8132198708341126d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test046"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test047"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure15.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure15.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure10.divide(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure33.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure33.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure28.divide(derivativeStructure38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure22.subtract(derivativeStructure40);
    double[] d_array42 = derivativeStructure22.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure49.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure49.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure49.acosh();
    double[] d_array55 = derivativeStructure54.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure60.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure60.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure62.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure62.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure62.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure62.acosh();
    double[] d_array68 = derivativeStructure67.getAllDerivatives();
    dSCompiler4.remainder(d_array42, 0, d_array55, 20, d_array68, 6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-46), 0, d_array42);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test048"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1), 0, 100, (-1.74756892189523E-308d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test049"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-7.1054274E-15f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test050"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.acosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test051"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.192093E-7f, (java.lang.Number)1.0f, true);
    java.lang.String str4 = numberIsTooLargeException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooLargeException: 0 is larger than the maximum (1)"+ "'", str4.equals("org.apache.commons.math3.exception.NumberIsTooLargeException: 0 is larger than the maximum (1)"));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test052"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(90.0d, (-0.4652845412696676d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-90.0d));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test053"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.signum();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test054"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.subtract(0.0d);
    int i11 = derivativeStructure10.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure23.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure23.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure18.divide(derivativeStructure28);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.copySign(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure54.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure54.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure49.divide(derivativeStructure59);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure65.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure65.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure71.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure72.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure72.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure72.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure67.divide(derivativeStructure77);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure78.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure61.subtract(derivativeStructure79);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure80.remainder(8.638987560158184E-13d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure80.sinh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.5293379817722996d, derivativeStructure10, 0.5051123208461794d, derivativeStructure30, 0.9511359238503061d, derivativeStructure40, 2.0d, derivativeStructure83);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test055"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-1.631264348439414d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2654378559196666d));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test056"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure4.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure16.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure16.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int i34 = dSCompiler30.getSize();
    double[] d_array36 = new double[] { 10.0d };
    double[] d_array38 = null;
    double d39 = dSCompiler30.taylor(d_array36, 0, d_array38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure27.compose(d_array36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure45.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure48.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure50.remainder((-0.502047843255528d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.004668858284692784d, derivativeStructure4, 5.5090553334921735d, derivativeStructure16, (-0.5958164402125868d), derivativeStructure40, (-0.7853981633974483d), derivativeStructure52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test057"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    int i17 = dSCompiler12.getSize();
    int[] i_array19 = dSCompiler12.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler22 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i26 = dSCompiler25.getOrder();
    int i27 = dSCompiler25.getOrder();
    int i28 = dSCompiler25.getOrder();
    dSCompiler22.checkCompatibility(dSCompiler25);
    int i30 = dSCompiler25.getSize();
    int[] i_array32 = dSCompiler25.getPartialDerivativeOrders(0);
    double[] d_array34 = new double[] { 1.0d };
    double[] d_array38 = new double[] { 10.0d, 1.0d };
    dSCompiler25.tanh(d_array34, 0, d_array38, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler44 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler47 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i48 = dSCompiler47.getOrder();
    int i49 = dSCompiler47.getOrder();
    int i50 = dSCompiler47.getOrder();
    dSCompiler44.checkCompatibility(dSCompiler47);
    int i52 = dSCompiler47.getSize();
    int[] i_array54 = dSCompiler47.getPartialDerivativeOrders(0);
    double[] d_array56 = new double[] { 1.0d };
    double[] d_array60 = new double[] { 10.0d, 1.0d };
    dSCompiler47.tanh(d_array56, 0, d_array60, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler65 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler68 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i69 = dSCompiler68.getOrder();
    int i70 = dSCompiler68.getOrder();
    int i71 = dSCompiler68.getOrder();
    dSCompiler65.checkCompatibility(dSCompiler68);
    int i73 = dSCompiler68.getSize();
    int[] i_array75 = dSCompiler68.getPartialDerivativeOrders(0);
    double[] d_array77 = new double[] { 1.0d };
    double[] d_array81 = new double[] { 10.0d, 1.0d };
    dSCompiler68.tanh(d_array77, 0, d_array81, 0);
    dSCompiler12.compose(d_array34, (-1), d_array60, d_array77, 0);
    double[] d_array87 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array77, 10, d_array87, 80);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test058"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, (-24), (-24), 1.5637255535918546d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test059"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(10, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long7 = derivativeStructure6.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure6.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.acosh();
    double[] d_array13 = derivativeStructure11.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure17.pow((-1.5707963267948968d));
    double[] d_array24 = new double[] { 10.0d };
    double d25 = derivativeStructure17.taylor(d_array24);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan(d_array13, 0, d_array24, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test060"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(8.47033E-22f, 5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.47033E-22f);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test061"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.000015f);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test062"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.copySign(1.262627255678912d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test063"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(3.3731214635358637d, 709.782712893384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.373121463535864d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test064"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.262627255678912d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.262627255678912d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test065"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.8132198708341126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0572510080981552d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test066"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-171.5497032152746d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.139861715431285E-75d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test067"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.8754923774149989d, 195.53825281840398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.004477315894173474d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test068"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.17588392632061045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7547738480310527d));

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test069"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(5.6449034565936405d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.6449034565936405d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test070"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-90.0d), 1.2334031175112175d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test071"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.tanh();
    double d11 = derivativeStructure9.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.431007130040573d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test072"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.4677992676220695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.05462105802957d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test073"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.7869259484028011d, 1.1521291323414964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7869259484028011d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test074"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    dSCompiler5.checkCompatibility(dSCompiler12);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getSize();
    int i24 = dSCompiler20.getSize();
    double[] d_array26 = new double[] { 10.0d };
    double[] d_array28 = null;
    double d29 = dSCompiler20.taylor(d_array26, 0, d_array28);
    dSCompiler12.checkCompatibility(dSCompiler20);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getSize();
    int[] i_array38 = dSCompiler33.getPartialDerivativeOrders(0);
    dSCompiler20.checkCompatibility(dSCompiler33);
    dSCompiler2.checkCompatibility(dSCompiler20);
    double[] d_array42 = new double[] { (-1.0d) };
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i47 = dSCompiler46.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler50 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler53 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i54 = dSCompiler53.getOrder();
    int i55 = dSCompiler53.getOrder();
    int i56 = dSCompiler53.getOrder();
    dSCompiler50.checkCompatibility(dSCompiler53);
    int i58 = dSCompiler53.getSize();
    int[] i_array60 = dSCompiler53.getPartialDerivativeOrders(0);
    double[] d_array62 = new double[] { 1.0d };
    double[] d_array66 = new double[] { 10.0d, 1.0d };
    dSCompiler53.tanh(d_array62, 0, d_array66, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler72 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler75 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i76 = dSCompiler75.getOrder();
    int i77 = dSCompiler75.getOrder();
    int i78 = dSCompiler75.getOrder();
    dSCompiler72.checkCompatibility(dSCompiler75);
    int i80 = dSCompiler75.getSize();
    int[] i_array82 = dSCompiler75.getPartialDerivativeOrders(0);
    double[] d_array84 = new double[] { 1.0d };
    double[] d_array88 = new double[] { 10.0d, 1.0d };
    dSCompiler75.tanh(d_array84, 0, d_array88, 0);
    dSCompiler46.exp(d_array66, 0, d_array88, 0);
    double[] d_array94 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array42, 1, d_array66, (-1023), d_array94, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test075"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 0.9189456319283761d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test076"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(5L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test077"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, (-46), (-24), 0.01544660690119332d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test078"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(80.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test079"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(257.8201027220785d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.3292758790338E111d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test080"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(10.0f, 4.106204808922586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test081"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.9868635106324072E-8d, 1.570796326794897d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9868635106324076E-8d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test082"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.7927734888497224E32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5045251231895915d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test083"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    dSCompiler17.checkCompatibility(dSCompiler30);
    double[] d_array37 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler41 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler44 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i45 = dSCompiler44.getOrder();
    int i46 = dSCompiler44.getOrder();
    int i47 = dSCompiler44.getOrder();
    dSCompiler41.checkCompatibility(dSCompiler44);
    int i49 = dSCompiler44.getSize();
    int[] i_array51 = dSCompiler44.getPartialDerivativeOrders(0);
    double[] d_array53 = new double[] { 1.0d };
    double[] d_array57 = new double[] { 10.0d, 1.0d };
    dSCompiler44.tanh(d_array53, 0, d_array57, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d60 = dSCompiler17.taylor(d_array37, 0, d_array57);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test084"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test085"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.8754923774149989d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1329688338446766d));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test086"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(80, 0);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test087"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(90.0d, (-0.1329688338446766d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test088"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure2.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure2.pow((-1.5707963267948968d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure12.remainder(1.3022634284251158d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure7, derivativeStructure12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test089"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 0 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException4 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array3);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test090"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i5 = dSCompiler4.getOrder();
    int i6 = dSCompiler4.getOrder();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { dSCompiler4 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array7);
    java.lang.Throwable[] throwable_array9 = mathIllegalArgumentException8.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array9);
    java.lang.Throwable[] throwable_array11 = mathIllegalArgumentException10.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test091"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.5293379817722994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.615120516841259d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test092"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.4873058201553492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0617945383542897d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test093"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(2.05462105802957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.31273173493123174d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test094"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure15.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure22.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure30.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure22.divide(derivativeStructure30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure15.remainder(derivativeStructure30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure41, derivativeStructure48);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure55.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure55.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure59.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure49.remainder(derivativeStructure60);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.858931910669651d, derivativeStructure5, 0.004668858284692784d, derivativeStructure30, (-4.0d), derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test095"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(80.00001f, 80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.6714075E25f);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test096"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1L), (java.lang.Number)1.570796326794897d, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Number number6 = numberIsTooLargeException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.570796326794897d+ "'", number5.equals(1.570796326794897d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1L)+ "'", number6.equals((-1L)));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test097"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i38 = dSCompiler37.getOrder();
    int i39 = dSCompiler37.getOrder();
    int i40 = dSCompiler37.getOrder();
    dSCompiler34.checkCompatibility(dSCompiler37);
    int i42 = dSCompiler37.getSize();
    int[] i_array44 = dSCompiler37.getPartialDerivativeOrders(0);
    double[] d_array46 = new double[] { 1.0d };
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    dSCompiler37.tanh(d_array46, 0, d_array50, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler56 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler59 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i60 = dSCompiler59.getOrder();
    int i61 = dSCompiler59.getOrder();
    int i62 = dSCompiler59.getOrder();
    dSCompiler56.checkCompatibility(dSCompiler59);
    int i64 = dSCompiler59.getSize();
    int[] i_array66 = dSCompiler59.getPartialDerivativeOrders(0);
    double[] d_array68 = new double[] { 1.0d };
    double[] d_array72 = new double[] { 10.0d, 1.0d };
    dSCompiler59.tanh(d_array68, 0, d_array72, 0);
    dSCompiler30.exp(d_array50, 0, d_array72, 0);
    double[] d_array78 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.cosh(d_array50, 0, d_array78, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test098"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.1920928E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920928E-7f);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test099"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-1.776356839400252E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.776356839400252E-15d));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test100"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure4.divide(derivativeStructure12);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure4.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.add(0.6698434389303876d);
    int i26 = derivativeStructure25.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure25.multiply((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure33.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure41.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure41.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure33.divide(derivativeStructure41);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure33.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure33.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure48.abs();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-8.73784460947615E-309d), derivativeStructure18, (-8.73784460947615E-309d), derivativeStructure25, 1.000010899217834d, derivativeStructure48);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test101"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-8.881784197001252E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-8.881784197001248E-16d));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test102"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(4.106204808922586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test103"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.sinh();
    long long9 = derivativeStructure8.round();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 3L);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test104"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, 90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test105"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.5901986839880569d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test106"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(3.412786325278231d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9978310466070275d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test107"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-46), 10);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test108"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    dSCompiler14.checkCompatibility(dSCompiler17);
    dSCompiler10.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i26 = dSCompiler25.getOrder();
    int i27 = dSCompiler25.getOrder();
    int i28 = dSCompiler25.getSize();
    int i29 = dSCompiler25.getSize();
    double[] d_array31 = new double[] { 10.0d };
    double[] d_array33 = null;
    double d34 = dSCompiler25.taylor(d_array31, 0, d_array33);
    dSCompiler17.checkCompatibility(dSCompiler25);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getSize();
    int[] i_array43 = dSCompiler38.getPartialDerivativeOrders(0);
    dSCompiler25.checkCompatibility(dSCompiler38);
    dSCompiler7.checkCompatibility(dSCompiler25);
    dSCompiler2.checkCompatibility(dSCompiler7);
    double[] d_array47 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler51 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i52 = dSCompiler51.getOrder();
    int i53 = dSCompiler51.getOrder();
    int i54 = dSCompiler51.getSize();
    int i55 = dSCompiler51.getSize();
    double[] d_array57 = new double[] { 10.0d };
    double[] d_array59 = null;
    double d60 = dSCompiler51.taylor(d_array57, 0, d_array59);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cosh(d_array47, (-20), d_array57, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 10.0d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test109"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.signum();
    double[] d_array11 = new double[] { 100.0d, 0.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      double d12 = derivativeStructure6.taylor(d_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test110"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-7.1054274E-15f), 9.3292758790338E111d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.105427E-15f));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.267506846718085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.3186101177658331d));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test112"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.subtract((-1.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure4.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long15 = derivativeStructure14.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure14.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure14.add(2.718281828459045d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.cosh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3.373121463535864d, derivativeStructure9, 1.7927734888497224E32d, derivativeStructure14, 0.0d, derivativeStructure30, 0.20657095758432376d, derivativeStructure41);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test113"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.add(8.881784197001252E-16d);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getOrder();
    dSCompiler24.checkCompatibility(dSCompiler27);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i38 = dSCompiler37.getOrder();
    int i39 = dSCompiler37.getOrder();
    int i40 = dSCompiler37.getOrder();
    dSCompiler34.checkCompatibility(dSCompiler37);
    int i42 = dSCompiler37.getSize();
    int[] i_array44 = dSCompiler37.getPartialDerivativeOrders(0);
    int i45 = dSCompiler24.getPartialDerivativeIndex(i_array44);
    // The following exception was thrown during execution in test generation
    try {
      double d46 = derivativeStructure21.getPartialDerivative(i_array44);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test114"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.10281505017332132d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0017944611461276237d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test115"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(8.4703295E-22f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.4703295E-22f);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test116"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.1364636663857248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.019835032807717305d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test117"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getSize();
    int[] i_array15 = dSCompiler10.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler10);
    double[] d_array17 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure32.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure32.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure27.divide(derivativeStructure37);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure50.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure50.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure50.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure45.divide(derivativeStructure55);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure56.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure39.subtract(derivativeStructure57);
    double[] d_array59 = derivativeStructure39.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure64.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure66.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure66.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure66.acosh();
    double[] d_array72 = derivativeStructure71.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure77.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure77.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure79.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure79.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure79.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure79.acosh();
    double[] d_array85 = derivativeStructure84.getAllDerivatives();
    dSCompiler21.remainder(d_array59, 0, d_array72, 20, d_array85, 6);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan(d_array17, 10, d_array59, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test118"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.8250490024687384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6785209701544282d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test119"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(-20), (java.lang.Number)10L, false);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10L+ "'", number4.equals(10L));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test120"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure5.divide(4.499809670330265d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure5.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.acosh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    dSCompiler24.checkCompatibility(dSCompiler31);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getSize();
    int i43 = dSCompiler39.getSize();
    double[] d_array45 = new double[] { 10.0d };
    double[] d_array47 = null;
    double d48 = dSCompiler39.taylor(d_array45, 0, d_array47);
    dSCompiler31.checkCompatibility(dSCompiler39);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i53 = dSCompiler52.getOrder();
    int i54 = dSCompiler52.getOrder();
    int i55 = dSCompiler52.getSize();
    int[] i_array57 = dSCompiler52.getPartialDerivativeOrders(0);
    int i58 = dSCompiler39.getPartialDerivativeIndex(i_array57);
    // The following exception was thrown during execution in test generation
    try {
      double d59 = derivativeStructure20.getPartialDerivative(i_array57);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test121"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(7.105428E-15f, (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.776264E-21f);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test122"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i26 = dSCompiler25.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i33 = dSCompiler32.getOrder();
    int i34 = dSCompiler32.getOrder();
    int i35 = dSCompiler32.getOrder();
    dSCompiler29.checkCompatibility(dSCompiler32);
    dSCompiler25.checkCompatibility(dSCompiler32);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i44 = dSCompiler43.getOrder();
    int i45 = dSCompiler43.getOrder();
    int i46 = dSCompiler43.getOrder();
    dSCompiler40.checkCompatibility(dSCompiler43);
    int i48 = dSCompiler43.getSize();
    int[] i_array50 = dSCompiler43.getPartialDerivativeOrders(0);
    int i51 = dSCompiler25.getPartialDerivativeIndex(i_array50);
    int i52 = dSCompiler21.getPartialDerivativeIndex(i_array50);
    // The following exception was thrown during execution in test generation
    try {
      double d53 = derivativeStructure18.getPartialDerivative(i_array50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test123"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(10, (-24), 30.349690667478566d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test124"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure2.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test125"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.pow(1.2334031175112175d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.divide((-6.731094208094568d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test126"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.scalb(10);
    org.apache.commons.math3.Field field9 = derivativeStructure8.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure14, derivativeStructure21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure29.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.3369844095223624d, derivativeStructure8, 0.6744026976311414d, derivativeStructure22, 100.0d, derivativeStructure33);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure22.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure22.divide(0.10281505017332132d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test127"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.sqrt();
    int i9 = derivativeStructure8.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.remainder((-0.502047843255528d));
    double d12 = derivativeStructure11.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure16.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure24.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure16.divide(derivativeStructure24);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure16.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure11.pow(derivativeStructure32);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure40.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2.154434690031884d, derivativeStructure33, 1.5707963267948966d, derivativeStructure43, 0.0d, derivativeStructure45);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.15686073815575718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test128"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long7 = derivativeStructure6.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.acosh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure24.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure19.divide(derivativeStructure29);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure42.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure42.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure37.divide(derivativeStructure47);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure48.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure31.subtract(derivativeStructure49);
    double[] d_array51 = derivativeStructure31.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure56.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure56.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure58.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure58.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure58.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure58.acosh();
    double[] d_array64 = derivativeStructure63.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure69.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure69.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure71.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure71.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure71.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure71.acosh();
    double[] d_array77 = derivativeStructure76.getAllDerivatives();
    dSCompiler13.remainder(d_array51, 0, d_array64, 20, d_array77, 6);
    double d80 = derivativeStructure6.taylor(d_array51);
    double[] d_array83 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array51, (-46), (-24), d_array83, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.7182818284590453d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test129"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.add(0.6698434389303876d);
    int i13 = derivativeStructure12.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.multiply(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.toRadians();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test130"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(6.776264E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test131"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.negate();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure7.add(derivativeStructure16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test132"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.6698434389303876d), 1.2251530756397981d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2251530756397981d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test133"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getSize();
    int[] i_array15 = dSCompiler10.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure27.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure27.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure22.divide(derivativeStructure32);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long42 = derivativeStructure41.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure51.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure46, derivativeStructure53);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure54.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure41.add(derivativeStructure56);
    org.apache.commons.math3.Field field58 = derivativeStructure56.getField();
    double[] d_array59 = derivativeStructure56.getAllDerivatives();
    double d60 = derivativeStructure35.taylor(d_array59);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure68.floor();
    double[] d_array70 = derivativeStructure69.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array59, (-127), 80, d_array70, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test134"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.2485749363470669d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2511427434942812d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test135"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(4.106204808922585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test136"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure22.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure22.pow((-1.5707963267948968d));
    double[] d_array29 = new double[] { 10.0d };
    double d30 = derivativeStructure22.taylor(d_array29);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure19.compose(d_array29);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test137"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-7.105427E-15f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.105427E-15f));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test138"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long12 = derivativeStructure11.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure4.add(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.tanh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getOrder();
    dSCompiler20.checkCompatibility(dSCompiler23);
    int i28 = dSCompiler23.getSize();
    int[] i_array30 = dSCompiler23.getPartialDerivativeOrders(0);
    double[] d_array32 = new double[] { 1.0d };
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    dSCompiler23.tanh(d_array32, 0, d_array36, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d39 = derivativeStructure15.taylor(d_array36);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test139"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(4.61512051684126d, 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.61512051684126d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test140"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.toDegrees();
    org.apache.commons.math3.Field field7 = derivativeStructure6.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field7);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test141"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test142"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.1521291323414964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.766457646234162d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test143"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(10, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure5.pow((-1.5707963267948968d));
    double[] d_array12 = new double[] { 10.0d };
    double d13 = derivativeStructure5.taylor(d_array12);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    dSCompiler18.checkCompatibility(dSCompiler21);
    int i26 = dSCompiler21.getSize();
    int[] i_array28 = dSCompiler21.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i35 = dSCompiler34.getOrder();
    int i36 = dSCompiler34.getOrder();
    int i37 = dSCompiler34.getOrder();
    dSCompiler31.checkCompatibility(dSCompiler34);
    int i39 = dSCompiler34.getSize();
    int[] i_array41 = dSCompiler34.getPartialDerivativeOrders(0);
    double[] d_array43 = new double[] { 1.0d };
    double[] d_array47 = new double[] { 10.0d, 1.0d };
    dSCompiler34.tanh(d_array43, 0, d_array47, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler53 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler56 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i57 = dSCompiler56.getOrder();
    int i58 = dSCompiler56.getOrder();
    int i59 = dSCompiler56.getOrder();
    dSCompiler53.checkCompatibility(dSCompiler56);
    int i61 = dSCompiler56.getSize();
    int[] i_array63 = dSCompiler56.getPartialDerivativeOrders(0);
    double[] d_array65 = new double[] { 1.0d };
    double[] d_array69 = new double[] { 10.0d, 1.0d };
    dSCompiler56.tanh(d_array65, 0, d_array69, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler74 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler77 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i78 = dSCompiler77.getOrder();
    int i79 = dSCompiler77.getOrder();
    int i80 = dSCompiler77.getOrder();
    dSCompiler74.checkCompatibility(dSCompiler77);
    int i82 = dSCompiler77.getSize();
    int[] i_array84 = dSCompiler77.getPartialDerivativeOrders(0);
    double[] d_array86 = new double[] { 1.0d };
    double[] d_array90 = new double[] { 10.0d, 1.0d };
    dSCompiler77.tanh(d_array86, 0, d_array90, 0);
    dSCompiler21.compose(d_array43, (-1), d_array69, d_array86, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.rootN(d_array12, (-46), 1, d_array69, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test144"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(2L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test145"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getOrder();
    dSCompiler17.checkCompatibility(dSCompiler20);
    int i25 = dSCompiler20.getSize();
    int[] i_array27 = dSCompiler20.getPartialDerivativeOrders(0);
    int i28 = dSCompiler2.getPartialDerivativeIndex(i_array27);
    double[] d_array29 = new double[] {  };
    double[] d_array31 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getOrder();
    dSCompiler35.checkCompatibility(dSCompiler38);
    int i43 = dSCompiler38.getSize();
    int[] i_array45 = dSCompiler38.getPartialDerivativeOrders(0);
    double[] d_array47 = new double[] { 1.0d };
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    dSCompiler38.tanh(d_array47, 0, d_array51, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array29, (-1023), d_array31, 20, d_array47, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test146"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(8.4703295E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.4703295E-22f);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test147"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(419.0324869164659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 24008.792979184385d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test148"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test149"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    int i13 = dSCompiler9.getOrder();
    int i14 = dSCompiler9.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    int i21 = dSCompiler17.getOrder();
    int i22 = dSCompiler17.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getOrder();
    dSCompiler25.checkCompatibility(dSCompiler28);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getOrder();
    dSCompiler35.checkCompatibility(dSCompiler38);
    int i43 = dSCompiler38.getSize();
    int[] i_array45 = dSCompiler38.getPartialDerivativeOrders(0);
    int i46 = dSCompiler25.getPartialDerivativeIndex(i_array45);
    int i47 = dSCompiler17.getPartialDerivativeIndex(i_array45);
    int i48 = dSCompiler9.getPartialDerivativeIndex(i_array45);
    int i49 = dSCompiler2.getPartialDerivativeIndex(i_array45);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i53 = dSCompiler52.getOrder();
    int i54 = dSCompiler52.getOrder();
    int i55 = dSCompiler52.getSize();
    int i56 = dSCompiler52.getSize();
    dSCompiler2.checkCompatibility(dSCompiler52);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long62 = derivativeStructure61.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure61.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure61.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure61.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure66.acosh();
    double[] d_array68 = derivativeStructure66.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler72 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler75 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i76 = dSCompiler75.getOrder();
    int i77 = dSCompiler75.getOrder();
    int i78 = dSCompiler75.getOrder();
    dSCompiler72.checkCompatibility(dSCompiler75);
    int i80 = dSCompiler75.getSize();
    int[] i_array82 = dSCompiler75.getPartialDerivativeOrders(0);
    double[] d_array84 = new double[] { 1.0d };
    double[] d_array88 = new double[] { 10.0d, 1.0d };
    dSCompiler75.tanh(d_array84, 0, d_array88, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler52.expm1(d_array68, (-20), d_array88, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long62 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test150"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    int i8 = derivativeStructure7.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.remainder((-0.502047843255528d));
    double d11 = derivativeStructure10.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.remainder((-1.5574077246549023d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure17.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure17.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure17.cbrt();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure10.divide(derivativeStructure17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.15686073815575718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test151"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(90.00000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.102016471589291E38d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test152"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getOrder();
    int i14 = dSCompiler10.getOrder();
    int i15 = dSCompiler10.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    dSCompiler18.checkCompatibility(dSCompiler21);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    int i36 = dSCompiler31.getSize();
    int[] i_array38 = dSCompiler31.getPartialDerivativeOrders(0);
    int i39 = dSCompiler18.getPartialDerivativeIndex(i_array38);
    int i40 = dSCompiler10.getPartialDerivativeIndex(i_array38);
    int i41 = dSCompiler2.getPartialDerivativeIndex(i_array38);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array43 = dSCompiler2.getPartialDerivativeOrders(100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test153"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.floor();
    double[] d_array10 = derivativeStructure9.getAllDerivatives();
    double[] d_array12 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.acos(d_array10, 0, d_array12, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test154"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(3.3731214635358637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9733167229802178d));

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test155"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-1.74756892189523E-308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.7475689218952297E-308d));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test156"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.6744026976311414d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test157"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler26.getSize();
    double[] d_array34 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler41 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i42 = dSCompiler41.getOrder();
    int i43 = dSCompiler41.getOrder();
    int i44 = dSCompiler41.getOrder();
    dSCompiler38.checkCompatibility(dSCompiler41);
    int i46 = dSCompiler41.getSize();
    int[] i_array48 = dSCompiler41.getPartialDerivativeOrders(0);
    double[] d_array50 = new double[] { 1.0d };
    double[] d_array54 = new double[] { 10.0d, 1.0d };
    dSCompiler41.tanh(d_array50, 0, d_array54, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler26.tanh(d_array34, 3, d_array54, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test158"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test159"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-1.4911620245203239d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test160"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test161"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.08083247877065d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test162"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    dSCompiler17.checkCompatibility(dSCompiler30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i46 = dSCompiler45.getOrder();
    int i47 = dSCompiler45.getOrder();
    int i48 = dSCompiler45.getSize();
    int i49 = dSCompiler45.getSize();
    double[] d_array51 = new double[] { 10.0d };
    double[] d_array53 = null;
    double d54 = dSCompiler45.taylor(d_array51, 0, d_array53);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure42.compose(d_array51);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler59 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler62 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i63 = dSCompiler62.getOrder();
    int i64 = dSCompiler62.getOrder();
    int i65 = dSCompiler62.getOrder();
    dSCompiler59.checkCompatibility(dSCompiler62);
    int i67 = dSCompiler62.getSize();
    int[] i_array69 = dSCompiler62.getPartialDerivativeOrders(0);
    double[] d_array71 = new double[] { 1.0d };
    double[] d_array75 = new double[] { 10.0d, 1.0d };
    dSCompiler62.tanh(d_array71, 0, d_array75, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure82.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure84.floor();
    double[] d_array86 = derivativeStructure85.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.remainder(d_array51, 3, d_array71, (-46), d_array86, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test163"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test164"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getOrder();
    dSCompiler17.checkCompatibility(dSCompiler20);
    int i25 = dSCompiler20.getSize();
    int[] i_array27 = dSCompiler20.getPartialDerivativeOrders(0);
    int i28 = dSCompiler2.getPartialDerivativeIndex(i_array27);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure37.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure37.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure40.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler44 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i45 = dSCompiler44.getOrder();
    int i46 = dSCompiler44.getOrder();
    int i47 = dSCompiler44.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure51.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.floor();
    double[] d_array55 = derivativeStructure54.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure60.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure62.floor();
    double[] d_array64 = derivativeStructure63.getAllDerivatives();
    double d65 = dSCompiler44.taylor(d_array55, 20, d_array64);
    double d66 = derivativeStructure41.taylor(d_array55);
    double[] d_array68 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log1p(d_array55, 3, d_array68, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == (-0.8546104647638713d));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test165"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long12 = derivativeStructure11.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure20.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure20.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure29.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure29.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure29.sin();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.055555555555555594d, derivativeStructure4, (-0.5697356607661157d), derivativeStructure14, 0.8250490024687384d, derivativeStructure24, 0.2436369776730935d, derivativeStructure35);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test166"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.4652845412696676d, 0.9702889150812204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4652845412696676d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test167"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(10, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test168"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long13 = derivativeStructure12.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure27.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure27.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure22.divide(derivativeStructure32);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure33.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure16.multiply(derivativeStructure33);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.6698434389303876d, derivativeStructure6, 0.004477315894173474d, derivativeStructure37);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test169"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure24.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure32, derivativeStructure38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.multiply((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure46.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure46.scalb(0);
    int i52 = derivativeStructure46.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure46.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure39.add(derivativeStructure46);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2.220446049250313E-16d, derivativeStructure10, 0.0d, derivativeStructure17, 0.01544660690119332d, derivativeStructure39);
    org.apache.commons.math3.Field field56 = derivativeStructure55.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field56);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test170"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.7927734888497224E32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 74.26648683163762d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test171"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.toRadians();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure13, derivativeStructure18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test172"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    double[] d_array5 = null;
    double[] d_array7 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i15 = dSCompiler14.getOrder();
    int i16 = dSCompiler14.getOrder();
    int i17 = dSCompiler14.getOrder();
    dSCompiler11.checkCompatibility(dSCompiler14);
    int i19 = dSCompiler14.getSize();
    int[] i_array21 = dSCompiler14.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getOrder();
    dSCompiler24.checkCompatibility(dSCompiler27);
    int i32 = dSCompiler27.getSize();
    int[] i_array34 = dSCompiler27.getPartialDerivativeOrders(0);
    double[] d_array36 = new double[] { 1.0d };
    double[] d_array40 = new double[] { 10.0d, 1.0d };
    dSCompiler27.tanh(d_array36, 0, d_array40, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler49 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i50 = dSCompiler49.getOrder();
    int i51 = dSCompiler49.getOrder();
    int i52 = dSCompiler49.getOrder();
    dSCompiler46.checkCompatibility(dSCompiler49);
    int i54 = dSCompiler49.getSize();
    int[] i_array56 = dSCompiler49.getPartialDerivativeOrders(0);
    double[] d_array58 = new double[] { 1.0d };
    double[] d_array62 = new double[] { 10.0d, 1.0d };
    dSCompiler49.tanh(d_array58, 0, d_array62, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler67 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler70 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i71 = dSCompiler70.getOrder();
    int i72 = dSCompiler70.getOrder();
    int i73 = dSCompiler70.getOrder();
    dSCompiler67.checkCompatibility(dSCompiler70);
    int i75 = dSCompiler70.getSize();
    int[] i_array77 = dSCompiler70.getPartialDerivativeOrders(0);
    double[] d_array79 = new double[] { 1.0d };
    double[] d_array83 = new double[] { 10.0d, 1.0d };
    dSCompiler70.tanh(d_array79, 0, d_array83, 0);
    dSCompiler14.compose(d_array36, (-1), d_array62, d_array79, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.remainder(d_array5, 20, d_array7, (-1), d_array79, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test173"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.7763568394002505E-15d, 1.6186615712299957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6186615712299957d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test174"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.4873058201553492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8835976056075499d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test175"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test176"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.copySign(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.sqrt();
    int i12 = derivativeStructure11.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.subtract(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure37.copySign(0.5377246701688203d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-0.16053261455350384d), derivativeStructure11, 0.2558427881104495d, derivativeStructure23, (-1.74756892189523E-308d), derivativeStructure28, 24008.792979184385d, derivativeStructure37);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test177"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.floor();
    double[] d_array19 = derivativeStructure18.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.floor();
    double[] d_array28 = derivativeStructure27.getAllDerivatives();
    double d29 = dSCompiler8.taylor(d_array19, 20, d_array28);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i35 = dSCompiler34.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler41 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i42 = dSCompiler41.getOrder();
    int i43 = dSCompiler41.getOrder();
    int i44 = dSCompiler41.getOrder();
    dSCompiler38.checkCompatibility(dSCompiler41);
    int i46 = dSCompiler41.getSize();
    int[] i_array48 = dSCompiler41.getPartialDerivativeOrders(0);
    double[] d_array50 = new double[] { 1.0d };
    double[] d_array54 = new double[] { 10.0d, 1.0d };
    dSCompiler41.tanh(d_array50, 0, d_array54, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler60 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler63 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i64 = dSCompiler63.getOrder();
    int i65 = dSCompiler63.getOrder();
    int i66 = dSCompiler63.getOrder();
    dSCompiler60.checkCompatibility(dSCompiler63);
    int i68 = dSCompiler63.getSize();
    int[] i_array70 = dSCompiler63.getPartialDerivativeOrders(0);
    double[] d_array72 = new double[] { 1.0d };
    double[] d_array76 = new double[] { 10.0d, 1.0d };
    dSCompiler63.tanh(d_array72, 0, d_array76, 0);
    dSCompiler34.exp(d_array54, 0, d_array76, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array19, (-127), (-1023), d_array76, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test178"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-1023), (-1));
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test179"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test180"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test181"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i12 = dSCompiler11.getOrder();
    int i13 = dSCompiler11.getOrder();
    int i14 = dSCompiler11.getOrder();
    dSCompiler8.checkCompatibility(dSCompiler11);
    int i16 = dSCompiler11.getSize();
    int[] i_array18 = dSCompiler11.getPartialDerivativeOrders(0);
    double[] d_array20 = new double[] { 1.0d };
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    dSCompiler11.tanh(d_array20, 0, d_array24, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i38 = dSCompiler37.getOrder();
    int i39 = dSCompiler37.getOrder();
    int i40 = dSCompiler37.getOrder();
    dSCompiler34.checkCompatibility(dSCompiler37);
    int i42 = dSCompiler37.getSize();
    int[] i_array44 = dSCompiler37.getPartialDerivativeOrders(0);
    double[] d_array46 = new double[] { 1.0d };
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    dSCompiler37.tanh(d_array46, 0, d_array50, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler56 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler59 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i60 = dSCompiler59.getOrder();
    int i61 = dSCompiler59.getOrder();
    int i62 = dSCompiler59.getOrder();
    dSCompiler56.checkCompatibility(dSCompiler59);
    int i64 = dSCompiler59.getSize();
    int[] i_array66 = dSCompiler59.getPartialDerivativeOrders(0);
    double[] d_array68 = new double[] { 1.0d };
    double[] d_array72 = new double[] { 10.0d, 1.0d };
    dSCompiler59.tanh(d_array68, 0, d_array72, 0);
    dSCompiler30.exp(d_array50, 0, d_array72, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tan(d_array20, 20, d_array72, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test182"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.030935157426384915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test183"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(9.536744E-7f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536744E-7f);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test184"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.6419690851391311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test185"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.27588107309214316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.27939398318593694d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test186"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.3369844095223624d, 0.267506846718085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3733216832067607d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test187"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.9868635106324076E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999999999998d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test188"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(3, (-127));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test189"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.7763568394002505E-15d, 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.654319433712919E-16d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test190"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.20306579589583426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2003198908360384d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test191"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(2L, (-2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2L));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test192"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(100.00499987500626d, (-0.47544202894407056d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test193"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.remainder(0.8250490024687384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test194"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, 3.975693351829396E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.975693351829396E-16d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test195"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test196"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(93.5132062252957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.09514655541958E40d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test197"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(90.00000000000003d, 0.004668858284692784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0212312157769605d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test198"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    int i7 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long12 = derivativeStructure11.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.subtract(1.9643175412944536d);
    double[] d_array17 = derivativeStructure14.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getOrder();
    dSCompiler25.checkCompatibility(dSCompiler28);
    int i33 = dSCompiler28.getSize();
    int[] i_array35 = dSCompiler28.getPartialDerivativeOrders(0);
    double[] d_array37 = new double[] { 1.0d };
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    dSCompiler28.tanh(d_array37, 0, d_array41, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler47 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler50 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i51 = dSCompiler50.getOrder();
    int i52 = dSCompiler50.getOrder();
    int i53 = dSCompiler50.getOrder();
    dSCompiler47.checkCompatibility(dSCompiler50);
    int i55 = dSCompiler50.getSize();
    int[] i_array57 = dSCompiler50.getPartialDerivativeOrders(0);
    double[] d_array59 = new double[] { 1.0d };
    double[] d_array63 = new double[] { 10.0d, 1.0d };
    dSCompiler50.tanh(d_array59, 0, d_array63, 0);
    dSCompiler21.exp(d_array41, 0, d_array63, 0);
    double[] d_array69 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.divide(d_array17, 20, d_array41, 2, d_array69, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test199"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-1.7763568394002505E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.7763568394002505E-15d));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test200"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.pow(derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.multiply(2.097207631308085d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure25.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.add((-0.18361130566449393d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure21.remainder(derivativeStructure31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test201"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException4 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array3);
    java.lang.Throwable[] throwable_array5 = mathIllegalArgumentException4.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array5);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathIllegalArgumentException7.getContext();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = mathIllegalArgumentException7.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test202"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.floor();
    double[] d_array18 = derivativeStructure17.getAllDerivatives();
    double[] d_array22 = new double[] { 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array18, 2, (-1023), d_array22, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test203"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getOrder();
    int i14 = dSCompiler10.getOrder();
    int i15 = dSCompiler10.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    dSCompiler18.checkCompatibility(dSCompiler21);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    int i36 = dSCompiler31.getSize();
    int[] i_array38 = dSCompiler31.getPartialDerivativeOrders(0);
    int i39 = dSCompiler18.getPartialDerivativeIndex(i_array38);
    int i40 = dSCompiler10.getPartialDerivativeIndex(i_array38);
    int i41 = dSCompiler2.getPartialDerivativeIndex(i_array38);
    int i42 = dSCompiler2.getSize();
    int i43 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure54.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure54.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure49.divide(derivativeStructure59);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure65.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure65.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure71.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure72.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure72.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure72.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure67.divide(derivativeStructure77);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure78.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure61.subtract(derivativeStructure79);
    double[] d_array81 = derivativeStructure61.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure85.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure86.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure90 = derivativeStructure86.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure91 = derivativeStructure86.tanh();
    double[] d_array92 = derivativeStructure91.getAllDerivatives();
    dSCompiler2.sinh(d_array81, 10, d_array92, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler95 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.checkCompatibility(dSCompiler95);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test204"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long12 = derivativeStructure11.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure16, derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure11.add(derivativeStructure26);
    org.apache.commons.math3.Field field28 = derivativeStructure26.getField();
    double[] d_array29 = derivativeStructure26.getAllDerivatives();
    double[] d_array31 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array29, (-1023), d_array31, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test205"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i7 = dSCompiler6.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    dSCompiler6.checkCompatibility(dSCompiler13);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    int i26 = dSCompiler24.getOrder();
    int i27 = dSCompiler24.getOrder();
    dSCompiler21.checkCompatibility(dSCompiler24);
    int i29 = dSCompiler24.getSize();
    int[] i_array31 = dSCompiler24.getPartialDerivativeOrders(0);
    int i32 = dSCompiler6.getPartialDerivativeIndex(i_array31);
    int i33 = dSCompiler2.getPartialDerivativeIndex(i_array31);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i37 = dSCompiler36.getOrder();
    int i38 = dSCompiler36.getOrder();
    int i39 = dSCompiler36.getSize();
    int i40 = dSCompiler36.getSize();
    double[] d_array42 = new double[] { 10.0d };
    double[] d_array44 = null;
    double d45 = dSCompiler36.taylor(d_array42, 0, d_array44);
    double[] d_array47 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atanh(d_array44, 20, d_array47, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 10.0d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test206"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.5020478432555281d, (java.lang.Number)0.4652845412696676d, false);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test207"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(100.0d, 90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test208"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test209"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getOrder();
    dSCompiler15.checkCompatibility(dSCompiler18);
    int i23 = dSCompiler18.getSize();
    int[] i_array25 = dSCompiler18.getPartialDerivativeOrders(0);
    double[] d_array27 = new double[] { 1.0d };
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    dSCompiler18.tanh(d_array27, 0, d_array31, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getOrder();
    dSCompiler37.checkCompatibility(dSCompiler40);
    int i45 = dSCompiler40.getSize();
    int[] i_array47 = dSCompiler40.getPartialDerivativeOrders(0);
    double[] d_array49 = new double[] { 1.0d };
    double[] d_array53 = new double[] { 10.0d, 1.0d };
    dSCompiler40.tanh(d_array49, 0, d_array53, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i62 = dSCompiler61.getOrder();
    int i63 = dSCompiler61.getOrder();
    int i64 = dSCompiler61.getOrder();
    dSCompiler58.checkCompatibility(dSCompiler61);
    int i66 = dSCompiler61.getSize();
    int[] i_array68 = dSCompiler61.getPartialDerivativeOrders(0);
    double[] d_array70 = new double[] { 1.0d };
    double[] d_array74 = new double[] { 10.0d, 1.0d };
    dSCompiler61.tanh(d_array70, 0, d_array74, 0);
    dSCompiler5.compose(d_array27, (-1), d_array53, d_array70, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler81 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i82 = dSCompiler81.getOrder();
    int i83 = dSCompiler81.getOrder();
    int i84 = dSCompiler81.getSize();
    int[] i_array86 = dSCompiler81.getPartialDerivativeOrders(0);
    int i87 = dSCompiler5.getPartialDerivativeIndex(i_array86);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array89 = dSCompiler5.getPartialDerivativeOrders((-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 0);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test210"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.6641830464487656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8149742612185771d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test211"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.6571716449292492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 37.653161670115885d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test212"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(24008.792979184385d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test213"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.000001f, (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536744E-6f);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test214"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.4480736161291701d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test215"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.030920365816330564d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test216"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.2485749363470669d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3195875920476003d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test217"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.subtract(derivativeStructure10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test218"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.6419690851391311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test219"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(90.00000000000001d, 1.3169578969248166d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 90.00963491817015d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test220"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-7.105427E-15f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.2351647E-22f);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test221"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5403023058681398d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test222"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-1.4711276743037347d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9950371902099892d));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test223"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.rint();
    org.apache.commons.math3.Field field8 = derivativeStructure6.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.cbrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test224"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.778365499802215E65d, 1.1364636663857248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.778365499802215E65d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test225"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.005478626839238383d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000150077135603d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test226"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(3.3556525231164585E36d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test227"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    int i9 = derivativeStructure5.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 6);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test228"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.525965039867135d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8648398482276778d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test229"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(9.3292758790338E111d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.329275879033801E111d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test230"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure4, derivativeStructure16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure16.divide(0.8648398482276849d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.copySign(1.3169578969248166d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure27.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure35.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure27.divide(derivativeStructure35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure27.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure27.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure42.rootN(1);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.2626272556789118d, derivativeStructure22, (-8.881784197001252E-16d), derivativeStructure42, 0.7869259484028011d, derivativeStructure46);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test231"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.9652047544458712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5692485462071228d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test232"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(3.944304526105059E-31d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.944304526105059E-31d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test233"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i5 = dSCompiler4.getOrder();
    int i6 = dSCompiler4.getOrder();
    int i7 = dSCompiler4.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.floor();
    double[] d_array15 = derivativeStructure14.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.floor();
    double[] d_array24 = derivativeStructure23.getAllDerivatives();
    double d25 = dSCompiler4.taylor(d_array15, 20, d_array24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(100, (-20), d_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test234"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getSize();
    int[] i_array15 = dSCompiler10.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler10);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array18 = dSCompiler10.getPartialDerivativeOrders((-46));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test235"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.5020478432555281d, 3.9476266098825343E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.9476266098825343E-16d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test236"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1L), (java.lang.Number)1.570796326794897d, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = numberIsTooLargeException4.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooLargeException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.570796326794897d+ "'", number5.equals(1.570796326794897d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test237"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.0212312157769605d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7037068384965268d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test238"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    int i3 = dimensionMismatchException2.getDimension();
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException2.getSuppressed();
    java.lang.Throwable[] throwable_array5 = dimensionMismatchException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test239"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-7.1054274E-15f), 3.139861715431285E-75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.105427E-15f));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test240"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.5637255535918546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.7765835553953644d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test241"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-24), 3, 15.954332791420534d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test242"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-1.7763568394002505E-15d), 0.5299324224383604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5299324224383604d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test243"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    int i18 = dSCompiler13.getSize();
    int[] i_array20 = dSCompiler13.getPartialDerivativeOrders(0);
    double[] d_array22 = new double[] { 1.0d };
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    dSCompiler13.tanh(d_array22, 0, d_array26, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure33.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure33.pow((-1.5707963267948968d));
    double[] d_array40 = new double[] { 10.0d };
    double d41 = derivativeStructure33.taylor(d_array40);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array26, 10, (-20), d_array40, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test244"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 5L);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test245"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.pow((-1.5707963267948968d));
    double[] d_array17 = new double[] { 10.0d };
    double d18 = derivativeStructure10.taylor(d_array17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure30.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure30.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure25.divide(derivativeStructure35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure41.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure48.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure48.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure48.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure43.divide(derivativeStructure53);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure37.subtract(derivativeStructure55);
    double[] d_array57 = derivativeStructure37.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure61.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure61.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure61.pow((-1.5707963267948968d));
    double[] d_array68 = new double[] { 10.0d };
    double d69 = derivativeStructure61.taylor(d_array68);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.add(d_array17, 0, d_array57, 1, d_array68, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test246"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.778365499802215E65d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test247"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(3, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test248"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.718281828459045d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test249"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1, (-1), (-20), 1.5707963267948968d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.991699960029815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.003619704270705174d));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test251"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.192925985263684d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test252"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException(number0, (java.lang.Number)6.102016471589377E38d, true);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test253"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(99.99998f, 0.9511359238503061d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99997f);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test254"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    int i18 = dSCompiler13.getSize();
    int[] i_array20 = dSCompiler13.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getOrder();
    dSCompiler23.checkCompatibility(dSCompiler26);
    int i31 = dSCompiler26.getSize();
    int[] i_array33 = dSCompiler26.getPartialDerivativeOrders(0);
    double[] d_array35 = new double[] { 1.0d };
    double[] d_array39 = new double[] { 10.0d, 1.0d };
    dSCompiler26.tanh(d_array35, 0, d_array39, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getOrder();
    dSCompiler45.checkCompatibility(dSCompiler48);
    int i53 = dSCompiler48.getSize();
    int[] i_array55 = dSCompiler48.getPartialDerivativeOrders(0);
    double[] d_array57 = new double[] { 1.0d };
    double[] d_array61 = new double[] { 10.0d, 1.0d };
    dSCompiler48.tanh(d_array57, 0, d_array61, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler66 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler69 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i70 = dSCompiler69.getOrder();
    int i71 = dSCompiler69.getOrder();
    int i72 = dSCompiler69.getOrder();
    dSCompiler66.checkCompatibility(dSCompiler69);
    int i74 = dSCompiler69.getSize();
    int[] i_array76 = dSCompiler69.getPartialDerivativeOrders(0);
    double[] d_array78 = new double[] { 1.0d };
    double[] d_array82 = new double[] { 10.0d, 1.0d };
    dSCompiler69.tanh(d_array78, 0, d_array82, 0);
    dSCompiler13.compose(d_array35, (-1), d_array61, d_array78, 0);
    double[] d_array88 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cos(d_array35, 10, d_array88, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test255"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.pow(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test256"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.7822383054153456d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.24559584647734103d));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test257"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure6.remainder(derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.pow(derivativeStructure14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test258"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure0 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.pow((-1023));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure0, derivativeStructure11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test259"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    dSCompiler5.tanh(d_array14, 0, d_array18, 0);
    int i21 = dSCompiler5.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getSize();
    int i35 = dSCompiler31.getSize();
    double[] d_array37 = new double[] { 10.0d };
    double[] d_array39 = null;
    double d40 = dSCompiler31.taylor(d_array37, 0, d_array39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure28.compose(d_array37);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure49.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure49.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure49.acosh();
    double[] d_array55 = derivativeStructure54.getAllDerivatives();
    double[] d_array57 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.linearCombination(1.5637255535918546d, d_array37, 80, 0.0d, d_array55, 0, d_array57, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test260"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    double[] d_array13 = new double[] { 10.0d, (-1.0d) };
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getSize();
    int i27 = dSCompiler23.getSize();
    double[] d_array29 = new double[] { 10.0d };
    double[] d_array31 = null;
    double d32 = dSCompiler23.taylor(d_array29, 0, d_array31);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure20.compose(d_array29);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long39 = derivativeStructure38.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure48.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure43, derivativeStructure50);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure51.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure38.add(derivativeStructure53);
    org.apache.commons.math3.Field field55 = derivativeStructure53.getField();
    double[] d_array56 = derivativeStructure53.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.multiply(d_array13, 10, d_array29, (-46), d_array56, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test261"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(3, (-20));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test262"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(6.776264E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test263"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(10L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test264"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.toRadians();
    int i10 = derivativeStructure7.getExponent();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1024);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test265"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.525965039867135d), 0.7591519698191315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test266"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-1.1406215378871585d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test267"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    dSCompiler5.checkCompatibility(dSCompiler12);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getSize();
    int i24 = dSCompiler20.getSize();
    double[] d_array26 = new double[] { 10.0d };
    double[] d_array28 = null;
    double d29 = dSCompiler20.taylor(d_array26, 0, d_array28);
    dSCompiler12.checkCompatibility(dSCompiler20);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getSize();
    int[] i_array38 = dSCompiler33.getPartialDerivativeOrders(0);
    dSCompiler20.checkCompatibility(dSCompiler33);
    dSCompiler2.checkCompatibility(dSCompiler20);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array42 = dSCompiler2.getPartialDerivativeOrders(1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test268"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(6.102016471589377E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.102016471589377E38d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test269"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long13 = derivativeStructure12.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure8.pow(derivativeStructure12);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure8, derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.subtract((-1.7475689218952297E-308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test270"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.99999994f);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test271"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.4873058201553492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4873058201553492d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test272"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(419.03248691646587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.62712932755848E181d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test273"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(6.102016471589377E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test274"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1024, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1024);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test275"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(90.00000000000003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5596856728972892d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test276"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(3, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test277"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure7.pow(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure7.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test278"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test279"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4210854715202004E-14d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test280"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, 4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test281"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(19.085536923187668d, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 76.34214769275067d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test282"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    long long9 = derivativeStructure8.round();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-1L));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test283"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-15.954589770191d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test284"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getOrder();
    dSCompiler30.checkCompatibility(dSCompiler33);
    int i38 = dSCompiler33.getSize();
    int[] i_array40 = dSCompiler33.getPartialDerivativeOrders(0);
    double[] d_array42 = new double[] { 1.0d };
    double[] d_array46 = new double[] { 10.0d, 1.0d };
    dSCompiler33.tanh(d_array42, 0, d_array46, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler9.tanh(d_array25, 0, d_array42, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test285"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long5 = derivativeStructure4.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.toDegrees();
    int i10 = derivativeStructure6.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure15.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.atanh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(4.9E-324d, derivativeStructure6, 419.0324869164659d, derivativeStructure20, 1.778365499802215E65d, derivativeStructure33);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test286"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(10, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure5.pow((-1.5707963267948968d));
    double[] d_array12 = new double[] { 10.0d };
    double d13 = derivativeStructure5.taylor(d_array12);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    int i26 = dSCompiler24.getOrder();
    int i27 = dSCompiler24.getOrder();
    dSCompiler21.checkCompatibility(dSCompiler24);
    int i29 = dSCompiler24.getSize();
    int[] i_array31 = dSCompiler24.getPartialDerivativeOrders(0);
    double[] d_array33 = new double[] { 1.0d };
    double[] d_array37 = new double[] { 10.0d, 1.0d };
    dSCompiler24.tanh(d_array33, 0, d_array37, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i47 = dSCompiler46.getOrder();
    int i48 = dSCompiler46.getOrder();
    int i49 = dSCompiler46.getOrder();
    dSCompiler43.checkCompatibility(dSCompiler46);
    int i51 = dSCompiler46.getSize();
    int[] i_array53 = dSCompiler46.getPartialDerivativeOrders(0);
    double[] d_array55 = new double[] { 1.0d };
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    dSCompiler46.tanh(d_array55, 0, d_array59, 0);
    dSCompiler17.exp(d_array37, 0, d_array59, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log(d_array12, (-1023), d_array59, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test287"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.scalb(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.subtract(derivativeStructure16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.rootN(10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure18, derivativeStructure27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test288"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.acos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test289"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.5764780756904523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test290"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(6.102016471589377E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test291"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(7.105429E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test292"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.remainder(709.782712893384d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.pow(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test293"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i20 = dSCompiler19.getOrder();
    int i21 = dSCompiler19.getOrder();
    int i22 = dSCompiler19.getOrder();
    dSCompiler16.checkCompatibility(dSCompiler19);
    dSCompiler12.checkCompatibility(dSCompiler19);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getSize();
    int i31 = dSCompiler27.getSize();
    double[] d_array33 = new double[] { 10.0d };
    double[] d_array35 = null;
    double d36 = dSCompiler27.taylor(d_array33, 0, d_array35);
    dSCompiler19.checkCompatibility(dSCompiler27);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getSize();
    int[] i_array45 = dSCompiler40.getPartialDerivativeOrders(0);
    int i46 = dSCompiler27.getPartialDerivativeIndex(i_array45);
    int i47 = dSCompiler2.getPartialDerivativeIndex(i_array45);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler50 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler53 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i54 = dSCompiler53.getOrder();
    int i55 = dSCompiler53.getOrder();
    int i56 = dSCompiler53.getOrder();
    dSCompiler50.checkCompatibility(dSCompiler53);
    int i58 = dSCompiler53.getSize();
    int[] i_array60 = dSCompiler53.getPartialDerivativeOrders(0);
    double[] d_array62 = new double[] { 1.0d };
    double[] d_array66 = new double[] { 10.0d, 1.0d };
    dSCompiler53.tanh(d_array62, 0, d_array66, 0);
    double[] d_array70 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log1p(d_array62, 6, d_array70, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test294"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-1.3186101177658331d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.089747038179628d));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test295"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test296"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathIllegalArgumentException5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test297"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(38.37920198524031d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6732378085374022d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test298"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    double[] d_array8 = new double[] { 10.0d };
    double[] d_array10 = null;
    double d11 = dSCompiler2.taylor(d_array8, 0, d_array10);
    double[] d_array12 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure24.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure19.divide(derivativeStructure29);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure31.scalb((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure31.remainder((-0.5958164402125868d));
    double[] d_array37 = derivativeStructure36.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tan(d_array12, (-1), d_array37, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test299"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.3022634284251158d, 0.5045251231895915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.39657997871336d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test300"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(2.854318051294694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2954470963116778d));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test301"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    int i7 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.pow((-1.5707963267948968d));
    double[] d_array17 = new double[] { 10.0d };
    double d18 = derivativeStructure10.taylor(d_array17);
    double[] d_array20 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log1p(d_array17, 20, d_array20, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test302"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-1.0f), 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test303"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(100, 1, 2, 3.7765835553953644d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test304"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2, (-20), 1, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test305"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.pow((-1));
    int i9 = derivativeStructure6.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure14.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure22.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure14.divide(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure14.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long34 = derivativeStructure33.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure38, derivativeStructure45);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure33.add(derivativeStructure48);
    org.apache.commons.math3.Field field50 = derivativeStructure48.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure48.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.0030602477923982d, derivativeStructure28, 0.0d, derivativeStructure48);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure6.multiply(derivativeStructure52);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 1, 3.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure58.divide(0.03093515553795393d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure64.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure65.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure65.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure69.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure70.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure71.abs();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.0d, derivativeStructure1, 38.37920198524031d, derivativeStructure52, 90.00000000000001d, derivativeStructure58, 2.178180991207368E30d, derivativeStructure72);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test306"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.776356839400251E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.2146848510894035E-8d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test307"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.9652047544458712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9882643992495469d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test308"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.4210856E-14f, 3.7765835553953644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210858E-14f);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test309"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.subtract(0.7591519698191315d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test310"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getSize();
    int[] i_array15 = dSCompiler10.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler10);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i20 = dSCompiler19.getOrder();
    int i21 = dSCompiler19.getOrder();
    int i22 = dSCompiler19.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.floor();
    double[] d_array30 = derivativeStructure29.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure37.floor();
    double[] d_array39 = derivativeStructure38.getAllDerivatives();
    double d40 = dSCompiler19.taylor(d_array30, 20, d_array39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure45.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure51.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure52.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure52.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure52.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure47.divide(derivativeStructure57);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure57.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure59.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure59.scalb((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure59.remainder((-0.5958164402125868d));
    double[] d_array65 = derivativeStructure64.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler10.asinh(d_array39, 80, d_array65, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test311"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-15.954589770191001d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.508200322353876d));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test312"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.add((-4.340832561168609d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure8, derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test313"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.8648398482276778d, 0.23570226039551592d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3047198764416927d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test314"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.floor();
    double[] d_array41 = derivativeStructure40.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i46 = dSCompiler45.getOrder();
    int i47 = dSCompiler45.getOrder();
    int i48 = dSCompiler45.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure52.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.floor();
    double[] d_array56 = derivativeStructure55.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure61.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure63.floor();
    double[] d_array65 = derivativeStructure64.getAllDerivatives();
    double d66 = dSCompiler45.taylor(d_array56, 20, d_array65);
    double d67 = dSCompiler2.taylor(d_array41, 80, d_array56);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array69 = dSCompiler2.getPartialDerivativeOrders(20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test315"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.3169578969248166d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9999999999999998d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test316"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure8.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure8.atan();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure4, derivativeStructure8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test317"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.subtract(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.copySign(0.5377246701688203d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.rootN(1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test318"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(15.954332791420534d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4244716.58411116d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test319"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure12.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure7.divide(derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long27 = derivativeStructure26.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure31, derivativeStructure38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure26.add(derivativeStructure41);
    org.apache.commons.math3.Field field43 = derivativeStructure41.getField();
    double[] d_array44 = derivativeStructure41.getAllDerivatives();
    double d45 = derivativeStructure20.taylor(d_array44);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 2, d_array44);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test320"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.5297020291092965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5297020291092965d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test321"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.8473728170778716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.343133042180062d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test322"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(2.1544346900318843d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.623014125017582d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test323"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getOrder();
    dSCompiler17.checkCompatibility(dSCompiler20);
    int i25 = dSCompiler20.getSize();
    int[] i_array27 = dSCompiler20.getPartialDerivativeOrders(0);
    double[] d_array29 = new double[] { 1.0d };
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    dSCompiler20.tanh(d_array29, 0, d_array33, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long41 = derivativeStructure40.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure40.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.subtract(1.9643175412944536d);
    double[] d_array46 = derivativeStructure43.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log1p(d_array29, (-24), d_array46, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long41 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test324"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(3.7765835553953644d, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test325"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-47));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test326"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-1.4711276743037347d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.1373220393635d));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test327"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.4652845412696676d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.008120747203787138d));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test328"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.sin();
    int i19 = derivativeStructure17.getOrder();
    int i20 = derivativeStructure17.getExponent();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1024);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test329"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    dSCompiler5.tanh(d_array14, 0, d_array18, 0);
    int i21 = dSCompiler5.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getOrder();
    dSCompiler24.checkCompatibility(dSCompiler27);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i38 = dSCompiler37.getOrder();
    int i39 = dSCompiler37.getOrder();
    int i40 = dSCompiler37.getOrder();
    dSCompiler34.checkCompatibility(dSCompiler37);
    int i42 = dSCompiler37.getSize();
    int[] i_array44 = dSCompiler37.getPartialDerivativeOrders(0);
    int i45 = dSCompiler24.getPartialDerivativeIndex(i_array44);
    int i46 = dSCompiler24.getOrder();
    dSCompiler5.checkCompatibility(dSCompiler24);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array49 = dSCompiler24.getPartialDerivativeOrders(1024);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test330"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(100.000015f, 80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.208926E26f);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test331"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.5865168324851123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test332"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-7L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-7L));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test333"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 100, (-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test334"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.858931910669651d, (-47));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.211140381257753E-13d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test335"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.776356839400251E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-49));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test336"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.9999999999999998d, 0.23570226039551592d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1774797593449848d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test337"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.6649851499464902d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8154662163121721d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test338"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.9511359238503061d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9511359238503061d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test339"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(Double.NEGATIVE_INFINITY, 0.0366031782642774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test340"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(76.34214769275067d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 76L);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test341"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.5901986839880567d), 1.5637255535918546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5901986839880567d));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test342"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.3369844095223624d, (-0.5901986839880569d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9865091742214263d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test343"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure2.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test344"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(419.0324869164659d, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test345"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(89.99444427296612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test346"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-90.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.102016471589204E38d));

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test347"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    int i17 = dSCompiler12.getSize();
    int[] i_array19 = dSCompiler12.getPartialDerivativeOrders(0);
    double[] d_array21 = new double[] { 1.0d };
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    dSCompiler12.tanh(d_array21, 0, d_array25, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getSize();
    int i35 = dSCompiler31.getSize();
    double[] d_array37 = new double[] { 10.0d };
    double[] d_array39 = null;
    double d40 = dSCompiler31.taylor(d_array37, 0, d_array39);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i47 = dSCompiler46.getOrder();
    int i48 = dSCompiler46.getOrder();
    int i49 = dSCompiler46.getOrder();
    dSCompiler43.checkCompatibility(dSCompiler46);
    int i51 = dSCompiler46.getSize();
    int[] i_array53 = dSCompiler46.getPartialDerivativeOrders(0);
    double[] d_array55 = new double[] { 1.0d };
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    dSCompiler46.tanh(d_array55, 0, d_array59, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.compose(d_array21, (-24), d_array39, d_array59, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test348"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(74.26648683163762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9051518708677191d));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test349"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.9978310466070275d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1718570853262764d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test350"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.pow(90.00000000000003d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test351"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.06065462911070001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.80255932151375d));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test352"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(99.99998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 99.999985f);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test353"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.20804321276727766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4561175427094179d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test354"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long5 = derivativeStructure4.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.atanh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2.1544346900318843d, derivativeStructure8, 0.20657095758432376d, derivativeStructure16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test355"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-7.105427E-15f), (-7.1054274E-15f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.105427E-15f));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test356"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(254.5407348193965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 254.0d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test357"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(99.99999f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test358"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(2.5772171907329233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5772171907329238d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test359"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.0617945383542897d, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.293938152652234E-27d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test360"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-1.5707963267948968d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test361"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i5 = dSCompiler4.getOrder();
    int i6 = dSCompiler4.getOrder();
    int i7 = dSCompiler4.getSize();
    int i8 = dSCompiler4.getSize();
    double[] d_array10 = new double[] { 10.0d };
    double[] d_array12 = null;
    double d13 = dSCompiler4.taylor(d_array10, 0, d_array12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-47), (-1), d_array12);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test362"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure5.acosh();
    int i11 = derivativeStructure10.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.multiply((-46));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.pow(Double.POSITIVE_INFINITY);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure21.sin();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure10.pow(derivativeStructure24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test363"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.add(0.9999999958776927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test364"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.01743829535773623d, 1.776356839400251E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.017438295357736226d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test365"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test366"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    boolean b10 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Number number11 = numberIsTooLargeException9.getMax();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException9);
    java.lang.Number number13 = numberIsTooLargeException9.getArgument();
    java.lang.Number number14 = numberIsTooLargeException9.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 10+ "'", number11.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (byte)1+ "'", number13.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 10+ "'", number14.equals(10));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test367"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getSize();
    int i12 = dSCompiler8.getSize();
    double[] d_array14 = new double[] { 10.0d };
    double[] d_array16 = null;
    double d17 = dSCompiler8.taylor(d_array14, 0, d_array16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure5.compose(d_array14);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test368"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-1.4911620245203239d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test369"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.Field field20 = derivativeStructure18.getField();
    double[] d_array21 = derivativeStructure18.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long26 = derivativeStructure25.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure25.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.subtract(1.9643175412944536d);
    double[] d_array31 = derivativeStructure28.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure18.compose(d_array31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test370"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.9643175412944536d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.4948966991227146d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test371"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test372"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure16.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure24.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure24.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure24.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(254.54647713262412d, derivativeStructure7, 1.3022634284251158d, derivativeStructure16, 1.2251530756397981d, derivativeStructure24);
    double d33 = derivativeStructure7.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == (-37.0d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test373"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-1.5707963267948968d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test374"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.8835976056075499d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9595880776182382d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test375"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6531941446923634d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test376"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.subtract(1.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.exp();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure11.divide(derivativeStructure21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test377"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.01544660690119332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6959414868710186E-4d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test378"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.015447835585206494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test379"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.subtract(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.copySign(0.5377246701688203d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure7.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure7.rootN((-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test380"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure18.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure13.divide(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure7.multiply(derivativeStructure24);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure24.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure24.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure34.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure40.abs();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure30.divide(derivativeStructure40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test381"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(9.999999f, 7.105429E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test382"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(3.373121463535864d, 0.20306579589583426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2800449904192286d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test383"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test384"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(24008.792979184385d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test385"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    java.lang.Throwable[] throwable_array6 = dimensionMismatchException5.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = mathIllegalArgumentException9.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test386"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(3.4948966991227146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test387"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.9882643992495469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7566212867136681d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test388"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-15.954589770191d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2441339337845165d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test389"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-46), 80);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test390"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.remainder(0.8306408778607839d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cbrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test391"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.004668875246858371d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.673617379884035E-19d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test392"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(6, (-1));
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { dSCompiler7 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array10);
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i17 = dSCompiler16.getOrder();
    int i18 = dSCompiler16.getOrder();
    java.lang.Object[] obj_array19 = new java.lang.Object[] { dSCompiler16 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable13, obj_array19);
    mathIllegalArgumentException12.addSuppressed((java.lang.Throwable)mathIllegalArgumentException20);
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)mathIllegalArgumentException12);
    int i23 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test393"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(3.139861715431285E-75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9090934652977266E-91d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test394"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-24), 1);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test395"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.5703568922850637d, (java.lang.Number)0.8565543835445739d, true);
    java.lang.String str4 = numberIsTooLargeException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooLargeException: 1.57 is larger than the maximum (0.857)"+ "'", str4.equals("org.apache.commons.math3.exception.NumberIsTooLargeException: 1.57 is larger than the maximum (0.857)"));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test396"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.0030602477923982d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.001327019259674452d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test397"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(9.536744E-5f, 9.536744E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536744E-5f);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test398"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array12 = dSCompiler2.getPartialDerivativeOrders((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test399"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(76L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 76L);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test400"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure21.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure21.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure16.divide(derivativeStructure26);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.atanh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure9, derivativeStructure29);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test401"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(99.99997f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test402"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.043734674009951d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.043734674009951d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test403"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-127), 0, 2.854318051294694d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test404"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(3.944304526105059E-31d, 8.673617379884035E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.944304526105059E-31d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test405"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-1023), 10);
    java.lang.Number number4 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-1023)+ "'", number4.equals((-1023)));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test406"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2, (-46), 1, 0.6931471805599454d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test407"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.15917453895486153d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test408"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-0.8546104647638713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test409"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure3.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.rootN(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test410"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(100.000015f, 100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.000015f);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test411"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(3.975693351829396E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.975693351829396E-16d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test412"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getOrder();
    dSCompiler15.checkCompatibility(dSCompiler18);
    int i23 = dSCompiler18.getSize();
    int[] i_array25 = dSCompiler18.getPartialDerivativeOrders(0);
    double[] d_array27 = new double[] { 1.0d };
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    dSCompiler18.tanh(d_array27, 0, d_array31, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getOrder();
    dSCompiler37.checkCompatibility(dSCompiler40);
    int i45 = dSCompiler40.getSize();
    int[] i_array47 = dSCompiler40.getPartialDerivativeOrders(0);
    double[] d_array49 = new double[] { 1.0d };
    double[] d_array53 = new double[] { 10.0d, 1.0d };
    dSCompiler40.tanh(d_array49, 0, d_array53, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i62 = dSCompiler61.getOrder();
    int i63 = dSCompiler61.getOrder();
    int i64 = dSCompiler61.getOrder();
    dSCompiler58.checkCompatibility(dSCompiler61);
    int i66 = dSCompiler61.getSize();
    int[] i_array68 = dSCompiler61.getPartialDerivativeOrders(0);
    double[] d_array70 = new double[] { 1.0d };
    double[] d_array74 = new double[] { 10.0d, 1.0d };
    dSCompiler61.tanh(d_array70, 0, d_array74, 0);
    dSCompiler5.compose(d_array27, (-1), d_array53, d_array70, 0);
    int i79 = dSCompiler5.getOrder();
    int i80 = dSCompiler5.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test413"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.431007130040573d, (-0.7547738480310527d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7547738480310527d));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test414"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.5703568922850637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.570356892285064d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test415"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure21.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.divide(10240.0d);
    org.apache.commons.math3.Field field29 = derivativeStructure28.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure15, derivativeStructure28);
    double[] d_array32 = derivativeStructure15.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i37 = dSCompiler36.getOrder();
    int i38 = dSCompiler36.getOrder();
    int i39 = dSCompiler36.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.floor();
    double[] d_array47 = derivativeStructure46.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure52.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.floor();
    double[] d_array56 = derivativeStructure55.getAllDerivatives();
    double d57 = dSCompiler36.taylor(d_array47, 20, d_array56);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.atan(d_array32, 6, d_array56, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test416"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(7.313496569512391d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9410721895404774d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test417"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    dSCompiler5.tanh(d_array14, 0, d_array18, 0);
    int i21 = dSCompiler5.getSize();
    double[] d_array22 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long28 = derivativeStructure27.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure32, derivativeStructure39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure27.add(derivativeStructure42);
    org.apache.commons.math3.Field field44 = derivativeStructure42.getField();
    double[] d_array45 = derivativeStructure42.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.tanh(d_array22, 10, d_array45, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test418"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.262627255678912d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test419"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(9.3292758790338E111d, (-0.6045426631236213d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-9.3292758790338E111d));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test420"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { dSCompiler7 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array10);
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException19 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable16, 0, 100);
    mathIllegalArgumentException15.addSuppressed((java.lang.Throwable)dimensionMismatchException19);
    int i21 = dimensionMismatchException19.getDimension();
    int i22 = dimensionMismatchException19.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 100);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test421"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1.0d), (java.lang.Number)1, false);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = numberIsTooLargeException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test422"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 6);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test423"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(9.6714075E25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test424"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test425"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(100.00499987500626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test426"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 1.4210858E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210858E-14f);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test427"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    int i14 = dSCompiler9.getSize();
    int[] i_array16 = dSCompiler9.getPartialDerivativeOrders(0);
    double[] d_array18 = new double[] { 1.0d };
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    dSCompiler9.tanh(d_array18, 0, d_array22, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    int i36 = dSCompiler31.getSize();
    int[] i_array38 = dSCompiler31.getPartialDerivativeOrders(0);
    double[] d_array40 = new double[] { 1.0d };
    double[] d_array44 = new double[] { 10.0d, 1.0d };
    dSCompiler31.tanh(d_array40, 0, d_array44, 0);
    dSCompiler2.exp(d_array22, 0, d_array44, 0);
    int i49 = dSCompiler2.getSize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test428"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.6698434389303876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5117886977004766d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test429"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    double[] d_array18 = new double[] { 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.compose(d_array18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test430"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long11 = derivativeStructure10.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure10.acosh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure28.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure28.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure23.divide(derivativeStructure33);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure46.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure46.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure41.divide(derivativeStructure51);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure52.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure35.subtract(derivativeStructure53);
    double[] d_array55 = derivativeStructure35.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure60.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure60.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure62.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure62.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure62.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure62.acosh();
    double[] d_array68 = derivativeStructure67.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure73.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure73.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure75.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure75.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure75.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure75.acosh();
    double[] d_array81 = derivativeStructure80.getAllDerivatives();
    dSCompiler17.remainder(d_array55, 0, d_array68, 20, d_array81, 6);
    double d84 = derivativeStructure10.taylor(d_array55);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure89 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long90 = derivativeStructure89.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure91 = derivativeStructure89.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure92 = derivativeStructure89.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure94 = derivativeStructure89.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure95 = derivativeStructure94.acosh();
    double[] d_array96 = derivativeStructure94.getAllDerivatives();
    dSCompiler2.asinh(d_array55, 6, d_array96, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long90 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array96);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test431"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.divide(10240.0d);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i17 = dSCompiler16.getOrder();
    int i18 = dSCompiler16.getOrder();
    int i19 = dSCompiler16.getOrder();
    dSCompiler13.checkCompatibility(dSCompiler16);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getOrder();
    dSCompiler23.checkCompatibility(dSCompiler26);
    int i31 = dSCompiler26.getSize();
    int[] i_array33 = dSCompiler26.getPartialDerivativeOrders(0);
    int i34 = dSCompiler13.getPartialDerivativeIndex(i_array33);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i38 = dSCompiler37.getOrder();
    int i39 = dSCompiler37.getOrder();
    int i40 = dSCompiler37.getSize();
    int[] i_array42 = dSCompiler37.getPartialDerivativeOrders(0);
    dSCompiler13.checkCompatibility(dSCompiler37);
    int i44 = dSCompiler13.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler47 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i48 = dSCompiler47.getOrder();
    int i49 = dSCompiler47.getOrder();
    int i50 = dSCompiler47.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure54.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure56.floor();
    double[] d_array58 = derivativeStructure57.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure63.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure65.floor();
    double[] d_array67 = derivativeStructure66.getAllDerivatives();
    double d68 = dSCompiler47.taylor(d_array58, 20, d_array67);
    double[] d_array73 = new double[] { 0.0d, 1.0d, 1.0d };
    dSCompiler13.sin(d_array58, 2, d_array73, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d76 = derivativeStructure8.taylor(d_array73);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test432"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-7.1054274E-15f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test433"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.rootN(100);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.atanh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(4.499809670330265d, derivativeStructure9, 1.1718570853262764d, derivativeStructure18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test434"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(3.6732378085374022d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test435"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.0000150077135603d, 1.3169578969248166d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.000019764573896d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test436"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.1718570853262764d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test437"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array4);
    java.lang.Throwable[] throwable_array6 = mathIllegalArgumentException5.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test438"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure30.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure30.pow((-1.5707963267948968d));
    double[] d_array37 = new double[] { 10.0d };
    double d38 = derivativeStructure30.taylor(d_array37);
    double[] d_array40 = null;
    double[] d_array42 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.subtract(d_array37, 10, d_array40, 1, d_array42, (-47));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test439"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(38.37920198524031d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3272639722951232E16d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test440"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(13.504744742356596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.603041086092728d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test441"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure12.add(derivativeStructure21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure8.pow(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.signum();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test442"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure6.subtract(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test443"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(15.148477798551026d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.180368994758907d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test444"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure11.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure6.divide(derivativeStructure16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure28.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure36.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure28.divide(derivativeStructure36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long46 = derivativeStructure45.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure45.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure41.add(derivativeStructure45);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure45.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure45.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure50.toDegrees();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.5692485462071228d, derivativeStructure21, 5.243207067369466E34d, derivativeStructure23, 0.9511359238503061d, derivativeStructure51);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long46 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test445"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long19 = derivativeStructure18.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure23, derivativeStructure30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure18.add(derivativeStructure33);
    org.apache.commons.math3.Field field35 = derivativeStructure33.getField();
    double[] d_array36 = derivativeStructure33.getAllDerivatives();
    double[] d_array38 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asinh(d_array36, 0, d_array38, 2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test446"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(80.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test447"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.5901986839880569d), 1.7097772460758185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7097772460758185d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test448"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure3.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test449"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-6.102016471589204E38d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test450"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.3169578969248166d, 0.5692485462071228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1628050872210876d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test451"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long19 = derivativeStructure18.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure18.acosh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure36.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure36.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure31.divide(derivativeStructure41);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure41.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure54.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure54.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure49.divide(derivativeStructure59);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure60.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure43.subtract(derivativeStructure61);
    double[] d_array63 = derivativeStructure43.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure68.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure70.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure70.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure70.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure70.acosh();
    double[] d_array76 = derivativeStructure75.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure81.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure81.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure83.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure83.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure87 = derivativeStructure83.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure83.acosh();
    double[] d_array89 = derivativeStructure88.getAllDerivatives();
    dSCompiler25.remainder(d_array63, 0, d_array76, 20, d_array89, 6);
    double d92 = derivativeStructure18.taylor(d_array63);
    double[] d_array93 = derivativeStructure18.getAllDerivatives();
    double[] d_array95 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler9.acos(d_array93, (-47), d_array95, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test452"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.6940659E-21f);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test453"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2109818485960283d));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test454"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.838954838512659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test455"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.1076911829175151d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0444186987961532d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test456"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.001327019259674452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test457"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.pow(90.00000000000003d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test458"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-2L), (-7L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-7L));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test459"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add(0.6698434389303876d);
    int i7 = derivativeStructure6.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.multiply((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.pow(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.6571716449292492d, derivativeStructure9, 1.858931910669651d, derivativeStructure13, 0.0d, derivativeStructure15, 141.42489172702236d, derivativeStructure17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test460"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(8.0d, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 512.0d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test461"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure18.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure13.divide(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure7.multiply(derivativeStructure24);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure24.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.atanh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure24.multiply(derivativeStructure33);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test462"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(5.243207067369466E34d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.243207067369466E34d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test463"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(1L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test464"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.8546104647638713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test465"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    int i19 = derivativeStructure17.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.rootN((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test466"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.1774797593449848d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0559689545465403d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test467"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure8.pow((-1.5707963267948968d));
    double[] d_array15 = new double[] { 10.0d };
    double d16 = derivativeStructure8.taylor(d_array15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int i30 = dSCompiler26.getSize();
    double[] d_array32 = new double[] { 10.0d };
    double[] d_array34 = null;
    double d35 = dSCompiler26.taylor(d_array32, 0, d_array34);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure23.compose(d_array32);
    // The following exception was thrown during execution in test generation
    try {
      double d37 = dSCompiler2.taylor(d_array15, (-46), d_array32);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test468"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure25.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure25.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure20.divide(derivativeStructure30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure43.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure43.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure38.divide(derivativeStructure48);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure32.subtract(derivativeStructure50);
    double[] d_array52 = derivativeStructure32.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure57.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure57.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure59.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure62.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure68.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure68.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure72.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure73.divide(10240.0d);
    org.apache.commons.math3.Field field76 = derivativeStructure75.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure75.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure62, derivativeStructure75);
    double[] d_array79 = derivativeStructure62.getAllDerivatives();
    double[] d_array82 = new double[] { (-1.0d), 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler9.compose(d_array52, 0, d_array79, d_array82, 80);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test469"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long12 = derivativeStructure11.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure4.add(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure4.toDegrees();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test470"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test471"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.030920365816330564d, 2.603041086092728d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.030920365816330564d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test472"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure15, derivativeStructure27);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure27.toRadians();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure3.multiply(derivativeStructure30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test473"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.8131799349119925d, 4.2146848510894035E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8131799349119925d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test474"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 6, 100);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test475"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.multiply((-1.4711276743037347d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure16.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure16.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure25.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure33.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure25.divide(derivativeStructure33);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure25.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure40.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure49.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure49.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure53.pow(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure61.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure61.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure65.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure67.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure57.remainder(derivativeStructure67);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(9.329275879033801E111d, derivativeStructure8, (-2.80255932151375d), derivativeStructure16, 2.509178478658057d, derivativeStructure42, 123.44001497540268d, derivativeStructure57);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test476"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(100.0f, 9.536744E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test477"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)7.105428E-15f, (java.lang.Number)(-0.16053261455350384d), true);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = numberIsTooLargeException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test478"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3L);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test479"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long12 = derivativeStructure11.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure4.add(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure4.divide(0.6649851499464902d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure4.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure4.pow((-0.6045426631236213d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test480"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-1.7763568394002505E-15d), (-0.6045426631236213d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.7763568394002505E-15d));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test481"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.7748890809109701d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9791996617563211d));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test482"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)2.5772171907329233d, (java.lang.Number)100, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable5, (-24), 80);
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)dimensionMismatchException8);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test483"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.03093515553795393d, 0.2558427881104495d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.12033054954775477d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test484"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.2436369776730935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23892807190851273d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test485"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    int i12 = dSCompiler8.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler8);
    int i14 = dSCompiler8.getSize();
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array16 = dSCompiler8.getPartialDerivativeOrders((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test486"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test487"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test488"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.5020478432555281d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7085533453844729d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test489"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2.1544346900318843d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test490"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(9.536744E-5f, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.6E-43f);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test491"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.pow(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure9.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test492"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(6.102016471589291E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0650027844016016E37d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test493"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure11.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure6.divide(derivativeStructure16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure29.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.0d, derivativeStructure22, 0.015445992713079918d, derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test494"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test495"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, 2.854318051294694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.854318051294694d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test496"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(Float.NEGATIVE_INFINITY, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test497"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.9868635106324076E-8d, 1.2915496650148839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5383562587270005E-8d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test498"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.806217383937352E-6d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test499"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(5.654319433712919E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.654319433712919E-16d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test500"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure17.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure12.divide(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure35.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure35.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure30.divide(derivativeStructure40);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure24.subtract(derivativeStructure42);
    double[] d_array44 = derivativeStructure24.getAllDerivatives();
    double[] d_array46 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tanh(d_array44, (-24), d_array46, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);

  }

}
