
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest3 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test001"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.8835976056075499d, 6.073215758553052d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8835976056075499d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test002"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1), 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test003"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test004"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(6, 1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test005"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test006"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.7869259484028011d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 45.08753563281009d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.8648398482276849d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9299676597751585d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test008"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.8132198708341126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.014193364288698272d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test009"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure11.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure6.divide(derivativeStructure16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure6.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.pow((-8.73784460947615E-309d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure28.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure37.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure37.add(derivativeStructure46);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure33.pow(derivativeStructure47);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure48.log10();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.6931471805599453d, derivativeStructure20, 0.0d, derivativeStructure23, 0.6751448777668151d, derivativeStructure48);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test010"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(2147483647, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1023));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test011"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.rootN(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.multiply(8.638987560158184E-13d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure19.remainder(1.718281828459045d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure19.cosh();
    int i25 = derivativeStructure24.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test012"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-0.5901986839880569d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test013"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.0f, 5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test014"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.copySign(1.4677992676220695d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure13, derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure9.multiply(derivativeStructure13);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.log();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test015"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.ceil();
    double d10 = derivativeStructure9.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.subtract(derivativeStructure11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-2.0d));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test016"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.8997923511366261d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6900896966648555d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test017"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(80, 2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test018"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.6751448777668151d, (java.lang.Number)2.5772171907329238d, true);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test019"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    int i26 = dSCompiler24.getOrder();
    int i27 = dSCompiler24.getOrder();
    dSCompiler21.checkCompatibility(dSCompiler24);
    dSCompiler17.checkCompatibility(dSCompiler24);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i36 = dSCompiler35.getOrder();
    int i37 = dSCompiler35.getOrder();
    int i38 = dSCompiler35.getOrder();
    dSCompiler32.checkCompatibility(dSCompiler35);
    int i40 = dSCompiler35.getSize();
    int[] i_array42 = dSCompiler35.getPartialDerivativeOrders(0);
    int i43 = dSCompiler17.getPartialDerivativeIndex(i_array42);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler49 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i50 = dSCompiler49.getOrder();
    int i51 = dSCompiler49.getOrder();
    int i52 = dSCompiler49.getOrder();
    dSCompiler46.checkCompatibility(dSCompiler49);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler56 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler59 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i60 = dSCompiler59.getOrder();
    int i61 = dSCompiler59.getOrder();
    int i62 = dSCompiler59.getOrder();
    dSCompiler56.checkCompatibility(dSCompiler59);
    int i64 = dSCompiler59.getSize();
    int[] i_array66 = dSCompiler59.getPartialDerivativeOrders(0);
    int i67 = dSCompiler46.getPartialDerivativeIndex(i_array66);
    int i68 = dSCompiler17.getPartialDerivativeIndex(i_array66);
    int i69 = dSCompiler2.getPartialDerivativeIndex(i_array66);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array71 = dSCompiler2.getPartialDerivativeOrders((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test020"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 7.4505806E-9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.4505806E-9f);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test021"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 1, 3.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(0.03093515553795393d);
    int i6 = derivativeStructure3.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 3);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test022"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, (-0.47544202894407056d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test023"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(3.4948966991227146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test024"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-20), 6);
    java.lang.String str3 = dimensionMismatchException2.toString();
    int i4 = dimensionMismatchException2.getDimension();
    int i5 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math3.exception.DimensionMismatchException: -20 != 6"+ "'", str3.equals("org.apache.commons.math3.exception.DimensionMismatchException: -20 != 6"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 6);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test025"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.5045251231895915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test026"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-7.105427E-15f), 1.1920928E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.105427E-15f));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test027"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.pow(Double.POSITIVE_INFINITY);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test028"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure28.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure28.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure23.divide(derivativeStructure33);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure17.remainder(derivativeStructure38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure38.multiply(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test029"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.0559689545465403d, 0.4873058201553492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0559689545465403d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test030"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure14, derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure27.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure33.pow(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure33.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure42.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure44.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure44.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure44.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure48.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure50.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure50.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.5703568922850637d, derivativeStructure37, 1.838954838512659d, derivativeStructure50);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure58.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure59.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure59.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure59.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure59.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(15.954332791420534d, derivativeStructure14, (-90.0d), derivativeStructure37, 0.5403023058681398d, derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test031"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(9.536743E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.2759576E-12f);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test032"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    double[] d_array15 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i20 = dSCompiler19.getOrder();
    int i21 = dSCompiler19.getOrder();
    int i22 = dSCompiler19.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.floor();
    double[] d_array30 = derivativeStructure29.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure37.floor();
    double[] d_array39 = derivativeStructure38.getAllDerivatives();
    double d40 = dSCompiler19.taylor(d_array30, 20, d_array39);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler9.acos(d_array15, 100, d_array39, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test033"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure21.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure21.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure16.divide(derivativeStructure26);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure39.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure39.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure34.divide(derivativeStructure44);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure28.subtract(derivativeStructure46);
    double[] d_array48 = derivativeStructure28.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure55.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure55.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure55.acosh();
    double[] d_array61 = derivativeStructure60.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure66.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure68.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure68.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure68.acosh();
    double[] d_array74 = derivativeStructure73.getAllDerivatives();
    dSCompiler10.remainder(d_array48, 0, d_array61, 20, d_array74, 6);
    double d77 = derivativeStructure3.taylor(d_array48);
    double[] d_array78 = derivativeStructure3.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure3.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure79.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test034"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(76L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 76L);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test035"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.015447835585206494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-7));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test036"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure20.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure12.divide(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure5.remainder(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure20.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.remainder(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure35.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure20.remainder(derivativeStructure38);
    long long40 = derivativeStructure38.round();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 0L);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test037"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(9.536744E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test038"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    dSCompiler15.tanh(d_array24, 0, d_array28, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i38 = dSCompiler37.getOrder();
    int i39 = dSCompiler37.getOrder();
    int i40 = dSCompiler37.getOrder();
    dSCompiler34.checkCompatibility(dSCompiler37);
    int i42 = dSCompiler37.getSize();
    int[] i_array44 = dSCompiler37.getPartialDerivativeOrders(0);
    double[] d_array46 = new double[] { 1.0d };
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    dSCompiler37.tanh(d_array46, 0, d_array50, 0);
    dSCompiler8.exp(d_array28, 0, d_array50, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d55 = derivativeStructure3.taylor(d_array28);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test039"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.22606913585643787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test040"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.12033054954775477d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test041"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-24), 3);
    int i4 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test042"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(7.313496569512391d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.313496569512391d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.9563152221203468d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2506802105028036d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test045"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(2.6959414868710186E-4d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.6959414868710186E-4d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test046"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(Double.NaN, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test047"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(254.5407348193965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 14584.109819310099d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test048"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(100.00499987500626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4210854715202004E-14d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test049"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.sinh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure32.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure32.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure27.divide(derivativeStructure37);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure50.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure50.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure50.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure45.divide(derivativeStructure55);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure56.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure39.subtract(derivativeStructure57);
    double[] d_array59 = derivativeStructure39.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure64.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure66.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure66.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure66.acosh();
    double[] d_array72 = derivativeStructure71.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure77.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure77.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure79.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure79.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure79.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure79.acosh();
    double[] d_array85 = derivativeStructure84.getAllDerivatives();
    dSCompiler21.remainder(d_array59, 0, d_array72, 20, d_array85, 6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure16.compose(d_array72);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test050"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.0030602477923982d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test051"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure4.divide(0.8306408778607839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test052"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.9978310466070275d, 89.99444427296612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.011087241746574798d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test053"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-2L), 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test054"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test055"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test056"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(9.6714075E25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.6714075E25f);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test057"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(3.9476266098825343E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000000004d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test058"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    dSCompiler17.checkCompatibility(dSCompiler30);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getSize();
    int i43 = dSCompiler39.getOrder();
    dSCompiler30.checkCompatibility(dSCompiler39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure47.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure47.pow((-1.5707963267948968d));
    double[] d_array54 = new double[] { 10.0d };
    double d55 = derivativeStructure47.taylor(d_array54);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure60.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure62.floor();
    double[] d_array64 = derivativeStructure63.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler39.cos(d_array54, 10, d_array64, 2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test059"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.208926E26f, 0.23570226039551592d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2089259E26f);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test060"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(8.47033E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test061"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.04280531349184275d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test062"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.pow(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure13.remainder(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure13.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure30.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure38.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure30.divide(derivativeStructure38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure30.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.add(8.881784197001252E-16d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure13.remainder(derivativeStructure46);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.cbrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test063"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(123.44001497540268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0674043603991905E53d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test064"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.0000150077135603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test065"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure11.remainder(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure11.subtract(90.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure11.log();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test066"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(4.499809670330266d, 89.99444427296612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.079166719337937E58d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test067"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.570796326794897d, (-49));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.455421337500423E-10d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test068"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure21.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure21.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure15.multiply(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test069"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(6, (-1));
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { dSCompiler7 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array10);
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i17 = dSCompiler16.getOrder();
    int i18 = dSCompiler16.getOrder();
    java.lang.Object[] obj_array19 = new java.lang.Object[] { dSCompiler16 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable13, obj_array19);
    mathIllegalArgumentException12.addSuppressed((java.lang.Throwable)mathIllegalArgumentException20);
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)mathIllegalArgumentException12);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext23 = mathIllegalArgumentException12.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext23);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test070"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test071"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-10.0d), (-4.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.770329614269007d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test072"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.7566212867136681d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1310637894503268d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test073"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(8.638987560158184E-13d, 8.623014125017582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.623014125017582d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test074"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.expm1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test075"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    dSCompiler5.tanh(d_array14, 0, d_array18, 0);
    int i21 = dSCompiler5.getSize();
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array27 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i35 = dSCompiler34.getOrder();
    int i36 = dSCompiler34.getOrder();
    int i37 = dSCompiler34.getOrder();
    dSCompiler31.checkCompatibility(dSCompiler34);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler41 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler44 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i45 = dSCompiler44.getOrder();
    int i46 = dSCompiler44.getOrder();
    int i47 = dSCompiler44.getOrder();
    dSCompiler41.checkCompatibility(dSCompiler44);
    int i49 = dSCompiler44.getSize();
    int[] i_array51 = dSCompiler44.getPartialDerivativeOrders(0);
    int i52 = dSCompiler31.getPartialDerivativeIndex(i_array51);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler55 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i56 = dSCompiler55.getOrder();
    int i57 = dSCompiler55.getOrder();
    int i58 = dSCompiler55.getSize();
    int[] i_array60 = dSCompiler55.getPartialDerivativeOrders(0);
    dSCompiler31.checkCompatibility(dSCompiler55);
    int i62 = dSCompiler31.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler65 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i66 = dSCompiler65.getOrder();
    int i67 = dSCompiler65.getOrder();
    int i68 = dSCompiler65.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure72.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure74.floor();
    double[] d_array76 = derivativeStructure75.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure81.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure83.floor();
    double[] d_array85 = derivativeStructure84.getAllDerivatives();
    double d86 = dSCompiler65.taylor(d_array76, 20, d_array85);
    double[] d_array91 = new double[] { 0.0d, 1.0d, 1.0d };
    dSCompiler31.sin(d_array76, 2, d_array91, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.linearCombination(1.000019764573896d, d_array24, (-46), (-1.5574077246549023d), d_array27, 20, d_array76, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test076"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.5637255535918546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19416053323823154d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test077"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.08083247877065d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0396309339235006d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test078"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure18.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure13.divide(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.rootN(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.multiply(8.638987560158184E-13d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure27.remainder(1.718281828459045d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure27.cosh();
    int i33 = derivativeStructure32.getOrder();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure7.multiply(derivativeStructure32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 3);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test079"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(100, (-49));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-49));

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test080"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure16.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure16.multiply(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test081"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(2.05462105802957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 117.72111512379816d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test082"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(2.622247694426012d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.846996304877484d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test083"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure16.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure24.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure24.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure24.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(254.54647713262412d, derivativeStructure7, 1.3022634284251158d, derivativeStructure16, 1.2251530756397981d, derivativeStructure24);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.abs();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure24.add(derivativeStructure39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test084"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(15.148477798551026d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999999998609d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test085"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.add(0.6698434389303876d);
    int i9 = derivativeStructure8.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.multiply((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.sqrt();
    int i21 = derivativeStructure20.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure20.remainder((-0.502047843255528d));
    double d24 = derivativeStructure23.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure28.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure36.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure28.divide(derivativeStructure36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure28.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure23.pow(derivativeStructure44);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure23.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure52.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure53.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure53.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure58.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure59.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.cos();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.0d, derivativeStructure1, 6.079166719337937E58d, derivativeStructure11, 0.0d, derivativeStructure47, 0.9299676597751585d, derivativeStructure61);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.15686073815575718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test086"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(90.00000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test087"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.000001f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-10.000001f));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test088"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler2.getFreeParameters();
    int i34 = dSCompiler2.getSize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test089"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.03093515553795393d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5398562350568767d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test090"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.5697356607661157d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test091"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test092"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.copySign(0.27588107309214316d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure5.rootN((-20));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure5.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test093"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.20804321276727766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test094"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    int i13 = dSCompiler9.getOrder();
    int i14 = dSCompiler9.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    int i21 = dSCompiler17.getOrder();
    int i22 = dSCompiler17.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getOrder();
    dSCompiler25.checkCompatibility(dSCompiler28);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getOrder();
    dSCompiler35.checkCompatibility(dSCompiler38);
    int i43 = dSCompiler38.getSize();
    int[] i_array45 = dSCompiler38.getPartialDerivativeOrders(0);
    int i46 = dSCompiler25.getPartialDerivativeIndex(i_array45);
    int i47 = dSCompiler17.getPartialDerivativeIndex(i_array45);
    int i48 = dSCompiler9.getPartialDerivativeIndex(i_array45);
    int i49 = dSCompiler2.getPartialDerivativeIndex(i_array45);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i53 = dSCompiler52.getOrder();
    int i54 = dSCompiler52.getOrder();
    int i55 = dSCompiler52.getSize();
    int i56 = dSCompiler52.getSize();
    dSCompiler2.checkCompatibility(dSCompiler52);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array59 = dSCompiler2.getPartialDerivativeOrders((-49));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 1);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test095"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.0650027844016016E37d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test096"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-24), (-46));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test097"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.8131799349119925d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test098"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(20, 0, 100, 1.0559689545465403d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test099"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.acosh();
    int[] i_array18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = derivativeStructure16.getPartialDerivative(i_array18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test100"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(6.102016471589291E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.102016471589291E38d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test101"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(99.999985f, 99.99997f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.999985f);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test102"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-127), 0);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test103"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-1.0f), (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.536743E-7f));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test104"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.7182818284590455d, (java.lang.Number)0.267506846718085d, false);
    java.lang.Throwable[] throwable_array4 = numberIsTooLargeException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test105"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.rootN(10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure12, derivativeStructure18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test106"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.9868635106324076E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.467731004826888E-10d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test107"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(3.741019531049614E-69d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.741019531049614E-69d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test108"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure20.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure12.divide(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure3.divide(derivativeStructure25);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.multiply(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test109"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure30.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure30.pow((-1.5707963267948968d));
    double[] d_array37 = new double[] { 10.0d };
    double d38 = derivativeStructure30.taylor(d_array37);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure45.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure45.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure48.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure54.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure54.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure54.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure58.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.divide(10240.0d);
    org.apache.commons.math3.Field field62 = derivativeStructure61.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure61.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure48, derivativeStructure61);
    double[] d_array65 = derivativeStructure48.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.exp(d_array37, 1024, d_array65, 80);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test110"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.rootN(10);
    double[] d_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.compose(d_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(6.102016471589377E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.102016471589377E38d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test112"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getOrder();
    dSCompiler7.checkCompatibility(dSCompiler10);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getOrder();
    dSCompiler17.checkCompatibility(dSCompiler20);
    int i25 = dSCompiler20.getSize();
    int[] i_array27 = dSCompiler20.getPartialDerivativeOrders(0);
    int i28 = dSCompiler7.getPartialDerivativeIndex(i_array27);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getSize();
    int[] i_array36 = dSCompiler31.getPartialDerivativeOrders(0);
    dSCompiler7.checkCompatibility(dSCompiler31);
    int i38 = dSCompiler7.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure42.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.floor();
    double[] d_array46 = derivativeStructure45.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler50 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i51 = dSCompiler50.getOrder();
    int i52 = dSCompiler50.getOrder();
    int i53 = dSCompiler50.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure57.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure59.floor();
    double[] d_array61 = derivativeStructure60.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure68.floor();
    double[] d_array70 = derivativeStructure69.getAllDerivatives();
    double d71 = dSCompiler50.taylor(d_array61, 20, d_array70);
    double d72 = dSCompiler7.taylor(d_array46, 80, d_array61);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure78.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure80.floor();
    double[] d_array82 = derivativeStructure81.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array61, 0, 1.0000000000000004d, d_array82, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test113"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(38.37920198524031d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 38.0d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test114"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.divide(1.9868635106324076E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test115"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure4.remainder(1.3022634284251158d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test116"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.rootN(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test117"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.3101704659714841d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8861686633282877d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test118"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    int i7 = dSCompiler2.getOrder();
    double[] d_array8 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure12.pow((-1.5707963267948968d));
    double[] d_array19 = new double[] { 10.0d };
    double d20 = derivativeStructure12.taylor(d_array19);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.expm1(d_array8, (-7), d_array19, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test119"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.030935157426384915d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test120"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.05706188430556382d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05712389735454469d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test121"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i20 = dSCompiler19.getOrder();
    int i21 = dSCompiler19.getOrder();
    int i22 = dSCompiler19.getOrder();
    dSCompiler16.checkCompatibility(dSCompiler19);
    dSCompiler12.checkCompatibility(dSCompiler19);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getSize();
    int i31 = dSCompiler27.getSize();
    double[] d_array33 = new double[] { 10.0d };
    double[] d_array35 = null;
    double d36 = dSCompiler27.taylor(d_array33, 0, d_array35);
    dSCompiler19.checkCompatibility(dSCompiler27);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getSize();
    int[] i_array45 = dSCompiler40.getPartialDerivativeOrders(0);
    int i46 = dSCompiler27.getPartialDerivativeIndex(i_array45);
    int i47 = dSCompiler2.getPartialDerivativeIndex(i_array45);
    double[] d_array48 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler55 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i56 = dSCompiler55.getOrder();
    int i57 = dSCompiler55.getOrder();
    int i58 = dSCompiler55.getOrder();
    dSCompiler52.checkCompatibility(dSCompiler55);
    int i60 = dSCompiler55.getSize();
    int[] i_array62 = dSCompiler55.getPartialDerivativeOrders(0);
    double[] d_array64 = new double[] { 1.0d };
    double[] d_array68 = new double[] { 10.0d, 1.0d };
    dSCompiler55.tanh(d_array64, 0, d_array68, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log(d_array48, 10, d_array64, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test122"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.scalb((-49));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test123"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(2L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test124"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(5.192925985263684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2787992419833047d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test125"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(99.99997f, 80.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99997f);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test126"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.remainder((-0.502047843255528d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test127"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure28.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure28.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure23.divide(derivativeStructure33);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure17.subtract(derivativeStructure35);
    double[] d_array37 = derivativeStructure17.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure17.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test128"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2147483647, (-1), 2, 1.1774797593449848d);
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test129"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-20), 2);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test130"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure3.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    double d20 = derivativeStructure19.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == (-2.0d));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test131"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler((-49), 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test132"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(2, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test133"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.7591519698191315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7254199762138086d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test134"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb((-49));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test135"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.9868635106324072E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000000002d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test136"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure16.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure16.log10();
    double[] d_array21 = derivativeStructure20.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long27 = derivativeStructure26.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure26.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.subtract(1.9643175412944536d);
    double[] d_array32 = derivativeStructure29.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getOrder();
    dSCompiler36.checkCompatibility(dSCompiler39);
    int i44 = dSCompiler39.getSize();
    int[] i_array46 = dSCompiler39.getPartialDerivativeOrders(0);
    double[] d_array48 = new double[] { 1.0d };
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    dSCompiler39.tanh(d_array48, 0, d_array52, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array21, 0, d_array32, 1024, d_array52, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test137"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.01743829535773623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017439179185093922d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test138"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.copySign(1.2915496650148839d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure10.remainder(6.846996304877484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test139"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.2645710638625583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2615778529053359d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test140"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, (-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-24));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test141"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.9999999999998609d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.391109449855418E-13d));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test142"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure37.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure37.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure47.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure47.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure43.pow(derivativeStructure51);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure43.scalb(100);
    double[] d_array55 = derivativeStructure54.getAllDerivatives();
    double[] d_array57 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.expm1(d_array55, 3, d_array57, 80);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test143"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.8835976056075499d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test144"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test145"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.7547738480310527d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7284265039394611d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test146"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { dSCompiler7 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array10);
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException19 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable16, 0, 100);
    mathIllegalArgumentException15.addSuppressed((java.lang.Throwable)dimensionMismatchException19);
    int i21 = dimensionMismatchException19.getDimension();
    java.lang.Throwable[] throwable_array22 = dimensionMismatchException19.getSuppressed();
    java.lang.Throwable[] throwable_array23 = dimensionMismatchException19.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext24 = dimensionMismatchException19.getContext();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str25 = dimensionMismatchException19.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext24);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test147"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.03093515553795393d, 0.31273173493123174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.33722248939230137d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test148"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.9440447578591878d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0906529304443997d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test149"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getSize();
    int i14 = dSCompiler10.getSize();
    double[] d_array16 = new double[] { 10.0d };
    double[] d_array18 = null;
    double d19 = dSCompiler10.taylor(d_array16, 0, d_array18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure7.compose(d_array16);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(20, (-20), d_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test150"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, (-2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test151"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.multiply(1.7724538509055159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test152"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, 3.7765835553953644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test153"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getSize();
    int i12 = dSCompiler8.getSize();
    double[] d_array14 = new double[] { 10.0d };
    double[] d_array16 = null;
    double d17 = dSCompiler8.taylor(d_array14, 0, d_array16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure5.compose(d_array14);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.copySign(0.0d);
    int i22 = derivativeStructure19.getOrder();
    int i23 = derivativeStructure19.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test154"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.18361130566449393d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test155"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(6.079166719337937E58d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 58.78384405394467d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test156"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure7.subtract(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test157"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.3101704659714841d), 195.53825281840398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 195.53825281840398d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test158"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.rootN(10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure5.pow(derivativeStructure11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test159"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.05706188430556382d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0016284711147765d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test160"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.15686073815575718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.157511234108331d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test161"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.subtract(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test162"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(2.6959414868710186E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-8.218592882844508d));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test163"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(89.99444427296612d, 2.293938152652234E-27d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-13.63176966720159d));

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test164"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.1310637894503268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test165"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.9791996617563211d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5576870471041729d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test166"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(80.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 80.000015f);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test167"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    java.lang.Number number6 = numberIsTooLargeException4.getArgument();
    java.lang.Number number7 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 709.782712893384d+ "'", number6.equals(709.782712893384d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 100.0f+ "'", number7.equals(100.0f));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test168"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.766457646234162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9628187514697867d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test169"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.05555555555555559d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05712774476023649d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test170"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(150.24372572852124d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 150.0d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test171"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(7.4505806E-9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test172"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-20), (-46));
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    int i5 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-46));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test173"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.rootN(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test174"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10+ "'", number5.equals(10));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test175"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-1.508200322353876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0d));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(100.00499987500626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test177"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    dSCompiler17.checkCompatibility(dSCompiler30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure40.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure40.tanh();
    double[] d_array46 = derivativeStructure45.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler50 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i51 = dSCompiler50.getOrder();
    int i52 = dSCompiler50.getOrder();
    int i53 = dSCompiler50.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure57.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure59.floor();
    double[] d_array61 = derivativeStructure60.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure68.floor();
    double[] d_array70 = derivativeStructure69.getAllDerivatives();
    double d71 = dSCompiler50.taylor(d_array61, 20, d_array70);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.asin(d_array46, 2, d_array61, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test178"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long8 = derivativeStructure7.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure22.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure22.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure17.divide(derivativeStructure27);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure28.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure11.multiply(derivativeStructure28);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.negate();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure3, derivativeStructure32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test179"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.atan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i15 = dSCompiler14.getOrder();
    int i16 = dSCompiler14.getOrder();
    int i17 = dSCompiler14.getOrder();
    dSCompiler11.checkCompatibility(dSCompiler14);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    int i26 = dSCompiler24.getOrder();
    int i27 = dSCompiler24.getOrder();
    dSCompiler21.checkCompatibility(dSCompiler24);
    int i29 = dSCompiler24.getSize();
    int[] i_array31 = dSCompiler24.getPartialDerivativeOrders(0);
    int i32 = dSCompiler11.getPartialDerivativeIndex(i_array31);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i36 = dSCompiler35.getOrder();
    int i37 = dSCompiler35.getOrder();
    int i38 = dSCompiler35.getSize();
    int[] i_array40 = dSCompiler35.getPartialDerivativeOrders(0);
    dSCompiler11.checkCompatibility(dSCompiler35);
    int i42 = dSCompiler11.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i46 = dSCompiler45.getOrder();
    int i47 = dSCompiler45.getOrder();
    int i48 = dSCompiler45.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure52.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.floor();
    double[] d_array56 = derivativeStructure55.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure61.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure63.floor();
    double[] d_array65 = derivativeStructure64.getAllDerivatives();
    double d66 = dSCompiler45.taylor(d_array56, 20, d_array65);
    double[] d_array71 = new double[] { 0.0d, 1.0d, 1.0d };
    dSCompiler11.sin(d_array56, 2, d_array71, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d74 = derivativeStructure6.taylor(d_array71);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test180"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test181"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(7.313496569512391d, (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.217936140042172E-18d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test182"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.6641830464487656d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6934742035213051E-18d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test183"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.004477315894173474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-5.408731542870649d));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test184"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(1024, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test185"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-1.508200322353876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.02632306140471497d));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test186"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(76L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test187"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(5.6E-43f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test188"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    int i14 = dSCompiler9.getSize();
    int[] i_array16 = dSCompiler9.getPartialDerivativeOrders(0);
    double[] d_array18 = new double[] { 1.0d };
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    dSCompiler9.tanh(d_array18, 0, d_array22, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    int i36 = dSCompiler31.getSize();
    int[] i_array38 = dSCompiler31.getPartialDerivativeOrders(0);
    double[] d_array40 = new double[] { 1.0d };
    double[] d_array44 = new double[] { 10.0d, 1.0d };
    dSCompiler31.tanh(d_array40, 0, d_array44, 0);
    dSCompiler2.exp(d_array22, 0, d_array44, 0);
    int i49 = dSCompiler2.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test189"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test190"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-20), 80);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test191"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(6.102016471589377E38d, 1.1628050872210876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.1020164715893764E38d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test192"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(2.097207631308085d, 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0972076313080854d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test193"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(4.09514655541958E40d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.14737907437761E38d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test194"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.remainder(2.220446049250313E-16d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure11.cbrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test195"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    boolean b10 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Number number11 = numberIsTooLargeException9.getMax();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException9);
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException17 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable13, (java.lang.Number)0L, (java.lang.Number)9.536743E-7f, true);
    boolean b18 = numberIsTooLargeException17.getBoundIsAllowed();
    numberIsTooLargeException9.addSuppressed((java.lang.Throwable)numberIsTooLargeException17);
    boolean b20 = numberIsTooLargeException17.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext21 = numberIsTooLargeException17.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext22 = numberIsTooLargeException17.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 10+ "'", number11.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test196"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(3.741019531049614E-69d, (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.5677142439361705E-75d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test197"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.019835032807717305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.14083690144176456d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test198"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 46);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test199"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(7.4505806E-9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.4505815E-9f);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test200"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test201"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.25856600932692314d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test202"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.pow(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure9.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure9.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.scalb(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test203"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(10, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    int i9 = dSCompiler5.getOrder();
    int i10 = dSCompiler5.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    int i17 = dSCompiler13.getOrder();
    int i18 = dSCompiler13.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    int i26 = dSCompiler24.getOrder();
    int i27 = dSCompiler24.getOrder();
    dSCompiler21.checkCompatibility(dSCompiler24);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i35 = dSCompiler34.getOrder();
    int i36 = dSCompiler34.getOrder();
    int i37 = dSCompiler34.getOrder();
    dSCompiler31.checkCompatibility(dSCompiler34);
    int i39 = dSCompiler34.getSize();
    int[] i_array41 = dSCompiler34.getPartialDerivativeOrders(0);
    int i42 = dSCompiler21.getPartialDerivativeIndex(i_array41);
    int i43 = dSCompiler13.getPartialDerivativeIndex(i_array41);
    int i44 = dSCompiler5.getPartialDerivativeIndex(i_array41);
    int i45 = dSCompiler5.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler51 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i52 = dSCompiler51.getOrder();
    int i53 = dSCompiler51.getOrder();
    int i54 = dSCompiler51.getOrder();
    dSCompiler48.checkCompatibility(dSCompiler51);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i62 = dSCompiler61.getOrder();
    int i63 = dSCompiler61.getOrder();
    int i64 = dSCompiler61.getOrder();
    dSCompiler58.checkCompatibility(dSCompiler61);
    int i66 = dSCompiler61.getSize();
    int[] i_array68 = dSCompiler61.getPartialDerivativeOrders(0);
    int i69 = dSCompiler48.getPartialDerivativeIndex(i_array68);
    int i70 = dSCompiler5.getPartialDerivativeIndex(i_array68);
    // The following exception was thrown during execution in test generation
    try {
      int i71 = dSCompiler2.getPartialDerivativeIndex(i_array68);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test204"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long5 = derivativeStructure4.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2.2787992419833047d, derivativeStructure6, 0.22606913585643787d, derivativeStructure8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test205"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    int i36 = dSCompiler17.getPartialDerivativeIndex(i_array35);
    int i37 = dSCompiler17.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure41.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure43.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure43.log10();
    double[] d_array48 = derivativeStructure47.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long54 = derivativeStructure53.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure53.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure53.remainder(0.8306408778607839d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure58.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure59.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long65 = derivativeStructure64.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure64.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure64.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure69.acosh();
    double[] d_array71 = derivativeStructure69.getAllDerivatives();
    double d72 = derivativeStructure59.taylor(d_array71);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.log(d_array48, (-24), d_array71, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long54 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long65 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.05706188430556382d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test206"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(45.08753563281009d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 45.08753563281009d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test207"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(3.5677142439361705E-75d, (-4.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.172196598432867E297d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test208"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(123.44001497540268d, 0.6649851499464902d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 123.44001497540268d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test209"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i37 = dSCompiler36.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i44 = dSCompiler43.getOrder();
    int i45 = dSCompiler43.getOrder();
    int i46 = dSCompiler43.getOrder();
    dSCompiler40.checkCompatibility(dSCompiler43);
    int i48 = dSCompiler43.getSize();
    int[] i_array50 = dSCompiler43.getPartialDerivativeOrders(0);
    double[] d_array52 = new double[] { 1.0d };
    double[] d_array56 = new double[] { 10.0d, 1.0d };
    dSCompiler43.tanh(d_array52, 0, d_array56, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler62 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler65 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i66 = dSCompiler65.getOrder();
    int i67 = dSCompiler65.getOrder();
    int i68 = dSCompiler65.getOrder();
    dSCompiler62.checkCompatibility(dSCompiler65);
    int i70 = dSCompiler65.getSize();
    int[] i_array72 = dSCompiler65.getPartialDerivativeOrders(0);
    double[] d_array74 = new double[] { 1.0d };
    double[] d_array78 = new double[] { 10.0d, 1.0d };
    dSCompiler65.tanh(d_array74, 0, d_array78, 0);
    dSCompiler36.exp(d_array56, 0, d_array78, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure87 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure87.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure90 = derivativeStructure87.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure92 = derivativeStructure87.pow((-1.5707963267948968d));
    double[] d_array94 = new double[] { 10.0d };
    double d95 = derivativeStructure87.taylor(d_array94);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.rootN(d_array78, 10, 0, d_array94, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 0.0d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test210"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(150.0d, 0.6931471805599453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 150.0d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test211"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.5117886977004766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5651502440613939d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test212"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.33722248939230137d, 0.8648398482276849d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.13358719828636736d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test213"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-8.73784460947615E-309d), (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-6.8264411011535E-311d));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test214"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.remainder((-9.3292758790338E111d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test215"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.029989675383798743d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test216"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-47));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 47);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test217"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getOrder();
    dSCompiler20.checkCompatibility(dSCompiler23);
    int i28 = dSCompiler23.getSize();
    int[] i_array30 = dSCompiler23.getPartialDerivativeOrders(0);
    int i31 = dSCompiler10.getPartialDerivativeIndex(i_array30);
    int i32 = dSCompiler2.getPartialDerivativeIndex(i_array30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure41.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure57.floor();
    double[] d_array59 = derivativeStructure58.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure66.floor();
    double[] d_array68 = derivativeStructure67.getAllDerivatives();
    double d69 = dSCompiler48.taylor(d_array59, 20, d_array68);
    double d70 = derivativeStructure45.taylor(d_array59);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler75 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler78 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i79 = dSCompiler78.getOrder();
    int i80 = dSCompiler78.getOrder();
    int i81 = dSCompiler78.getOrder();
    dSCompiler75.checkCompatibility(dSCompiler78);
    int i83 = dSCompiler78.getSize();
    int[] i_array85 = dSCompiler78.getPartialDerivativeOrders(0);
    double[] d_array87 = new double[] { 1.0d };
    double[] d_array91 = new double[] { 10.0d, 1.0d };
    dSCompiler78.tanh(d_array87, 0, d_array91, 0);
    dSCompiler2.pow(d_array59, 80, 84.10370959203021d, d_array87, 0);
    int i96 = dSCompiler2.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == (-0.8546104647638713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i96 == 100);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test218"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure14.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.divide(10240.0d);
    org.apache.commons.math3.Field field22 = derivativeStructure21.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure8.toDegrees();
    org.apache.commons.math3.Field field26 = derivativeStructure8.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field26);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test219"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.4677992676220695d, 10.770329614269007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 62.38137392808223d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test220"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.sqrt();
    int i9 = derivativeStructure8.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.add(0.6698434389303876d);
    int i17 = derivativeStructure16.getFreeParameters();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(150.0d, derivativeStructure8, 0.4873058201553492d, derivativeStructure16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 6);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test221"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.divide((-15.954589770191001d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test222"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(2.603041086092728d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.504744742356596d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test223"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.8648398482276849d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test224"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.1076911829175151d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3485199828800252d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test225"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure7, derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test226"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure7, derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure7.add((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.pow(derivativeStructure22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test227"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-13.63176966720159d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.4975694462739522d));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test228"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-90.0d), 1.9865091742214263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.548727586042894d));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test229"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.26457106386255846d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5774576563390286d));

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test230"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.remainder(709.782712893384d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure7.remainder(derivativeStructure14);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test231"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    dSCompiler5.checkCompatibility(dSCompiler12);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getSize();
    int i24 = dSCompiler20.getSize();
    double[] d_array26 = new double[] { 10.0d };
    double[] d_array28 = null;
    double d29 = dSCompiler20.taylor(d_array26, 0, d_array28);
    dSCompiler12.checkCompatibility(dSCompiler20);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getSize();
    int[] i_array38 = dSCompiler33.getPartialDerivativeOrders(0);
    dSCompiler20.checkCompatibility(dSCompiler33);
    dSCompiler2.checkCompatibility(dSCompiler20);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i44 = dSCompiler43.getOrder();
    int i45 = dSCompiler43.getOrder();
    int i46 = dSCompiler43.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure50.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure52.floor();
    double[] d_array54 = derivativeStructure53.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure61.floor();
    double[] d_array63 = derivativeStructure62.getAllDerivatives();
    double d64 = dSCompiler43.taylor(d_array54, 20, d_array63);
    double[] d_array66 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.exp(d_array54, (-46), d_array66, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test232"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(9.536744E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test233"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.scalb((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure17.remainder((-0.5958164402125868d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure26.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure36.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure30, derivativeStructure41);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure22.subtract(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test234"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.multiply((-49));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test235"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-0.9051518708677191d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test236"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.multiply((-1.4711276743037347d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure7.pow((-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test237"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.8835976056075499d, 4.2146848510894035E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707962790957537d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test238"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(3.467731004826888E-10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.0523323607720565E-12d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test239"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.26457106386255846d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test240"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, 2.6959414868710186E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test241"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test242"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.4561175427094179d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0079607528963852d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test243"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(2147483647, (-49));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-49));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.8154662163121721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2039952847415774d));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test245"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.1718570853262764d, 5.6449034565936405d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.913398708224044d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test246"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.8754923774149989d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 50.162018221754025d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test247"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure17.pow((-1.5707963267948968d));
    double[] d_array24 = new double[] { 10.0d };
    double d25 = derivativeStructure17.taylor(d_array24);
    double[] d_array27 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.cos(d_array24, (-127), d_array27, 1024);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test248"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-2), (-20), 10, (-0.5901986839880567d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test249"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.39657997871336d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test250"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.divide(2.211140381257753E-13d);
    int i7 = derivativeStructure4.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 6);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test251"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.divide(10240.0d);
    org.apache.commons.math3.Field field11 = derivativeStructure10.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.multiply(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test252"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.0d, 46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.0368744177664E13d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test253"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.remainder(0.6649851499464902d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.add(2.5091784786580567d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.toDegrees();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test254"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.9652047544458712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9652047544458713d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test255"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 20, 20);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test256"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(1, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure8.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure8.tanh();
    double[] d_array14 = derivativeStructure13.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure40.floor();
    double[] d_array42 = derivativeStructure41.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.floor();
    double[] d_array51 = derivativeStructure50.getAllDerivatives();
    double d52 = dSCompiler31.taylor(d_array42, 20, d_array51);
    double d53 = derivativeStructure28.taylor(d_array42);
    dSCompiler4.log(d_array14, 0, d_array42, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-7), 2147483647, d_array42);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == (-0.8546104647638713d));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test257"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 6, (-20));
    int i4 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-20));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test258"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.toRadians();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test259"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getOrder();
    dSCompiler15.checkCompatibility(dSCompiler18);
    int i23 = dSCompiler18.getSize();
    int[] i_array25 = dSCompiler18.getPartialDerivativeOrders(0);
    double[] d_array27 = new double[] { 1.0d };
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    dSCompiler18.tanh(d_array27, 0, d_array31, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getOrder();
    dSCompiler37.checkCompatibility(dSCompiler40);
    int i45 = dSCompiler40.getSize();
    int[] i_array47 = dSCompiler40.getPartialDerivativeOrders(0);
    double[] d_array49 = new double[] { 1.0d };
    double[] d_array53 = new double[] { 10.0d, 1.0d };
    dSCompiler40.tanh(d_array49, 0, d_array53, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i62 = dSCompiler61.getOrder();
    int i63 = dSCompiler61.getOrder();
    int i64 = dSCompiler61.getOrder();
    dSCompiler58.checkCompatibility(dSCompiler61);
    int i66 = dSCompiler61.getSize();
    int[] i_array68 = dSCompiler61.getPartialDerivativeOrders(0);
    double[] d_array70 = new double[] { 1.0d };
    double[] d_array74 = new double[] { 10.0d, 1.0d };
    dSCompiler61.tanh(d_array70, 0, d_array74, 0);
    dSCompiler5.compose(d_array27, (-1), d_array53, d_array70, 0);
    int i79 = dSCompiler5.getSize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 1);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test260"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(99.999985f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test261"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test262"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(76L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 76L);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test263"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.9652047544458712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test264"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.000010899217834d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7854036129766672d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test265"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.acosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test266"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.7854036129766672d, 45.08753563281009d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-15.766868171289023d));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test267"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test268"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(9.3292758790338E111d, 1.4433683181179398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4433683181179398d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test269"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(4.440892098500626E-16d, 2.2787992419833047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.440892098500627E-16d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test270"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.8648398482276849d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1452109357495872d));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test271"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    double d7 = derivativeStructure3.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure14.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure22.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure14.divide(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure14.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long34 = derivativeStructure33.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure38, derivativeStructure45);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure33.add(derivativeStructure48);
    org.apache.commons.math3.Field field50 = derivativeStructure48.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure48.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.0030602477923982d, derivativeStructure28, 0.0d, derivativeStructure48);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure9.add(derivativeStructure52);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure58.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure61.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure61.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long68 = derivativeStructure67.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure67.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure67.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure63.pow(derivativeStructure67);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure75.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure77.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure78.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure63, derivativeStructure78);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure54.pow(derivativeStructure63);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure54.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long68 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test272"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.12033054954775477d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.12062284462159888d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test273"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.015445992713079918d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.000119291717123d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test274"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable1, (-20), (-46));
    java.lang.Throwable[] throwable_array5 = dimensionMismatchException4.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test275"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(6, (-1));
    java.lang.Number number3 = dimensionMismatchException2.getArgument();
    int i4 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 6+ "'", number3.equals(6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test276"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure19.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure11.divide(derivativeStructure19);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long29 = derivativeStructure28.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure24.add(derivativeStructure28);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure6, derivativeStructure28);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure6.log1p();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test277"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.5576870471041729d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5322050140880078d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test278"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5574077246549023d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test279"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.4210856E-14f, (java.lang.Number)80.0f, false);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test280"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(10, 1);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test281"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test282"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.rint();
    double[] d_array8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = derivativeStructure7.taylor(d_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test283"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.9999999999998609d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test284"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(99.99998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test285"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler((-127), 2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test286"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(150.0d, 90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0303768265243125d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test287"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.0906529304443997d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.920148255081447d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test288"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.3369844095223624d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.772453850905516d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test289"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long12 = derivativeStructure11.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure4.add(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure4.divide(0.6649851499464902d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure4.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.multiply((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure38.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure46.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure46.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure46.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(254.54647713262412d, derivativeStructure29, 1.3022634284251158d, derivativeStructure38, 1.2251530756397981d, derivativeStructure46);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure21.pow(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test290"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(6, (-127));
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException6 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable3, (-20), (-46));
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)dimensionMismatchException6);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test291"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.8154662163121721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0620196061452725d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test292"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(9.329275879033801E111d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test293"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(2.5772171907329238d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04498092551728821d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test294"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.055555555555555594d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.055498505245716874d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test295"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test296"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.floor();
    double[] d_array14 = derivativeStructure13.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure3.compose(d_array14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test297"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure14.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.divide(10240.0d);
    org.apache.commons.math3.Field field22 = derivativeStructure21.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure21);
    long long25 = derivativeStructure21.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure21.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test298"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.pow(1);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.remainder(709.782712893384d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure16.remainder(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure16.add(0.31273173493123174d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure8.multiply(derivativeStructure16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test299"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test300"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.431007130040573d, 2.178180991207368E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.43100713004057306d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test301"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(99.99997f, 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99996f);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test302"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.1718570853262764d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7688864057011866d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test303"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.scalb(10);
    org.apache.commons.math3.Field field9 = derivativeStructure8.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure14, derivativeStructure21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure29.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.3369844095223624d, derivativeStructure8, 0.6744026976311414d, derivativeStructure22, 100.0d, derivativeStructure33);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure22.signum();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test304"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 10, 0);
    int i4 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test305"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long32 = derivativeStructure31.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure31.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure31.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.acosh();
    double[] d_array38 = derivativeStructure36.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure42.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure42.pow((-1.5707963267948968d));
    double[] d_array49 = new double[] { 10.0d };
    double d50 = derivativeStructure42.taylor(d_array49);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.exp(d_array38, (-24), d_array49, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test306"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(2.6959414868710186E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6959414215564425E-4d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test307"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(3L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test308"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getOrder();
    int i14 = dSCompiler10.getOrder();
    int i15 = dSCompiler10.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    dSCompiler18.checkCompatibility(dSCompiler21);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    int i36 = dSCompiler31.getSize();
    int[] i_array38 = dSCompiler31.getPartialDerivativeOrders(0);
    int i39 = dSCompiler18.getPartialDerivativeIndex(i_array38);
    int i40 = dSCompiler10.getPartialDerivativeIndex(i_array38);
    int i41 = dSCompiler2.getPartialDerivativeIndex(i_array38);
    int i42 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getOrder();
    dSCompiler45.checkCompatibility(dSCompiler48);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler55 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i59 = dSCompiler58.getOrder();
    int i60 = dSCompiler58.getOrder();
    int i61 = dSCompiler58.getOrder();
    dSCompiler55.checkCompatibility(dSCompiler58);
    int i63 = dSCompiler58.getSize();
    int[] i_array65 = dSCompiler58.getPartialDerivativeOrders(0);
    int i66 = dSCompiler45.getPartialDerivativeIndex(i_array65);
    int i67 = dSCompiler2.getPartialDerivativeIndex(i_array65);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array69 = dSCompiler2.getPartialDerivativeOrders(20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test309"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i38 = dSCompiler37.getOrder();
    int i39 = dSCompiler37.getOrder();
    int i40 = dSCompiler37.getOrder();
    dSCompiler34.checkCompatibility(dSCompiler37);
    int i42 = dSCompiler37.getSize();
    int[] i_array44 = dSCompiler37.getPartialDerivativeOrders(0);
    double[] d_array46 = new double[] { 1.0d };
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    dSCompiler37.tanh(d_array46, 0, d_array50, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler56 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler59 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i60 = dSCompiler59.getOrder();
    int i61 = dSCompiler59.getOrder();
    int i62 = dSCompiler59.getOrder();
    dSCompiler56.checkCompatibility(dSCompiler59);
    int i64 = dSCompiler59.getSize();
    int[] i_array66 = dSCompiler59.getPartialDerivativeOrders(0);
    double[] d_array68 = new double[] { 1.0d };
    double[] d_array72 = new double[] { 10.0d, 1.0d };
    dSCompiler59.tanh(d_array68, 0, d_array72, 0);
    dSCompiler30.exp(d_array50, 0, d_array72, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure81.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler86 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i87 = dSCompiler86.getOrder();
    int i88 = dSCompiler86.getOrder();
    int i89 = dSCompiler86.getSize();
    int i90 = dSCompiler86.getSize();
    double[] d_array92 = new double[] { 10.0d };
    double[] d_array94 = null;
    double d95 = dSCompiler86.taylor(d_array92, 0, d_array94);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure96 = derivativeStructure83.compose(d_array92);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler9.sinh(d_array50, (-127), d_array92, (-47));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure96);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test310"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(7.2759576E-12f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test311"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(5.192925985263684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test312"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.25856600932692314d, 0.01544660690119332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2585660093269231d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test313"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test314"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test315"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.multiply(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test316"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(1, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure10.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.tanh();
    double[] d_array16 = derivativeStructure15.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure26.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.floor();
    double[] d_array44 = derivativeStructure43.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure51.floor();
    double[] d_array53 = derivativeStructure52.getAllDerivatives();
    double d54 = dSCompiler33.taylor(d_array44, 20, d_array53);
    double d55 = derivativeStructure30.taylor(d_array44);
    dSCompiler6.log(d_array16, 0, d_array44, 1);
    double[] d_array59 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.sinh(d_array44, 0, d_array59, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == (-0.8546104647638713d));

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test317"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure15.divide(0.8648398482276849d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.expm1();
    org.apache.commons.math3.Field field21 = derivativeStructure20.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field21);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test318"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(5.6843418860808015E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.6843418860808015E-14d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test319"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-46), (-24), 2.622247694426012d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test320"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long21 = derivativeStructure20.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure16.add(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure20.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure20.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test321"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.38089163598696146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6171641888403454d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test322"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(5.243207067369466E34d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 79.94482650867053d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test323"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.copySign(1.2915496650148839d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test324"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 5.62949953421312E14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test325"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test326"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, 254.5407348193965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test327"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.0f);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test328"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.pow(derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure9.scalb(100);
    double[] d_array21 = derivativeStructure20.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.log();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test329"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException14 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable10, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    boolean b15 = numberIsTooLargeException14.getBoundIsAllowed();
    java.lang.Number number16 = numberIsTooLargeException14.getMax();
    numberIsTooLargeException9.addSuppressed((java.lang.Throwable)numberIsTooLargeException14);
    java.lang.Number number18 = numberIsTooLargeException9.getArgument();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 10+ "'", number16.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 709.782712893384d+ "'", number18.equals(709.782712893384d));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test330"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1), (-47), (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test331"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.20657095758432376d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test332"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.766457646234162d, (-15.954589770191001d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.766457646234162d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test333"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.7037068384965268d, (java.lang.Number)(-6.102016471589204E38d), false);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test334"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure3.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure21.add(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test335"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.431007130040573d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.431007130040573d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test336"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(2, 46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 46);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test337"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.rint();
    int i10 = derivativeStructure8.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test338"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.015446606901193318d, 1.6934742035213051E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.015446606901193318d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test339"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.ceil();
    long long8 = derivativeStructure6.round();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 1L);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test340"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure4.scalb(0);
    int i10 = derivativeStructure4.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure4.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test341"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.ceil();
    double d11 = derivativeStructure10.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure15.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure10.add(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure39.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure54.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure54.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure49.divide(derivativeStructure59);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure60.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure60.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure60.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure63.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure68.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure73.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure68, derivativeStructure75);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure64.multiply(derivativeStructure75);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.9628187514697867d, derivativeStructure10, 0.0d, derivativeStructure33, 0.0d, derivativeStructure42, 0.0d, derivativeStructure64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test342"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(8.638987560158184E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.638987560158184E-13d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test343"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure6.subtract(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure23, derivativeStructure30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure19.divide(derivativeStructure31);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.toRadians();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure19.add(derivativeStructure40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test344"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure18.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure13.divide(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure7.multiply(derivativeStructure24);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure24.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure24.divide(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test345"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(3.6732378085374022d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test346"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    int i33 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i37 = dSCompiler36.getOrder();
    int i38 = dSCompiler36.getOrder();
    int i39 = dSCompiler36.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.floor();
    double[] d_array47 = derivativeStructure46.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure52.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure54.floor();
    double[] d_array56 = derivativeStructure55.getAllDerivatives();
    double d57 = dSCompiler36.taylor(d_array47, 20, d_array56);
    double[] d_array62 = new double[] { 0.0d, 1.0d, 1.0d };
    dSCompiler2.sin(d_array47, 2, d_array62, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long69 = derivativeStructure68.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure68.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure71.subtract(1.9643175412944536d);
    double[] d_array74 = derivativeStructure71.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long80 = derivativeStructure79.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure79.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure79.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure79.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure84.acosh();
    double[] d_array86 = derivativeStructure84.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tan(d_array74, (-7), d_array86, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long69 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long80 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test347"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-46), 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-46));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test348"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.copySign(1.4677992676220695d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long14 = derivativeStructure13.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.acos();
    double d17 = derivativeStructure13.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure13.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure13.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure24.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure32.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure24.divide(derivativeStructure32);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure24.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long44 = derivativeStructure43.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure48.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure48, derivativeStructure55);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure56.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure43.add(derivativeStructure58);
    org.apache.commons.math3.Field field60 = derivativeStructure58.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure58.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.0030602477923982d, derivativeStructure38, 0.0d, derivativeStructure58);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure19.add(derivativeStructure62);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure7.divide(derivativeStructure63);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure63.log1p();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long44 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test349"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.atanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test350"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(93.5132062252957d, 6.073215758553052d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.073215758553052d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test351"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test352"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-9.536743E-7f), 80.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test353"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getOrder();
    dSCompiler15.checkCompatibility(dSCompiler18);
    int i23 = dSCompiler18.getSize();
    int[] i_array25 = dSCompiler18.getPartialDerivativeOrders(0);
    double[] d_array27 = new double[] { 1.0d };
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    dSCompiler18.tanh(d_array27, 0, d_array31, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getOrder();
    dSCompiler37.checkCompatibility(dSCompiler40);
    int i45 = dSCompiler40.getSize();
    int[] i_array47 = dSCompiler40.getPartialDerivativeOrders(0);
    double[] d_array49 = new double[] { 1.0d };
    double[] d_array53 = new double[] { 10.0d, 1.0d };
    dSCompiler40.tanh(d_array49, 0, d_array53, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i62 = dSCompiler61.getOrder();
    int i63 = dSCompiler61.getOrder();
    int i64 = dSCompiler61.getOrder();
    dSCompiler58.checkCompatibility(dSCompiler61);
    int i66 = dSCompiler61.getSize();
    int[] i_array68 = dSCompiler61.getPartialDerivativeOrders(0);
    double[] d_array70 = new double[] { 1.0d };
    double[] d_array74 = new double[] { 10.0d, 1.0d };
    dSCompiler61.tanh(d_array70, 0, d_array74, 0);
    dSCompiler5.compose(d_array27, (-1), d_array53, d_array70, 0);
    int i79 = dSCompiler5.getFreeParameters();
    int i80 = dSCompiler5.getFreeParameters();
    int i81 = dSCompiler5.getSize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 1);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test354"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure13, derivativeStructure19);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.multiply((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure20.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure20.acosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test355"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    int i8 = derivativeStructure7.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test356"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    int i4 = dimensionMismatchException3.getDimension();
    java.lang.Throwable[] throwable_array5 = dimensionMismatchException3.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test357"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(1, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure8.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure8.tanh();
    double[] d_array14 = derivativeStructure13.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure40.floor();
    double[] d_array42 = derivativeStructure41.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.floor();
    double[] d_array51 = derivativeStructure50.getAllDerivatives();
    double d52 = dSCompiler31.taylor(d_array42, 20, d_array51);
    double d53 = derivativeStructure28.taylor(d_array42);
    dSCompiler4.log(d_array14, 0, d_array42, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, (-46), d_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == (-0.8546104647638713d));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test358"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.copySign(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.subtract(0.0d);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    int i19 = dSCompiler15.getOrder();
    int i20 = dSCompiler15.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getOrder();
    int i27 = dSCompiler23.getOrder();
    int i28 = dSCompiler23.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i35 = dSCompiler34.getOrder();
    int i36 = dSCompiler34.getOrder();
    int i37 = dSCompiler34.getOrder();
    dSCompiler31.checkCompatibility(dSCompiler34);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler41 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler44 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i45 = dSCompiler44.getOrder();
    int i46 = dSCompiler44.getOrder();
    int i47 = dSCompiler44.getOrder();
    dSCompiler41.checkCompatibility(dSCompiler44);
    int i49 = dSCompiler44.getSize();
    int[] i_array51 = dSCompiler44.getPartialDerivativeOrders(0);
    int i52 = dSCompiler31.getPartialDerivativeIndex(i_array51);
    int i53 = dSCompiler23.getPartialDerivativeIndex(i_array51);
    int i54 = dSCompiler15.getPartialDerivativeIndex(i_array51);
    int i55 = dSCompiler15.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i62 = dSCompiler61.getOrder();
    int i63 = dSCompiler61.getOrder();
    int i64 = dSCompiler61.getOrder();
    dSCompiler58.checkCompatibility(dSCompiler61);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler68 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler71 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i72 = dSCompiler71.getOrder();
    int i73 = dSCompiler71.getOrder();
    int i74 = dSCompiler71.getOrder();
    dSCompiler68.checkCompatibility(dSCompiler71);
    int i76 = dSCompiler71.getSize();
    int[] i_array78 = dSCompiler71.getPartialDerivativeOrders(0);
    int i79 = dSCompiler58.getPartialDerivativeIndex(i_array78);
    int i80 = dSCompiler15.getPartialDerivativeIndex(i_array78);
    // The following exception was thrown during execution in test generation
    try {
      double d81 = derivativeStructure12.getPartialDerivative(i_array78);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 0);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test359"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.7591519698191315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6883065146502374d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test360"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.1521291323414964d, (java.lang.Number)10.000001f, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.000001f+ "'", number5.equals(10.000001f));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test361"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.9652047544458712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.035415019377384165d));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test362"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.0617945383542897d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test363"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(9.536743E-7f, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.8146973E-6f);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test364"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.pow(1);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.cbrt();
    int i10 = derivativeStructure5.getExponent();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test365"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test366"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(4.106204808922586d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.205232990690758E30d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test367"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.0030602477923982d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5466842728578154d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test368"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure3.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.pow(derivativeStructure20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test369"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.6641830464487656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8002616943940412d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test370"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.copySign(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.tan();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure10.divide(derivativeStructure15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test371"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.39657997871336d, (java.lang.Number)45.08753563281009d, false);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test372"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-1.508200322353876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.1993033466610825d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test373"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(30.349690667478566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 30.0d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test374"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.4E-45f, 1.5596856728972892d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8E-45f);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test375"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.scalb((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure17.remainder((-0.5958164402125868d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure17.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test376"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.pow(derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure9.scalb(2);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i30 = dSCompiler29.getOrder();
    int i31 = dSCompiler29.getOrder();
    int i32 = dSCompiler29.getSize();
    int i33 = dSCompiler29.getSize();
    double[] d_array35 = new double[] { 10.0d };
    double[] d_array37 = null;
    double d38 = dSCompiler29.taylor(d_array35, 0, d_array37);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure26.compose(d_array35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.copySign(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure9, derivativeStructure40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test377"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-8.73784460947615E-309d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-8.73784460947615E-309d));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test378"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.9978310466070275d, 4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-692.6858935666115d));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test379"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.pow(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.acos();
    int i15 = derivativeStructure14.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.add(0.017438295357736226d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test380"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.pow(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure10.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure21.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure21.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.5703568922850637d, derivativeStructure14, 1.838954838512659d, derivativeStructure27);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test381"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.sqrt();
    org.apache.commons.math3.Field field21 = derivativeStructure20.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test382"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.4210856E-14f, 3.8146973E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210856E-14f);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test383"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(6.073215758553052d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 217.03831076387507d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test384"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.pow(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.cbrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test385"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getOrder();
    int i14 = dSCompiler10.getOrder();
    int i15 = dSCompiler10.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    dSCompiler18.checkCompatibility(dSCompiler21);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    int i36 = dSCompiler31.getSize();
    int[] i_array38 = dSCompiler31.getPartialDerivativeOrders(0);
    int i39 = dSCompiler18.getPartialDerivativeIndex(i_array38);
    int i40 = dSCompiler10.getPartialDerivativeIndex(i_array38);
    int i41 = dSCompiler2.getPartialDerivativeIndex(i_array38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long46 = derivativeStructure45.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure50.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure50, derivativeStructure57);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure58.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure45.add(derivativeStructure60);
    org.apache.commons.math3.Field field62 = derivativeStructure60.getField();
    double[] d_array63 = derivativeStructure60.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure68.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure70.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure70.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure70.log10();
    double[] d_array75 = derivativeStructure74.getAllDerivatives();
    dSCompiler2.asinh(d_array63, 0, d_array75, 3);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array79 = dSCompiler2.getPartialDerivativeOrders((-49));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long46 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test386"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.rootN((-49));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test387"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 9.329275879033801E111d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test388"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.pow(derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test389"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test390"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.9702889150812204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6387067113996354d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test391"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)6.846996304877484d, number1, false);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test392"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.1310637894503268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4256974625514744d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test393"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.27588107309214316d, number1, false);
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException8 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable4, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    java.lang.Throwable[] throwable_array9 = numberIsTooLargeException8.getSuppressed();
    java.lang.Number number10 = numberIsTooLargeException8.getArgument();
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)numberIsTooLargeException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 709.782712893384d+ "'", number10.equals(709.782712893384d));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test394"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.pow(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure6.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test395"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.9643175412944536d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4015411307894083d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test396"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(19.085536923187668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test397"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1023), 100, (-24), 6.102016471589377E38d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test398"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.4652845412696676d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.46528454126966756d));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test399"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long21 = derivativeStructure20.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure16.add(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure16.toRadians();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test400"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(9.536743E-7f, 1.2089259E26f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2089259E26f);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test401"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.pow(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure10.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure21.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure21.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.5703568922850637d, derivativeStructure14, 1.838954838512659d, derivativeStructure27);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure27.log1p();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test402"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-15.954589770191001d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test403"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(4.09514655541958E40d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test404"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure4.rootN((-24));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure21.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure21.acosh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure11.subtract(derivativeStructure21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test405"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.multiply(0);
    double d10 = derivativeStructure9.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test406"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure3.add(derivativeStructure12);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test407"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-1.2654378559196666d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2821157430451467d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test408"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    int i12 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getOrder();
    dSCompiler15.checkCompatibility(dSCompiler18);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getOrder();
    dSCompiler25.checkCompatibility(dSCompiler28);
    int i33 = dSCompiler28.getSize();
    int[] i_array35 = dSCompiler28.getPartialDerivativeOrders(0);
    int i36 = dSCompiler15.getPartialDerivativeIndex(i_array35);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getSize();
    int[] i_array44 = dSCompiler39.getPartialDerivativeOrders(0);
    dSCompiler15.checkCompatibility(dSCompiler39);
    int i46 = dSCompiler15.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure50.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure52.floor();
    double[] d_array54 = derivativeStructure53.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i59 = dSCompiler58.getOrder();
    int i60 = dSCompiler58.getOrder();
    int i61 = dSCompiler58.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure65.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure67.floor();
    double[] d_array69 = derivativeStructure68.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure74.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure76.floor();
    double[] d_array78 = derivativeStructure77.getAllDerivatives();
    double d79 = dSCompiler58.taylor(d_array69, 20, d_array78);
    double d80 = dSCompiler15.taylor(d_array54, 80, d_array69);
    double[] d_array82 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array54, 2147483647, d_array82, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test409"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.subtract(1.9643175412944536d);
    double[] d_array9 = derivativeStructure6.getAllDerivatives();
    int i10 = derivativeStructure6.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 6);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test410"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add(Double.NaN);
    long long14 = derivativeStructure11.round();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 1L);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test411"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(14584.109819310099d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 14584L);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test412"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.tanh();
    int i12 = derivativeStructure9.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 6);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test413"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.7085533453844729d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.14962744713286338d));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test414"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure1 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.subtract((-1.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long16 = derivativeStructure15.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.rootN(2);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long28 = derivativeStructure27.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure27.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure27.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure27.tanh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.0d, derivativeStructure1, 3.9476266098825343E-16d, derivativeStructure6, 6.172196598432867E297d, derivativeStructure20, 2.509178478658057d, derivativeStructure32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test415"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    int i6 = derivativeStructure5.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.multiply(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure5.multiply(20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test416"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.4210856E-14f, 7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210856E-14f);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test417"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.divide(10240.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test418"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.2645710638625583d, 80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.198467902263577E23d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test419"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(5.6E-43f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.6E-43f);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test420"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test421"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-127), 6);
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test422"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test423"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(6.079166719337937E58d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test424"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.01544660690119332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.1703659178036965d));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test425"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long12 = derivativeStructure11.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure4.add(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure15.subtract(derivativeStructure18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test426"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(9.999999f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.5383562587270005E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5383562587270005E-8d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test428"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.toDegrees();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test429"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.6571716449292492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test430"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure3.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.floor();
    org.apache.commons.math3.Field field24 = derivativeStructure23.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test431"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, 10, 7.14737907437761E38d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test432"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(76.34214769275067d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4288067050984696E33d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test433"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(7.0368744177664E13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2281662763938264E12d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test434"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure28.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure28.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure23.divide(derivativeStructure33);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure17.subtract(derivativeStructure35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test435"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable1, 6, (-20));
    java.lang.Throwable[] throwable_array5 = dimensionMismatchException4.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test436"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.pow((-8.73784460947615E-309d));
    org.apache.commons.math3.Field field20 = derivativeStructure17.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test437"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-127), (-7), 80, (-0.5901986839880567d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test438"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, (-1023), 1024, (-0.4652845412696676d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test439"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test440"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure16.pow(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure16.tan();
    double[] d_array22 = derivativeStructure21.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i30 = dSCompiler29.getOrder();
    int i31 = dSCompiler29.getOrder();
    int i32 = dSCompiler29.getOrder();
    dSCompiler26.checkCompatibility(dSCompiler29);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getOrder();
    dSCompiler36.checkCompatibility(dSCompiler39);
    int i44 = dSCompiler39.getSize();
    int[] i_array46 = dSCompiler39.getPartialDerivativeOrders(0);
    int i47 = dSCompiler26.getPartialDerivativeIndex(i_array46);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler50 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i51 = dSCompiler50.getOrder();
    int i52 = dSCompiler50.getOrder();
    int i53 = dSCompiler50.getSize();
    int[] i_array55 = dSCompiler50.getPartialDerivativeOrders(0);
    dSCompiler26.checkCompatibility(dSCompiler50);
    int i57 = dSCompiler26.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure61.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure63.floor();
    double[] d_array65 = derivativeStructure64.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler69 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i70 = dSCompiler69.getOrder();
    int i71 = dSCompiler69.getOrder();
    int i72 = dSCompiler69.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure76.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure78.floor();
    double[] d_array80 = derivativeStructure79.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure87 = derivativeStructure85.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure87.floor();
    double[] d_array89 = derivativeStructure88.getAllDerivatives();
    double d90 = dSCompiler69.taylor(d_array80, 20, d_array89);
    double d91 = dSCompiler26.taylor(d_array65, 80, d_array80);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log10(d_array22, 1024, d_array65, 80);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test441"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.20657095758432376d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test442"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.27939398318593694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2463865151823986d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test443"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(195.53825281840398d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test444"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.10281505017332132d, 0.5045251231895915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.10281505017332132d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test445"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.5596856728972892d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9153695189765423d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test446"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure3.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test447"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure3.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure3.atanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test448"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-24), 20, 0, (-1.5707963267948968d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test449"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(9.3292758790338E111d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.3292758790338E111d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test450"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure4.remainder(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure11, derivativeStructure21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure11.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test451"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getSize();
    int[] i_array15 = dSCompiler10.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler10);
    int i17 = dSCompiler2.getOrder();
    int i18 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure29.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure29.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure24.divide(derivativeStructure34);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure36.scalb((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure36.remainder((-0.5958164402125868d));
    double[] d_array42 = derivativeStructure41.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure47.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure47.tanh();
    double[] d_array53 = derivativeStructure52.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure57.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure57.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure57.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure67.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure67.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure67.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure63.pow(derivativeStructure71);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure63.scalb(100);
    double[] d_array75 = derivativeStructure74.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.compose(d_array42, 0, d_array53, d_array75, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test452"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-0.6698434389303876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2328600424002434d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test453"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(4244716.58411116d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4244717.0d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test454"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test455"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.6186615712299957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test456"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.2089259E26f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 86);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test457"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math3.exception.DimensionMismatchException(10, 0);
    java.lang.String str8 = dimensionMismatchException7.toString();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)dimensionMismatchException7);
    java.lang.Number number10 = dimensionMismatchException7.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math3.exception.DimensionMismatchException: 10 != 0"+ "'", str8.equals("org.apache.commons.math3.exception.DimensionMismatchException: 10 != 0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10+ "'", number10.equals(10));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test458"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long13 = derivativeStructure12.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure8.pow(derivativeStructure12);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure8, derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure23.copySign((-0.4652845412696676d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test459"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.pow(Double.POSITIVE_INFINITY);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.toRadians();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test460"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(9.536743E-7f, (-7.1054274E-15f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.1054274E-15f));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test461"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(2.5091784786580567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test462"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-0.9777138024322894d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.517270921071022d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test463"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.18361130566449393d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.003204621827731134d));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test464"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.6744026976311414d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6744026976311414d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test465"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 86, 3, 150.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test466"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    double d7 = derivativeStructure3.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure14.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure22.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure14.divide(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure14.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long34 = derivativeStructure33.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure38, derivativeStructure45);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure33.add(derivativeStructure48);
    org.apache.commons.math3.Field field50 = derivativeStructure48.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure48.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.0030602477923982d, derivativeStructure28, 0.0d, derivativeStructure48);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure9.add(derivativeStructure52);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.log();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure53.multiply(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test467"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.log();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure7, derivativeStructure16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test468"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-1023), 0);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test469"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-0.5901986839880569d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test470"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test471"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.0f, 9.536743E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test472"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-2L), (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test473"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test474"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    boolean b10 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Number number11 = numberIsTooLargeException9.getMax();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException9);
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException17 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable13, (java.lang.Number)0L, (java.lang.Number)9.536743E-7f, true);
    boolean b18 = numberIsTooLargeException17.getBoundIsAllowed();
    numberIsTooLargeException9.addSuppressed((java.lang.Throwable)numberIsTooLargeException17);
    boolean b20 = numberIsTooLargeException17.getBoundIsAllowed();
    java.lang.Number number21 = numberIsTooLargeException17.getMax();
    java.lang.Number number22 = numberIsTooLargeException17.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 10+ "'", number11.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + 9.536743E-7f+ "'", number21.equals(9.536743E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 0L+ "'", number22.equals(0L));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test475"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    int i15 = dSCompiler9.getSize();
    int i16 = dSCompiler9.getSize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test476"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(80.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test477"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure5.divide(4.499809670330265d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure5.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.acosh();
    double[] d_array22 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.compose(d_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test478"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.sqrt();
    long long9 = derivativeStructure8.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long23 = derivativeStructure22.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure27, derivativeStructure34);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure22.add(derivativeStructure37);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure22.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.add(1.1102230246251565E-16d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.001327019259674452d, derivativeStructure8, 1.4015411307894083d, derivativeStructure17, (-1.5707963267948966d), derivativeStructure40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test479"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(90.00963491817015d, 6.938893903907228E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 90.00963491817015d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test480"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    int i13 = dSCompiler9.getOrder();
    int i14 = dSCompiler9.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    int i21 = dSCompiler17.getOrder();
    int i22 = dSCompiler17.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getOrder();
    dSCompiler25.checkCompatibility(dSCompiler28);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getOrder();
    dSCompiler35.checkCompatibility(dSCompiler38);
    int i43 = dSCompiler38.getSize();
    int[] i_array45 = dSCompiler38.getPartialDerivativeOrders(0);
    int i46 = dSCompiler25.getPartialDerivativeIndex(i_array45);
    int i47 = dSCompiler17.getPartialDerivativeIndex(i_array45);
    int i48 = dSCompiler9.getPartialDerivativeIndex(i_array45);
    int i49 = dSCompiler2.getPartialDerivativeIndex(i_array45);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i53 = dSCompiler52.getOrder();
    int i54 = dSCompiler52.getOrder();
    int i55 = dSCompiler52.getSize();
    int i56 = dSCompiler52.getSize();
    dSCompiler2.checkCompatibility(dSCompiler52);
    int i58 = dSCompiler52.getSize();
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array60 = dSCompiler52.getPartialDerivativeOrders((-2));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test481"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)100L, (java.lang.Number)7.6293945E-6f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooLargeException3.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException14 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable10, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    boolean b15 = numberIsTooLargeException14.getBoundIsAllowed();
    java.lang.Number number16 = numberIsTooLargeException14.getMax();
    numberIsTooLargeException9.addSuppressed((java.lang.Throwable)numberIsTooLargeException14);
    org.apache.commons.math3.exception.util.Localizable localizable18 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException22 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable18, (java.lang.Number)0L, (java.lang.Number)9.536743E-7f, true);
    boolean b23 = numberIsTooLargeException22.getBoundIsAllowed();
    numberIsTooLargeException14.addSuppressed((java.lang.Throwable)numberIsTooLargeException22);
    boolean b25 = numberIsTooLargeException22.getBoundIsAllowed();
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)numberIsTooLargeException22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 10+ "'", number16.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test482"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure5.acosh();
    double[] d_array11 = derivativeStructure10.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.multiply((-1.7763568394002505E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test483"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure5.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test484"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    boolean b10 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Number number11 = numberIsTooLargeException9.getMax();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException9);
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException17 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable13, (java.lang.Number)0L, (java.lang.Number)9.536743E-7f, true);
    boolean b18 = numberIsTooLargeException17.getBoundIsAllowed();
    numberIsTooLargeException9.addSuppressed((java.lang.Throwable)numberIsTooLargeException17);
    java.lang.Number number20 = numberIsTooLargeException17.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 10+ "'", number11.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 9.536743E-7f+ "'", number20.equals(9.536743E-7f));

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test485"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getSize();
    int i12 = dSCompiler8.getSize();
    double[] d_array14 = new double[] { 10.0d };
    double[] d_array16 = null;
    double d17 = dSCompiler8.taylor(d_array14, 0, d_array16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure5.compose(d_array14);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.scalb((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure26.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.asinh();
    double d31 = derivativeStructure29.getValue();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure18, derivativeStructure29);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 2.8771578017474493d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test486"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(0, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test487"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.4433683181179398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test488"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.9950371902099892d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test489"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.6940659E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test490"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i13 = dSCompiler12.getOrder();
    int i14 = dSCompiler12.getOrder();
    int i15 = dSCompiler12.getOrder();
    dSCompiler9.checkCompatibility(dSCompiler12);
    dSCompiler5.checkCompatibility(dSCompiler12);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getSize();
    int i24 = dSCompiler20.getSize();
    double[] d_array26 = new double[] { 10.0d };
    double[] d_array28 = null;
    double d29 = dSCompiler20.taylor(d_array26, 0, d_array28);
    dSCompiler12.checkCompatibility(dSCompiler20);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i34 = dSCompiler33.getOrder();
    int i35 = dSCompiler33.getOrder();
    int i36 = dSCompiler33.getSize();
    int[] i_array38 = dSCompiler33.getPartialDerivativeOrders(0);
    dSCompiler20.checkCompatibility(dSCompiler33);
    dSCompiler2.checkCompatibility(dSCompiler20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure44.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure46.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure55.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure55.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure59.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure60.divide(10240.0d);
    org.apache.commons.math3.Field field63 = derivativeStructure62.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure62.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure49, derivativeStructure62);
    double[] d_array66 = derivativeStructure49.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure71.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure72.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure72.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure72.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure72.remainder(1.3022634284251158d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure72.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure79.acosh();
    double[] d_array81 = derivativeStructure80.getAllDerivatives();
    dSCompiler2.cos(d_array66, 0, d_array81, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test491"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.divide(10240.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure8.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure8.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test492"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 86, 46);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.27939398318593694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3223282163388316d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.5901986839880567d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5300384881221529d));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test495"); }


    double[] d_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 1, d_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test496"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure5.divide(4.499809670330265d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.subtract(1.9868635106324076E-8d);
    int i22 = derivativeStructure21.getExponent();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test497"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure15.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test498"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure6.subtract(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 100, 0.6641830464487656d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure6.divide(derivativeStructure23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test499"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(46, (-7), (-46), 0.06065462911070001d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test500"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.copySign(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.rint();
    int i12 = derivativeStructure11.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.remainder((-1.74756892189523E-308d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure11.add(19.085536923187668d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.subtract(50.162018221754025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);

  }

}
