
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest5 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.004668858284692784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.004668875247006271d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test002"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(6.102016471589377E38d, 5.6843418860808015E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.6843418860808015E-14d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test003"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.acosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test004"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.5293379817722996d, (-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.115564714505074E-8d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test005"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(100, (-24), 3, 6.172196598432867E297d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test006"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2147483647, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test007"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.remainder(0.6419690851391311d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.signum();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test008"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    double d7 = derivativeStructure3.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.scalb(80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test009"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(10, 0);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test010"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    int i19 = derivativeStructure17.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.log();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test011"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.2109818485960283d), 0.8850253832360281d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2109818485960283d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test012"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.192093E-7f);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test013"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler((-24), (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test014"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getSize();
    int i22 = dSCompiler18.getSize();
    double[] d_array24 = new double[] { 10.0d };
    double[] d_array26 = null;
    double d27 = dSCompiler18.taylor(d_array24, 0, d_array26);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure15.compose(d_array24);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure15.remainder((-0.5958164402125868d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure9.add(derivativeStructure15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test015"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure41.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure57.floor();
    double[] d_array59 = derivativeStructure58.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure66.floor();
    double[] d_array68 = derivativeStructure67.getAllDerivatives();
    double d69 = dSCompiler48.taylor(d_array59, 20, d_array68);
    double d70 = derivativeStructure45.taylor(d_array59);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure75.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure75.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure77.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure77.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure77.log10();
    double[] d_array82 = derivativeStructure81.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler26.cos(d_array59, (-1), d_array82, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == (-0.8546104647638713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test016"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test017"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.copySign(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.copySign((-1.548727586042894d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test018"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure18.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure13.divide(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure7.multiply(derivativeStructure24);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure24.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure24.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure24.scalb((-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test019"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-1.74756892189523E-308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.74756892189523E-308d));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test020"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.copySign(0.27588107309214316d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.scalb(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.subtract(0.6649851499464902d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test021"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test022"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.11402938567735448d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10798351968263795d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test023"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(8.623014125017582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 9L);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test024"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    int i19 = derivativeStructure17.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.rint();
    int i21 = derivativeStructure20.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 6);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test025"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.divide(0.2436369776730935d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test026"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure15.subtract(3.027596389742777d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test027"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getSize();
    int i12 = dSCompiler8.getSize();
    double[] d_array14 = new double[] { 10.0d };
    double[] d_array16 = null;
    double d17 = dSCompiler8.taylor(d_array14, 0, d_array16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure5.compose(d_array14);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.copySign(0.0d);
    int i22 = derivativeStructure19.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure19.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test028"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(46, 0, 0.0d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test029"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.add(8.881784197001252E-16d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test030"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.log10();
    int i11 = derivativeStructure6.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure6.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure19.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure19.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure19.acosh();
    double[] d_array25 = derivativeStructure24.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(7.8050462332988735d, derivativeStructure6, (-171.5497032152746d), derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test031"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-49), (-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-46));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test032"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure15.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.toDegrees();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test033"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.776356839400251E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-33.96421184743732d));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test034"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getSize();
    int i12 = dSCompiler8.getSize();
    double[] d_array14 = new double[] { 10.0d };
    double[] d_array16 = null;
    double d17 = dSCompiler8.taylor(d_array14, 0, d_array16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure5.compose(d_array14);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure5.remainder((-0.5958164402125868d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test035"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.12062284462159888d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.12062284462159888d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test036"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-46), 0);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test037"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.copySign(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test038"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    int[] i_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i8 = dSCompiler2.getPartialDerivativeIndex(i_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test039"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(100.0f, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6400.0f);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test040"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(254.54647713262412d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 15.954512751338541d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test041"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(90.00000000000001d, (-0.1329688338446766d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 90.00009822611737d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test042"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 10.770329614269007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-1.089747038179628d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0d));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.5963423032233064d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4677149517348174d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test045"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getOrder();
    int i14 = dSCompiler10.getOrder();
    int i15 = dSCompiler10.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    dSCompiler18.checkCompatibility(dSCompiler21);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    int i36 = dSCompiler31.getSize();
    int[] i_array38 = dSCompiler31.getPartialDerivativeOrders(0);
    int i39 = dSCompiler18.getPartialDerivativeIndex(i_array38);
    int i40 = dSCompiler10.getPartialDerivativeIndex(i_array38);
    int i41 = dSCompiler2.getPartialDerivativeIndex(i_array38);
    int i42 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getOrder();
    dSCompiler45.checkCompatibility(dSCompiler48);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler55 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i59 = dSCompiler58.getOrder();
    int i60 = dSCompiler58.getOrder();
    int i61 = dSCompiler58.getOrder();
    dSCompiler55.checkCompatibility(dSCompiler58);
    int i63 = dSCompiler58.getSize();
    int[] i_array65 = dSCompiler58.getPartialDerivativeOrders(0);
    int i66 = dSCompiler45.getPartialDerivativeIndex(i_array65);
    int i67 = dSCompiler2.getPartialDerivativeIndex(i_array65);
    int[] i_array69 = dSCompiler2.getPartialDerivativeOrders(0);
    double[] d_array70 = null;
    double[] d_array73 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.rootN(d_array70, 46, 2, d_array73, (-2));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array69);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test046"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(4.9090934652977266E-91d, 0.4256974625514744d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9090934652977266E-91d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test047"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 1024);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test048"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test049"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1023));
    long long11 = derivativeStructure10.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.sinh();
    int i13 = derivativeStructure10.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 6);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test050"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.2089259E26f, (-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.20576E18f);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test051"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math3.exception.DimensionMismatchException(10, 0);
    java.lang.String str8 = dimensionMismatchException7.toString();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)dimensionMismatchException7);
    java.lang.String str10 = dimensionMismatchException7.toString();
    int i11 = dimensionMismatchException7.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math3.exception.DimensionMismatchException: 10 != 0"+ "'", str8.equals("org.apache.commons.math3.exception.DimensionMismatchException: 10 != 0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math3.exception.DimensionMismatchException: 10 != 0"+ "'", str10.equals("org.apache.commons.math3.exception.DimensionMismatchException: 10 != 0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test052"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-10.000001f), 5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.9604645E-8f);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test053"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test054"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 0);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test055"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(3.8146973E-6f, Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.8146973E-6f);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test056"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.8132198708341126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test057"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)0.6698434389303876d, false);
    java.lang.Throwable throwable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooLargeException4.addSuppressed(throwable5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test058"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.6419690851391311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test059"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.expm1();
    double d20 = derivativeStructure19.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test060"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long5 = derivativeStructure4.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.acos();
    double d8 = derivativeStructure4.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure14.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.7869259484028011d, derivativeStructure4, 0.5764780756904523d, derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure4.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test061"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.pow(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure7.pow((-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test062"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    int i12 = dSCompiler8.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler8);
    int[] i_array14 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      int i15 = dSCompiler2.getPartialDerivativeIndex(i_array14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test063"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    int i12 = dSCompiler8.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler8);
    int i14 = dSCompiler8.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test064"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.multiply(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test065"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getSize();
    int[] i_array15 = dSCompiler10.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler10);
    int i17 = dSCompiler2.getOrder();
    int i18 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure22.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.remainder((-0.5901986839880569d));
    double[] d_array29 = derivativeStructure28.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler33 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i37 = dSCompiler36.getOrder();
    int i38 = dSCompiler36.getOrder();
    int i39 = dSCompiler36.getOrder();
    dSCompiler33.checkCompatibility(dSCompiler36);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i47 = dSCompiler46.getOrder();
    int i48 = dSCompiler46.getOrder();
    int i49 = dSCompiler46.getOrder();
    dSCompiler43.checkCompatibility(dSCompiler46);
    int i51 = dSCompiler46.getSize();
    int[] i_array53 = dSCompiler46.getPartialDerivativeOrders(0);
    int i54 = dSCompiler33.getPartialDerivativeIndex(i_array53);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler57 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i58 = dSCompiler57.getOrder();
    int i59 = dSCompiler57.getOrder();
    int i60 = dSCompiler57.getSize();
    int[] i_array62 = dSCompiler57.getPartialDerivativeOrders(0);
    dSCompiler33.checkCompatibility(dSCompiler57);
    int i64 = dSCompiler33.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler67 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i68 = dSCompiler67.getOrder();
    int i69 = dSCompiler67.getOrder();
    int i70 = dSCompiler67.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure74.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure76.floor();
    double[] d_array78 = derivativeStructure77.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure83.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure85.floor();
    double[] d_array87 = derivativeStructure86.getAllDerivatives();
    double d88 = dSCompiler67.taylor(d_array78, 20, d_array87);
    double[] d_array93 = new double[] { 0.0d, 1.0d, 1.0d };
    dSCompiler33.sin(d_array78, 2, d_array93, 0);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tanh(d_array29, (-2), d_array78, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test066"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.6571716449292492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test067"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test068"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(3.3731214635358637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.22946580740286776d));

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test069"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(6400.0f, 8.4703295E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.4703295E-22f);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test070"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(59.56646476506074d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 59.56646476506074d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test071"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.7182818284590453d, 123.44001497540268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.89623908515291d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test072"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { dSCompiler7 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array10);
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException19 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable16, 0, 100);
    mathIllegalArgumentException15.addSuppressed((java.lang.Throwable)dimensionMismatchException19);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext21 = dimensionMismatchException19.getContext();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str22 = dimensionMismatchException19.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test073"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long12 = derivativeStructure11.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure4.add(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure4.divide(0.6649851499464902d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure4.copySign(2.097207631308085d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test074"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long15 = derivativeStructure14.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure16.copySign(4.106204808922585d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure25.copySign((-0.525965039867135d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure40.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure40.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure40.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure35.divide(derivativeStructure45);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure35.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.pow((-8.73784460947615E-309d));
    int i50 = derivativeStructure49.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2.5091784786580567d, derivativeStructure8, (-1.5707963267948966d), derivativeStructure20, 1.1102230246251565E-16d, derivativeStructure25, 2.718281828459045d, derivativeStructure49);
    int i52 = derivativeStructure25.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 3);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test075"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2147483647, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test076"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.5574077246549023d, 79.94482650867053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5574077246549023d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test077"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.pow(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure16.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure16.pow((-1.5707963267948968d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure9.divide(derivativeStructure21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test078"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-27), 2147483647, 0.9698000845458243d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test079"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure19.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure11.divide(derivativeStructure19);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure11.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure3.pow(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test080"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(0, (-1));
    java.lang.Number number3 = dimensionMismatchException2.getArgument();
    java.lang.Number number4 = dimensionMismatchException2.getArgument();
    java.lang.String str5 = dimensionMismatchException2.toString();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = dimensionMismatchException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math3.exception.DimensionMismatchException: 0 != -1"+ "'", str5.equals("org.apache.commons.math3.exception.DimensionMismatchException: 0 != -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test081"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.subtract(0.8306408778607839d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.multiply(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test082"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, 8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test083"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-33.96421184743732d), (-0.4114176841856625d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test084"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 1024, (-47));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test085"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure2.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure2.subtract(0.23473298472833176d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test086"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    int i12 = dSCompiler8.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler8);
    int[] i_array15 = dSCompiler8.getPartialDerivativeOrders(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test087"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.4873058201553492d, (java.lang.Number)4.010299956639812d, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooLargeException4.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable6, (java.lang.Number)0L, (java.lang.Number)9.536743E-7f, true);
    boolean b11 = numberIsTooLargeException10.getBoundIsAllowed();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException10);
    java.lang.Throwable[] throwable_array13 = numberIsTooLargeException4.getSuppressed();
    java.lang.Number number14 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 4.010299956639812d+ "'", number14.equals(4.010299956639812d));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test088"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(6, (-127));
    java.lang.Throwable[] throwable_array3 = dimensionMismatchException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test089"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure12.remainder(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test090"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.2281662763938264E12d, 46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test091"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.scalb(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.subtract(derivativeStructure16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure9.scalb(1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test092"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.5490705792417863d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2446166394684695d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test093"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.015447835585206494d, (java.lang.Number)5.0487098E-29f, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test094"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.192093E-7f, (-0.18361130566449393d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920929E-7f);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test095"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    double d7 = derivativeStructure3.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure3.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test096"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.multiply((-0.6698434389303876d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getSize();
    int i12 = dSCompiler8.getSize();
    double[] d_array14 = new double[] { 10.0d };
    double[] d_array16 = null;
    double d17 = dSCompiler8.taylor(d_array14, 0, d_array16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure5.compose(d_array14);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.scalb((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.sinh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    dSCompiler24.checkCompatibility(dSCompiler31);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i40 = dSCompiler39.getOrder();
    int i41 = dSCompiler39.getOrder();
    int i42 = dSCompiler39.getSize();
    int i43 = dSCompiler39.getSize();
    double[] d_array45 = new double[] { 10.0d };
    double[] d_array47 = null;
    double d48 = dSCompiler39.taylor(d_array45, 0, d_array47);
    dSCompiler31.checkCompatibility(dSCompiler39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure53.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure53.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure63.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure63.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure63.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure59.pow(derivativeStructure67);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure59.scalb(100);
    double[] d_array71 = derivativeStructure70.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure76.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure77.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure77.cosh();
    double[] d_array80 = derivativeStructure79.getAllDerivatives();
    dSCompiler31.sin(d_array71, 4, d_array80, 46);
    double d83 = derivativeStructure21.taylor(d_array71);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure21.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 11013.232874703393d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test097"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.exp();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure7.remainder(derivativeStructure20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test098"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(2.0582856370123763d, (-27));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5335423030051413E-8d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test099"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(5.5090553334921735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.0d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test100"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.acosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test101"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getOrder();
    dSCompiler15.checkCompatibility(dSCompiler18);
    int i23 = dSCompiler18.getSize();
    int[] i_array25 = dSCompiler18.getPartialDerivativeOrders(0);
    double[] d_array27 = new double[] { 1.0d };
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    dSCompiler18.tanh(d_array27, 0, d_array31, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getOrder();
    dSCompiler37.checkCompatibility(dSCompiler40);
    int i45 = dSCompiler40.getSize();
    int[] i_array47 = dSCompiler40.getPartialDerivativeOrders(0);
    double[] d_array49 = new double[] { 1.0d };
    double[] d_array53 = new double[] { 10.0d, 1.0d };
    dSCompiler40.tanh(d_array49, 0, d_array53, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i62 = dSCompiler61.getOrder();
    int i63 = dSCompiler61.getOrder();
    int i64 = dSCompiler61.getOrder();
    dSCompiler58.checkCompatibility(dSCompiler61);
    int i66 = dSCompiler61.getSize();
    int[] i_array68 = dSCompiler61.getPartialDerivativeOrders(0);
    double[] d_array70 = new double[] { 1.0d };
    double[] d_array74 = new double[] { 10.0d, 1.0d };
    dSCompiler61.tanh(d_array70, 0, d_array74, 0);
    dSCompiler5.compose(d_array27, (-1), d_array53, d_array70, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler81 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i82 = dSCompiler81.getOrder();
    int i83 = dSCompiler81.getOrder();
    int i84 = dSCompiler81.getSize();
    int[] i_array86 = dSCompiler81.getPartialDerivativeOrders(0);
    int i87 = dSCompiler5.getPartialDerivativeIndex(i_array86);
    int i88 = dSCompiler5.getFreeParameters();
    double[] d_array89 = null;
    double[] d_array91 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler5.acosh(d_array89, 10, d_array91, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 100);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test102"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.0617945383542897d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8732313769229336d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test103"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.7853981633974483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test104"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(6.079166719337937E58d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.483105959744544E60d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test105"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.pow((-8.73784460947615E-309d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.cbrt();
    int i21 = derivativeStructure19.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 6);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test106"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    int i13 = dSCompiler5.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test107"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure21.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure21.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure16.divide(derivativeStructure26);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure39.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure39.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure34.divide(derivativeStructure44);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure28.subtract(derivativeStructure46);
    double[] d_array48 = derivativeStructure28.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure55.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure55.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure55.acosh();
    double[] d_array61 = derivativeStructure60.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure66.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure68.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure68.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure68.acosh();
    double[] d_array74 = derivativeStructure73.getAllDerivatives();
    dSCompiler10.remainder(d_array48, 0, d_array61, 20, d_array74, 6);
    double d77 = derivativeStructure3.taylor(d_array48);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure81.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure81.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure81.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure84.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure3.divide(derivativeStructure85);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure90 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long91 = derivativeStructure90.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure92 = derivativeStructure90.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure94 = derivativeStructure92.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure95 = derivativeStructure92.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure96 = derivativeStructure95.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure97 = derivativeStructure3.multiply(derivativeStructure95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long91 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure97);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test108"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(0, (-1023));
    java.lang.Number number3 = dimensionMismatchException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test109"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure8.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure8.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.toDegrees();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure2.add(derivativeStructure14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test110"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(86, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test111"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.add((-4.340832561168609d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.6931471805599454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7692389013639721d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test113"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.2558427881104495d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test114"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.log1p();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test115"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-0.1329688338446766d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.13258008837203356d));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test116"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.13358719828636736d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7755575615628914E-17d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test117"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long5 = derivativeStructure4.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure9, derivativeStructure16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure4.add(derivativeStructure19);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure4.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure31.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure31.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure31.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure43.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.pow(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure55.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure55.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure55.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure60.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6.102016471589291E38d, derivativeStructure24, 0.019835032807717305d, derivativeStructure37, 0.5020478432555281d, derivativeStructure46, 1.3733216832067607d, derivativeStructure61);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure62.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test118"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.657171644929249d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6034377929768969d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test119"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.pow((-8.73784460947615E-309d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.pow(6.172196598432867E297d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure22.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test120"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test121"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(4.235165E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test122"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    double[] d_array12 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(1, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure20.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure20.tanh();
    double[] d_array26 = derivativeStructure25.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure36.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i44 = dSCompiler43.getOrder();
    int i45 = dSCompiler43.getOrder();
    int i46 = dSCompiler43.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure50.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure52.floor();
    double[] d_array54 = derivativeStructure53.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure61.floor();
    double[] d_array63 = derivativeStructure62.getAllDerivatives();
    double d64 = dSCompiler43.taylor(d_array54, 20, d_array63);
    double d65 = derivativeStructure40.taylor(d_array54);
    dSCompiler16.log(d_array26, 0, d_array54, 1);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure71.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure73.floor();
    double[] d_array75 = derivativeStructure74.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure80.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure80.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure82.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure82.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure82.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure87 = derivativeStructure82.acosh();
    double[] d_array88 = derivativeStructure87.getAllDerivatives();
    dSCompiler16.cos(d_array75, 0, d_array88, 80);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log10(d_array12, 86, d_array88, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == (-0.8546104647638713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test123"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.000010899217834d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.2964039922642d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test124"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 10, 0);
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test125"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure21.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure13.divide(derivativeStructure21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long31 = derivativeStructure30.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure26.add(derivativeStructure30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure9.multiply(derivativeStructure26);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure37.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure38.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure38.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.acos();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure26, derivativeStructure43);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test126"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(3.8146973E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-18));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test127"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.pow((-8.73784460947615E-309d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test128"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)90.00009822611737d, number1, true);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test129"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.4433683181179398d, 7.313496569512391d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4433683181179398d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test130"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(-1.0f), (java.lang.Number)(-8.881784197001252E-16d), false);
    java.lang.Number number4 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException7 = new org.apache.commons.math3.exception.NumberIsTooLargeException(number4, (java.lang.Number)1L, true);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)numberIsTooLargeException7);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException12 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(-4.340832561168609d), (java.lang.Number)0.20657095758432376d, false);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)numberIsTooLargeException12);
    java.lang.Number number14 = numberIsTooLargeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (-1.0f)+ "'", number14.equals((-1.0f)));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test131"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.01544660690119332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.015566522367011285d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test132"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.2109818485960283d, 0.6571716449292492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2698037136988524d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test133"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.remainder(709.782712893384d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.add(1.0319567280411486d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test134"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test135"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure20.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure12.divide(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure3.divide(derivativeStructure25);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.log1p();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test136"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-15.954589770191d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999999999999722d));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test137"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.008120747203787138d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test138"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.0f);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test139"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure24.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure32, derivativeStructure38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.multiply((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure46.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure46.scalb(0);
    int i52 = derivativeStructure46.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure46.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure39.add(derivativeStructure46);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2.220446049250313E-16d, derivativeStructure10, 0.0d, derivativeStructure17, 0.01544660690119332d, derivativeStructure39);
    double[] d_array56 = derivativeStructure17.getAllDerivatives();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test140"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure3.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure21.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.copySign(15.954332791420534d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure24.add(5.217936140042172E-18d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.pow(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test141"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure21.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure21.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure16.divide(derivativeStructure26);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure39.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure39.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure34.divide(derivativeStructure44);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure28.subtract(derivativeStructure46);
    double[] d_array48 = derivativeStructure28.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure55.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure55.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure55.acosh();
    double[] d_array61 = derivativeStructure60.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure66.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure68.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure68.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure68.acosh();
    double[] d_array74 = derivativeStructure73.getAllDerivatives();
    dSCompiler10.remainder(d_array48, 0, d_array61, 20, d_array74, 6);
    double d77 = derivativeStructure3.taylor(d_array48);
    org.apache.commons.math3.Field field78 = derivativeStructure3.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field78);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test142"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure3.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test143"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)6.0d, number2, true);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test144"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(58.78384405394467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.769257982499266d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test145"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure15.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure15.acos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test146"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure4.divide(derivativeStructure12);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure4.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long24 = derivativeStructure23.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure28, derivativeStructure35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure23.add(derivativeStructure38);
    org.apache.commons.math3.Field field40 = derivativeStructure38.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure38.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.0030602477923982d, derivativeStructure18, 0.0d, derivativeStructure38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test147"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.6931471805599454d, 72.34321284858714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 72.34653342261744d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test148"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    int i19 = derivativeStructure17.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.log();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.pow(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure27.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure33.pow(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure22.add(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test149"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.multiply(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.acosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test150"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long5 = derivativeStructure4.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.acos();
    double d8 = derivativeStructure4.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure14.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.7869259484028011d, derivativeStructure4, 0.5764780756904523d, derivativeStructure18);
    long long20 = derivativeStructure19.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 6L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test151"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.signum();
    long long17 = derivativeStructure16.round();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test152"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test153"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-127), 2, 1.2334031175112175d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test154"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.copySign(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure31.add((-0.46528454126966756d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure31.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure42.multiply((-24));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-4.340832561168609d), derivativeStructure9, 0.7566212867136681d, derivativeStructure22, 1.9868635106324076E-8d, derivativeStructure36, (-0.0032046327978387692d), derivativeStructure45);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test155"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long11 = derivativeStructure10.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.floor();
    double[] d_array21 = derivativeStructure20.getAllDerivatives();
    double d22 = derivativeStructure13.taylor(d_array21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long28 = derivativeStructure27.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure27.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.subtract(1.9643175412944536d);
    double[] d_array33 = derivativeStructure30.getAllDerivatives();
    double[] d_array35 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.add(d_array21, 86, d_array33, 10, d_array35, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test156"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.2109818485960283d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.20942007749186178d));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test157"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure3.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.toRadians();
    int i24 = derivativeStructure22.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 3);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test158"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    dSCompiler17.checkCompatibility(dSCompiler30);
    double[] d_array37 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long43 = derivativeStructure42.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure42.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure42.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure45.subtract(1.9643175412944536d);
    double[] d_array48 = derivativeStructure45.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler30.tanh(d_array37, (-24), d_array48, (-49));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test159"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure3.add(derivativeStructure12);
    long long14 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.scalb((-20));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long21 = derivativeStructure20.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure25, derivativeStructure32);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure20.add(derivativeStructure35);
    org.apache.commons.math3.Field field37 = derivativeStructure35.getField();
    double[] d_array38 = derivativeStructure35.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure44.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure46.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure3.add(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test160"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.0572510080981552d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.921282384838994d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test161"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.180368994758907d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4298116135615677d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test162"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    boolean b10 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Number number11 = numberIsTooLargeException9.getMax();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException9);
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException17 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable13, (java.lang.Number)0L, (java.lang.Number)9.536743E-7f, true);
    boolean b18 = numberIsTooLargeException17.getBoundIsAllowed();
    numberIsTooLargeException9.addSuppressed((java.lang.Throwable)numberIsTooLargeException17);
    boolean b20 = numberIsTooLargeException17.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.Localizable localizable21 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException25 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable21, (java.lang.Number)2.5772171907329233d, (java.lang.Number)100, true);
    numberIsTooLargeException17.addSuppressed((java.lang.Throwable)numberIsTooLargeException25);
    java.lang.Number number27 = numberIsTooLargeException25.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 10+ "'", number11.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + 100+ "'", number27.equals(100));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test163"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.remainder(4.347613670123174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test164"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    int i24 = dSCompiler2.getOrder();
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array26 = dSCompiler2.getPartialDerivativeOrders(80);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test165"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.subtract((-1.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.divide(1.776356839400251E-15d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure15.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure15.add(derivativeStructure24);
    long long26 = derivativeStructure15.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure15.scalb((-20));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long33 = derivativeStructure32.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure37.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure42.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure37, derivativeStructure44);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure45.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure32.add(derivativeStructure47);
    org.apache.commons.math3.Field field49 = derivativeStructure47.getField();
    double[] d_array50 = derivativeStructure47.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure15, derivativeStructure47);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure15.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure11, derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test166"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test167"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.cosh();
    double[] d_array35 = derivativeStructure34.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure45.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure48.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i53 = dSCompiler52.getOrder();
    int i54 = dSCompiler52.getOrder();
    int i55 = dSCompiler52.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure59.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure61.floor();
    double[] d_array63 = derivativeStructure62.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure70.floor();
    double[] d_array72 = derivativeStructure71.getAllDerivatives();
    double d73 = dSCompiler52.taylor(d_array63, 20, d_array72);
    double d74 = derivativeStructure49.taylor(d_array63);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.cosh(d_array35, 86, d_array63, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == (-0.8546104647638713d));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test168"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure20.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure12.divide(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure5.remainder(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure20.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.remainder(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure35.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure20.remainder(derivativeStructure38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure20.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure20.remainder(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.acosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test169"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 6);
    java.lang.Number number3 = dimensionMismatchException2.getArgument();
    java.lang.String str4 = dimensionMismatchException2.toString();
    java.lang.Number number5 = dimensionMismatchException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.DimensionMismatchException: 0 != 6"+ "'", str4.equals("org.apache.commons.math3.exception.DimensionMismatchException: 0 != 6"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test170"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.pow(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test171"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test172"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test173"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.floor();
    double[] d_array32 = derivativeStructure31.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.floor();
    double[] d_array41 = derivativeStructure40.getAllDerivatives();
    double d42 = dSCompiler21.taylor(d_array32, 20, d_array41);
    double d43 = derivativeStructure18.taylor(d_array32);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, d_array32);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure55.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure56.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure56.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure56.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure51.divide(derivativeStructure61);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure61.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure63.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure63.scalb((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure63.remainder((-0.5958164402125868d));
    double[] d_array69 = derivativeStructure68.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure74.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure75.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure75.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure75.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure75.remainder(1.3022634284251158d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure75.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure82.acosh();
    double[] d_array84 = derivativeStructure83.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.remainder(d_array32, (-7), d_array69, 2, d_array84, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == (-0.8546104647638713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test174"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test175"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(14584L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 14584L);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.15686073815575718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.15816660653603884d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test177"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2, (-47));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test178"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler((-7), 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test179"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.31273173493123174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.323570417549594d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test180"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.5774576563390286d, Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5774576563390286d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test181"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getOrder();
    int i14 = dSCompiler10.getOrder();
    int i15 = dSCompiler10.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i22 = dSCompiler21.getOrder();
    int i23 = dSCompiler21.getOrder();
    int i24 = dSCompiler21.getOrder();
    dSCompiler18.checkCompatibility(dSCompiler21);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i32 = dSCompiler31.getOrder();
    int i33 = dSCompiler31.getOrder();
    int i34 = dSCompiler31.getOrder();
    dSCompiler28.checkCompatibility(dSCompiler31);
    int i36 = dSCompiler31.getSize();
    int[] i_array38 = dSCompiler31.getPartialDerivativeOrders(0);
    int i39 = dSCompiler18.getPartialDerivativeIndex(i_array38);
    int i40 = dSCompiler10.getPartialDerivativeIndex(i_array38);
    int i41 = dSCompiler2.getPartialDerivativeIndex(i_array38);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler44 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler47 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i48 = dSCompiler47.getOrder();
    int i49 = dSCompiler47.getOrder();
    int i50 = dSCompiler47.getOrder();
    dSCompiler44.checkCompatibility(dSCompiler47);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler54 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler57 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i58 = dSCompiler57.getOrder();
    int i59 = dSCompiler57.getOrder();
    int i60 = dSCompiler57.getOrder();
    dSCompiler54.checkCompatibility(dSCompiler57);
    int i62 = dSCompiler57.getSize();
    int[] i_array64 = dSCompiler57.getPartialDerivativeOrders(0);
    int i65 = dSCompiler44.getPartialDerivativeIndex(i_array64);
    int i66 = dSCompiler2.getPartialDerivativeIndex(i_array64);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long71 = derivativeStructure70.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure75.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure80.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure75, derivativeStructure82);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure83.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure70.add(derivativeStructure85);
    org.apache.commons.math3.Field field87 = derivativeStructure85.getField();
    double[] d_array88 = derivativeStructure85.getAllDerivatives();
    double[] d_array91 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array88, (-24), (-46), d_array91, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long71 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test182"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(8.623014125017582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.45534331930245d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test183"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure13, derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long30 = derivativeStructure29.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure29.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.floor();
    double[] d_array40 = derivativeStructure39.getAllDerivatives();
    double d41 = derivativeStructure32.taylor(d_array40);
    double d42 = derivativeStructure25.taylor(d_array40);
    double d43 = derivativeStructure9.taylor(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 59.0d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test184"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure12.add(derivativeStructure21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure8.pow(derivativeStructure22);
    double d24 = derivativeStructure8.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == (-2.762016502468996d));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test185"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(4.9090934652977266E-91d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test186"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.2446166394684695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test187"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(2L, 6L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6L);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test188"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure28.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure28.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure23.divide(derivativeStructure33);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure17.subtract(derivativeStructure35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure17.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test189"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.012996082715863855d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.012995716907910213d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test190"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure5.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.multiply(1);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.acosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test191"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.add(8.881784197001252E-16d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure19.copySign(10.913398708224044d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test192"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test193"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.1521291323414964d, (java.lang.Number)10.000001f, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)709.782712893384d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException14 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable10, (java.lang.Number)(byte)1, (java.lang.Number)10, false);
    boolean b15 = numberIsTooLargeException14.getBoundIsAllowed();
    java.lang.Number number16 = numberIsTooLargeException14.getMax();
    numberIsTooLargeException9.addSuppressed((java.lang.Throwable)numberIsTooLargeException14);
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 10+ "'", number16.equals(10));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test194"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.1575047973646084d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.15686073815575718d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test195"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(90.00000000000003d, (-0.6698434389303876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.24097918332809565d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test196"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.multiply((-35.46824694783695d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.log();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test197"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.copySign(0.27588107309214316d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure5.copySign(0.6744026976311414d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test198"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(93.5132062252957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9031875353151702d));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test199"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-1.776356839400252E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test200"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    int i10 = dSCompiler7.getOrder();
    dSCompiler4.checkCompatibility(dSCompiler7);
    int i12 = dSCompiler7.getSize();
    int[] i_array14 = dSCompiler7.getPartialDerivativeOrders(0);
    double[] d_array16 = new double[] { 1.0d };
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    dSCompiler7.tanh(d_array16, 0, d_array20, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1), 3, d_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test201"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-5), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-5));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test202"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.abs();
    long long7 = derivativeStructure6.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.toDegrees();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test203"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.log1p();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test204"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure13.add(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure9.pow(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure30.subtract((-1.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure30.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.divide(1.776356839400251E-15d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure42.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure44.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure44.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure44.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure44.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure44.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1.631264348439414d), derivativeStructure23, 0.33722248939230137d, derivativeStructure37, 0.9999999958776927d, derivativeStructure50);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long56 = derivativeStructure55.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure55.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure55.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure64.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure72.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure72.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure64.divide(derivativeStructure72);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure55.divide(derivativeStructure77);
    long long79 = derivativeStructure78.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure23.remainder(derivativeStructure78);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure23.subtract(1.9994026900170139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long56 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long79 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test205"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.4873058201553492d, (java.lang.Number)4.010299956639812d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = numberIsTooLargeException4.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooLargeException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 4.010299956639812d+ "'", number5.equals(4.010299956639812d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test206"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure2.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure2.pow((-1.5707963267948968d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.toDegrees();
    double d9 = derivativeStructure8.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test207"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException3 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array2);
    java.lang.Throwable[] throwable_array4 = mathIllegalArgumentException3.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable6, (java.lang.Number)0.4873058201553492d, (java.lang.Number)4.010299956639812d, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = numberIsTooLargeException10.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException16 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable12, (java.lang.Number)0L, (java.lang.Number)9.536743E-7f, true);
    boolean b17 = numberIsTooLargeException16.getBoundIsAllowed();
    numberIsTooLargeException10.addSuppressed((java.lang.Throwable)numberIsTooLargeException16);
    java.lang.Throwable[] throwable_array19 = numberIsTooLargeException10.getSuppressed();
    java.lang.Throwable[] throwable_array20 = numberIsTooLargeException10.getSuppressed();
    mathIllegalArgumentException5.addSuppressed((java.lang.Throwable)numberIsTooLargeException10);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str22 = mathIllegalArgumentException5.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test208"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.pow(0.0d);
    int i11 = derivativeStructure7.getExponent();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test209"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.pow(30.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test210"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.rootN(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test211"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure3.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.divide((-8.73784460947615E-309d));
    int i25 = derivativeStructure22.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 3);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test212"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1023), 80);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test213"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.858931910669651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test214"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-9.536743E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test215"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    int i6 = derivativeStructure5.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.multiply(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure5.toDegrees();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test216"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(7.313496569512391d, 0.9595880776182382d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.313496569512391d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test217"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.asin();
    int i10 = derivativeStructure6.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 6);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test218"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.22606913585643787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3427558800978232d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test219"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.rootN(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.toRadians();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test220"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getOrder();
    dSCompiler15.checkCompatibility(dSCompiler18);
    int i23 = dSCompiler18.getSize();
    int[] i_array25 = dSCompiler18.getPartialDerivativeOrders(0);
    double[] d_array27 = new double[] { 1.0d };
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    dSCompiler18.tanh(d_array27, 0, d_array31, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getOrder();
    dSCompiler37.checkCompatibility(dSCompiler40);
    int i45 = dSCompiler40.getSize();
    int[] i_array47 = dSCompiler40.getPartialDerivativeOrders(0);
    double[] d_array49 = new double[] { 1.0d };
    double[] d_array53 = new double[] { 10.0d, 1.0d };
    dSCompiler40.tanh(d_array49, 0, d_array53, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i62 = dSCompiler61.getOrder();
    int i63 = dSCompiler61.getOrder();
    int i64 = dSCompiler61.getOrder();
    dSCompiler58.checkCompatibility(dSCompiler61);
    int i66 = dSCompiler61.getSize();
    int[] i_array68 = dSCompiler61.getPartialDerivativeOrders(0);
    double[] d_array70 = new double[] { 1.0d };
    double[] d_array74 = new double[] { 10.0d, 1.0d };
    dSCompiler61.tanh(d_array70, 0, d_array74, 0);
    dSCompiler5.compose(d_array27, (-1), d_array53, d_array70, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler81 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i82 = dSCompiler81.getOrder();
    int i83 = dSCompiler81.getOrder();
    int i84 = dSCompiler81.getSize();
    int[] i_array86 = dSCompiler81.getPartialDerivativeOrders(0);
    int i87 = dSCompiler5.getPartialDerivativeIndex(i_array86);
    int i88 = dSCompiler5.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 0);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test221"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure3.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure31.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure31.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure24.remainder(derivativeStructure31);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure19, derivativeStructure36);
    org.apache.commons.math3.Field field38 = derivativeStructure19.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field38);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test222"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.014193364288698272d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.556602485917026d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test223"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-0.0d), 0.4652845412696676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test224"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.2251530756397981d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.555487240480151d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test225"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure4.divide(derivativeStructure12);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure4.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure4.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure25.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure32.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure32.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure25.remainder(derivativeStructure32);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure20, derivativeStructure37);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure45.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure48.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.7994454289118335d, derivativeStructure37, 0.12033054954775477d, derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test226"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    int i8 = derivativeStructure7.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.remainder((-0.502047843255528d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.multiply(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure10.rootN((-24));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test227"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    int i24 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure27.multiply(1.5430806348152437d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure27.pow((-1.5707963267948968d));
    double[] d_array34 = new double[] { 10.0d };
    double d35 = derivativeStructure27.taylor(d_array34);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler39 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler42 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i43 = dSCompiler42.getOrder();
    int i44 = dSCompiler42.getOrder();
    int i45 = dSCompiler42.getOrder();
    dSCompiler39.checkCompatibility(dSCompiler42);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler49 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler52 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i53 = dSCompiler52.getOrder();
    int i54 = dSCompiler52.getOrder();
    int i55 = dSCompiler52.getOrder();
    dSCompiler49.checkCompatibility(dSCompiler52);
    int i57 = dSCompiler52.getSize();
    int[] i_array59 = dSCompiler52.getPartialDerivativeOrders(0);
    int i60 = dSCompiler39.getPartialDerivativeIndex(i_array59);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure64.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure66.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure66.log10();
    double[] d_array71 = derivativeStructure70.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long77 = derivativeStructure76.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure76.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure76.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure83.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure85.floor();
    double[] d_array87 = derivativeStructure86.getAllDerivatives();
    double d88 = derivativeStructure79.taylor(d_array87);
    dSCompiler39.sin(d_array71, 20, d_array87, 6);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tanh(d_array34, 86, d_array87, 80);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long77 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 1.7182818284590453d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test228"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(10.913398708224044d, 0.9649028225886944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9649028225886944d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test229"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-20), 6);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 6);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test230"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure8, derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure17.divide(derivativeStructure25);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test231"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-4.340832561168609d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9317633913724666d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test232"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.copySign(90.00000000000003d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.add(0.7284265039394611d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test233"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.log1p();
    int i19 = derivativeStructure17.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.cos();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure9.subtract(derivativeStructure20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test234"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test235"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(2.8421709430404007E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.3108872417680944E-30d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test236"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure11.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure6.divide(derivativeStructure16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure27.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure27.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.divide(10240.0d);
    org.apache.commons.math3.Field field35 = derivativeStructure34.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure40.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure40.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure50.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure50.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure50.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure46.pow(derivativeStructure54);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure54.multiply(2.097207631308085d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure54.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure36.add(derivativeStructure54);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure64.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure64.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure72.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure72.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure76.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure76.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure68.pow(derivativeStructure76);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure68.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure85.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure86.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure89 = derivativeStructure88.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure90 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.5297020291092965d, derivativeStructure22, (-1.5707963267948966d), derivativeStructure36, 1.4210854715202004E-14d, derivativeStructure68, 100.00499987500625d, derivativeStructure89);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure91 = derivativeStructure89.reciprocal();
    org.apache.commons.math3.Field field92 = derivativeStructure91.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field92);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test237"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(217.03831076387507d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 7);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test238"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long13 = derivativeStructure12.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure8.pow(derivativeStructure12);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure8, derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure23.copySign(1.262627255678912d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure27.remainder(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test239"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(8.4703295E-22f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test240"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure28.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure28.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure23.divide(derivativeStructure33);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure17.subtract(derivativeStructure35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure17.rootN(2);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure17.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test241"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long6 = derivativeStructure5.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.subtract(1.9643175412944536d);
    double[] d_array11 = derivativeStructure8.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, d_array11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test242"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure6.subtract(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure32.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure26.subtract(derivativeStructure38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure18.add(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test243"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int[] i_array4 = dSCompiler2.getPartialDerivativeOrders(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test244"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.017438295357736226d, (-0.18361130566449393d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.017438295357736226d));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test245"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.add(9.62712932755848E181d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.multiply((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test246"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long14 = derivativeStructure13.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.asinh();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.remainder(derivativeStructure16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test247"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getOrder();
    dSCompiler20.checkCompatibility(dSCompiler23);
    int i28 = dSCompiler23.getSize();
    int[] i_array30 = dSCompiler23.getPartialDerivativeOrders(0);
    int i31 = dSCompiler10.getPartialDerivativeIndex(i_array30);
    int i32 = dSCompiler2.getPartialDerivativeIndex(i_array30);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure41.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure55.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure57.floor();
    double[] d_array59 = derivativeStructure58.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure66.floor();
    double[] d_array68 = derivativeStructure67.getAllDerivatives();
    double d69 = dSCompiler48.taylor(d_array59, 20, d_array68);
    double d70 = derivativeStructure45.taylor(d_array59);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler75 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler78 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i79 = dSCompiler78.getOrder();
    int i80 = dSCompiler78.getOrder();
    int i81 = dSCompiler78.getOrder();
    dSCompiler75.checkCompatibility(dSCompiler78);
    int i83 = dSCompiler78.getSize();
    int[] i_array85 = dSCompiler78.getPartialDerivativeOrders(0);
    double[] d_array87 = new double[] { 1.0d };
    double[] d_array91 = new double[] { 10.0d, 1.0d };
    dSCompiler78.tanh(d_array87, 0, d_array91, 0);
    dSCompiler2.pow(d_array59, 80, 84.10370959203021d, d_array87, 0);
    int i96 = dSCompiler2.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == (-0.8546104647638713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i96 == 0);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test248"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure12.add(derivativeStructure21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure8.pow(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure8.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure8.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test249"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-1.391109449855418E-13d), (-8.73784460947615E-309d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.391109449855418E-13d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test250"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.expm1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test251"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-127), (-47));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-47));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test252"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.pow(47);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test253"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure3.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure31.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure31.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure24.remainder(derivativeStructure31);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure19, derivativeStructure36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.divide(0.5045251231895915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test254"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(4.0674043603991905E53d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0674043603991905E53d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test255"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler13 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i14 = dSCompiler13.getOrder();
    int i15 = dSCompiler13.getOrder();
    int i16 = dSCompiler13.getOrder();
    dSCompiler10.checkCompatibility(dSCompiler13);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler23 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i24 = dSCompiler23.getOrder();
    int i25 = dSCompiler23.getOrder();
    int i26 = dSCompiler23.getOrder();
    dSCompiler20.checkCompatibility(dSCompiler23);
    int i28 = dSCompiler23.getSize();
    int[] i_array30 = dSCompiler23.getPartialDerivativeOrders(0);
    int i31 = dSCompiler10.getPartialDerivativeIndex(i_array30);
    int i32 = dSCompiler2.getPartialDerivativeIndex(i_array30);
    int i33 = dSCompiler2.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test256"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(4.61512051684126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.148283155648077d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test257"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(7.6293945E-6f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.8146973E-6f);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test258"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(7.4505815E-9f, (-1.4911620245203239d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.4505806E-9f);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test259"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.5574077246549023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 74.68593339876537d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test260"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.divide((-0.003619704270705174d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test261"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure2.toRadians();
    org.apache.commons.math3.Field field5 = derivativeStructure2.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field5);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test262"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure8.pow(derivativeStructure16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure8.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long26 = derivativeStructure25.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure27.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(52.44681013227619d, derivativeStructure20, (-0.5901986839880569d), derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test263"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.pow(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure25.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure17.divide(derivativeStructure25);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure17.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure9.remainder(derivativeStructure34);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test264"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.2915496650148839d, (java.lang.Number)1.7097772460758185d, true);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test265"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-49), 100, 1.2915496650148839d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test266"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, (-18));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test267"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-27), 46, 45.08753563281009d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test268"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(1L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test269"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.add((-0.9733167229802178d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure8.log1p();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test270"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-0.5958164402125868d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test271"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.2089259E26f, (-6.776264E-21f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2089259E26f);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test272"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.17588392632061045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.17410319800348031d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test273"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.pow(derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.multiply(2.097207631308085d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure31.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure31.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure26.divide(derivativeStructure36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure17.multiply(derivativeStructure36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.remainder(101.19288512538814d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure38.acos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test274"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    double[] d_array24 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long30 = derivativeStructure29.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure29.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.floor();
    double[] d_array40 = derivativeStructure39.getAllDerivatives();
    double d41 = derivativeStructure32.taylor(d_array40);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure48.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure48.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure48.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure52.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure52.pow(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure52.tan();
    double[] d_array58 = derivativeStructure57.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.divide(d_array24, 20, d_array40, (-5), d_array58, 80);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test275"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure11.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure11.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure11.atanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test276"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long12 = derivativeStructure11.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure4.add(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure15.remainder((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test277"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.5383562587270005E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5383562587270005E-8d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test278"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.0212312157769605d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5683812555492602d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test279"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(-0.7573341749790614d), (java.lang.Number)0.2436369776730935d, false);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test280"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1024, 47);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test281"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999546000702375d));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test282"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(9.536744E-7f, 1.6940659E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536744E-7f);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test283"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long13 = derivativeStructure12.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure8.pow(derivativeStructure12);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure8.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure21, derivativeStructure28);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure29.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure8, derivativeStructure34);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.cbrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test284"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test285"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-1023), 10);
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test286"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.add(0.6698434389303876d);
    int i7 = derivativeStructure6.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.multiply((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.pow(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long25 = derivativeStructure24.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure26.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure17.add(derivativeStructure28);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure17.divide(0.6649851499464902d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure37.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure37.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure48.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure48.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure48.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure48.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure48.sin();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3.6732378085374022d, derivativeStructure11, 0.2585660093269232d, derivativeStructure32, 0.10798351968263795d, derivativeStructure41, (-6.8264411011535E-311d), derivativeStructure48);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test287"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.pow(74.26648683163762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test288"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.2558427881104495d, 0.33880195510980565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2558427881104496d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test289"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test290"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.copySign(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test291"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.8732313769229336d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7664086205430712d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test292"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(2.0582856370123763d, (-1.7475689218952297E-308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.058285637012376d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test293"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.0017944611461276237d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.001796072155017d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test294"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.3485199828800252d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1048054182277576d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test295"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(7.4505815E-9f, 1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.192093E-7f);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test296"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.481404746557165d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test297"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.log1p();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test298"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.1452109357495872d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.14420300766713368d));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test299"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure7, derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure7.add((-2.0d));
    int i22 = derivativeStructure21.getExponent();
    int i23 = derivativeStructure21.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 3);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test300"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(4.615120516841259d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test301"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.subtract((-1.0d));
    int i8 = derivativeStructure3.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test302"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    int i12 = dSCompiler10.getOrder();
    int i13 = dSCompiler10.getSize();
    int[] i_array15 = dSCompiler10.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler10);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler22 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i23 = dSCompiler22.getOrder();
    int i24 = dSCompiler22.getOrder();
    int i25 = dSCompiler22.getOrder();
    dSCompiler19.checkCompatibility(dSCompiler22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i33 = dSCompiler32.getOrder();
    int i34 = dSCompiler32.getOrder();
    int i35 = dSCompiler32.getOrder();
    dSCompiler29.checkCompatibility(dSCompiler32);
    int i37 = dSCompiler32.getSize();
    int[] i_array39 = dSCompiler32.getPartialDerivativeOrders(0);
    int i40 = dSCompiler19.getPartialDerivativeIndex(i_array39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure44.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure46.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure46.log10();
    double[] d_array51 = derivativeStructure50.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long57 = derivativeStructure56.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure56.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure56.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure63.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure65.floor();
    double[] d_array67 = derivativeStructure66.getAllDerivatives();
    double d68 = derivativeStructure59.taylor(d_array67);
    dSCompiler19.sin(d_array51, 20, d_array67, 6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure75.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure75.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure77.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure77.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure77.log10();
    double[] d_array82 = derivativeStructure81.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.asin(d_array67, 46, d_array82, (-47));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long57 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test303"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.multiply((-10.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure9.sqrt();
    org.apache.commons.math3.Field field15 = derivativeStructure9.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field15);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test304"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure11.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure11.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure6.divide(derivativeStructure16);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure27.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure27.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure27.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.divide(10240.0d);
    org.apache.commons.math3.Field field35 = derivativeStructure34.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure40.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure40.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure50.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure50.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure50.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure46.pow(derivativeStructure54);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure54.multiply(2.097207631308085d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure54.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure36.add(derivativeStructure54);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure64.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure64.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure72.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure72.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure76.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure76.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure68.pow(derivativeStructure76);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure68.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure85.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure86.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure89 = derivativeStructure88.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure90 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.5297020291092965d, derivativeStructure22, (-1.5707963267948966d), derivativeStructure36, 1.4210854715202004E-14d, derivativeStructure68, 100.00499987500625d, derivativeStructure89);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure91 = derivativeStructure89.reciprocal();
    int i92 = derivativeStructure91.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i92 == 3);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test305"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(2.154434690031884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test306"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure16.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure16.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.8473728170778716d, derivativeStructure11, (-57.29577951308232d), derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure20.pow(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test307"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure22.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure16, derivativeStructure27);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure8.remainder(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test308"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test309"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-0.7573341749790614d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test310"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(10, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(1, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure9.tanh();
    double[] d_array15 = derivativeStructure14.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure25.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i33 = dSCompiler32.getOrder();
    int i34 = dSCompiler32.getOrder();
    int i35 = dSCompiler32.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.floor();
    double[] d_array43 = derivativeStructure42.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure48.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure50.floor();
    double[] d_array52 = derivativeStructure51.getAllDerivatives();
    double d53 = dSCompiler32.taylor(d_array43, 20, d_array52);
    double d54 = derivativeStructure29.taylor(d_array43);
    dSCompiler5.log(d_array15, 0, d_array43, 1);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure61.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure61.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure67.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure68.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure68.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure68.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure63.divide(derivativeStructure73);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure73.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure79.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure79.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure85.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure87 = derivativeStructure86.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure89 = derivativeStructure86.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure91 = derivativeStructure86.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure92 = derivativeStructure81.divide(derivativeStructure91);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure93 = derivativeStructure92.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure94 = derivativeStructure75.subtract(derivativeStructure93);
    double[] d_array95 = derivativeStructure75.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tan(d_array15, (-24), d_array95, 2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == (-0.8546104647638713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array95);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test311"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    long long8 = derivativeStructure7.round();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 1L);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test312"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.45534331930245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test313"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.33880195510980565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test314"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(2.05462105802957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test315"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException4 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array3);
    java.lang.Throwable[] throwable_array5 = mathIllegalArgumentException4.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array5);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathIllegalArgumentException7.getContext();
    java.lang.Throwable[] throwable_array9 = mathIllegalArgumentException7.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test316"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long12 = derivativeStructure11.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure16, derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure11.add(derivativeStructure26);
    org.apache.commons.math3.Field field28 = derivativeStructure26.getField();
    double[] d_array29 = derivativeStructure26.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long35 = derivativeStructure34.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure34.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.subtract(1.9643175412944536d);
    double[] d_array40 = derivativeStructure37.getAllDerivatives();
    dSCompiler2.tan(d_array29, 2, d_array40, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long35 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test317"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    int i24 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure28, derivativeStructure35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure39.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long45 = derivativeStructure44.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure44.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure44.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure51.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.floor();
    double[] d_array55 = derivativeStructure54.getAllDerivatives();
    double d56 = derivativeStructure47.taylor(d_array55);
    double d57 = derivativeStructure40.taylor(d_array55);
    double[] d_array60 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.pow(d_array55, 0, (-0.2039952847415774d), d_array60, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long45 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test318"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(9.999999f, 7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.1054274E-15f);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test319"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    int i10 = dSCompiler7.getOrder();
    dSCompiler4.checkCompatibility(dSCompiler7);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    dSCompiler14.checkCompatibility(dSCompiler17);
    int i22 = dSCompiler17.getSize();
    int[] i_array24 = dSCompiler17.getPartialDerivativeOrders(0);
    int i25 = dSCompiler4.getPartialDerivativeIndex(i_array24);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getSize();
    int[] i_array33 = dSCompiler28.getPartialDerivativeOrders(0);
    dSCompiler4.checkCompatibility(dSCompiler28);
    int i35 = dSCompiler4.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler38 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i39 = dSCompiler38.getOrder();
    int i40 = dSCompiler38.getOrder();
    int i41 = dSCompiler38.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure45.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.floor();
    double[] d_array49 = derivativeStructure48.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure54.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure56.floor();
    double[] d_array58 = derivativeStructure57.getAllDerivatives();
    double d59 = dSCompiler38.taylor(d_array49, 20, d_array58);
    double[] d_array64 = new double[] { 0.0d, 1.0d, 1.0d };
    dSCompiler4.sin(d_array49, 2, d_array64, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(127, (-2), d_array49);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test320"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(2.2787992419833047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.509569223978584d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test321"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.pow(derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.multiply(2.097207631308085d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.subtract(89.99444427296612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test322"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.divide(0.2436369776730935d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test323"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure13.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure13.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure9.pow(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test324"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sinh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler10 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i11 = dSCompiler10.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    dSCompiler14.checkCompatibility(dSCompiler17);
    dSCompiler10.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getOrder();
    dSCompiler25.checkCompatibility(dSCompiler28);
    int i33 = dSCompiler28.getSize();
    int[] i_array35 = dSCompiler28.getPartialDerivativeOrders(0);
    int i36 = dSCompiler10.getPartialDerivativeIndex(i_array35);
    // The following exception was thrown during execution in test generation
    try {
      double d37 = derivativeStructure7.getPartialDerivative(i_array35);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test325"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(2.2111403812577532E-13d, 1.0620196061452722d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2111403812577532E-13d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test326"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 2);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test327"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.acosh();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler11 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i15 = dSCompiler14.getOrder();
    int i16 = dSCompiler14.getOrder();
    int i17 = dSCompiler14.getOrder();
    dSCompiler11.checkCompatibility(dSCompiler14);
    int i19 = dSCompiler14.getSize();
    int[] i_array21 = dSCompiler14.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getOrder();
    dSCompiler24.checkCompatibility(dSCompiler27);
    int i32 = dSCompiler27.getSize();
    int[] i_array34 = dSCompiler27.getPartialDerivativeOrders(0);
    double[] d_array36 = new double[] { 1.0d };
    double[] d_array40 = new double[] { 10.0d, 1.0d };
    dSCompiler27.tanh(d_array36, 0, d_array40, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler49 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i50 = dSCompiler49.getOrder();
    int i51 = dSCompiler49.getOrder();
    int i52 = dSCompiler49.getOrder();
    dSCompiler46.checkCompatibility(dSCompiler49);
    int i54 = dSCompiler49.getSize();
    int[] i_array56 = dSCompiler49.getPartialDerivativeOrders(0);
    double[] d_array58 = new double[] { 1.0d };
    double[] d_array62 = new double[] { 10.0d, 1.0d };
    dSCompiler49.tanh(d_array58, 0, d_array62, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler67 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler70 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i71 = dSCompiler70.getOrder();
    int i72 = dSCompiler70.getOrder();
    int i73 = dSCompiler70.getOrder();
    dSCompiler67.checkCompatibility(dSCompiler70);
    int i75 = dSCompiler70.getSize();
    int[] i_array77 = dSCompiler70.getPartialDerivativeOrders(0);
    double[] d_array79 = new double[] { 1.0d };
    double[] d_array83 = new double[] { 10.0d, 1.0d };
    dSCompiler70.tanh(d_array79, 0, d_array83, 0);
    dSCompiler14.compose(d_array36, (-1), d_array62, d_array79, 0);
    double d88 = derivativeStructure8.taylor(d_array79);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure90 = derivativeStructure8.multiply(8.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure90);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test328"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.858931910669651d, 0.13358719828636736d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.858931910669651d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test329"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    int i36 = dSCompiler17.getPartialDerivativeIndex(i_array35);
    int i37 = dSCompiler17.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test330"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.4677149517348174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test331"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure16.remainder(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0.0d, derivativeStructure4, 0.0d, derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure4.cbrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test332"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.5574077246549023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.47859127706984d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test333"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(3, 46);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test334"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    int i11 = dSCompiler2.getFreeParameters();
    int i12 = dSCompiler2.getOrder();
    int i13 = dSCompiler2.getSize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test335"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.pow((-8.73784460947615E-309d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.pow(6.172196598432867E297d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.toRadians();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test336"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1023), 20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test337"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.copySign(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.pow(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test338"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure3.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure9.pow(derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.multiply(2.097207631308085d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure31.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure31.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure31.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure26.divide(derivativeStructure36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure17.multiply(derivativeStructure36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.remainder(101.19288512538814d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure38.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test339"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    int i36 = dSCompiler17.getPartialDerivativeIndex(i_array35);
    int i37 = dSCompiler17.getFreeParameters();
    int i38 = dSCompiler17.getFreeParameters();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 100);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test340"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test341"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure28.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure28.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure23.divide(derivativeStructure33);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure34.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure17.subtract(derivativeStructure35);
    double[] d_array37 = derivativeStructure17.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure17.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure17.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test342"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.6940659E-21f, 1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.192093E-7f);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test343"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long21 = derivativeStructure20.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure16.add(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure20.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure20.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test344"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 0, (-1023), 0.6744026976311414d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure4.multiply((-24));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.add(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test345"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.9628187514697867d, (java.lang.Number)1.180368994758907d, true);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test346"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure3.add(derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure3.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.floor();
    org.apache.commons.math3.Field field24 = derivativeStructure23.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure28.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure36.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure28.divide(derivativeStructure36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure28.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.sqrt();
    org.apache.commons.math3.Field field46 = derivativeStructure45.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure45.pow(3.3556525231164585E36d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure23, derivativeStructure48);
    long long50 = derivativeStructure49.round();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long50 == 0L);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test347"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException6 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    java.lang.Throwable[] throwable_array7 = dimensionMismatchException6.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test348"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)2147483647, (java.lang.Number)0.2441339337845165d, true);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test349"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    int i10 = dSCompiler8.getOrder();
    int i11 = dSCompiler8.getOrder();
    int i12 = dSCompiler8.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler8);
    int i14 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    int i21 = dSCompiler17.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    int i26 = dSCompiler24.getOrder();
    int i27 = dSCompiler24.getOrder();
    int i28 = dSCompiler24.getOrder();
    int i29 = dSCompiler24.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i33 = dSCompiler32.getOrder();
    int i34 = dSCompiler32.getOrder();
    int i35 = dSCompiler32.getOrder();
    int i36 = dSCompiler32.getOrder();
    int i37 = dSCompiler32.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i44 = dSCompiler43.getOrder();
    int i45 = dSCompiler43.getOrder();
    int i46 = dSCompiler43.getOrder();
    dSCompiler40.checkCompatibility(dSCompiler43);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler50 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler53 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i54 = dSCompiler53.getOrder();
    int i55 = dSCompiler53.getOrder();
    int i56 = dSCompiler53.getOrder();
    dSCompiler50.checkCompatibility(dSCompiler53);
    int i58 = dSCompiler53.getSize();
    int[] i_array60 = dSCompiler53.getPartialDerivativeOrders(0);
    int i61 = dSCompiler40.getPartialDerivativeIndex(i_array60);
    int i62 = dSCompiler32.getPartialDerivativeIndex(i_array60);
    int i63 = dSCompiler24.getPartialDerivativeIndex(i_array60);
    int i64 = dSCompiler17.getPartialDerivativeIndex(i_array60);
    int i65 = dSCompiler2.getPartialDerivativeIndex(i_array60);
    int i66 = dSCompiler2.getFreeParameters();
    double[] d_array67 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long74 = derivativeStructure73.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure73.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure73.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure76.subtract(1.9643175412944536d);
    double[] d_array79 = derivativeStructure76.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.rootN(d_array67, 86, 10, d_array79, 80);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long74 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test350"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(3.3845356867859808E25d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test351"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-0.004286456150252118d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-8));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test352"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, 127, 0, 0.2615778529053359d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test353"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.2585660093269231d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test354"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 0, 100);
    int i4 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test355"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    dSCompiler5.tanh(d_array14, 0, d_array18, 0);
    int i21 = dSCompiler5.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler27 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i28 = dSCompiler27.getOrder();
    int i29 = dSCompiler27.getOrder();
    int i30 = dSCompiler27.getOrder();
    dSCompiler24.checkCompatibility(dSCompiler27);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i38 = dSCompiler37.getOrder();
    int i39 = dSCompiler37.getOrder();
    int i40 = dSCompiler37.getOrder();
    dSCompiler34.checkCompatibility(dSCompiler37);
    int i42 = dSCompiler37.getSize();
    int[] i_array44 = dSCompiler37.getPartialDerivativeOrders(0);
    int i45 = dSCompiler24.getPartialDerivativeIndex(i_array44);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getSize();
    int[] i_array53 = dSCompiler48.getPartialDerivativeOrders(0);
    dSCompiler24.checkCompatibility(dSCompiler48);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler57 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i58 = dSCompiler57.getOrder();
    int i59 = dSCompiler57.getOrder();
    int i60 = dSCompiler57.getOrder();
    int i61 = dSCompiler57.getOrder();
    int i62 = dSCompiler57.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler65 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i66 = dSCompiler65.getOrder();
    int i67 = dSCompiler65.getOrder();
    int i68 = dSCompiler65.getOrder();
    int i69 = dSCompiler65.getOrder();
    int i70 = dSCompiler65.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler73 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler76 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i77 = dSCompiler76.getOrder();
    int i78 = dSCompiler76.getOrder();
    int i79 = dSCompiler76.getOrder();
    dSCompiler73.checkCompatibility(dSCompiler76);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler83 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler86 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i87 = dSCompiler86.getOrder();
    int i88 = dSCompiler86.getOrder();
    int i89 = dSCompiler86.getOrder();
    dSCompiler83.checkCompatibility(dSCompiler86);
    int i91 = dSCompiler86.getSize();
    int[] i_array93 = dSCompiler86.getPartialDerivativeOrders(0);
    int i94 = dSCompiler73.getPartialDerivativeIndex(i_array93);
    int i95 = dSCompiler65.getPartialDerivativeIndex(i_array93);
    int i96 = dSCompiler57.getPartialDerivativeIndex(i_array93);
    int i97 = dSCompiler48.getPartialDerivativeIndex(i_array93);
    int i98 = dSCompiler5.getPartialDerivativeIndex(i_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i91 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i95 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i96 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i97 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i98 == 0);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test356"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-8.73784460947615E-309d), 0.15816660653603884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15816660653603884d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test357"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    int i8 = derivativeStructure7.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.remainder((-0.502047843255528d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test358"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int i6 = dSCompiler2.getOrder();
    int i7 = dSCompiler2.getFreeParameters();
    int i8 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure12, derivativeStructure19);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long29 = derivativeStructure28.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure28.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure37.floor();
    double[] d_array39 = derivativeStructure38.getAllDerivatives();
    double d40 = derivativeStructure31.taylor(d_array39);
    double d41 = derivativeStructure24.taylor(d_array39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure52.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure53.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure53.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure53.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure48.divide(derivativeStructure58);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure58.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure64.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure64.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure70.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure71.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure71.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure71.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure66.divide(derivativeStructure76);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure77.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure79 = derivativeStructure60.subtract(derivativeStructure78);
    double[] d_array80 = derivativeStructure60.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.log10(d_array39, (-7), d_array80, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test359"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i36 = dSCompiler35.getOrder();
    int i37 = dSCompiler35.getOrder();
    int i38 = dSCompiler35.getOrder();
    int i39 = dSCompiler35.getOrder();
    int i40 = dSCompiler35.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler43 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i44 = dSCompiler43.getOrder();
    int i45 = dSCompiler43.getOrder();
    int i46 = dSCompiler43.getOrder();
    int i47 = dSCompiler43.getOrder();
    int i48 = dSCompiler43.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler51 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler54 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i55 = dSCompiler54.getOrder();
    int i56 = dSCompiler54.getOrder();
    int i57 = dSCompiler54.getOrder();
    dSCompiler51.checkCompatibility(dSCompiler54);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler64 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i65 = dSCompiler64.getOrder();
    int i66 = dSCompiler64.getOrder();
    int i67 = dSCompiler64.getOrder();
    dSCompiler61.checkCompatibility(dSCompiler64);
    int i69 = dSCompiler64.getSize();
    int[] i_array71 = dSCompiler64.getPartialDerivativeOrders(0);
    int i72 = dSCompiler51.getPartialDerivativeIndex(i_array71);
    int i73 = dSCompiler43.getPartialDerivativeIndex(i_array71);
    int i74 = dSCompiler35.getPartialDerivativeIndex(i_array71);
    int i75 = dSCompiler26.getPartialDerivativeIndex(i_array71);
    double[] d_array76 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure82.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure83.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = derivativeStructure83.cosh();
    double[] d_array86 = derivativeStructure85.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler26.pow(d_array76, 46, 2.0d, d_array86, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test360"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-8.881784197001252E-16d), (java.lang.Number)419.0324869164659d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-8.881784197001252E-16d)+ "'", number5.equals((-8.881784197001252E-16d)));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test361"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.log1p();
    int i9 = derivativeStructure7.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.cos();
    int[] i_array11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = derivativeStructure7.getPartialDerivative(i_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test362"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-1.7763568394002505E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2110908904786679E-5d));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test363"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(3.139861715431285E-75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.480092499159317E-77d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test364"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    int i19 = derivativeStructure17.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.rint();
    double[] d_array21 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d22 = derivativeStructure20.taylor(d_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test365"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(26L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 26L);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test366"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.add((-0.46528454126966756d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.rint();
    double d14 = derivativeStructure13.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-27.0d));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test367"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(79.94482650867053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 80.0d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test368"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure20.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure12.divide(derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure3.divide(derivativeStructure25);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.toDegrees();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure25, derivativeStructure32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test369"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(127, (-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 127);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test370"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.0f, 84.10370959203021d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000001f);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test371"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler20 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i21 = dSCompiler20.getOrder();
    int i22 = dSCompiler20.getOrder();
    int i23 = dSCompiler20.getOrder();
    dSCompiler17.checkCompatibility(dSCompiler20);
    int i25 = dSCompiler20.getSize();
    int[] i_array27 = dSCompiler20.getPartialDerivativeOrders(0);
    int i28 = dSCompiler2.getPartialDerivativeIndex(i_array27);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler31 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler34 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i35 = dSCompiler34.getOrder();
    int i36 = dSCompiler34.getOrder();
    int i37 = dSCompiler34.getOrder();
    dSCompiler31.checkCompatibility(dSCompiler34);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler41 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler44 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i45 = dSCompiler44.getOrder();
    int i46 = dSCompiler44.getOrder();
    int i47 = dSCompiler44.getOrder();
    dSCompiler41.checkCompatibility(dSCompiler44);
    int i49 = dSCompiler44.getSize();
    int[] i_array51 = dSCompiler44.getPartialDerivativeOrders(0);
    int i52 = dSCompiler31.getPartialDerivativeIndex(i_array51);
    int i53 = dSCompiler2.getPartialDerivativeIndex(i_array51);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler56 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i57 = dSCompiler56.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler60 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler63 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i64 = dSCompiler63.getOrder();
    int i65 = dSCompiler63.getOrder();
    int i66 = dSCompiler63.getOrder();
    dSCompiler60.checkCompatibility(dSCompiler63);
    dSCompiler56.checkCompatibility(dSCompiler63);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler71 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i72 = dSCompiler71.getOrder();
    int i73 = dSCompiler71.getOrder();
    int i74 = dSCompiler71.getSize();
    int i75 = dSCompiler71.getSize();
    double[] d_array77 = new double[] { 10.0d };
    double[] d_array79 = null;
    double d80 = dSCompiler71.taylor(d_array77, 0, d_array79);
    dSCompiler63.checkCompatibility(dSCompiler71);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler84 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i85 = dSCompiler84.getOrder();
    int i86 = dSCompiler84.getOrder();
    int i87 = dSCompiler84.getSize();
    int[] i_array89 = dSCompiler84.getPartialDerivativeOrders(0);
    int i90 = dSCompiler71.getPartialDerivativeIndex(i_array89);
    int i91 = dSCompiler2.getPartialDerivativeIndex(i_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i91 == 0);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test372"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(6400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 6400.0f);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test373"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(7, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test374"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(4.9090934652977266E-91d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test375"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure21.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure21.multiply(0.26572325005933806d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure31.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure31.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure27.pow(derivativeStructure35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure35.multiply(2.097207631308085d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure42.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure48.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure49.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure49.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure44.divide(derivativeStructure54);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure35.multiply(derivativeStructure54);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure56.remainder(101.19288512538814d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure15.remainder(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test376"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(5.62949953421312E14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.62949953421312E14d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test377"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 1, 3.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(0.03093515553795393d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.add(2.603041086092728d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test378"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(0, (-7), 6, (-6.731094208094558d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test379"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.signum();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test380"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(2.097207631308085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7406067605175951d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test381"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure12.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long23 = derivativeStructure22.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure27, derivativeStructure34);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure22.add(derivativeStructure37);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure22.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.add(1.1102230246251565E-16d);
    int i43 = derivativeStructure42.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure42.divide((-0.24559584647734103d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure42.remainder(1.262627255678912d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure47.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.signum();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure17.multiply(derivativeStructure47);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test382"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler21 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler24 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i25 = dSCompiler24.getOrder();
    int i26 = dSCompiler24.getOrder();
    int i27 = dSCompiler24.getOrder();
    dSCompiler21.checkCompatibility(dSCompiler24);
    dSCompiler17.checkCompatibility(dSCompiler24);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler32 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler35 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i36 = dSCompiler35.getOrder();
    int i37 = dSCompiler35.getOrder();
    int i38 = dSCompiler35.getOrder();
    dSCompiler32.checkCompatibility(dSCompiler35);
    int i40 = dSCompiler35.getSize();
    int[] i_array42 = dSCompiler35.getPartialDerivativeOrders(0);
    int i43 = dSCompiler17.getPartialDerivativeIndex(i_array42);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler49 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i50 = dSCompiler49.getOrder();
    int i51 = dSCompiler49.getOrder();
    int i52 = dSCompiler49.getOrder();
    dSCompiler46.checkCompatibility(dSCompiler49);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler56 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler59 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i60 = dSCompiler59.getOrder();
    int i61 = dSCompiler59.getOrder();
    int i62 = dSCompiler59.getOrder();
    dSCompiler56.checkCompatibility(dSCompiler59);
    int i64 = dSCompiler59.getSize();
    int[] i_array66 = dSCompiler59.getPartialDerivativeOrders(0);
    int i67 = dSCompiler46.getPartialDerivativeIndex(i_array66);
    int i68 = dSCompiler17.getPartialDerivativeIndex(i_array66);
    int i69 = dSCompiler2.getPartialDerivativeIndex(i_array66);
    int i70 = dSCompiler2.getFreeParameters();
    double[] d_array71 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure76.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure76.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure82.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure83.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure86 = derivativeStructure83.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure88 = derivativeStructure83.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure89 = derivativeStructure78.divide(derivativeStructure88);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure90 = derivativeStructure88.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure91 = derivativeStructure90.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure93 = derivativeStructure90.scalb((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure95 = derivativeStructure90.remainder((-0.5958164402125868d));
    double[] d_array96 = derivativeStructure95.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.tan(d_array71, 7, d_array96, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array96);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test383"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-15.76686817128902d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.766868171289019d));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test384"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-18), 47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-18));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test385"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.abs();
    int i8 = derivativeStructure7.getExponent();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test386"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure22.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure22.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure22.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure22.divide(4.0674043603991905E53d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure18.multiply(derivativeStructure22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test387"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler4 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler7 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i8 = dSCompiler7.getOrder();
    int i9 = dSCompiler7.getOrder();
    int i10 = dSCompiler7.getOrder();
    dSCompiler4.checkCompatibility(dSCompiler7);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler14 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getOrder();
    dSCompiler14.checkCompatibility(dSCompiler17);
    int i22 = dSCompiler17.getSize();
    int[] i_array24 = dSCompiler17.getPartialDerivativeOrders(0);
    int i25 = dSCompiler4.getPartialDerivativeIndex(i_array24);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler28 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i29 = dSCompiler28.getOrder();
    int i30 = dSCompiler28.getOrder();
    int i31 = dSCompiler28.getSize();
    int[] i_array33 = dSCompiler28.getPartialDerivativeOrders(0);
    dSCompiler4.checkCompatibility(dSCompiler28);
    int i35 = dSCompiler4.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.floor();
    double[] d_array43 = derivativeStructure42.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler47 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i48 = dSCompiler47.getOrder();
    int i49 = dSCompiler47.getOrder();
    int i50 = dSCompiler47.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure54.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure56.floor();
    double[] d_array58 = derivativeStructure57.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure63.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure65.floor();
    double[] d_array67 = derivativeStructure66.getAllDerivatives();
    double d68 = dSCompiler47.taylor(d_array58, 20, d_array67);
    double d69 = dSCompiler4.taylor(d_array43, 80, d_array58);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(46, (-1), d_array43);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test388"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test389"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.2039952847415774d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test390"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.4652845412696676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4839560410870942d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test391"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.copySign(0.27588107309214316d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure5.rootN((-20));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure5.acos();
    int i13 = derivativeStructure12.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test392"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0, 1.3369844095223624d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test393"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.5651502440613939d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test394"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.7927734888497224E32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7927734888497224E32d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test395"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler2.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure19.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.floor();
    double[] d_array37 = derivativeStructure36.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure42.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.floor();
    double[] d_array46 = derivativeStructure45.getAllDerivatives();
    double d47 = dSCompiler26.taylor(d_array37, 20, d_array46);
    double d48 = derivativeStructure23.taylor(d_array37);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure53.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure57.remainder((-0.5901986839880569d));
    double[] d_array60 = derivativeStructure59.getAllDerivatives();
    dSCompiler2.tan(d_array37, 4, d_array60, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == (-0.8546104647638713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test396"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(84.10370959203021d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6778262615582375E36d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test397"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test398"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.rootN(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.toRadians();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test399"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.24097918332809565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.4230447254540919d));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test400"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-20), (-1));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test401"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(6, (-1));
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathIllegalArgumentException5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test402"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(6.846996304877484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.632271246248194d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test403"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure13.add(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure9.pow(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure30.subtract((-1.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure30.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.divide(1.776356839400251E-15d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure42.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure44.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure44.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure44.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure44.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure44.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1.631264348439414d), derivativeStructure23, 0.33722248939230137d, derivativeStructure37, 0.9999999958776927d, derivativeStructure50);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure37.exp();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure52.signum();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test404"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.pow(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure9.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test405"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getSize();
    int[] i_array7 = dSCompiler2.getPartialDerivativeOrders(0);
    double[] d_array8 = null;
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler22 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler25 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i26 = dSCompiler25.getOrder();
    int i27 = dSCompiler25.getOrder();
    int i28 = dSCompiler25.getOrder();
    dSCompiler22.checkCompatibility(dSCompiler25);
    int i30 = dSCompiler25.getSize();
    int[] i_array32 = dSCompiler25.getPartialDerivativeOrders(0);
    int i33 = dSCompiler12.getPartialDerivativeIndex(i_array32);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler36 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i37 = dSCompiler36.getOrder();
    int i38 = dSCompiler36.getOrder();
    int i39 = dSCompiler36.getSize();
    int[] i_array41 = dSCompiler36.getPartialDerivativeOrders(0);
    dSCompiler12.checkCompatibility(dSCompiler36);
    int i43 = dSCompiler12.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.floor();
    double[] d_array51 = derivativeStructure50.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler55 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i56 = dSCompiler55.getOrder();
    int i57 = dSCompiler55.getOrder();
    int i58 = dSCompiler55.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure62.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure64.floor();
    double[] d_array66 = derivativeStructure65.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure71.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure73.floor();
    double[] d_array75 = derivativeStructure74.getAllDerivatives();
    double d76 = dSCompiler55.taylor(d_array66, 20, d_array75);
    double d77 = dSCompiler12.taylor(d_array51, 80, d_array66);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.acosh(d_array8, 86, d_array51, 47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test406"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure5.rootN(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test407"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-127), 6);
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException8 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable4, (java.lang.Number)0.4873058201553492d, (java.lang.Number)4.010299956639812d, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = numberIsTooLargeException8.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException14 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable10, (java.lang.Number)0L, (java.lang.Number)9.536743E-7f, true);
    boolean b15 = numberIsTooLargeException14.getBoundIsAllowed();
    numberIsTooLargeException8.addSuppressed((java.lang.Throwable)numberIsTooLargeException14);
    dimensionMismatchException3.addSuppressed((java.lang.Throwable)numberIsTooLargeException8);
    java.lang.Number number18 = numberIsTooLargeException8.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 4.010299956639812d+ "'", number18.equals(4.010299956639812d));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test408"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.divide((-2.0d));
    org.apache.commons.math3.Field field8 = derivativeStructure3.getField();
    org.apache.commons.math3.Field field9 = derivativeStructure3.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field9);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test409"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.sinh();
    int i7 = derivativeStructure3.getOrder();
    double d8 = derivativeStructure3.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure3.pow(0.004477315894173474d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.scalb(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test410"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.5822105614913097d, 7.0368744177664E13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-58.94510676789707d));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test411"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.6778262615582375E36d, (java.lang.Number)0.055555555555555594d, true);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test412"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-1.5707963267948968d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.509178478658057d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test413"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(5.6843418860808015E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.6843418860808015E-14d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test414"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure7, derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test415"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test416"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.0582856370123763d, 0.012996082715863855d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0094256711543197d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test417"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-4.1703659178036965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 32.377291791748995d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test418"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-1.5707963267948968d), 0.6571716449292492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948968d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test419"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure3.add(derivativeStructure12);
    long long14 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.scalb((-20));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long21 = derivativeStructure20.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure25.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure25, derivativeStructure32);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure20.add(derivativeStructure35);
    org.apache.commons.math3.Field field37 = derivativeStructure35.getField();
    double[] d_array38 = derivativeStructure35.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure35);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure3.reciprocal();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.multiply((-7));
    org.apache.commons.math3.Field field43 = derivativeStructure40.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field43);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test420"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.5637255535918546d, 2.178180991207368E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5637255535918546d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test421"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test422"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.9511359238503061d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5886484974199733d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test423"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(6.079166719337937E58d, (-1.7475689218952297E-308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.079166719337937E58d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test424"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-127), 0, 1, 0.6571716449292492d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test425"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure13, derivativeStructure19);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.multiply((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure26.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure27.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure27.scalb(0);
    int i33 = derivativeStructure27.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure27.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure20.add(derivativeStructure27);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure27.log();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test426"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(98.4502967847254d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test428"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-6.102016471589204E38d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test429"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.pow(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.remainder((-0.5901986839880569d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure13.remainder(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure13.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure13.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test430"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(6.776264E-21f, 100.000015f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.776264E-21f);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test431"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-0.5510636577512633d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test432"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-1.4711276743037347d), (-17.734123473918476d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.058827523760768d));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test433"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(47, (-27));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 47);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test434"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210856E-14f);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test435"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException3 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array2);
    java.lang.Throwable[] throwable_array4 = mathIllegalArgumentException3.getSuppressed();
    java.lang.Throwable[] throwable_array5 = mathIllegalArgumentException3.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test436"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure4.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure13.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure13.add(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure9.pow(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure30.subtract((-1.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure30.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure35.divide(1.776356839400251E-15d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure42.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure42.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure44.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure44.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure44.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure44.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure44.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1.631264348439414d), derivativeStructure23, 0.33722248939230137d, derivativeStructure37, 0.9999999958776927d, derivativeStructure50);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure50.remainder(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long58 = derivativeStructure57.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure57.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure57.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure57.remainder(0.8306408778607839d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure62.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure63.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long69 = derivativeStructure68.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure68.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure68.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure73.acosh();
    double[] d_array75 = derivativeStructure73.getAllDerivatives();
    double d76 = derivativeStructure63.taylor(d_array75);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure50.compose(d_array75);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long58 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long69 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.05706188430556382d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test437"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test438"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.copySign(0.27588107309214316d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.scalb(3);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure10.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test439"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-34.657359027997266d));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test440"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.45534331930245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1697341262871053d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test441"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure3.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.multiply(90.00000000000003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test442"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.5322050140880078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8616902657580218d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test443"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    dSCompiler17.checkCompatibility(dSCompiler30);
    int i37 = dSCompiler17.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler46 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i47 = dSCompiler46.getOrder();
    int i48 = dSCompiler46.getOrder();
    int i49 = dSCompiler46.getOrder();
    int i50 = dSCompiler46.getOrder();
    dSCompiler40.checkCompatibility(dSCompiler46);
    int i52 = dSCompiler40.getSize();
    dSCompiler17.checkCompatibility(dSCompiler40);
    double[] d_array54 = null;
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure59.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure60.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure60.remainder(141.42489172702236d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure64 = derivativeStructure60.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure60.remainder(1.3022634284251158d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure60.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure67.acosh();
    double[] d_array69 = derivativeStructure68.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler17.exp(d_array54, 0, d_array69, (-18));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test444"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure14, derivativeStructure20);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.multiply((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure21.pow((-127));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure21.log1p();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure31.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure39.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure31.divide(derivativeStructure39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure49.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure57.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure57.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure49.divide(derivativeStructure57);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure49.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure68.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure76.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure80 = derivativeStructure76.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure81 = derivativeStructure68.divide(derivativeStructure76);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure82 = derivativeStructure68.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure83 = derivativeStructure82.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = derivativeStructure83.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(1.6372739712856747E-14d, derivativeStructure21, 0.20657095758432376d, derivativeStructure31, 4.106204808922585d, derivativeStructure49, 0.2585660093269232d, derivativeStructure84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure84);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test445"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(8.673617379884035E-19d, 0.15816660653603884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.673617379884035E-19d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test446"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.2039952847415774d), 1.0094256711543197d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.20399528474157738d));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test447"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(80.00001f, 0.5822105614913097d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 80.0f);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test448"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure18.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure13.divide(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure7.multiply(derivativeStructure24);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure34.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure34.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure38.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure40.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure40.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure48 = derivativeStructure46.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure42, derivativeStructure48);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.multiply((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure49.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure28.pow(derivativeStructure49);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure57.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure61 = derivativeStructure57.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure67 = derivativeStructure65.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure65.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure57.divide(derivativeStructure65);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure57.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure71.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure72.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure73.add(8.881784197001252E-16d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure76 = derivativeStructure73.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure28.add(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test449"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(127, (-47));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test450"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.hypot(derivativeStructure8, derivativeStructure17);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure28.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure29.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure29.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure24.divide(derivativeStructure34);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure34.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure37.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure17.divide(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test451"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(80.0d, 2.455421337500423E-10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 80.0d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test452"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-1.74756892189523E-308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.74756892189523E-308d));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test453"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure12.add(derivativeStructure21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure8.pow(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test454"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure13.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure7, derivativeStructure18);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure7.add((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure7.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test455"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure12.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure12.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure12.add(derivativeStructure21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure8.pow(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long29 = derivativeStructure28.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.remainder(0.7869259484028011d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.atan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure32.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure22, derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test456"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.pow(80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test457"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test458"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.9698000845458243d, 0.991699960029815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9698000845458243d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test459"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(14584.109819310099d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 14585.0d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test460"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure16.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure18.rootN(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test461"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.030935157426384915d, 1.3047198764416927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0765244323982091d));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test462"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.divide(3.3556525231164585E36d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test463"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.7815034744187903d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.675478998435971d));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test464"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-46), 80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 80);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test465"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long4 = derivativeStructure3.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure3.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure3.divide(1.7182818284590455d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure13.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure20.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure20.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure15.divide(derivativeStructure25);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure25.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.cbrt();
    int i29 = derivativeStructure27.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure27.log();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.pow(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure30.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure9.divide(derivativeStructure30);
    double d35 = derivativeStructure30.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long40 = derivativeStructure39.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure44.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure49.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure44, derivativeStructure51);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure52.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure39.add(derivativeStructure54);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure57 = derivativeStructure39.pow(6);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure57.add(1.1102230246251565E-16d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = derivativeStructure30.divide(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 5.105029897514267d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure60);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test466"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure8.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure8.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test467"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.4210854715202004E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4210854715202007E-14d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test468"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.20804321276727766d, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.5396718431142824E37d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test469"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.4839560410870942d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4494062718541815d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure((-1), (-5));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test471"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure18.subtract(1.3022634284251158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test472"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure8.ceil();
    double d10 = derivativeStructure9.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure14.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure19.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure9.add(derivativeStructure19);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.atanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test473"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    int i6 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure10.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure17.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure12.divide(derivativeStructure22);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure24.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.scalb((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure24.remainder((-0.5958164402125868d));
    double[] d_array30 = derivativeStructure29.getAllDerivatives();
    double[] d_array32 = null;
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.exp(d_array30, (-18), d_array32, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test474"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    int i10 = dSCompiler5.getSize();
    int[] i_array12 = dSCompiler5.getPartialDerivativeOrders(0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler18 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i19 = dSCompiler18.getOrder();
    int i20 = dSCompiler18.getOrder();
    int i21 = dSCompiler18.getOrder();
    dSCompiler15.checkCompatibility(dSCompiler18);
    int i23 = dSCompiler18.getSize();
    int[] i_array25 = dSCompiler18.getPartialDerivativeOrders(0);
    double[] d_array27 = new double[] { 1.0d };
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    dSCompiler18.tanh(d_array27, 0, d_array31, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getOrder();
    dSCompiler37.checkCompatibility(dSCompiler40);
    int i45 = dSCompiler40.getSize();
    int[] i_array47 = dSCompiler40.getPartialDerivativeOrders(0);
    double[] d_array49 = new double[] { 1.0d };
    double[] d_array53 = new double[] { 10.0d, 1.0d };
    dSCompiler40.tanh(d_array49, 0, d_array53, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler61 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i62 = dSCompiler61.getOrder();
    int i63 = dSCompiler61.getOrder();
    int i64 = dSCompiler61.getOrder();
    dSCompiler58.checkCompatibility(dSCompiler61);
    int i66 = dSCompiler61.getSize();
    int[] i_array68 = dSCompiler61.getPartialDerivativeOrders(0);
    double[] d_array70 = new double[] { 1.0d };
    double[] d_array74 = new double[] { 10.0d, 1.0d };
    dSCompiler61.tanh(d_array70, 0, d_array74, 0);
    dSCompiler5.compose(d_array27, (-1), d_array53, d_array70, 0);
    int i79 = dSCompiler5.getFreeParameters();
    int i80 = dSCompiler5.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler83 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i84 = dSCompiler83.getOrder();
    int i85 = dSCompiler83.getOrder();
    int i86 = dSCompiler83.getSize();
    int[] i_array88 = dSCompiler83.getPartialDerivativeOrders(0);
    int i89 = dSCompiler5.getPartialDerivativeIndex(i_array88);
    int i90 = dSCompiler5.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 0);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test475"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.pow((-8.73784460947615E-309d));
    org.apache.commons.math3.Field field20 = derivativeStructure17.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure21.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test476"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure4.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure6.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure6.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure22.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure22.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure24.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure24.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure24.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure30.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure32, derivativeStructure38);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.multiply((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure45.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure46.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure51 = derivativeStructure46.scalb(0);
    int i52 = derivativeStructure46.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure46.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure54 = derivativeStructure39.add(derivativeStructure46);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(2.220446049250313E-16d, derivativeStructure10, 0.0d, derivativeStructure17, 0.01544660690119332d, derivativeStructure39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure55.ceil();
    int i57 = derivativeStructure55.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 3);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test477"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.divide(4.527730016919659d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.pow(0.04280531349184275d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.multiply((-1.4711276743037347d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure7.rint();
    int i12 = derivativeStructure7.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test478"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler6 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler9 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i10 = dSCompiler9.getOrder();
    int i11 = dSCompiler9.getOrder();
    int i12 = dSCompiler9.getOrder();
    dSCompiler6.checkCompatibility(dSCompiler9);
    dSCompiler2.checkCompatibility(dSCompiler9);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler17 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i18 = dSCompiler17.getOrder();
    int i19 = dSCompiler17.getOrder();
    int i20 = dSCompiler17.getSize();
    int i21 = dSCompiler17.getSize();
    double[] d_array23 = new double[] { 10.0d };
    double[] d_array25 = null;
    double d26 = dSCompiler17.taylor(d_array23, 0, d_array25);
    dSCompiler9.checkCompatibility(dSCompiler17);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler30 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i31 = dSCompiler30.getOrder();
    int i32 = dSCompiler30.getOrder();
    int i33 = dSCompiler30.getSize();
    int[] i_array35 = dSCompiler30.getPartialDerivativeOrders(0);
    dSCompiler17.checkCompatibility(dSCompiler30);
    int i37 = dSCompiler30.getSize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test479"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.4652845412696676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test480"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tan();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1023));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure14.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure14.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure14.expm1();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.divide(10240.0d);
    org.apache.commons.math3.Field field22 = derivativeStructure21.getField();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure8, derivativeStructure21);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure8.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure8.signum();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i30 = dSCompiler29.getOrder();
    int i31 = dSCompiler29.getOrder();
    int i32 = dSCompiler29.getOrder();
    int i33 = dSCompiler29.getOrder();
    int i34 = dSCompiler29.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler37 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i38 = dSCompiler37.getOrder();
    int i39 = dSCompiler37.getOrder();
    int i40 = dSCompiler37.getOrder();
    int i41 = dSCompiler37.getOrder();
    int i42 = dSCompiler37.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler45 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler48 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i49 = dSCompiler48.getOrder();
    int i50 = dSCompiler48.getOrder();
    int i51 = dSCompiler48.getOrder();
    dSCompiler45.checkCompatibility(dSCompiler48);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler55 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler58 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i59 = dSCompiler58.getOrder();
    int i60 = dSCompiler58.getOrder();
    int i61 = dSCompiler58.getOrder();
    dSCompiler55.checkCompatibility(dSCompiler58);
    int i63 = dSCompiler58.getSize();
    int[] i_array65 = dSCompiler58.getPartialDerivativeOrders(0);
    int i66 = dSCompiler45.getPartialDerivativeIndex(i_array65);
    int i67 = dSCompiler37.getPartialDerivativeIndex(i_array65);
    int i68 = dSCompiler29.getPartialDerivativeIndex(i_array65);
    int i69 = dSCompiler29.getSize();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler72 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler75 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i76 = dSCompiler75.getOrder();
    int i77 = dSCompiler75.getOrder();
    int i78 = dSCompiler75.getOrder();
    dSCompiler72.checkCompatibility(dSCompiler75);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler82 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler85 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i86 = dSCompiler85.getOrder();
    int i87 = dSCompiler85.getOrder();
    int i88 = dSCompiler85.getOrder();
    dSCompiler82.checkCompatibility(dSCompiler85);
    int i90 = dSCompiler85.getSize();
    int[] i_array92 = dSCompiler85.getPartialDerivativeOrders(0);
    int i93 = dSCompiler72.getPartialDerivativeIndex(i_array92);
    int i94 = dSCompiler29.getPartialDerivativeIndex(i_array92);
    // The following exception was thrown during execution in test generation
    try {
      double d95 = derivativeStructure8.getPartialDerivative(i_array92);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i93 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 0);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test481"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.7815034744187903d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test482"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.000119291717123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6932068246397634d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test483"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(2.7755575615628914E-17d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.7755575615628914E-17d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test484"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.9628187514697867d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6743815786166442d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test485"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure8.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure3, derivativeStructure10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.add(Double.NaN);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure14 = derivativeStructure13.atanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure14.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure15.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure16.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.rootN((-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test486"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure4.subtract(1.5293379817722994d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.sqrt();
    int i8 = derivativeStructure7.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure7.remainder((-0.502047843255528d));
    double d11 = derivativeStructure10.getValue();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure15.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure25 = derivativeStructure23.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = derivativeStructure23.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure15.divide(derivativeStructure23);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure29 = derivativeStructure15.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure29.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = derivativeStructure10.pow(derivativeStructure31);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.signum();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure37.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure40 = derivativeStructure37.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure32.multiply(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.15686073815575718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test487"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure5.cbrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure5.divide(4.499809670330265d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure5.ceil();
    org.apache.commons.math3.Field field21 = derivativeStructure20.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field21);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test488"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler5 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i6 = dSCompiler5.getOrder();
    int i7 = dSCompiler5.getOrder();
    int i8 = dSCompiler5.getOrder();
    dSCompiler2.checkCompatibility(dSCompiler5);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    int i20 = dSCompiler15.getSize();
    int[] i_array22 = dSCompiler15.getPartialDerivativeOrders(0);
    int i23 = dSCompiler2.getPartialDerivativeIndex(i_array22);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i27 = dSCompiler26.getOrder();
    int i28 = dSCompiler26.getOrder();
    int i29 = dSCompiler26.getSize();
    int[] i_array31 = dSCompiler26.getPartialDerivativeOrders(0);
    dSCompiler2.checkCompatibility(dSCompiler26);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure35.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure36.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure39 = derivativeStructure38.log();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = derivativeStructure39.multiply(4.9090934652977266E-91d);
    double[] d_array42 = derivativeStructure39.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure50.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure52.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure52.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure55.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler59 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i60 = dSCompiler59.getOrder();
    int i61 = dSCompiler59.getOrder();
    int i62 = dSCompiler59.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = derivativeStructure66.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = derivativeStructure68.floor();
    double[] d_array70 = derivativeStructure69.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure77 = derivativeStructure75.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure78 = derivativeStructure77.floor();
    double[] d_array79 = derivativeStructure78.getAllDerivatives();
    double d80 = dSCompiler59.taylor(d_array70, 20, d_array79);
    double d81 = derivativeStructure56.taylor(d_array70);
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler26.atan(d_array42, 100, d_array70, (-5));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == (-0.8546104647638713d));

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test489"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test490"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure2 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = derivativeStructure2.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.pow((-2));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.acosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test491"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure7.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure7.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure9.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure9.log10();
    int i14 = derivativeStructure9.getExponent();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure9.sin();
    double[] d_array16 = derivativeStructure15.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure20.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure21.add(0.6698434389303876d);
    int i24 = derivativeStructure23.getFreeParameters();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure26 = derivativeStructure23.multiply((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(1, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure32.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure35 = derivativeStructure33.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure33.divide((-2.0d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure38 = derivativeStructure33.tanh();
    double[] d_array39 = derivativeStructure38.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure44 = derivativeStructure43.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure44.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure46.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure52 = derivativeStructure49.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = derivativeStructure52.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler56 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i57 = dSCompiler56.getOrder();
    int i58 = dSCompiler56.getOrder();
    int i59 = dSCompiler56.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure65 = derivativeStructure63.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure66 = derivativeStructure65.floor();
    double[] d_array67 = derivativeStructure66.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure72.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure74.floor();
    double[] d_array76 = derivativeStructure75.getAllDerivatives();
    double d77 = dSCompiler56.taylor(d_array67, 20, d_array76);
    double d78 = derivativeStructure53.taylor(d_array67);
    dSCompiler29.log(d_array39, 0, d_array67, 1);
    double d81 = derivativeStructure23.taylor(d_array39);
    double d82 = dSCompiler2.taylor(d_array16, 3, d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == (-0.8546104647638713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.6698434389303876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test492"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = derivativeStructure5.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure6.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure6.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure6.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure12.exp();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler16 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler19 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i20 = dSCompiler19.getOrder();
    int i21 = dSCompiler19.getOrder();
    int i22 = dSCompiler19.getOrder();
    dSCompiler16.checkCompatibility(dSCompiler19);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler26 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler29 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i30 = dSCompiler29.getOrder();
    int i31 = dSCompiler29.getOrder();
    int i32 = dSCompiler29.getOrder();
    dSCompiler26.checkCompatibility(dSCompiler29);
    int i34 = dSCompiler29.getSize();
    int[] i_array36 = dSCompiler29.getPartialDerivativeOrders(0);
    int i37 = dSCompiler16.getPartialDerivativeIndex(i_array36);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = derivativeStructure41.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = derivativeStructure41.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure45 = derivativeStructure43.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure46 = derivativeStructure43.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = derivativeStructure43.log10();
    double[] d_array48 = derivativeStructure47.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure53 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    long long54 = derivativeStructure53.round();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure55 = derivativeStructure53.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = derivativeStructure53.abs();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure60 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure62 = derivativeStructure60.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = derivativeStructure62.floor();
    double[] d_array64 = derivativeStructure63.getAllDerivatives();
    double d65 = derivativeStructure56.taylor(d_array64);
    dSCompiler16.sin(d_array48, 20, d_array64, 6);
    double d68 = derivativeStructure13.taylor(d_array48);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure69 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(3, 0, d_array48);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long54 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.38089163598696146d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test493"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure5.multiply(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = derivativeStructure5.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = derivativeStructure5.log10();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure9.divide(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure12 = derivativeStructure11.asinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure17.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = org.apache.commons.math3.analysis.differentiation.DerivativeStructure.atan2(derivativeStructure13, derivativeStructure19);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure22 = derivativeStructure20.multiply((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure20.acos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure23.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test494"); }


    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler2 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i3 = dSCompiler2.getOrder();
    int i4 = dSCompiler2.getOrder();
    int i5 = dSCompiler2.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler8 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i9 = dSCompiler8.getOrder();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler12 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler15 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i16 = dSCompiler15.getOrder();
    int i17 = dSCompiler15.getOrder();
    int i18 = dSCompiler15.getOrder();
    dSCompiler12.checkCompatibility(dSCompiler15);
    dSCompiler8.checkCompatibility(dSCompiler15);
    int i21 = dSCompiler15.getSize();
    dSCompiler2.checkCompatibility(dSCompiler15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure27 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure28 = derivativeStructure27.tanh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure30 = derivativeStructure28.add(0.6698434389303876d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = derivativeStructure30.sin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure33 = derivativeStructure31.subtract(2.622247694426012d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure34 = derivativeStructure33.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure36 = derivativeStructure33.subtract(1.8473728170778716d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure37 = derivativeStructure36.tan();
    org.apache.commons.math3.analysis.differentiation.DSCompiler dSCompiler40 = org.apache.commons.math3.analysis.differentiation.DSCompiler.getCompiler(100, 0);
    int i41 = dSCompiler40.getOrder();
    int i42 = dSCompiler40.getOrder();
    int i43 = dSCompiler40.getSize();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure47 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure49 = derivativeStructure47.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure50 = derivativeStructure49.floor();
    double[] d_array51 = derivativeStructure50.getAllDerivatives();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure56 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure58 = derivativeStructure56.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure59 = derivativeStructure58.floor();
    double[] d_array60 = derivativeStructure59.getAllDerivatives();
    double d61 = dSCompiler40.taylor(d_array51, 20, d_array60);
    double d62 = derivativeStructure37.taylor(d_array51);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure63 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, d_array51);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure68 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure70 = derivativeStructure68.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = derivativeStructure70.floor();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = derivativeStructure71.sqrt();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure73 = derivativeStructure72.ceil();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure74 = derivativeStructure72.toRadians();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure75 = derivativeStructure74.exp();
    double[] d_array76 = derivativeStructure75.getAllDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      dSCompiler2.acosh(d_array51, 47, d_array76, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dSCompiler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == (-0.8546104647638713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test495"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(9.536744E-7f, 5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536744E-7f);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test496"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.7097772460758185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test497"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.add((-38.37920198524031d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = derivativeStructure3.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure11.pow((-1));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure11.add(1.043734674009951d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure3.divide(derivativeStructure11);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure3.asin();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure19 = derivativeStructure18.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure19.add(8.881784197001252E-16d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure23 = derivativeStructure19.copySign(0.2585660093269232d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure24 = derivativeStructure19.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure24);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test498"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 127, 20);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test499"); }


    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = derivativeStructure3.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = derivativeStructure3.sinh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = new org.apache.commons.math3.analysis.differentiation.DerivativeStructure(6, 3, 1.7182818284590453d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = derivativeStructure9.cosh();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = derivativeStructure10.cos();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure13 = derivativeStructure10.scalb(10);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure15 = derivativeStructure10.scalb(0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure16 = derivativeStructure5.divide(derivativeStructure15);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure17 = derivativeStructure15.toDegrees();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure18 = derivativeStructure17.cbrt();
    int i19 = derivativeStructure17.getOrder();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure20 = derivativeStructure17.rint();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure21 = derivativeStructure17.asinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(derivativeStructure21);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test500"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(80.000015f, 9.6714075E25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 80.000015f);

  }

}
